-- {0}: core schema
-- {1}: truth value

USE {0};


-- Delete INACTIVE source entities
CREATE TEMPORARY TABLE tmp_source AS SELECT `prgSvcId` FROM {0}.source WHERE {0}.source.`inactive` = {1};
CREATE INDEX idx_tmp_source_id ON tmp_source (`prgSvcId`);

DELETE core FROM {0}.source_transportid core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_group core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_genre core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_marketid core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_asset core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_affiliate core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_relationship core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_bcastlang core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_edlang core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_attribute core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_altname core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_country core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE FROM {0}.source WHERE {0}.source.`inactive` = {1};

-- Delete INACTIVE season entities
CREATE TEMPORARY TABLE tmp_season AS SELECT `seasonTMSId` FROM {0}.season WHERE {0}.season.`inactive` = {1};
CREATE INDEX idx_tmp_season_id ON tmp_season (`seasonTMSId`);

DELETE core FROM {0}.season_asset_id core JOIN tmp_season t ON t.`seasonTMSId`=core.`seasonTMSId`;
DELETE core FROM {0}.season_asset core JOIN tmp_season t ON t.`seasonTMSId`=core.`seasonTMSId`;
DELETE core FROM {0}.season_crew core JOIN tmp_season t ON t.`seasonTMSId`=core.`seasonTMSId`;
DELETE core FROM {0}.season_cast core JOIN tmp_season t ON t.`seasonTMSId`=core.`seasonTMSId`;
DELETE core FROM {0}.season_description core JOIN tmp_season t ON t.`seasonTMSId`=core.`seasonTMSId`;
DELETE core FROM {0}.season_title core JOIN tmp_season t ON t.`seasonTMSId`=core.`seasonTMSId`;
DELETE FROM {0}.season WHERE {0}.season.`inactive` = {1};

-- Delete INACTIVE program entities
CREATE TEMPORARY TABLE tmp_program AS SELECT `TMSId` FROM {0}.program WHERE {0}.program.`inactive` = {1};
CREATE INDEX idx_tmp_program_id ON tmp_program (`TMSId`);

DELETE core FROM {0}.program_origaudiolang core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_descriptor core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_externallink core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_relationship core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_release_distributor core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_release_attribute core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_release core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_asset_id core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_asset core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_spdata_event core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_spdata core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_spevent core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_spteam core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_spinfo core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_epinfo_alt core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_epinfo core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_mvtrailer core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_mvinfo core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_ratingadvisory core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_qualityrating core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_rating core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_genre core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_award core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_country core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_crew core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_cast core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_description core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_title core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_season core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE FROM {0}.program WHERE {0}.program.`inactive` = {1};
