
DROP PROCEDURE IF EXISTS {0}.CreateIndexIfNotExists;;
CREATE PROCEDURE {0}.CreateIndexIfNotExists(
    IN my_table_name VARCHAR(128),
    IN my_col_name VARCHAR(128),
    IN my_idx_name VARCHAR(128) )
BEGIN
    IF EXISTS ( SELECT 1 FROM INFORMATION_SCHEMA.STATISTICS
        WHERE TABLE_SCHEMA = SCHEMA()
          AND INDEX_NAME = my_idx_name )
    THEN
        SET @query = CONCAT("CREATE INDEX `", my_idx_name, "` ON ", my_table_name, " (`", my_col_name, "`);" );
        PREPARE stmt FROM @query;
        EXECUTE stmt;
        DEALLOCATE PREPARE stmt;
    END IF;
END;;

CALL {0}.CreateIndexIfNotExists( "cv","id","cv_id" );;
CALL {0}.CreateIndexIfNotExists( "lineup","country","lineup_country" );;
CALL {0}.CreateIndexIfNotExists( "lineup","countryId","lineup_countryId" );;
CALL {0}.CreateIndexIfNotExists( "lineup","msoId","lineup_msoId" );;
CALL {0}.CreateIndexIfNotExists( "lineup","type","lineup_type" );;
CALL {0}.CreateIndexIfNotExists( "descriptor","parent_descriptorId","descriptor_parent_descriptorId" );;
CALL {0}.CreateIndexIfNotExists( "season","seasonId","season_seasonId" );;
CALL {0}.CreateIndexIfNotExists( "season","origNetwork_prgSvcId","season_origNetwork_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "program","rootId","program_rootId" );;
CALL {0}.CreateIndexIfNotExists( "program","connectorId","program_connectorId" );;
CALL {0}.CreateIndexIfNotExists( "program","seasonId","program_seasonId" );;
CALL {0}.CreateIndexIfNotExists( "program","seriesId","program_seriesId" );;
CALL {0}.CreateIndexIfNotExists( "program","title_lang","program_title_lang" );;
CALL {0}.CreateIndexIfNotExists( "program","desc_lang","program_desc_lang" );;
CALL {0}.CreateIndexIfNotExists( "program","progType","program_progType" );;
CALL {0}.CreateIndexIfNotExists( "program","subType","program_subType" );;
CALL {0}.CreateIndexIfNotExists( "program","origAirDate","program_origAirDate" );;
CALL {0}.CreateIndexIfNotExists( "program","origNetwork_prgSvcId","program_origNetwork_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "program","lastOrigNetwork_prgSvcId","program_lastOrigNetwork_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "availability","prgSvcId","availability_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "availability","catalogName","availability_catalogName" );;
CALL {0}.CreateIndexIfNotExists( "mapping","catalogName","mapping_catalogName" );;
CALL {0}.CreateIndexIfNotExists( "schedule","prgSvcId","schedule_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "schedule","date","schedule_date" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram","TMSId","sourceprogram_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram","desc_lang","sourceprogram_desc_lang" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram","progType","sourceprogram_progType" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram","subType","sourceprogram_subType" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram","sourceDataProviderId","sourceprogram_sourceDataProviderId" );;
CALL {0}.CreateIndexIfNotExists( "popularity","rootId","popularity_rootId" );;
CALL {0}.CreateIndexIfNotExists( "venuebrand","venueId","venuebrand_venueId" );;
CALL {0}.CreateIndexIfNotExists( "sportsorg","rootId","sportsorg_rootId" );;
CALL {0}.CreateIndexIfNotExists( "team","sportGId","team_sportGId" );;
CALL {0}.CreateIndexIfNotExists( "team","venueId","team_venueId" );;
CALL {0}.CreateIndexIfNotExists( "team","universityId","team_universityId" );;
CALL {0}.CreateIndexIfNotExists( "teambrand","teamId","teambrand_teamId" );;
CALL {0}.CreateIndexIfNotExists( "vdannotation","rootId","vdannotation_rootId" );;
CALL {0}.CreateIndexIfNotExists( "cv_attribute","cvId","cv_attribute_cvId" );;
CALL {0}.CreateIndexIfNotExists( "source_country","prgSvcId","source_country_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "source_altname","prgSvcId","source_altname_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "source_attribute","prgSvcId","source_attribute_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "source_edlang","prgSvcId","source_edlang_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "source_bcastlang","prgSvcId","source_bcastlang_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "source_relationship","prgSvcId","source_relationship_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "source_relationship","relationship","source_relationship_relationship" );;
CALL {0}.CreateIndexIfNotExists( "source_affiliate","prgSvcId","source_affiliate_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "source_affiliate","affil_prgSvcId","source_affiliate_affil_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "source_asset","prgSvcId","source_asset_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "source_marketid","prgSvcId","source_marketid_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "source_genre","prgSvcId","source_genre_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "source_genre","genreId","source_genre_genreId" );;
CALL {0}.CreateIndexIfNotExists( "source_group","prgSvcId","source_group_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "source_transportid","prgSvcId","source_transportid_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "lineup_channel","lineupId","lineup_channel_lineupId" );;
CALL {0}.CreateIndexIfNotExists( "lineup_channel","prgSvcId","lineup_channel_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "lineup_channel_transport","channelId","lineup_channel_transport_channelId" );;
CALL {0}.CreateIndexIfNotExists( "lineup_channel_transport","lineupId","lineup_channel_transport_lineupId" );;
CALL {0}.CreateIndexIfNotExists( "lineup_channel_transport_id","transportId","lineup_channel_transport_id_transportId" );;
CALL {0}.CreateIndexIfNotExists( "lineup_channel_transport_id","lineupId","lineup_channel_transport_id_lineupId" );;
CALL {0}.CreateIndexIfNotExists( "lineup_channel_transport_id","id","lineup_channel_transport_id_id" );;
CALL {0}.CreateIndexIfNotExists( "lineup_postalcode","lineupId","lineup_postalcode_lineupId" );;
CALL {0}.CreateIndexIfNotExists( "lineup_postalcode","postalCode","lineup_postalcode_postalCode" );;
CALL {0}.CreateIndexIfNotExists( "lineup_market","lineupId","lineup_market_lineupId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_name","personId","celebrity_name_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_name","nameId","celebrity_name_nameId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_award","personId","celebrity_award_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_award","rootId","celebrity_award_rootId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_asset","personId","celebrity_asset_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_mediography","personId","celebrity_mediography_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_mediography","rootId","celebrity_mediography_rootId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_mediography_credit","mediographyId","celebrity_mediography_credit_mediographyId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_mediography_credit","personId","celebrity_mediography_credit_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_participanttype","personId","celebrity_participanttype_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_biography","personId","celebrity_biography_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_relationship","personId","celebrity_relationship_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_relationship","rel_personId","celebrity_relationship_rel_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_relationshipevent","personId","celebrity_relationshipevent_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_education","personId","celebrity_education_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_milestone","personId","celebrity_milestone_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_note","personId","celebrity_note_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_quote","personId","celebrity_quote_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_highlight","personId","celebrity_highlight_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_socialmedia","personId","celebrity_socialmedia_personId" );;
CALL {0}.CreateIndexIfNotExists( "celebrity_enhancedaward","personId","celebrity_enhancedaward_personId" );;
CALL {0}.CreateIndexIfNotExists( "descriptortaxonomy_descriptor","taxonomyId","descriptortaxonomy_descriptor_taxonomyId" );;
CALL {0}.CreateIndexIfNotExists( "descriptortaxonomy_descriptor","descriptorId","descriptortaxonomy_descriptor_descriptorId" );;
CALL {0}.CreateIndexIfNotExists( "season_title","seasonTMSId","season_title_seasonTMSId" );;
CALL {0}.CreateIndexIfNotExists( "season_description","seasonTMSId","season_description_seasonTMSId" );;
CALL {0}.CreateIndexIfNotExists( "season_cast","seasonTMSId","season_cast_seasonTMSId" );;
CALL {0}.CreateIndexIfNotExists( "season_cast","personId","season_cast_personId" );;
CALL {0}.CreateIndexIfNotExists( "season_crew","seasonTMSId","season_crew_seasonTMSId" );;
CALL {0}.CreateIndexIfNotExists( "season_crew","personId","season_crew_personId" );;
CALL {0}.CreateIndexIfNotExists( "season_asset","seasonTMSId","season_asset_seasonTMSId" );;
CALL {0}.CreateIndexIfNotExists( "season_asset_id","seasonAssetId","season_asset_id_seasonAssetId" );;
CALL {0}.CreateIndexIfNotExists( "season_asset_id","seasonTMSId","season_asset_id_seasonTMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_season","TMSId","program_season_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_season","seasonTMSId","program_season_seasonTMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_title","TMSId","program_title_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_description","TMSId","program_description_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_cast","TMSId","program_cast_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_cast","personId","program_cast_personId" );;
CALL {0}.CreateIndexIfNotExists( "program_crew","TMSId","program_crew_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_crew","personId","program_crew_personId" );;
CALL {0}.CreateIndexIfNotExists( "program_country","TMSId","program_country_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_award","TMSId","program_award_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_genre","TMSId","program_genre_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_genre","genreId","program_genre_genreId" );;
CALL {0}.CreateIndexIfNotExists( "program_rating","TMSId","program_rating_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_qualityrating","TMSId","program_qualityrating_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_ratingadvisory","TMSId","program_ratingadvisory_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_mvinfo","TMSId","program_mvinfo_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_mvtrailer","TMSId","program_mvtrailer_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_epinfo","TMSId","program_epinfo_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_epinfo_alt","episodeInfoId","program_epinfo_alt_episodeInfoId" );;
CALL {0}.CreateIndexIfNotExists( "program_epinfo_alt","TMSId","program_epinfo_alt_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_epinfo_alt","prgSvcId","program_epinfo_alt_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "program_spinfo","TMSId","program_spinfo_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_spinfo","gameDate","program_spinfo_gameDate" );;
CALL {0}.CreateIndexIfNotExists( "program_spteam","TMSId","program_spteam_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_spteam","teamBrandId","program_spteam_teamBrandId" );;
CALL {0}.CreateIndexIfNotExists( "program_spevent","TMSId","program_spevent_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_spdata","TMSId","program_spdata_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_spdata","sportGId","program_spdata_sportGId" );;
CALL {0}.CreateIndexIfNotExists( "program_spdata_event","sportsDataId","program_spdata_event_sportsDataId" );;
CALL {0}.CreateIndexIfNotExists( "program_spdata_event","TMSId","program_spdata_event_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_asset","TMSId","program_asset_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_asset_id","programAssetId","program_asset_id_programAssetId" );;
CALL {0}.CreateIndexIfNotExists( "program_asset_id","TMSId","program_asset_id_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_release","TMSId","program_release_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_release","prgSvcId","program_release_prgSvcId" );;
CALL {0}.CreateIndexIfNotExists( "program_release_attribute","releaseId","program_release_attribute_releaseId" );;
CALL {0}.CreateIndexIfNotExists( "program_release_attribute","TMSId","program_release_attribute_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_release_distributor","releaseId","program_release_distributor_releaseId" );;
CALL {0}.CreateIndexIfNotExists( "program_release_distributor","TMSId","program_release_distributor_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_relationship","TMSId","program_relationship_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_relationship","rootId","program_relationship_rootId" );;
CALL {0}.CreateIndexIfNotExists( "program_relationship","organizationId","program_relationship_organizationId" );;
CALL {0}.CreateIndexIfNotExists( "program_relationship","personId","program_relationship_personId" );;
CALL {0}.CreateIndexIfNotExists( "program_externallink","TMSId","program_externallink_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_descriptor","TMSId","program_descriptor_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "program_descriptor","descriptorId","program_descriptor_descriptorId" );;
CALL {0}.CreateIndexIfNotExists( "program_origaudiolang","TMSId","program_origaudiolang_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "availability_id","availabilityId","availability_id_availabilityId" );;
CALL {0}.CreateIndexIfNotExists( "availability_id","id","availability_id_id" );;
CALL {0}.CreateIndexIfNotExists( "availability_url","availabilityId","availability_url_availabilityId" );;
CALL {0}.CreateIndexIfNotExists( "availability_viewingoption","availabilityId","availability_viewingoption_availabilityId" );;
CALL {0}.CreateIndexIfNotExists( "availability_providerdata","availabilityId","availability_providerdata_availabilityId" );;
CALL {0}.CreateIndexIfNotExists( "mapping_id","mappingId","mapping_id_mappingId" );;
CALL {0}.CreateIndexIfNotExists( "mapping_id","id","mapping_id_id" );;
CALL {0}.CreateIndexIfNotExists( "mapping_link","mappingId","mapping_link_mappingId" );;
CALL {0}.CreateIndexIfNotExists( "mapping_link","link","mapping_link_link" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_label","gnidsId","sourceprogram_label_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_versionlabel","gnidsId","sourceprogram_versionlabel_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_catalog","gnidsId","sourceprogram_catalog_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_catalog_language","spCatalogId","sourceprogram_catalog_language_spCatalogId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_catalog_language","gnidsId","sourceprogram_catalog_language_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_catalog_market","spCatalogId","sourceprogram_catalog_market_spCatalogId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_catalog_market","gnidsId","sourceprogram_catalog_market_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_title","gnidsId","sourceprogram_title_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_description","gnidsId","sourceprogram_description_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_cast","gnidsId","sourceprogram_cast_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_crew","gnidsId","sourceprogram_crew_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_country","gnidsId","sourceprogram_country_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_genre","gnidsId","sourceprogram_genre_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_rating","gnidsId","sourceprogram_rating_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_rating_advisory","spRatingId","sourceprogram_rating_advisory_spRatingId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_rating_advisory","gnidsId","sourceprogram_rating_advisory_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_mvinfo","gnidsId","sourceprogram_mvinfo_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_epinfo","gnidsId","sourceprogram_epinfo_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season","gnidsId","sourceprogram_season_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_title","spSeasonId","sourceprogram_season_title_spSeasonId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_title","gnidsId","sourceprogram_season_title_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_desc","spSeasonId","sourceprogram_season_desc_spSeasonId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_desc","gnidsId","sourceprogram_season_desc_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_cast","spSeasonId","sourceprogram_season_cast_spSeasonId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_cast","gnidsId","sourceprogram_season_cast_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_crew","spSeasonId","sourceprogram_season_crew_spSeasonId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_crew","gnidsId","sourceprogram_season_crew_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_asset","spSeasonId","sourceprogram_season_asset_spSeasonId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_asset","gnidsId","sourceprogram_season_asset_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_asset_id","spAssetId","sourceprogram_season_asset_id_spAssetId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_asset_id","gnidsId","sourceprogram_season_asset_id_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_asset_language","spAssetId","sourceprogram_season_asset_language_spAssetId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_asset_language","gnidsId","sourceprogram_season_asset_language_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_asset_market","spAssetId","sourceprogram_season_asset_market_spAssetId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_asset_market","gnidsId","sourceprogram_season_asset_market_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_asset_extattr","spAssetId","sourceprogram_season_asset_extattr_spAssetId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_asset_extattr","gnidsId","sourceprogram_season_asset_extattr_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_asset_tag","spAssetId","sourceprogram_season_asset_tag_spAssetId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_asset_tag","gnidsId","sourceprogram_season_asset_tag_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_xid","spSeasonId","sourceprogram_season_xid_spSeasonId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_season_xid","gnidsId","sourceprogram_season_xid_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_asset","gnidsId","sourceprogram_asset_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_asset_id","spAssetId","sourceprogram_asset_id_spAssetId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_asset_id","gnidsId","sourceprogram_asset_id_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_asset_language","spAssetId","sourceprogram_asset_language_spAssetId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_asset_language","gnidsId","sourceprogram_asset_language_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_asset_market","spAssetId","sourceprogram_asset_market_spAssetId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_asset_market","gnidsId","sourceprogram_asset_market_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_asset_extattr","spAssetId","sourceprogram_asset_extattr_spAssetId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_asset_extattr","gnidsId","sourceprogram_asset_extattr_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_asset_tag","spAssetId","sourceprogram_asset_tag_spAssetId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_asset_tag","gnidsId","sourceprogram_asset_tag_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "sourceprogram_xid","gnidsId","sourceprogram_xid_gnidsId" );;
CALL {0}.CreateIndexIfNotExists( "team_genre","teamId","team_genre_teamId" );;
CALL {0}.CreateIndexIfNotExists( "teambrand_name","teamBrandId","teambrand_name_teamBrandId" );;
CALL {0}.CreateIndexIfNotExists( "teambrand_asset","teamBrandId","teambrand_asset_teamBrandId" );;
CALL {0}.CreateIndexIfNotExists( "sportsorg_asset","organizationId","sportsorg_asset_organizationId" );;
CALL {0}.CreateIndexIfNotExists( "sportsorg_conf","organizationId","sportsorg_conf_organizationId" );;
CALL {0}.CreateIndexIfNotExists( "sportsorg_conf_asset","confId","sportsorg_conf_asset_confId" );;
CALL {0}.CreateIndexIfNotExists( "sportsorg_conf_asset","organizationId","sportsorg_conf_asset_organizationId" );;
CALL {0}.CreateIndexIfNotExists( "sportsorg_div","organizationId","sportsorg_div_organizationId" );;
CALL {0}.CreateIndexIfNotExists( "sportsorg_teambrand","organizationId","sportsorg_teambrand_organizationId" );;
CALL {0}.CreateIndexIfNotExists( "sportsorg_teambrand","teamId","sportsorg_teambrand_teamId" );;
CALL {0}.CreateIndexIfNotExists( "sportsorg_teambrand","teamBrandId","sportsorg_teambrand_teamBrandId" );;
CALL {0}.CreateIndexIfNotExists( "sportsorg_event","organizationId","sportsorg_event_organizationId" );;
CALL {0}.CreateIndexIfNotExists( "university_name","universityId","university_name_universityId" );;
CALL {0}.CreateIndexIfNotExists( "university_asset","universityId","university_asset_universityId" );;
CALL {0}.CreateIndexIfNotExists( "venuebrand_name","venueBrandId","venuebrand_name_venueBrandId" );;
CALL {0}.CreateIndexIfNotExists( "schedule_event","scheduleId","schedule_event_scheduleId" );;
CALL {0}.CreateIndexIfNotExists( "schedule_event","TMSId","schedule_event_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "schedule_event","rootId","schedule_event_rootId" );;
CALL {0}.CreateIndexIfNotExists( "schedule_event_bcastid","eventId","schedule_event_bcastid_eventId" );;
CALL {0}.CreateIndexIfNotExists( "schedule_event_bcastid","scheduleId","schedule_event_bcastid_scheduleId" );;
CALL {0}.CreateIndexIfNotExists( "schedule_event_right","eventId","schedule_event_right_eventId" );;
CALL {0}.CreateIndexIfNotExists( "schedule_event_right","scheduleId","schedule_event_right_scheduleId" );;
CALL {0}.CreateIndexIfNotExists( "schedule_event_right_param","rightId","schedule_event_right_param_rightId" );;
CALL {0}.CreateIndexIfNotExists( "schedule_event_right_param","scheduleId","schedule_event_right_param_scheduleId" );;
CALL {0}.CreateIndexIfNotExists( "vdannotation_descriptor","TMSId","vdannotation_descriptor_TMSId" );;
CALL {0}.CreateIndexIfNotExists( "vdannotation_descriptor","descriptorId","vdannotation_descriptor_descriptorId" );;