
DROP PROCEDURE IF EXISTS {0}.DropIndexIfExists;;
CREATE PROCEDURE {0}.DropIndexIfExists(
    IN my_table_name VARCHAR(128),
    IN my_idx_name VARCHAR(128) )
BEGIN
    IF EXISTS ( SELECT 1 FROM INFORMATION_SCHEMA.STATISTICS
        WHERE TABLE_SCHEMA = SCHEMA()
          AND INDEX_NAME = my_idx_name )
    THEN
        SET @query = CONCAT("DROP INDEX `", my_idx_name, "` ON ", my_table_name, ";");
        PREPARE stmt FROM @query;
        EXECUTE stmt;
        DEALLOCATE PREPARE stmt;
    END IF;
END;;

CALL {0}.DropIndexIfExists( "cv","cv_id" );;
CALL {0}.DropIndexIfExists( "lineup","lineup_country" );;
CALL {0}.DropIndexIfExists( "lineup","lineup_countryId" );;
CALL {0}.DropIndexIfExists( "lineup","lineup_msoId" );;
CALL {0}.DropIndexIfExists( "lineup","lineup_type" );;
CALL {0}.DropIndexIfExists( "descriptor","descriptor_parent_descriptorId" );;
CALL {0}.DropIndexIfExists( "season","season_seasonId" );;
CALL {0}.DropIndexIfExists( "season","season_origNetwork_prgSvcId" );;
CALL {0}.DropIndexIfExists( "program","program_rootId" );;
CALL {0}.DropIndexIfExists( "program","program_connectorId" );;
CALL {0}.DropIndexIfExists( "program","program_seasonId" );;
CALL {0}.DropIndexIfExists( "program","program_seriesId" );;
CALL {0}.DropIndexIfExists( "program","program_title_lang" );;
CALL {0}.DropIndexIfExists( "program","program_desc_lang" );;
CALL {0}.DropIndexIfExists( "program","program_progType" );;
CALL {0}.DropIndexIfExists( "program","program_subType" );;
CALL {0}.DropIndexIfExists( "program","program_origAirDate" );;
CALL {0}.DropIndexIfExists( "program","program_origNetwork_prgSvcId" );;
CALL {0}.DropIndexIfExists( "program","program_lastOrigNetwork_prgSvcId" );;
CALL {0}.DropIndexIfExists( "availability","availability_prgSvcId" );;
CALL {0}.DropIndexIfExists( "availability","availability_catalogName" );;
CALL {0}.DropIndexIfExists( "mapping","mapping_catalogName" );;
CALL {0}.DropIndexIfExists( "schedule","schedule_prgSvcId" );;
CALL {0}.DropIndexIfExists( "schedule","schedule_date" );;
CALL {0}.DropIndexIfExists( "sourceprogram","sourceprogram_TMSId" );;
CALL {0}.DropIndexIfExists( "sourceprogram","sourceprogram_desc_lang" );;
CALL {0}.DropIndexIfExists( "sourceprogram","sourceprogram_progType" );;
CALL {0}.DropIndexIfExists( "sourceprogram","sourceprogram_subType" );;
CALL {0}.DropIndexIfExists( "sourceprogram","sourceprogram_sourceDataProviderId" );;
CALL {0}.DropIndexIfExists( "popularity","popularity_rootId" );;
CALL {0}.DropIndexIfExists( "venuebrand","venuebrand_venueId" );;
CALL {0}.DropIndexIfExists( "sportsorg","sportsorg_rootId" );;
CALL {0}.DropIndexIfExists( "team","team_sportGId" );;
CALL {0}.DropIndexIfExists( "team","team_venueId" );;
CALL {0}.DropIndexIfExists( "team","team_universityId" );;
CALL {0}.DropIndexIfExists( "teambrand","teambrand_teamId" );;
CALL {0}.DropIndexIfExists( "vdannotation","vdannotation_rootId" );;
CALL {0}.DropIndexIfExists( "cv_attribute","cv_attribute_cvId" );;
CALL {0}.DropIndexIfExists( "source_country","source_country_prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_altname","source_altname_prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_attribute","source_attribute_prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_edlang","source_edlang_prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_bcastlang","source_bcastlang_prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_relationship","source_relationship_prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_relationship","source_relationship_relationship" );;
CALL {0}.DropIndexIfExists( "source_affiliate","source_affiliate_prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_affiliate","source_affiliate_affil_prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_asset","source_asset_prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_marketid","source_marketid_prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_genre","source_genre_prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_genre","source_genre_genreId" );;
CALL {0}.DropIndexIfExists( "source_group","source_group_prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_transportid","source_transportid_prgSvcId" );;
CALL {0}.DropIndexIfExists( "lineup_channel","lineup_channel_lineupId" );;
CALL {0}.DropIndexIfExists( "lineup_channel","lineup_channel_prgSvcId" );;
CALL {0}.DropIndexIfExists( "lineup_channel_transport","lineup_channel_transport_channelId" );;
CALL {0}.DropIndexIfExists( "lineup_channel_transport","lineup_channel_transport_lineupId" );;
CALL {0}.DropIndexIfExists( "lineup_channel_transport_id","lineup_channel_transport_id_transportId" );;
CALL {0}.DropIndexIfExists( "lineup_channel_transport_id","lineup_channel_transport_id_lineupId" );;
CALL {0}.DropIndexIfExists( "lineup_channel_transport_id","lineup_channel_transport_id_id" );;
CALL {0}.DropIndexIfExists( "lineup_postalcode","lineup_postalcode_lineupId" );;
CALL {0}.DropIndexIfExists( "lineup_postalcode","lineup_postalcode_postalCode" );;
CALL {0}.DropIndexIfExists( "lineup_market","lineup_market_lineupId" );;
CALL {0}.DropIndexIfExists( "celebrity_name","celebrity_name_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_name","celebrity_name_nameId" );;
CALL {0}.DropIndexIfExists( "celebrity_award","celebrity_award_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_award","celebrity_award_rootId" );;
CALL {0}.DropIndexIfExists( "celebrity_asset","celebrity_asset_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_mediography","celebrity_mediography_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_mediography","celebrity_mediography_rootId" );;
CALL {0}.DropIndexIfExists( "celebrity_mediography_credit","celebrity_mediography_credit_mediographyId" );;
CALL {0}.DropIndexIfExists( "celebrity_mediography_credit","celebrity_mediography_credit_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_participanttype","celebrity_participanttype_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_biography","celebrity_biography_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_relationship","celebrity_relationship_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_relationship","celebrity_relationship_rel_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_relationshipevent","celebrity_relationshipevent_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_education","celebrity_education_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_milestone","celebrity_milestone_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_note","celebrity_note_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_quote","celebrity_quote_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_highlight","celebrity_highlight_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_socialmedia","celebrity_socialmedia_personId" );;
CALL {0}.DropIndexIfExists( "celebrity_enhancedaward","celebrity_enhancedaward_personId" );;
CALL {0}.DropIndexIfExists( "descriptortaxonomy_descriptor","descriptortaxonomy_descriptor_taxonomyId" );;
CALL {0}.DropIndexIfExists( "descriptortaxonomy_descriptor","descriptortaxonomy_descriptor_descriptorId" );;
CALL {0}.DropIndexIfExists( "season_title","season_title_seasonTMSId" );;
CALL {0}.DropIndexIfExists( "season_description","season_description_seasonTMSId" );;
CALL {0}.DropIndexIfExists( "season_cast","season_cast_seasonTMSId" );;
CALL {0}.DropIndexIfExists( "season_cast","season_cast_personId" );;
CALL {0}.DropIndexIfExists( "season_crew","season_crew_seasonTMSId" );;
CALL {0}.DropIndexIfExists( "season_crew","season_crew_personId" );;
CALL {0}.DropIndexIfExists( "season_asset","season_asset_seasonTMSId" );;
CALL {0}.DropIndexIfExists( "season_asset_id","season_asset_id_seasonAssetId" );;
CALL {0}.DropIndexIfExists( "season_asset_id","season_asset_id_seasonTMSId" );;
CALL {0}.DropIndexIfExists( "program_season","program_season_TMSId" );;
CALL {0}.DropIndexIfExists( "program_season","program_season_seasonTMSId" );;
CALL {0}.DropIndexIfExists( "program_title","program_title_TMSId" );;
CALL {0}.DropIndexIfExists( "program_description","program_description_TMSId" );;
CALL {0}.DropIndexIfExists( "program_cast","program_cast_TMSId" );;
CALL {0}.DropIndexIfExists( "program_cast","program_cast_personId" );;
CALL {0}.DropIndexIfExists( "program_crew","program_crew_TMSId" );;
CALL {0}.DropIndexIfExists( "program_crew","program_crew_personId" );;
CALL {0}.DropIndexIfExists( "program_country","program_country_TMSId" );;
CALL {0}.DropIndexIfExists( "program_award","program_award_TMSId" );;
CALL {0}.DropIndexIfExists( "program_genre","program_genre_TMSId" );;
CALL {0}.DropIndexIfExists( "program_genre","program_genre_genreId" );;
CALL {0}.DropIndexIfExists( "program_rating","program_rating_TMSId" );;
CALL {0}.DropIndexIfExists( "program_qualityrating","program_qualityrating_TMSId" );;
CALL {0}.DropIndexIfExists( "program_ratingadvisory","program_ratingadvisory_TMSId" );;
CALL {0}.DropIndexIfExists( "program_mvinfo","program_mvinfo_TMSId" );;
CALL {0}.DropIndexIfExists( "program_mvtrailer","program_mvtrailer_TMSId" );;
CALL {0}.DropIndexIfExists( "program_epinfo","program_epinfo_TMSId" );;
CALL {0}.DropIndexIfExists( "program_epinfo_alt","program_epinfo_alt_episodeInfoId" );;
CALL {0}.DropIndexIfExists( "program_epinfo_alt","program_epinfo_alt_TMSId" );;
CALL {0}.DropIndexIfExists( "program_epinfo_alt","program_epinfo_alt_prgSvcId" );;
CALL {0}.DropIndexIfExists( "program_spinfo","program_spinfo_TMSId" );;
CALL {0}.DropIndexIfExists( "program_spinfo","program_spinfo_gameDate" );;
CALL {0}.DropIndexIfExists( "program_spteam","program_spteam_TMSId" );;
CALL {0}.DropIndexIfExists( "program_spteam","program_spteam_teamBrandId" );;
CALL {0}.DropIndexIfExists( "program_spevent","program_spevent_TMSId" );;
CALL {0}.DropIndexIfExists( "program_spdata","program_spdata_TMSId" );;
CALL {0}.DropIndexIfExists( "program_spdata","program_spdata_sportGId" );;
CALL {0}.DropIndexIfExists( "program_spdata_event","program_spdata_event_sportsDataId" );;
CALL {0}.DropIndexIfExists( "program_spdata_event","program_spdata_event_TMSId" );;
CALL {0}.DropIndexIfExists( "program_asset","program_asset_TMSId" );;
CALL {0}.DropIndexIfExists( "program_asset_id","program_asset_id_programAssetId" );;
CALL {0}.DropIndexIfExists( "program_asset_id","program_asset_id_TMSId" );;
CALL {0}.DropIndexIfExists( "program_release","program_release_TMSId" );;
CALL {0}.DropIndexIfExists( "program_release","program_release_prgSvcId" );;
CALL {0}.DropIndexIfExists( "program_release_attribute","program_release_attribute_releaseId" );;
CALL {0}.DropIndexIfExists( "program_release_attribute","program_release_attribute_TMSId" );;
CALL {0}.DropIndexIfExists( "program_release_distributor","program_release_distributor_releaseId" );;
CALL {0}.DropIndexIfExists( "program_release_distributor","program_release_distributor_TMSId" );;
CALL {0}.DropIndexIfExists( "program_relationship","program_relationship_TMSId" );;
CALL {0}.DropIndexIfExists( "program_relationship","program_relationship_rootId" );;
CALL {0}.DropIndexIfExists( "program_relationship","program_relationship_organizationId" );;
CALL {0}.DropIndexIfExists( "program_relationship","program_relationship_personId" );;
CALL {0}.DropIndexIfExists( "program_externallink","program_externallink_TMSId" );;
CALL {0}.DropIndexIfExists( "program_descriptor","program_descriptor_TMSId" );;
CALL {0}.DropIndexIfExists( "program_descriptor","program_descriptor_descriptorId" );;
CALL {0}.DropIndexIfExists( "program_origaudiolang","program_origaudiolang_TMSId" );;
CALL {0}.DropIndexIfExists( "availability_id","availability_id_availabilityId" );;
CALL {0}.DropIndexIfExists( "availability_id","availability_id_id" );;
CALL {0}.DropIndexIfExists( "availability_url","availability_url_availabilityId" );;
CALL {0}.DropIndexIfExists( "availability_viewingoption","availability_viewingoption_availabilityId" );;
CALL {0}.DropIndexIfExists( "availability_providerdata","availability_providerdata_availabilityId" );;
CALL {0}.DropIndexIfExists( "mapping_id","mapping_id_mappingId" );;
CALL {0}.DropIndexIfExists( "mapping_id","mapping_id_id" );;
CALL {0}.DropIndexIfExists( "mapping_link","mapping_link_mappingId" );;
CALL {0}.DropIndexIfExists( "mapping_link","mapping_link_link" );;
CALL {0}.DropIndexIfExists( "sourceprogram_label","sourceprogram_label_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_versionlabel","sourceprogram_versionlabel_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog","sourceprogram_catalog_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog_language","sourceprogram_catalog_language_spCatalogId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog_language","sourceprogram_catalog_language_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog_market","sourceprogram_catalog_market_spCatalogId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog_market","sourceprogram_catalog_market_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_title","sourceprogram_title_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_description","sourceprogram_description_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_cast","sourceprogram_cast_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_crew","sourceprogram_crew_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_country","sourceprogram_country_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_genre","sourceprogram_genre_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_rating","sourceprogram_rating_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_rating_advisory","sourceprogram_rating_advisory_spRatingId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_rating_advisory","sourceprogram_rating_advisory_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_mvinfo","sourceprogram_mvinfo_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_epinfo","sourceprogram_epinfo_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season","sourceprogram_season_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_title","sourceprogram_season_title_spSeasonId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_title","sourceprogram_season_title_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_desc","sourceprogram_season_desc_spSeasonId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_desc","sourceprogram_season_desc_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_cast","sourceprogram_season_cast_spSeasonId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_cast","sourceprogram_season_cast_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_crew","sourceprogram_season_crew_spSeasonId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_crew","sourceprogram_season_crew_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset","sourceprogram_season_asset_spSeasonId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset","sourceprogram_season_asset_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_id","sourceprogram_season_asset_id_spAssetId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_id","sourceprogram_season_asset_id_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_language","sourceprogram_season_asset_language_spAssetId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_language","sourceprogram_season_asset_language_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_market","sourceprogram_season_asset_market_spAssetId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_market","sourceprogram_season_asset_market_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_extattr","sourceprogram_season_asset_extattr_spAssetId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_extattr","sourceprogram_season_asset_extattr_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_tag","sourceprogram_season_asset_tag_spAssetId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_tag","sourceprogram_season_asset_tag_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_xid","sourceprogram_season_xid_spSeasonId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_xid","sourceprogram_season_xid_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset","sourceprogram_asset_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_id","sourceprogram_asset_id_spAssetId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_id","sourceprogram_asset_id_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_language","sourceprogram_asset_language_spAssetId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_language","sourceprogram_asset_language_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_market","sourceprogram_asset_market_spAssetId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_market","sourceprogram_asset_market_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_extattr","sourceprogram_asset_extattr_spAssetId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_extattr","sourceprogram_asset_extattr_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_tag","sourceprogram_asset_tag_spAssetId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_tag","sourceprogram_asset_tag_gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_xid","sourceprogram_xid_gnidsId" );;
CALL {0}.DropIndexIfExists( "team_genre","team_genre_teamId" );;
CALL {0}.DropIndexIfExists( "teambrand_name","teambrand_name_teamBrandId" );;
CALL {0}.DropIndexIfExists( "teambrand_asset","teambrand_asset_teamBrandId" );;
CALL {0}.DropIndexIfExists( "sportsorg_asset","sportsorg_asset_organizationId" );;
CALL {0}.DropIndexIfExists( "sportsorg_conf","sportsorg_conf_organizationId" );;
CALL {0}.DropIndexIfExists( "sportsorg_conf_asset","sportsorg_conf_asset_confId" );;
CALL {0}.DropIndexIfExists( "sportsorg_conf_asset","sportsorg_conf_asset_organizationId" );;
CALL {0}.DropIndexIfExists( "sportsorg_div","sportsorg_div_organizationId" );;
CALL {0}.DropIndexIfExists( "sportsorg_teambrand","sportsorg_teambrand_organizationId" );;
CALL {0}.DropIndexIfExists( "sportsorg_teambrand","sportsorg_teambrand_teamId" );;
CALL {0}.DropIndexIfExists( "sportsorg_teambrand","sportsorg_teambrand_teamBrandId" );;
CALL {0}.DropIndexIfExists( "sportsorg_event","sportsorg_event_organizationId" );;
CALL {0}.DropIndexIfExists( "university_name","university_name_universityId" );;
CALL {0}.DropIndexIfExists( "university_asset","university_asset_universityId" );;
CALL {0}.DropIndexIfExists( "venuebrand_name","venuebrand_name_venueBrandId" );;
CALL {0}.DropIndexIfExists( "schedule_event","schedule_event_scheduleId" );;
CALL {0}.DropIndexIfExists( "schedule_event","schedule_event_TMSId" );;
CALL {0}.DropIndexIfExists( "schedule_event","schedule_event_rootId" );;
CALL {0}.DropIndexIfExists( "schedule_event_bcastid","schedule_event_bcastid_eventId" );;
CALL {0}.DropIndexIfExists( "schedule_event_bcastid","schedule_event_bcastid_scheduleId" );;
CALL {0}.DropIndexIfExists( "schedule_event_right","schedule_event_right_eventId" );;
CALL {0}.DropIndexIfExists( "schedule_event_right","schedule_event_right_scheduleId" );;
CALL {0}.DropIndexIfExists( "schedule_event_right_param","schedule_event_right_param_rightId" );;
CALL {0}.DropIndexIfExists( "schedule_event_right_param","schedule_event_right_param_scheduleId" );;
CALL {0}.DropIndexIfExists( "vdannotation_descriptor","vdannotation_descriptor_TMSId" );;
CALL {0}.DropIndexIfExists( "vdannotation_descriptor","vdannotation_descriptor_descriptorId" );;