-- MySQL dump 10.13  Distrib 8.0.33, for macos13 (x86_64)
--
-- Host: 127.0.0.1    Database: {0}
-- ------------------------------------------------------
-- Server version	8.0.33

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `{0}`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `{0}` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;

USE `{0}`;

--
-- Table structure for table `availability`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `availability` (
  `availabilityId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `prgSvcId` int DEFAULT NULL,
  `catalogName` varchar(255) DEFAULT NULL,
  `videoQuality` varchar(255) DEFAULT NULL,
  `availableFrom` datetime DEFAULT NULL,
  `expiresAt` datetime DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `availability_id`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `availability_id` (
  `availabilityId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `id` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `availability_providerdata`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `availability_providerdata` (
  `availabilityId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `availability_url`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `availability_url` (
  `availabilityId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `url` varchar(500) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `availability_viewingoption`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `availability_viewingoption` (
  `availabilityId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `videoQuality` varchar(255) DEFAULT NULL,
  `license` varchar(255) DEFAULT NULL,
  `price` float DEFAULT NULL,
  `currency` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `gender` varchar(255) DEFAULT NULL,
  `nationality` varchar(255) DEFAULT NULL,
  `ethnicity` varchar(255) DEFAULT NULL,
  `birthName` varchar(255) DEFAULT NULL,
  `birthPlace` varchar(255) DEFAULT NULL,
  `birthDate` varchar(255) DEFAULT NULL,
  `deathDate` varchar(255) DEFAULT NULL,
  `deathPlace` varchar(255) DEFAULT NULL,
  `deathCause` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_asset`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_asset` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `assetUpdateId` bigint DEFAULT NULL,
  `assetId` varchar(255) DEFAULT NULL,
  `deleted` int DEFAULT NULL,
  `lastModified` datetime DEFAULT NULL,
  `expiredDate` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `width` int DEFAULT NULL,
  `height` int DEFAULT NULL,
  `primary` int DEFAULT NULL,
  `category` varchar(255) NOT NULL,
  `ratio` varchar(255) DEFAULT NULL,
  `provider` varchar(255) DEFAULT NULL,
  `URI` varchar(255) NOT NULL,
  `caption` varchar(4000) DEFAULT NULL,
  `caption_lang` varchar(255) DEFAULT NULL,
  `enhRank` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_award`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_award` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `won` int DEFAULT NULL,
  `rootId` int DEFAULT NULL,
  `award` varchar(255) NOT NULL,
  `awardId` int NOT NULL,
  `category` varchar(255) NOT NULL,
  `awardCatId` int NOT NULL,
  `year` varchar(255) DEFAULT NULL,
  `recipient` varchar(255) DEFAULT NULL,
  `recipientNameId` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_biography`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_biography` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `biography` text NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `territory` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_education`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_education` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `degree` varchar(255) DEFAULT NULL,
  `institution` varchar(255) DEFAULT NULL,
  `location` varchar(255) DEFAULT NULL,
  `major` varchar(255) DEFAULT NULL,
  `yearRange` varchar(255) DEFAULT NULL,
  `notes` varchar(1000) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_enhancedaward`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_enhancedaward` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `group` varchar(255) DEFAULT NULL,
  `category` varchar(255) DEFAULT NULL,
  `year` varchar(255) DEFAULT NULL,
  `result` varchar(255) DEFAULT NULL,
  `project_title` varchar(255) DEFAULT NULL,
  `showTitle` varchar(255) DEFAULT NULL,
  `notes` varchar(500) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_highlight`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_highlight` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `highlight` varchar(1000) DEFAULT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_mediography`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_mediography` (
  `mediographyId` varchar(255) NOT NULL,
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `rootId` int DEFAULT NULL,
  `year` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `title_type` varchar(255) DEFAULT NULL,
  `title_subType` varchar(255) DEFAULT NULL,
  `title_lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_mediography_credit`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_mediography_credit` (
  `mediographyId` varchar(255) NOT NULL,
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `nameId` int DEFAULT NULL,
  `characterName` varchar(255) DEFAULT NULL,
  `roleId` int DEFAULT NULL,
  `role` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_milestone`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_milestone` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `beginDate` varchar(255) DEFAULT NULL,
  `endDate` varchar(255) DEFAULT NULL,
  `description` varchar(4000) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_name`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_name` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `nameId` int NOT NULL,
  `primary` int DEFAULT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `sort` int DEFAULT NULL,
  `prefix` varchar(255) DEFAULT NULL,
  `first` varchar(255) DEFAULT NULL,
  `middle` varchar(255) DEFAULT NULL,
  `last` varchar(255) DEFAULT NULL,
  `suffix` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_note`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_note` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `note` varchar(4000) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_participanttype`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_participanttype` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `participantType` varchar(255) DEFAULT NULL,
  `isPrimary` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_quote`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_quote` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `description` varchar(4000) DEFAULT NULL,
  `beginDate` varchar(255) DEFAULT NULL,
  `endDate` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_relationship`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_relationship` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `relationship` varchar(255) DEFAULT NULL,
  `rel_personId` int DEFAULT NULL,
  `name_prefix` varchar(255) DEFAULT NULL,
  `name_first` varchar(255) DEFAULT NULL,
  `name_middle` varchar(255) DEFAULT NULL,
  `name_last` varchar(255) DEFAULT NULL,
  `name_suffix` varchar(255) DEFAULT NULL,
  `name_aka` varchar(255) DEFAULT NULL,
  `description` varchar(4000) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_relationshipevent`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_relationshipevent` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `relationship` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `event_type` varchar(255) DEFAULT NULL,
  `event_date` varchar(255) DEFAULT NULL,
  `event_desc` varchar(500) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `celebrity_socialmedia`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `celebrity_socialmedia` (
  `personId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `handle` varchar(255) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `URL` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cv`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `cv` (
  `cvId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `cvType` varchar(255) NOT NULL,
  `id` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cv_attribute`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `cv_attribute` (
  `cvId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `attributeId` varchar(255) DEFAULT NULL,
  `attributeType` varchar(255) DEFAULT NULL,
  `attributeLang` varchar(255) DEFAULT NULL,
  `attributeValue` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `descriptor`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `descriptor` (
  `descriptorId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `descriptorName` varchar(255) NOT NULL,
  `parent_descriptorId` varchar(255) DEFAULT NULL,
  `typeId` varchar(255) NOT NULL,
  `typeName` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `descriptortaxonomy`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `descriptortaxonomy` (
  `taxonomyId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `descriptortaxonomy_descriptor`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `descriptortaxonomy_descriptor` (
  `taxonomyId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `descriptorId` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lineup`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `lineup` (
  `lineupId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `country` varchar(255) DEFAULT NULL,
  `countryId` int DEFAULT NULL,
  `mso` varchar(255) DEFAULT NULL,
  `msoId` int DEFAULT NULL,
  `headend` varchar(255) DEFAULT NULL,
  `headendId` varchar(255) DEFAULT NULL,
  `location` varchar(255) DEFAULT NULL,
  `device` varchar(255) DEFAULT NULL,
  `deviceType` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lineup_channel`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `lineup_channel` (
  `channelId` varchar(255) NOT NULL,
  `lineupId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `prgSvcId` int DEFAULT NULL,
  `channelNumber` varchar(255) DEFAULT NULL,
  `effectiveDate` datetime DEFAULT NULL,
  `expirationDate` datetime DEFAULT NULL,
  `tier` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lineup_channel_transport`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `lineup_channel_transport` (
  `transportId` varchar(255) NOT NULL,
  `channelId` varchar(255) NOT NULL,
  `lineupId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `system` varchar(255) NOT NULL,
  `subSystem` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lineup_channel_transport_id`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `lineup_channel_transport_id` (
  `transportId` varchar(255) NOT NULL,
  `lineupId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `type` varchar(255) NOT NULL,
  `id` int NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lineup_market`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `lineup_market` (
  `lineupId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `market` varchar(255) DEFAULT NULL,
  `marketId` int DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lineup_postalcode`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `lineup_postalcode` (
  `lineupId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `postalCode` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mapping`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `mapping` (
  `mappingId` bigint NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `creationDate` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `catalogName` varchar(255) DEFAULT NULL,
  `avail_start` datetime DEFAULT NULL,
  `avail_end` datetime DEFAULT NULL,
  `message_reason` varchar(255) DEFAULT NULL,
  `message_detail` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mapping_id`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `mapping_id` (
  `mappingId` bigint NOT NULL,
  `updateId` bigint NOT NULL,
  `id` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `mapping_link`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `mapping_link` (
  `mappingId` bigint NOT NULL,
  `updateId` bigint NOT NULL,
  `link` varchar(255) NOT NULL,
  `idType` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `popularity`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `popularity` (
  `popularityId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `country` varchar(255) NOT NULL,
  `rootId` int NOT NULL,
  `score` float NOT NULL,
  `scoreDate` datetime DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `inactive` int DEFAULT NULL,
  `rootId` int DEFAULT NULL,
  `versionId` int DEFAULT NULL,
  `connectorId` varchar(255) DEFAULT NULL,
  `seasonId` int DEFAULT NULL,
  `seriesId` int DEFAULT NULL,
  `title_lang` varchar(255) NOT NULL,
  `desc_lang` varchar(255) NOT NULL,
  `title_subType` varchar(255) NOT NULL,
  `runTime` varchar(255) DEFAULT NULL,
  `progType` varchar(255) DEFAULT NULL,
  `subType` varchar(255) DEFAULT NULL,
  `holiday` varchar(255) DEFAULT NULL,
  `holidayId` int DEFAULT NULL,
  `origAirDate` varchar(255) DEFAULT NULL,
  `colorCode` varchar(255) DEFAULT NULL,
  `versionLabel` varchar(255) DEFAULT NULL,
  `animation` varchar(255) DEFAULT NULL,
  `origAudioLang` varchar(255) DEFAULT NULL,
  `sourceType` varchar(255) DEFAULT NULL,
  `origNetwork` varchar(255) DEFAULT NULL,
  `origNetwork_prgSvcId` int DEFAULT NULL,
  `lastOrigNetwork` varchar(255) DEFAULT NULL,
  `lastOrigNetwork_prgSvcId` int DEFAULT NULL,
  `seriesPremiere` varchar(255) DEFAULT NULL,
  `seriesFinale` varchar(255) DEFAULT NULL,
  `showcard` int DEFAULT NULL,
  `officialURL` varchar(255) DEFAULT NULL,
  `partNumber` int DEFAULT NULL,
  `totalParts` int DEFAULT NULL,
  `duration` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_asset`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_asset` (
  `programAssetId` varchar(255) NOT NULL,
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `assetUpdateId` bigint DEFAULT NULL,
  `assetId` varchar(255) NOT NULL,
  `deleted` int DEFAULT NULL,
  `lastModified` datetime DEFAULT NULL,
  `expiredDate` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `width` int DEFAULT NULL,
  `height` int DEFAULT NULL,
  `primary` int DEFAULT NULL,
  `category` varchar(255) NOT NULL,
  `ratio` varchar(255) DEFAULT NULL,
  `tier` varchar(255) DEFAULT NULL,
  `seasonId` int DEFAULT NULL,
  `restrictedProvider` int DEFAULT NULL,
  `provider` varchar(255) DEFAULT NULL,
  `URI` varchar(255) NOT NULL,
  `caption` varchar(1000) DEFAULT NULL,
  `caption_lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_asset_id`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_asset_id` (
  `programAssetId` varchar(255) NOT NULL,
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `id` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_award`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_award` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `won` int DEFAULT NULL,
  `award` varchar(255) NOT NULL,
  `awardId` int NOT NULL,
  `category` varchar(255) NOT NULL,
  `awardCatId` int NOT NULL,
  `year` varchar(255) DEFAULT NULL,
  `recipient` varchar(255) DEFAULT NULL,
  `recipientNameId` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_cast`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_cast` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `ord` int NOT NULL,
  `personId` int DEFAULT NULL,
  `nameId` int DEFAULT NULL,
  `characterName` varchar(255) DEFAULT NULL,
  `roleId` int DEFAULT NULL,
  `role` varchar(255) DEFAULT NULL,
  `departed` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_country`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_country` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `country` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_crew`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_crew` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `ord` int NOT NULL,
  `personId` int DEFAULT NULL,
  `nameId` int DEFAULT NULL,
  `roleId` int DEFAULT NULL,
  `role` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_description`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_description` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `description` text NOT NULL,
  `size` int NOT NULL,
  `type` varchar(255) NOT NULL,
  `lang` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_descriptor`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_descriptor` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `ord` int DEFAULT NULL,
  `descriptorId` varchar(255) DEFAULT NULL,
  `weight` int DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_epinfo`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_epinfo` (
  `episodeInfoId` varchar(255) NOT NULL,
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `size` int DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `subType` varchar(255) DEFAULT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `season` int DEFAULT NULL,
  `number` int DEFAULT NULL,
  `episodes` varchar(255) DEFAULT NULL,
  `numInSeries` int DEFAULT NULL,
  `seasonYear` int DEFAULT NULL,
  `synNum` varchar(255) DEFAULT NULL,
  `altSynNum` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_epinfo_alt`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_epinfo_alt` (
  `episodeInfoId` varchar(255) NOT NULL,
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `country` varchar(255) DEFAULT NULL,
  `countrywide` int DEFAULT NULL,
  `prgSvcId` int DEFAULT NULL,
  `season` int DEFAULT NULL,
  `episode` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_externallink`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_externallink` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `vendor` varchar(255) DEFAULT NULL,
  `vendorId` varchar(255) DEFAULT NULL,
  `id` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_genre`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_genre` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `genreOrd` int NOT NULL,
  `genre` varchar(255) NOT NULL,
  `genreId` int NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_mvinfo`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_mvinfo` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_mvtrailer`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_mvtrailer` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `format` varchar(255) DEFAULT NULL,
  `URL` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_origaudiolang`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_origaudiolang` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `ord` int DEFAULT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_qualityrating`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_qualityrating` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `ratingsBody` varchar(255) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  `numVotes` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_rating`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_rating` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `exempt` int DEFAULT NULL,
  `rating_code` varchar(255) DEFAULT NULL,
  `ratingBodyId` int DEFAULT NULL,
  `ratingsBody` varchar(255) DEFAULT NULL,
  `warning` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_ratingadvisory`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_ratingadvisory` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `advisory` varchar(255) NOT NULL,
  `ratingsBody` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_relationship`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_relationship` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `association` varchar(255) DEFAULT NULL,
  `rootId` int DEFAULT NULL,
  `organizationId` int DEFAULT NULL,
  `personId` int DEFAULT NULL,
  `personNameId` int DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_release`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_release` (
  `releaseId` varchar(255) NOT NULL,
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `editNotes` varchar(255) DEFAULT NULL,
  `country` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `date` varchar(255) DEFAULT NULL,
  `medium` varchar(255) DEFAULT NULL,
  `prgSvcId` int DEFAULT NULL,
  `seasonYear` varchar(255) DEFAULT NULL,
  `seasonName` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_release_attribute`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_release_attribute` (
  `releaseId` varchar(255) NOT NULL,
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `attribute` varchar(255) NOT NULL,
  `attribute_type` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_release_distributor`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_release_distributor` (
  `releaseId` varchar(255) NOT NULL,
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `name` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_season`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_season` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `seasonTMSId` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_spdata`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_spdata` (
  `sportsDataId` varchar(255) NOT NULL,
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `homeParticipantGId` varchar(255) DEFAULT NULL,
  `awayParticipantGId` varchar(255) DEFAULT NULL,
  `participantType` varchar(255) DEFAULT NULL,
  `sportGId` varchar(255) DEFAULT NULL,
  `venueGId` varchar(255) DEFAULT NULL,
  `gender` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_spdata_event`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_spdata_event` (
  `sportsDataId` varchar(255) NOT NULL,
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `sportsEventGId` varchar(255) NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_spevent`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_spevent` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `eventId` varchar(255) NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_spinfo`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_spinfo` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `gameDate` varchar(255) DEFAULT NULL,
  `gameTime` varchar(255) DEFAULT NULL,
  `gameTimeZone` varchar(255) DEFAULT NULL,
  `venue` varchar(255) DEFAULT NULL,
  `venueBrandId` int DEFAULT NULL,
  `season` varchar(255) DEFAULT NULL,
  `season_type` varchar(255) DEFAULT NULL,
  `playoffRound` varchar(255) DEFAULT NULL,
  `playoffRound_gameNum` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_spteam`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_spteam` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `team` varchar(255) NOT NULL,
  `teamBrandId` int DEFAULT NULL,
  `isHome` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `program_title`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `program_title` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `title` varchar(255) NOT NULL,
  `size` int NOT NULL,
  `type` varchar(255) NOT NULL,
  `subType` varchar(255) DEFAULT NULL,
  `lang` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `schedule`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `schedule` (
  `scheduleId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `prgSvcId` int NOT NULL,
  `date` datetime NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `schedule_event`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `schedule_event` (
  `eventId` varchar(255) NOT NULL,
  `scheduleId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `gnEventId` varchar(255) DEFAULT NULL,
  `TMSId` varchar(255) NOT NULL,
  `time` varchar(255) NOT NULL,
  `dur` varchar(255) NOT NULL,
  `rootId` int DEFAULT NULL,
  `exactStartDateTime` datetime DEFAULT NULL,
  `exactEndDateTime` datetime DEFAULT NULL,
  `exactStart` varchar(255) DEFAULT NULL,
  `exactDur` varchar(255) DEFAULT NULL,
  `exactSource` varchar(255) DEFAULT NULL,
  `subtitled` int DEFAULT NULL,
  `subtitled_lang` varchar(255) DEFAULT NULL,
  `dubbed` int DEFAULT NULL,
  `dubbed_lang` varchar(255) DEFAULT NULL,
  `sap` int DEFAULT NULL,
  `sap_lang` varchar(255) DEFAULT NULL,
  `tvRating` varchar(255) DEFAULT NULL,
  `tvRating_body` varchar(255) DEFAULT NULL,
  `tvSubRating` varchar(255) DEFAULT NULL,
  `tvSubRating_body` varchar(255) DEFAULT NULL,
  `partNum` int DEFAULT NULL,
  `numOfParts` int DEFAULT NULL,
  `netSynSource` varchar(255) DEFAULT NULL,
  `netSynType` varchar(255) DEFAULT NULL,
  `quals` varchar(255) DEFAULT NULL,
  `catchup_validFrom` datetime DEFAULT NULL,
  `catchup_validTo` datetime DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `schedule_event_bcastid`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `schedule_event_bcastid` (
  `eventId` varchar(255) NOT NULL,
  `scheduleId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `broadcastId` varchar(255) NOT NULL,
  `broadcastId_type` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `schedule_event_right`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `schedule_event_right` (
  `rightId` varchar(255) NOT NULL,
  `eventId` varchar(255) NOT NULL,
  `scheduleId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `right` varchar(255) NOT NULL,
  `allowed` int DEFAULT NULL,
  `customer` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `schedule_event_right_param`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `schedule_event_right_param` (
  `rightId` varchar(255) NOT NULL,
  `scheduleId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `type` varchar(255) NOT NULL,
  `param` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `season`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `season` (
  `seasonTMSId` varchar(255) NOT NULL,
  `seasonId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `inactive` int DEFAULT NULL,
  `seasonNumber` int DEFAULT NULL,
  `seasonYear` int DEFAULT NULL,
  `seasonPremiere` varchar(255) DEFAULT NULL,
  `seasonFinale` varchar(255) DEFAULT NULL,
  `origNetwork` varchar(255) DEFAULT NULL,
  `origNetwork_prgSvcId` int DEFAULT NULL,
  `totalSeasonEpisodes` int DEFAULT NULL,
  `showcard` int DEFAULT NULL,
  `officialURL` varchar(255) DEFAULT NULL,
  `title_lang` varchar(255) DEFAULT NULL,
  `desc_lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `season_asset`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `season_asset` (
  `seasonAssetId` varchar(255) NOT NULL,
  `seasonTMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `assetUpdateId` bigint DEFAULT NULL,
  `assetId` varchar(255) NOT NULL,
  `deleted` int DEFAULT NULL,
  `lastModified` datetime DEFAULT NULL,
  `expiredDate` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `width` int DEFAULT NULL,
  `height` int DEFAULT NULL,
  `primary` int DEFAULT NULL,
  `category` varchar(255) NOT NULL,
  `ratio` varchar(255) DEFAULT NULL,
  `tier` varchar(255) DEFAULT NULL,
  `restrictedProvider` int DEFAULT NULL,
  `provider` varchar(255) DEFAULT NULL,
  `seasonId` int DEFAULT NULL,
  `URI` varchar(255) NOT NULL,
  `caption` varchar(1000) DEFAULT NULL,
  `caption_lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `season_asset_id`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `season_asset_id` (
  `seasonAssetId` varchar(255) NOT NULL,
  `seasonTMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `id` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `season_cast`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `season_cast` (
  `seasonTMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `ord` int NOT NULL,
  `personId` int DEFAULT NULL,
  `nameId` int DEFAULT NULL,
  `characterName` varchar(255) DEFAULT NULL,
  `roleId` int DEFAULT NULL,
  `role` varchar(255) DEFAULT NULL,
  `departed` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `season_crew`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `season_crew` (
  `seasonTMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `ord` int NOT NULL,
  `personId` int DEFAULT NULL,
  `nameId` int DEFAULT NULL,
  `roleId` int DEFAULT NULL,
  `role` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `season_description`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `season_description` (
  `seasonTMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `description` text NOT NULL,
  `size` int NOT NULL,
  `type` varchar(255) NOT NULL,
  `lang` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `season_title`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `season_title` (
  `seasonTMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `title` varchar(255) NOT NULL,
  `size` int NOT NULL,
  `type` varchar(255) NOT NULL,
  `subType` varchar(255) DEFAULT NULL,
  `lang` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `inactive` int DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `callSign` varchar(255) NOT NULL,
  `num` int DEFAULT NULL,
  `majorNum` int DEFAULT NULL,
  `minorNum` int DEFAULT NULL,
  `city` varchar(255) DEFAULT NULL,
  `state` varchar(255) DEFAULT NULL,
  `postalCode` varchar(255) DEFAULT NULL,
  `country` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `status` varchar(255) NOT NULL,
  `statusId` int NOT NULL,
  `reach` varchar(255) DEFAULT NULL,
  `signalType` varchar(255) DEFAULT NULL,
  `videoType` varchar(255) DEFAULT NULL,
  `truResolution` varchar(255) DEFAULT NULL,
  `enhancedCallSign` varchar(255) DEFAULT NULL,
  `cityOfLicense` varchar(255) DEFAULT NULL,
  `timeZone` varchar(255) DEFAULT NULL,
  `ianaTimeZone` varchar(255) DEFAULT NULL,
  `URL` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source_affiliate`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source_affiliate` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `affil` varchar(255) NOT NULL,
  `affil_prgSvcId` int DEFAULT NULL,
  `affiliateId` int NOT NULL,
  `ord` int NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source_altname`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source_altname` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `altName` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source_asset`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source_asset` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `assetUpdateId` bigint DEFAULT NULL,
  `assetId` varchar(255) DEFAULT NULL,
  `deleted` int DEFAULT NULL,
  `lastModified` datetime DEFAULT NULL,
  `expiredDate` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `width` int DEFAULT NULL,
  `height` int DEFAULT NULL,
  `primary` int DEFAULT NULL,
  `category` varchar(255) NOT NULL,
  `ratio` varchar(255) DEFAULT NULL,
  `URI` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source_attribute`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source_attribute` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `attrib` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source_bcastlang`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source_bcastlang` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `bcastLang` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source_country`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source_country` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `country` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source_edlang`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source_edlang` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `edLang` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source_genre`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source_genre` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `genre` varchar(255) NOT NULL,
  `genreId` int NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source_group`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source_group` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `group` varchar(255) DEFAULT NULL,
  `groupId` int DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source_marketid`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source_marketid` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `marketId` int NOT NULL,
  `type` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source_relationship`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source_relationship` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `relationship` int NOT NULL,
  `type` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source_transportid`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `source_transportid` (
  `prgSvcId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `system` varchar(255) NOT NULL,
  `subsystem` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `id` int NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram` (
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `TMSId` varchar(255) NOT NULL,
  `desc_lang` varchar(255) DEFAULT NULL,
  `progType` varchar(255) DEFAULT NULL,
  `subType` varchar(255) DEFAULT NULL,
  `sourceDataProviderId` varchar(255) DEFAULT NULL,
  `sourceDataProviderName` varchar(255) DEFAULT NULL,
  `origNetwork` varchar(255) DEFAULT NULL,
  `targetAudience` varchar(255) DEFAULT NULL,
  `productionStatus` varchar(255) DEFAULT NULL,
  `releaseDate` varchar(255) DEFAULT NULL,
  `yearOfRelease` int DEFAULT NULL,
  `partNumber` varchar(255) DEFAULT NULL,
  `version_yearOfRelease` int DEFAULT NULL,
  `version_releaseDate` varchar(255) DEFAULT NULL,
  `version_colorCode` varchar(255) DEFAULT NULL,
  `version_duration` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_asset`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_asset` (
  `spAssetId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `assetUpdateId` bigint DEFAULT NULL,
  `assetId` varchar(255) DEFAULT NULL,
  `deleted` int DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastModified` datetime DEFAULT NULL,
  `expiredDate` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `width` int DEFAULT NULL,
  `height` int DEFAULT NULL,
  `primary` int DEFAULT NULL,
  `category` varchar(255) NOT NULL,
  `ratio` varchar(255) DEFAULT NULL,
  `tier` varchar(255) DEFAULT NULL,
  `seasonId` int DEFAULT NULL,
  `provider` varchar(255) DEFAULT NULL,
  `isConforming` int DEFAULT NULL,
  `isBranded` int DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `URL` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `brandedDescription` varchar(255) DEFAULT NULL,
  `isSensitive` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_asset_extattr`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_asset_extattr` (
  `spAssetId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `label` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_asset_id`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_asset_id` (
  `spAssetId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `id` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_asset_language`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_asset_language` (
  `spAssetId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `lang` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_asset_market`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_asset_market` (
  `spAssetId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `market` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_asset_tag`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_asset_tag` (
  `spAssetId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `tag` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_cast`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_cast` (
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `ord` int NOT NULL,
  `characterName` varchar(255) DEFAULT NULL,
  `role` varchar(255) DEFAULT NULL,
  `prefix` varchar(255) DEFAULT NULL,
  `first` varchar(255) DEFAULT NULL,
  `middle` varchar(255) DEFAULT NULL,
  `last` varchar(255) DEFAULT NULL,
  `suffix` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_catalog`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_catalog` (
  `spCatalogId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `catalogId` varchar(255) DEFAULT NULL,
  `catalogName` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_catalog_language`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_catalog_language` (
  `spCatalogId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `lang` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_catalog_market`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_catalog_market` (
  `spCatalogId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `market` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_country`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_country` (
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `country` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_crew`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_crew` (
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `ord` int NOT NULL,
  `role` varchar(255) DEFAULT NULL,
  `prefix` varchar(255) DEFAULT NULL,
  `first` varchar(255) DEFAULT NULL,
  `middle` varchar(255) DEFAULT NULL,
  `last` varchar(255) DEFAULT NULL,
  `suffix` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_description`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_description` (
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `description` text NOT NULL,
  `size` int DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_epinfo`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_epinfo` (
  `spEpisodeInfoId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `size` int DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `season` varchar(255) DEFAULT NULL,
  `number` varchar(255) DEFAULT NULL,
  `ord` int DEFAULT NULL,
  `synNum` varchar(255) DEFAULT NULL,
  `industryNumber` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_genre`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_genre` (
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `genreOrd` int NOT NULL,
  `genre` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_label`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_label` (
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `label` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_mvinfo`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_mvinfo` (
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_rating`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_rating` (
  `spRatingId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `exempt` int DEFAULT NULL,
  `rating_code` varchar(255) DEFAULT NULL,
  `ratingsBody` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_rating_advisory`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_rating_advisory` (
  `spRatingId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `advisory` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_season`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_season` (
  `spSeasonId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `nonSeason` int DEFAULT NULL,
  `seasonId` varchar(255) DEFAULT NULL,
  `season` varchar(255) DEFAULT NULL,
  `ord` int DEFAULT NULL,
  `releaseDate` varchar(255) DEFAULT NULL,
  `seasonFinale` varchar(255) DEFAULT NULL,
  `originalNetwork` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_season_asset`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_season_asset` (
  `spAssetId` varchar(255) NOT NULL,
  `spSeasonId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `assetUpdateId` bigint DEFAULT NULL,
  `assetId` varchar(255) DEFAULT NULL,
  `deleted` int DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastModified` datetime DEFAULT NULL,
  `expiredDate` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `width` int DEFAULT NULL,
  `height` int DEFAULT NULL,
  `primary` int DEFAULT NULL,
  `category` varchar(255) NOT NULL,
  `ratio` varchar(255) DEFAULT NULL,
  `tier` varchar(255) DEFAULT NULL,
  `seasonId` int DEFAULT NULL,
  `provider` varchar(255) DEFAULT NULL,
  `isConforming` int DEFAULT NULL,
  `isBranded` int DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `URL` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `brandedDescription` varchar(255) DEFAULT NULL,
  `isSensitive` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_season_asset_extattr`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_season_asset_extattr` (
  `spAssetId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `label` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_season_asset_id`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_season_asset_id` (
  `spAssetId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `id` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_season_asset_language`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_season_asset_language` (
  `spAssetId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `lang` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_season_asset_market`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_season_asset_market` (
  `spAssetId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `market` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_season_asset_tag`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_season_asset_tag` (
  `spAssetId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `tag` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_season_cast`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_season_cast` (
  `spSeasonId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `ord` int NOT NULL,
  `characterName` varchar(255) DEFAULT NULL,
  `role` varchar(255) DEFAULT NULL,
  `prefix` varchar(255) DEFAULT NULL,
  `first` varchar(255) DEFAULT NULL,
  `middle` varchar(255) DEFAULT NULL,
  `last` varchar(255) DEFAULT NULL,
  `suffix` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_season_crew`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_season_crew` (
  `spSeasonId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `ord` int NOT NULL,
  `role` varchar(255) DEFAULT NULL,
  `prefix` varchar(255) DEFAULT NULL,
  `first` varchar(255) DEFAULT NULL,
  `middle` varchar(255) DEFAULT NULL,
  `last` varchar(255) DEFAULT NULL,
  `suffix` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_season_desc`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_season_desc` (
  `spSeasonId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `description` varchar(255) NOT NULL,
  `size` varchar(255) DEFAULT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_season_title`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_season_title` (
  `spSeasonId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `title` varchar(255) NOT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_season_xid`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_season_xid` (
  `spSeasonId` varchar(255) NOT NULL,
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `id` varchar(255) NOT NULL,
  `primary` varchar(255) DEFAULT NULL,
  `provider` varchar(255) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_title`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_title` (
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `title` varchar(255) NOT NULL,
  `size` int DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `subType` varchar(255) DEFAULT NULL,
  `lang` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_versionlabel`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_versionlabel` (
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `label` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sourceprogram_xid`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sourceprogram_xid` (
  `gnidsId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `id` varchar(255) NOT NULL,
  `primary` varchar(255) DEFAULT NULL,
  `provider` varchar(255) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sportsorg`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sportsorg` (
  `organizationId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `rootId` int NOT NULL,
  `official` int DEFAULT NULL,
  `sportGId` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `genre` varchar(255) DEFAULT NULL,
  `genreId` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sportsorg_asset`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sportsorg_asset` (
  `organizationId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `assetUpdateId` bigint DEFAULT NULL,
  `assetId` varchar(255) DEFAULT NULL,
  `deleted` int DEFAULT NULL,
  `lastModified` datetime DEFAULT NULL,
  `expiredDate` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `width` int DEFAULT NULL,
  `height` int DEFAULT NULL,
  `primary` int DEFAULT NULL,
  `category` varchar(255) NOT NULL,
  `ratio` varchar(255) DEFAULT NULL,
  `tier` varchar(255) DEFAULT NULL,
  `URI` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sportsorg_conf`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sportsorg_conf` (
  `confId` varchar(255) NOT NULL,
  `organizationId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `conferenceId` int NOT NULL,
  `conferenceGId` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `abbreviation` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sportsorg_conf_asset`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sportsorg_conf_asset` (
  `confId` varchar(255) NOT NULL,
  `organizationId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `assetUpdateId` bigint DEFAULT NULL,
  `assetId` varchar(255) DEFAULT NULL,
  `deleted` int DEFAULT NULL,
  `lastModified` datetime DEFAULT NULL,
  `expiredDate` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `width` int DEFAULT NULL,
  `height` int DEFAULT NULL,
  `primary` int DEFAULT NULL,
  `category` varchar(255) NOT NULL,
  `ratio` varchar(255) DEFAULT NULL,
  `tier` varchar(255) DEFAULT NULL,
  `URI` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sportsorg_div`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sportsorg_div` (
  `divId` varchar(255) NOT NULL,
  `organizationId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `divisionId` int NOT NULL,
  `divisionGId` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `abbreviation` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sportsorg_event`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sportsorg_event` (
  `organizationId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `sportsEventGId` varchar(255) NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `event` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sportsorg_teambrand`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `sportsorg_teambrand` (
  `organizationId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `teamId` int DEFAULT NULL,
  `teamBrandId` int DEFAULT NULL,
  `teamGId` varchar(255) DEFAULT NULL,
  `teamBrandGId` varchar(255) DEFAULT NULL,
  `conferenceId` int DEFAULT NULL,
  `conferenceGId` varchar(255) DEFAULT NULL,
  `divisionId` int DEFAULT NULL,
  `divisionGId` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `team`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `team` (
  `teamId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `teamGId` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `class` varchar(255) DEFAULT NULL,
  `color_primary` varchar(255) DEFAULT NULL,
  `color_secondary` varchar(255) DEFAULT NULL,
  `gender` varchar(255) DEFAULT NULL,
  `country` varchar(255) DEFAULT NULL,
  `genreId` int DEFAULT NULL,
  `sportGId` varchar(255) DEFAULT NULL,
  `venueId` int DEFAULT NULL,
  `venueGId` varchar(255) DEFAULT NULL,
  `universityId` int DEFAULT NULL,
  `universityGId` varchar(255) DEFAULT NULL,
  `address_city` varchar(255) DEFAULT NULL,
  `address_state` varchar(255) DEFAULT NULL,
  `address_country` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `team_genre`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `team_genre` (
  `teamId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `genre` varchar(255) DEFAULT NULL,
  `genreId` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `teambrand`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `teambrand` (
  `teamBrandId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `teamBrandGId` varchar(255) DEFAULT NULL,
  `teamId` int NOT NULL,
  `active` int DEFAULT NULL,
  `fromDate` datetime DEFAULT NULL,
  `toDate` datetime DEFAULT NULL,
  `names_lang` varchar(255) DEFAULT NULL,
  `officialName` varchar(255) DEFAULT NULL,
  `properName` varchar(255) DEFAULT NULL,
  `nickName` varchar(255) DEFAULT NULL,
  `abbreviation` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `teambrand_asset`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `teambrand_asset` (
  `teamBrandId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `assetUpdateId` bigint DEFAULT NULL,
  `assetId` varchar(255) DEFAULT NULL,
  `deleted` int DEFAULT NULL,
  `lastModified` datetime DEFAULT NULL,
  `expiredDate` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `width` int DEFAULT NULL,
  `height` int DEFAULT NULL,
  `primary` int DEFAULT NULL,
  `category` varchar(255) NOT NULL,
  `ratio` varchar(255) DEFAULT NULL,
  `tier` varchar(255) DEFAULT NULL,
  `URI` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `teambrand_name`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `teambrand_name` (
  `teamBrandId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `university`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `university` (
  `universityId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `universityGId` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `names_lang` varchar(255) DEFAULT NULL,
  `address_city` varchar(255) DEFAULT NULL,
  `address_state` varchar(255) DEFAULT NULL,
  `address_country` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `university_asset`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `university_asset` (
  `universityId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `assetUpdateId` bigint DEFAULT NULL,
  `assetId` varchar(255) DEFAULT NULL,
  `deleted` int DEFAULT NULL,
  `lastModified` datetime DEFAULT NULL,
  `expiredDate` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `width` int DEFAULT NULL,
  `height` int DEFAULT NULL,
  `primary` int DEFAULT NULL,
  `category` varchar(255) NOT NULL,
  `ratio` varchar(255) DEFAULT NULL,
  `tier` varchar(255) DEFAULT NULL,
  `URI` varchar(255) NOT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `university_name`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `university_name` (
  `universityId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `vdannotation`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `vdannotation` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `rootId` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `vdannotation_descriptor`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `vdannotation_descriptor` (
  `TMSId` varchar(255) NOT NULL,
  `updateId` bigint NOT NULL,
  `ord` int DEFAULT NULL,
  `descriptorId` varchar(255) DEFAULT NULL,
  `weight` int DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `venue`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `venue` (
  `venueId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `venueGId` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `timezone` varchar(255) DEFAULT NULL,
  `address_city` varchar(255) DEFAULT NULL,
  `address_state` varchar(255) DEFAULT NULL,
  `address_country` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `venuebrand`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `venuebrand` (
  `venueBrandId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `updateDate` datetime NOT NULL,
  `deleted` int DEFAULT NULL,
  `venueId` int NOT NULL,
  `active` int DEFAULT NULL,
  `fromDate` datetime DEFAULT NULL,
  `toDate` datetime DEFAULT NULL,
  `names_lang` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `name_lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL,
  `batchUpdateOrd` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `venuebrand_name`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE IF NOT EXISTS `venuebrand_name` (
  `venueBrandId` int NOT NULL,
  `updateId` bigint NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `lang` varchar(255) DEFAULT NULL,
  `MD5` varchar(255) DEFAULT NULL,
  `ingestId` bigint DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

