
DROP PROCEDURE IF EXISTS {0}.DropIndexIfExists;;
CREATE PROCEDURE {0}.DropIndexIfExists(
    IN my_table_name VARCHAR(128),
    IN my_col_name VARCHAR(128) )
BEGIN
    IF EXISTS ( SELECT 1 FROM INFORMATION_SCHEMA.STATISTICS
        WHERE TABLE_SCHEMA = SCHEMA()
          AND TABLE_NAME = my_table_name
          AND INDEX_NAME = CONCAT("idx_", my_table_name, "_", my_col_name) )
    THEN
        SET @query = CONCAT("DROP INDEX `idx_", my_table_name, "_", my_col_name, "` ON ", my_table_name, ";");
        PREPARE stmt FROM @query;
        EXECUTE stmt;
        DEALLOCATE PREPARE stmt;
    END IF;
END;;

CALL {0}.DropIndexIfExists( "cv", "cvId" );;
CALL {0}.DropIndexIfExists( "cv", "updateId" );;
CALL {0}.DropIndexIfExists( "cv", "MD5" );;
CALL {0}.DropIndexIfExists( "cv", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "source", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source", "updateId" );;
CALL {0}.DropIndexIfExists( "source", "MD5" );;
CALL {0}.DropIndexIfExists( "source", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "lineup", "lineupId" );;
CALL {0}.DropIndexIfExists( "lineup", "updateId" );;
CALL {0}.DropIndexIfExists( "lineup", "MD5" );;
CALL {0}.DropIndexIfExists( "lineup", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "celebrity", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "descriptortaxonomy", "taxonomyId" );;
CALL {0}.DropIndexIfExists( "descriptortaxonomy", "updateId" );;
CALL {0}.DropIndexIfExists( "descriptortaxonomy", "MD5" );;
CALL {0}.DropIndexIfExists( "descriptortaxonomy", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "descriptor", "descriptorId" );;
CALL {0}.DropIndexIfExists( "descriptor", "updateId" );;
CALL {0}.DropIndexIfExists( "descriptor", "MD5" );;
CALL {0}.DropIndexIfExists( "descriptor", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "season", "seasonTMSId" );;
CALL {0}.DropIndexIfExists( "season", "updateId" );;
CALL {0}.DropIndexIfExists( "season", "MD5" );;
CALL {0}.DropIndexIfExists( "season", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "program", "TMSId" );;
CALL {0}.DropIndexIfExists( "program", "updateId" );;
CALL {0}.DropIndexIfExists( "program", "MD5" );;
CALL {0}.DropIndexIfExists( "program", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "availability", "availabilityId" );;
CALL {0}.DropIndexIfExists( "availability", "updateId" );;
CALL {0}.DropIndexIfExists( "availability", "MD5" );;
CALL {0}.DropIndexIfExists( "availability", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "mapping", "mappingId" );;
CALL {0}.DropIndexIfExists( "mapping", "updateId" );;
CALL {0}.DropIndexIfExists( "mapping", "MD5" );;
CALL {0}.DropIndexIfExists( "mapping", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "schedule", "scheduleId" );;
CALL {0}.DropIndexIfExists( "schedule", "updateId" );;
CALL {0}.DropIndexIfExists( "schedule", "MD5" );;
CALL {0}.DropIndexIfExists( "schedule", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "sourceprogram", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "popularity", "popularityId" );;
CALL {0}.DropIndexIfExists( "popularity", "updateId" );;
CALL {0}.DropIndexIfExists( "popularity", "MD5" );;
CALL {0}.DropIndexIfExists( "popularity", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "university", "universityId" );;
CALL {0}.DropIndexIfExists( "university", "updateId" );;
CALL {0}.DropIndexIfExists( "university", "MD5" );;
CALL {0}.DropIndexIfExists( "university", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "venue", "venueId" );;
CALL {0}.DropIndexIfExists( "venue", "updateId" );;
CALL {0}.DropIndexIfExists( "venue", "MD5" );;
CALL {0}.DropIndexIfExists( "venue", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "venuebrand", "venueBrandId" );;
CALL {0}.DropIndexIfExists( "venuebrand", "updateId" );;
CALL {0}.DropIndexIfExists( "venuebrand", "MD5" );;
CALL {0}.DropIndexIfExists( "venuebrand", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "sportsorg", "organizationId" );;
CALL {0}.DropIndexIfExists( "sportsorg", "updateId" );;
CALL {0}.DropIndexIfExists( "sportsorg", "MD5" );;
CALL {0}.DropIndexIfExists( "sportsorg", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "team", "teamId" );;
CALL {0}.DropIndexIfExists( "team", "updateId" );;
CALL {0}.DropIndexIfExists( "team", "MD5" );;
CALL {0}.DropIndexIfExists( "team", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "teambrand", "teamBrandId" );;
CALL {0}.DropIndexIfExists( "teambrand", "updateId" );;
CALL {0}.DropIndexIfExists( "teambrand", "MD5" );;
CALL {0}.DropIndexIfExists( "teambrand", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "vdannotation", "TMSId" );;
CALL {0}.DropIndexIfExists( "vdannotation", "updateId" );;
CALL {0}.DropIndexIfExists( "vdannotation", "MD5" );;
CALL {0}.DropIndexIfExists( "vdannotation", "batchUpdateOrd" );;
CALL {0}.DropIndexIfExists( "cv_attribute", "cvId" );;
CALL {0}.DropIndexIfExists( "cv_attribute", "updateId" );;
CALL {0}.DropIndexIfExists( "cv_attribute", "MD5" );;
CALL {0}.DropIndexIfExists( "source_country", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_country", "updateId" );;
CALL {0}.DropIndexIfExists( "source_country", "MD5" );;
CALL {0}.DropIndexIfExists( "source_altname", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_altname", "updateId" );;
CALL {0}.DropIndexIfExists( "source_altname", "MD5" );;
CALL {0}.DropIndexIfExists( "source_attribute", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_attribute", "updateId" );;
CALL {0}.DropIndexIfExists( "source_attribute", "MD5" );;
CALL {0}.DropIndexIfExists( "source_edlang", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_edlang", "updateId" );;
CALL {0}.DropIndexIfExists( "source_edlang", "MD5" );;
CALL {0}.DropIndexIfExists( "source_bcastlang", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_bcastlang", "updateId" );;
CALL {0}.DropIndexIfExists( "source_bcastlang", "MD5" );;
CALL {0}.DropIndexIfExists( "source_relationship", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_relationship", "updateId" );;
CALL {0}.DropIndexIfExists( "source_relationship", "MD5" );;
CALL {0}.DropIndexIfExists( "source_affiliate", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_affiliate", "updateId" );;
CALL {0}.DropIndexIfExists( "source_affiliate", "MD5" );;
CALL {0}.DropIndexIfExists( "source_asset", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_asset", "updateId" );;
CALL {0}.DropIndexIfExists( "source_asset", "MD5" );;
CALL {0}.DropIndexIfExists( "source_marketid", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_marketid", "updateId" );;
CALL {0}.DropIndexIfExists( "source_marketid", "MD5" );;
CALL {0}.DropIndexIfExists( "source_genre", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_genre", "updateId" );;
CALL {0}.DropIndexIfExists( "source_genre", "MD5" );;
CALL {0}.DropIndexIfExists( "source_group", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_group", "updateId" );;
CALL {0}.DropIndexIfExists( "source_group", "MD5" );;
CALL {0}.DropIndexIfExists( "source_transportid", "prgSvcId" );;
CALL {0}.DropIndexIfExists( "source_transportid", "updateId" );;
CALL {0}.DropIndexIfExists( "source_transportid", "MD5" );;
CALL {0}.DropIndexIfExists( "lineup_channel", "lineupId" );;
CALL {0}.DropIndexIfExists( "lineup_channel", "updateId" );;
CALL {0}.DropIndexIfExists( "lineup_channel", "MD5" );;
CALL {0}.DropIndexIfExists( "lineup_channel_transport", "lineupId" );;
CALL {0}.DropIndexIfExists( "lineup_channel_transport", "updateId" );;
CALL {0}.DropIndexIfExists( "lineup_channel_transport", "MD5" );;
CALL {0}.DropIndexIfExists( "lineup_channel_transport_id", "lineupId" );;
CALL {0}.DropIndexIfExists( "lineup_channel_transport_id", "updateId" );;
CALL {0}.DropIndexIfExists( "lineup_channel_transport_id", "MD5" );;
CALL {0}.DropIndexIfExists( "lineup_postalcode", "lineupId" );;
CALL {0}.DropIndexIfExists( "lineup_postalcode", "updateId" );;
CALL {0}.DropIndexIfExists( "lineup_postalcode", "MD5" );;
CALL {0}.DropIndexIfExists( "lineup_market", "lineupId" );;
CALL {0}.DropIndexIfExists( "lineup_market", "updateId" );;
CALL {0}.DropIndexIfExists( "lineup_market", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_name", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_name", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_name", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_award", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_award", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_award", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_asset", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_asset", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_asset", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_mediography", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_mediography", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_mediography", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_mediography_credit", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_mediography_credit", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_mediography_credit", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_participanttype", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_participanttype", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_participanttype", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_biography", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_biography", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_biography", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_relationship", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_relationship", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_relationship", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_relationshipevent", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_relationshipevent", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_relationshipevent", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_education", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_education", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_education", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_milestone", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_milestone", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_milestone", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_note", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_note", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_note", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_quote", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_quote", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_quote", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_highlight", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_highlight", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_highlight", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_socialmedia", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_socialmedia", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_socialmedia", "MD5" );;
CALL {0}.DropIndexIfExists( "celebrity_enhancedaward", "personId" );;
CALL {0}.DropIndexIfExists( "celebrity_enhancedaward", "updateId" );;
CALL {0}.DropIndexIfExists( "celebrity_enhancedaward", "MD5" );;
CALL {0}.DropIndexIfExists( "descriptortaxonomy_descriptor", "taxonomyId" );;
CALL {0}.DropIndexIfExists( "descriptortaxonomy_descriptor", "updateId" );;
CALL {0}.DropIndexIfExists( "descriptortaxonomy_descriptor", "MD5" );;
CALL {0}.DropIndexIfExists( "season_title", "seasonTMSId" );;
CALL {0}.DropIndexIfExists( "season_title", "updateId" );;
CALL {0}.DropIndexIfExists( "season_title", "MD5" );;
CALL {0}.DropIndexIfExists( "season_description", "seasonTMSId" );;
CALL {0}.DropIndexIfExists( "season_description", "updateId" );;
CALL {0}.DropIndexIfExists( "season_description", "MD5" );;
CALL {0}.DropIndexIfExists( "season_cast", "seasonTMSId" );;
CALL {0}.DropIndexIfExists( "season_cast", "updateId" );;
CALL {0}.DropIndexIfExists( "season_cast", "MD5" );;
CALL {0}.DropIndexIfExists( "season_crew", "seasonTMSId" );;
CALL {0}.DropIndexIfExists( "season_crew", "updateId" );;
CALL {0}.DropIndexIfExists( "season_crew", "MD5" );;
CALL {0}.DropIndexIfExists( "season_asset", "seasonTMSId" );;
CALL {0}.DropIndexIfExists( "season_asset", "updateId" );;
CALL {0}.DropIndexIfExists( "season_asset", "MD5" );;
CALL {0}.DropIndexIfExists( "season_asset_id", "seasonTMSId" );;
CALL {0}.DropIndexIfExists( "season_asset_id", "updateId" );;
CALL {0}.DropIndexIfExists( "season_asset_id", "MD5" );;
CALL {0}.DropIndexIfExists( "program_season", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_season", "updateId" );;
CALL {0}.DropIndexIfExists( "program_season", "MD5" );;
CALL {0}.DropIndexIfExists( "program_title", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_title", "updateId" );;
CALL {0}.DropIndexIfExists( "program_title", "MD5" );;
CALL {0}.DropIndexIfExists( "program_description", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_description", "updateId" );;
CALL {0}.DropIndexIfExists( "program_description", "MD5" );;
CALL {0}.DropIndexIfExists( "program_cast", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_cast", "updateId" );;
CALL {0}.DropIndexIfExists( "program_cast", "MD5" );;
CALL {0}.DropIndexIfExists( "program_crew", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_crew", "updateId" );;
CALL {0}.DropIndexIfExists( "program_crew", "MD5" );;
CALL {0}.DropIndexIfExists( "program_country", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_country", "updateId" );;
CALL {0}.DropIndexIfExists( "program_country", "MD5" );;
CALL {0}.DropIndexIfExists( "program_award", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_award", "updateId" );;
CALL {0}.DropIndexIfExists( "program_award", "MD5" );;
CALL {0}.DropIndexIfExists( "program_genre", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_genre", "updateId" );;
CALL {0}.DropIndexIfExists( "program_genre", "MD5" );;
CALL {0}.DropIndexIfExists( "program_rating", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_rating", "updateId" );;
CALL {0}.DropIndexIfExists( "program_rating", "MD5" );;
CALL {0}.DropIndexIfExists( "program_qualityrating", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_qualityrating", "updateId" );;
CALL {0}.DropIndexIfExists( "program_qualityrating", "MD5" );;
CALL {0}.DropIndexIfExists( "program_ratingadvisory", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_ratingadvisory", "updateId" );;
CALL {0}.DropIndexIfExists( "program_ratingadvisory", "MD5" );;
CALL {0}.DropIndexIfExists( "program_mvinfo", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_mvinfo", "updateId" );;
CALL {0}.DropIndexIfExists( "program_mvinfo", "MD5" );;
CALL {0}.DropIndexIfExists( "program_mvtrailer", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_mvtrailer", "updateId" );;
CALL {0}.DropIndexIfExists( "program_mvtrailer", "MD5" );;
CALL {0}.DropIndexIfExists( "program_epinfo", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_epinfo", "updateId" );;
CALL {0}.DropIndexIfExists( "program_epinfo", "MD5" );;
CALL {0}.DropIndexIfExists( "program_epinfo_alt", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_epinfo_alt", "updateId" );;
CALL {0}.DropIndexIfExists( "program_epinfo_alt", "MD5" );;
CALL {0}.DropIndexIfExists( "program_spinfo", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_spinfo", "updateId" );;
CALL {0}.DropIndexIfExists( "program_spinfo", "MD5" );;
CALL {0}.DropIndexIfExists( "program_spteam", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_spteam", "updateId" );;
CALL {0}.DropIndexIfExists( "program_spteam", "MD5" );;
CALL {0}.DropIndexIfExists( "program_spevent", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_spevent", "updateId" );;
CALL {0}.DropIndexIfExists( "program_spevent", "MD5" );;
CALL {0}.DropIndexIfExists( "program_spdata", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_spdata", "updateId" );;
CALL {0}.DropIndexIfExists( "program_spdata", "MD5" );;
CALL {0}.DropIndexIfExists( "program_spdata_event", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_spdata_event", "updateId" );;
CALL {0}.DropIndexIfExists( "program_spdata_event", "MD5" );;
CALL {0}.DropIndexIfExists( "program_asset", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_asset", "updateId" );;
CALL {0}.DropIndexIfExists( "program_asset", "MD5" );;
CALL {0}.DropIndexIfExists( "program_asset_id", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_asset_id", "updateId" );;
CALL {0}.DropIndexIfExists( "program_asset_id", "MD5" );;
CALL {0}.DropIndexIfExists( "program_release", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_release", "updateId" );;
CALL {0}.DropIndexIfExists( "program_release", "MD5" );;
CALL {0}.DropIndexIfExists( "program_release_attribute", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_release_attribute", "updateId" );;
CALL {0}.DropIndexIfExists( "program_release_attribute", "MD5" );;
CALL {0}.DropIndexIfExists( "program_release_distributor", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_release_distributor", "updateId" );;
CALL {0}.DropIndexIfExists( "program_release_distributor", "MD5" );;
CALL {0}.DropIndexIfExists( "program_relationship", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_relationship", "updateId" );;
CALL {0}.DropIndexIfExists( "program_relationship", "MD5" );;
CALL {0}.DropIndexIfExists( "program_externallink", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_externallink", "updateId" );;
CALL {0}.DropIndexIfExists( "program_externallink", "MD5" );;
CALL {0}.DropIndexIfExists( "program_descriptor", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_descriptor", "updateId" );;
CALL {0}.DropIndexIfExists( "program_descriptor", "MD5" );;
CALL {0}.DropIndexIfExists( "program_origaudiolang", "TMSId" );;
CALL {0}.DropIndexIfExists( "program_origaudiolang", "updateId" );;
CALL {0}.DropIndexIfExists( "program_origaudiolang", "MD5" );;
CALL {0}.DropIndexIfExists( "availability_id", "availabilityId" );;
CALL {0}.DropIndexIfExists( "availability_id", "updateId" );;
CALL {0}.DropIndexIfExists( "availability_id", "MD5" );;
CALL {0}.DropIndexIfExists( "availability_url", "availabilityId" );;
CALL {0}.DropIndexIfExists( "availability_url", "updateId" );;
CALL {0}.DropIndexIfExists( "availability_url", "MD5" );;
CALL {0}.DropIndexIfExists( "availability_viewingoption", "availabilityId" );;
CALL {0}.DropIndexIfExists( "availability_viewingoption", "updateId" );;
CALL {0}.DropIndexIfExists( "availability_viewingoption", "MD5" );;
CALL {0}.DropIndexIfExists( "availability_providerdata", "availabilityId" );;
CALL {0}.DropIndexIfExists( "availability_providerdata", "updateId" );;
CALL {0}.DropIndexIfExists( "availability_providerdata", "MD5" );;
CALL {0}.DropIndexIfExists( "mapping_id", "mappingId" );;
CALL {0}.DropIndexIfExists( "mapping_id", "updateId" );;
CALL {0}.DropIndexIfExists( "mapping_id", "MD5" );;
CALL {0}.DropIndexIfExists( "mapping_link", "mappingId" );;
CALL {0}.DropIndexIfExists( "mapping_link", "updateId" );;
CALL {0}.DropIndexIfExists( "mapping_link", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_label", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_label", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_label", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_versionlabel", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_versionlabel", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_versionlabel", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog_language", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog_language", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog_language", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog_market", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog_market", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_catalog_market", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_title", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_title", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_title", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_description", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_description", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_description", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_cast", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_cast", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_cast", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_crew", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_crew", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_crew", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_country", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_country", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_country", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_genre", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_genre", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_genre", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_rating", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_rating", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_rating", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_rating_advisory", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_rating_advisory", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_rating_advisory", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_mvinfo", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_mvinfo", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_mvinfo", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_epinfo", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_epinfo", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_epinfo", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_title", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_title", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_title", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_desc", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_desc", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_desc", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_cast", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_cast", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_cast", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_crew", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_crew", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_crew", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_id", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_id", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_id", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_language", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_language", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_language", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_market", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_market", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_market", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_extattr", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_extattr", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_extattr", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_tag", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_tag", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_asset_tag", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_xid", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_xid", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_season_xid", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_id", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_id", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_id", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_language", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_language", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_language", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_market", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_market", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_market", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_extattr", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_extattr", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_extattr", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_tag", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_tag", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_asset_tag", "MD5" );;
CALL {0}.DropIndexIfExists( "sourceprogram_xid", "gnidsId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_xid", "updateId" );;
CALL {0}.DropIndexIfExists( "sourceprogram_xid", "MD5" );;
CALL {0}.DropIndexIfExists( "team_genre", "teamId" );;
CALL {0}.DropIndexIfExists( "team_genre", "updateId" );;
CALL {0}.DropIndexIfExists( "team_genre", "MD5" );;
CALL {0}.DropIndexIfExists( "teambrand_name", "teamBrandId" );;
CALL {0}.DropIndexIfExists( "teambrand_name", "updateId" );;
CALL {0}.DropIndexIfExists( "teambrand_name", "MD5" );;
CALL {0}.DropIndexIfExists( "teambrand_asset", "teamBrandId" );;
CALL {0}.DropIndexIfExists( "teambrand_asset", "updateId" );;
CALL {0}.DropIndexIfExists( "teambrand_asset", "MD5" );;
CALL {0}.DropIndexIfExists( "sportsorg_asset", "organizationId" );;
CALL {0}.DropIndexIfExists( "sportsorg_asset", "updateId" );;
CALL {0}.DropIndexIfExists( "sportsorg_asset", "MD5" );;
CALL {0}.DropIndexIfExists( "sportsorg_conf", "organizationId" );;
CALL {0}.DropIndexIfExists( "sportsorg_conf", "updateId" );;
CALL {0}.DropIndexIfExists( "sportsorg_conf", "MD5" );;
CALL {0}.DropIndexIfExists( "sportsorg_conf_asset", "organizationId" );;
CALL {0}.DropIndexIfExists( "sportsorg_conf_asset", "updateId" );;
CALL {0}.DropIndexIfExists( "sportsorg_conf_asset", "MD5" );;
CALL {0}.DropIndexIfExists( "sportsorg_div", "organizationId" );;
CALL {0}.DropIndexIfExists( "sportsorg_div", "updateId" );;
CALL {0}.DropIndexIfExists( "sportsorg_div", "MD5" );;
CALL {0}.DropIndexIfExists( "sportsorg_teambrand", "organizationId" );;
CALL {0}.DropIndexIfExists( "sportsorg_teambrand", "updateId" );;
CALL {0}.DropIndexIfExists( "sportsorg_teambrand", "MD5" );;
CALL {0}.DropIndexIfExists( "sportsorg_event", "organizationId" );;
CALL {0}.DropIndexIfExists( "sportsorg_event", "updateId" );;
CALL {0}.DropIndexIfExists( "sportsorg_event", "MD5" );;
CALL {0}.DropIndexIfExists( "university_name", "universityId" );;
CALL {0}.DropIndexIfExists( "university_name", "updateId" );;
CALL {0}.DropIndexIfExists( "university_name", "MD5" );;
CALL {0}.DropIndexIfExists( "university_asset", "universityId" );;
CALL {0}.DropIndexIfExists( "university_asset", "updateId" );;
CALL {0}.DropIndexIfExists( "university_asset", "MD5" );;
CALL {0}.DropIndexIfExists( "venuebrand_name", "venueBrandId" );;
CALL {0}.DropIndexIfExists( "venuebrand_name", "updateId" );;
CALL {0}.DropIndexIfExists( "venuebrand_name", "MD5" );;
CALL {0}.DropIndexIfExists( "schedule_event", "scheduleId" );;
CALL {0}.DropIndexIfExists( "schedule_event", "updateId" );;
CALL {0}.DropIndexIfExists( "schedule_event", "MD5" );;
CALL {0}.DropIndexIfExists( "schedule_event_bcastid", "scheduleId" );;
CALL {0}.DropIndexIfExists( "schedule_event_bcastid", "updateId" );;
CALL {0}.DropIndexIfExists( "schedule_event_bcastid", "MD5" );;
CALL {0}.DropIndexIfExists( "schedule_event_right", "scheduleId" );;
CALL {0}.DropIndexIfExists( "schedule_event_right", "updateId" );;
CALL {0}.DropIndexIfExists( "schedule_event_right", "MD5" );;
CALL {0}.DropIndexIfExists( "schedule_event_right_param", "scheduleId" );;
CALL {0}.DropIndexIfExists( "schedule_event_right_param", "updateId" );;
CALL {0}.DropIndexIfExists( "schedule_event_right_param", "MD5" );;
CALL {0}.DropIndexIfExists( "vdannotation_descriptor", "TMSId" );;
CALL {0}.DropIndexIfExists( "vdannotation_descriptor", "updateId" );;
CALL {0}.DropIndexIfExists( "vdannotation_descriptor", "MD5" );;