USE {0};

-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value


INSERT INTO {0}.venuebrand (`venueBrandId`,`venueId`,`updateId`,`updateDate`,`MD5`,`ingestId`,`batchUpdateOrd`,`deleted`)
WITH stage_dep AS (SELECT `venueBrandId`,`venueId` FROM {0}.venuebrand)
SELECT core_dep.`venueBrandId`,core_dep.`venueId`,stage_main.`updateId`,stage_main.`updateDate`,stage_main.`MD5`,stage_main.`ingestId`,1,{2}
FROM {1}.venuebrand core_dep
    JOIN {0}.venue stage_main ON core_dep.`venueId`=stage_main.`venueId`
WHERE NOT EXISTS (
    SELECT 1 FROM stage_dep WHERE core_dep.`venueId`=stage_dep.`venueId` AND core_dep.`venueBrandId`=stage_dep.`venueBrandId` ) 
;


INSERT INTO {0}.teambrand (`teamBrandId`,`teamId`,`updateId`,`updateDate`,`MD5`,`ingestId`,`batchUpdateOrd`,`deleted`)
WITH stage_dep AS (SELECT `teamBrandId`,`teamId` FROM {0}.teambrand)
SELECT core_dep.`teamBrandId`,core_dep.`teamId`,stage_main.`updateId`,stage_main.`updateDate`,stage_main.`MD5`,stage_main.`ingestId`,1,{2}
FROM {1}.teambrand core_dep
    JOIN {0}.team stage_main ON core_dep.`teamId`=stage_main.`teamId`
WHERE NOT EXISTS (
    SELECT 1 FROM stage_dep WHERE core_dep.`teamId`=stage_dep.`teamId` AND core_dep.`teamBrandId`=stage_dep.`teamBrandId` ) 
;


INSERT INTO {0}.descriptor (`descriptorId`,`updateId`,`updateDate`,`MD5`,`ingestId`,`batchUpdateOrd`,`deleted`,`descriptorName`,`typeId`,`typeName`)
WITH stage_dep AS (SELECT `descriptorId` FROM {0}.descriptor)
SELECT core_main_dep.`descriptorId`,stage_main.`updateId`,stage_main.`updateDate`,stage_main.`MD5`,stage_main.`ingestId`,1,{2},'','',''
FROM {1}.descriptortaxonomy_descriptor core_main_dep
    JOIN {0}.descriptortaxonomy stage_main ON core_main_dep.`taxonomyId`=stage_main.`taxonomyId`
WHERE NOT EXISTS (
    SELECT 1 FROM {0}.descriptortaxonomy_descriptor stage_main_dep
    WHERE stage_main_dep.`taxonomyId`=core_main_dep.`taxonomyId` AND stage_main_dep.`descriptorId`=core_main_dep.`descriptorId` )
  AND NOT EXISTS (
    SELECT 1 FROM stage_dep WHERE core_main_dep.`descriptorId`=stage_dep.`descriptorId` ) 
;


INSERT INTO {0}.season (`seasonTMSId`,`updateId`,`updateDate`,`MD5`,`ingestId`,`batchUpdateOrd`,`deleted`,`seasonId`)
WITH stage_dep AS (SELECT `seasonTMSId` FROM {0}.season)
SELECT core_main_dep.`seasonTMSId`,stage_main.`updateId`,stage_main.`updateDate`,stage_main.`MD5`,stage_main.`ingestId`,1,{2},0
FROM {1}.program_season core_main_dep
    JOIN {0}.program stage_main ON core_main_dep.`TMSId`=stage_main.`TMSId`
WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program_season stage_main_dep
    WHERE stage_main_dep.`TMSId`=core_main_dep.`TMSId` AND stage_main_dep.`seasonTMSId`=core_main_dep.`seasonTMSId` )
  AND NOT EXISTS (
    SELECT 1 FROM stage_dep WHERE core_main_dep.`seasonTMSId`=stage_dep.`seasonTMSId` ) 
  AND (stage_main.`deleted` = {2} OR (stage_main.`deleted` IS NULL AND stage_main.`inactive` IS NULL));


INSERT INTO {0}.season (`seasonTMSId`,`updateId`,`updateDate`,`MD5`,`ingestId`,`batchUpdateOrd`,`inactive`,`seasonId`)
WITH stage_dep AS (SELECT `seasonTMSId` FROM {0}.season)
SELECT core_main_dep.`seasonTMSId`,stage_main.`updateId`,stage_main.`updateDate`,stage_main.`MD5`,stage_main.`ingestId`,1,{2},0
FROM {1}.program_season core_main_dep
    JOIN {0}.program stage_main ON core_main_dep.`TMSId`=stage_main.`TMSId`
WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program_season stage_main_dep
    WHERE stage_main_dep.`TMSId`=core_main_dep.`TMSId` AND stage_main_dep.`seasonTMSId`=core_main_dep.`seasonTMSId` )
  AND NOT EXISTS (
    SELECT 1 FROM stage_dep WHERE core_main_dep.`seasonTMSId`=stage_dep.`seasonTMSId` ) 
  AND stage_main.`inactive` = {2} AND stage_main.`deleted` IS NULL;

