USE {0};


CREATE TEMPORARY TABLE tmp_cv AS SELECT `cvId` FROM {0}.cv WHERE {0}.cv.`deleted` = {1};
CREATE INDEX idx_tmp_cv_id ON tmp_cv (`cvId`);

DELETE core FROM {0}.cv_attribute core JOIN tmp_cv t ON t.`cvId`=core.`cvId`;
DELETE FROM {0}.cv WHERE {0}.cv.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_source AS SELECT `prgSvcId` FROM {0}.source WHERE {0}.source.`deleted` = {1};
CREATE INDEX idx_tmp_source_id ON tmp_source (`prgSvcId`);

DELETE core FROM {0}.source_transportid core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_group core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_genre core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_marketid core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_asset core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_affiliate core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_relationship core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_bcastlang core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_edlang core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_attribute core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_altname core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE core FROM {0}.source_country core JOIN tmp_source t ON t.`prgSvcId`=core.`prgSvcId`;
DELETE FROM {0}.source WHERE {0}.source.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_lineup AS SELECT `lineupId` FROM {0}.lineup WHERE {0}.lineup.`deleted` = {1};
CREATE INDEX idx_tmp_lineup_id ON tmp_lineup (`lineupId`);

DELETE core FROM {0}.lineup_market core JOIN tmp_lineup t ON t.`lineupId`=core.`lineupId`;
DELETE core FROM {0}.lineup_postalcode core JOIN tmp_lineup t ON t.`lineupId`=core.`lineupId`;
DELETE core FROM {0}.lineup_channel_transport_id core JOIN tmp_lineup t ON t.`lineupId`=core.`lineupId`;
DELETE core FROM {0}.lineup_channel_transport core JOIN tmp_lineup t ON t.`lineupId`=core.`lineupId`;
DELETE core FROM {0}.lineup_channel core JOIN tmp_lineup t ON t.`lineupId`=core.`lineupId`;
DELETE FROM {0}.lineup WHERE {0}.lineup.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_celebrity AS SELECT `personId` FROM {0}.celebrity WHERE {0}.celebrity.`deleted` = {1};
CREATE INDEX idx_tmp_celebrity_id ON tmp_celebrity (`personId`);

DELETE core FROM {0}.celebrity_enhancedaward core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_socialmedia core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_highlight core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_quote core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_note core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_milestone core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_education core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_relationshipevent core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_relationship core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_biography core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_participanttype core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_mediography_credit core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_mediography core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_asset core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_award core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE core FROM {0}.celebrity_name core JOIN tmp_celebrity t ON t.`personId`=core.`personId`;
DELETE FROM {0}.celebrity WHERE {0}.celebrity.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_descriptortaxonomy AS SELECT `taxonomyId` FROM {0}.descriptortaxonomy WHERE {0}.descriptortaxonomy.`deleted` = {1};
CREATE INDEX idx_tmp_descriptortaxonomy_id ON tmp_descriptortaxonomy (`taxonomyId`);

DELETE core FROM {0}.descriptortaxonomy_descriptor core JOIN tmp_descriptortaxonomy t ON t.`taxonomyId`=core.`taxonomyId`;
DELETE FROM {0}.descriptortaxonomy WHERE {0}.descriptortaxonomy.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_descriptor AS SELECT `descriptorId` FROM {0}.descriptor WHERE {0}.descriptor.`deleted` = {1};
CREATE INDEX idx_tmp_descriptor_id ON tmp_descriptor (`descriptorId`);

DELETE FROM {0}.descriptor WHERE {0}.descriptor.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_season AS SELECT `seasonTMSId` FROM {0}.season WHERE {0}.season.`deleted` = {1};
CREATE INDEX idx_tmp_season_id ON tmp_season (`seasonTMSId`);

DELETE core FROM {0}.season_asset_id core JOIN tmp_season t ON t.`seasonTMSId`=core.`seasonTMSId`;
DELETE core FROM {0}.season_asset core JOIN tmp_season t ON t.`seasonTMSId`=core.`seasonTMSId`;
DELETE core FROM {0}.season_crew core JOIN tmp_season t ON t.`seasonTMSId`=core.`seasonTMSId`;
DELETE core FROM {0}.season_cast core JOIN tmp_season t ON t.`seasonTMSId`=core.`seasonTMSId`;
DELETE core FROM {0}.season_description core JOIN tmp_season t ON t.`seasonTMSId`=core.`seasonTMSId`;
DELETE core FROM {0}.season_title core JOIN tmp_season t ON t.`seasonTMSId`=core.`seasonTMSId`;
DELETE FROM {0}.season WHERE {0}.season.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_program AS SELECT `TMSId` FROM {0}.program WHERE {0}.program.`deleted` = {1};
CREATE INDEX idx_tmp_program_id ON tmp_program (`TMSId`);

DELETE core FROM {0}.program_origaudiolang core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_descriptor core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_externallink core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_relationship core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_release_distributor core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_release_attribute core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_release core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_asset_id core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_asset core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_spdata_event core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_spdata core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_spevent core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_spteam core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_spinfo core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_epinfo_alt core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_epinfo core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_mvtrailer core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_mvinfo core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_ratingadvisory core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_qualityrating core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_rating core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_genre core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_award core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_country core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_crew core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_cast core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_description core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_title core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE core FROM {0}.program_season core JOIN tmp_program t ON t.`TMSId`=core.`TMSId`;
DELETE FROM {0}.program WHERE {0}.program.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_availability AS SELECT `availabilityId` FROM {0}.availability WHERE {0}.availability.`deleted` = {1};
CREATE INDEX idx_tmp_availability_id ON tmp_availability (`availabilityId`);

DELETE core FROM {0}.availability_providerdata core JOIN tmp_availability t ON t.`availabilityId`=core.`availabilityId`;
DELETE core FROM {0}.availability_viewingoption core JOIN tmp_availability t ON t.`availabilityId`=core.`availabilityId`;
DELETE core FROM {0}.availability_url core JOIN tmp_availability t ON t.`availabilityId`=core.`availabilityId`;
DELETE core FROM {0}.availability_id core JOIN tmp_availability t ON t.`availabilityId`=core.`availabilityId`;
DELETE FROM {0}.availability WHERE {0}.availability.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_mapping AS SELECT `mappingId` FROM {0}.mapping WHERE {0}.mapping.`deleted` = {1};
CREATE INDEX idx_tmp_mapping_id ON tmp_mapping (`mappingId`);

DELETE core FROM {0}.mapping_link core JOIN tmp_mapping t ON t.`mappingId`=core.`mappingId`;
DELETE core FROM {0}.mapping_id core JOIN tmp_mapping t ON t.`mappingId`=core.`mappingId`;
DELETE FROM {0}.mapping WHERE {0}.mapping.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_sourceprogram AS SELECT `gnidsId` FROM {0}.sourceprogram WHERE {0}.sourceprogram.`deleted` = {1};
CREATE INDEX idx_tmp_sourceprogram_id ON tmp_sourceprogram (`gnidsId`);

DELETE core FROM {0}.sourceprogram_xid core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_asset_tag core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_asset_extattr core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_asset_market core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_asset_language core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_asset_id core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_asset core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_season_xid core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_season_asset_tag core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_season_asset_extattr core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_season_asset_market core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_season_asset_language core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_season_asset_id core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_season_asset core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_season_crew core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_season_cast core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_season_desc core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_season_title core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_season core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_epinfo core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_mvinfo core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_rating_advisory core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_rating core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_genre core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_country core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_crew core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_cast core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_description core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_title core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_catalog_market core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_catalog_language core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_catalog core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_versionlabel core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE core FROM {0}.sourceprogram_label core JOIN tmp_sourceprogram t ON t.`gnidsId`=core.`gnidsId`;
DELETE FROM {0}.sourceprogram WHERE {0}.sourceprogram.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_popularity AS SELECT `popularityId` FROM {0}.popularity WHERE {0}.popularity.`deleted` = {1};
CREATE INDEX idx_tmp_popularity_id ON tmp_popularity (`popularityId`);

DELETE FROM {0}.popularity WHERE {0}.popularity.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_university AS SELECT `universityId` FROM {0}.university WHERE {0}.university.`deleted` = {1};
CREATE INDEX idx_tmp_university_id ON tmp_university (`universityId`);

DELETE core FROM {0}.university_asset core JOIN tmp_university t ON t.`universityId`=core.`universityId`;
DELETE core FROM {0}.university_name core JOIN tmp_university t ON t.`universityId`=core.`universityId`;
DELETE FROM {0}.university WHERE {0}.university.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_venue AS SELECT `venueId` FROM {0}.venue WHERE {0}.venue.`deleted` = {1};
CREATE INDEX idx_tmp_venue_id ON tmp_venue (`venueId`);

DELETE FROM {0}.venue WHERE {0}.venue.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_venuebrand AS SELECT `venueBrandId` FROM {0}.venuebrand WHERE {0}.venuebrand.`deleted` = {1};
CREATE INDEX idx_tmp_venuebrand_id ON tmp_venuebrand (`venueBrandId`);

DELETE core FROM {0}.venuebrand_name core JOIN tmp_venuebrand t ON t.`venueBrandId`=core.`venueBrandId`;
DELETE FROM {0}.venuebrand WHERE {0}.venuebrand.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_sportsorg AS SELECT `organizationId` FROM {0}.sportsorg WHERE {0}.sportsorg.`deleted` = {1};
CREATE INDEX idx_tmp_sportsorg_id ON tmp_sportsorg (`organizationId`);

DELETE core FROM {0}.sportsorg_event core JOIN tmp_sportsorg t ON t.`organizationId`=core.`organizationId`;
DELETE core FROM {0}.sportsorg_teambrand core JOIN tmp_sportsorg t ON t.`organizationId`=core.`organizationId`;
DELETE core FROM {0}.sportsorg_div core JOIN tmp_sportsorg t ON t.`organizationId`=core.`organizationId`;
DELETE core FROM {0}.sportsorg_conf_asset core JOIN tmp_sportsorg t ON t.`organizationId`=core.`organizationId`;
DELETE core FROM {0}.sportsorg_conf core JOIN tmp_sportsorg t ON t.`organizationId`=core.`organizationId`;
DELETE core FROM {0}.sportsorg_asset core JOIN tmp_sportsorg t ON t.`organizationId`=core.`organizationId`;
DELETE FROM {0}.sportsorg WHERE {0}.sportsorg.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_team AS SELECT `teamId` FROM {0}.team WHERE {0}.team.`deleted` = {1};
CREATE INDEX idx_tmp_team_id ON tmp_team (`teamId`);

DELETE core FROM {0}.team_genre core JOIN tmp_team t ON t.`teamId`=core.`teamId`;
DELETE FROM {0}.team WHERE {0}.team.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_teambrand AS SELECT `teamBrandId` FROM {0}.teambrand WHERE {0}.teambrand.`deleted` = {1};
CREATE INDEX idx_tmp_teambrand_id ON tmp_teambrand (`teamBrandId`);

DELETE core FROM {0}.teambrand_asset core JOIN tmp_teambrand t ON t.`teamBrandId`=core.`teamBrandId`;
DELETE core FROM {0}.teambrand_name core JOIN tmp_teambrand t ON t.`teamBrandId`=core.`teamBrandId`;
DELETE FROM {0}.teambrand WHERE {0}.teambrand.`deleted` = {1};

CREATE TEMPORARY TABLE tmp_vdannotation AS SELECT `TMSId` FROM {0}.vdannotation WHERE {0}.vdannotation.`deleted` = {1};
CREATE INDEX idx_tmp_vdannotation_id ON tmp_vdannotation (`TMSId`);

DELETE core FROM {0}.vdannotation_descriptor core JOIN tmp_vdannotation t ON t.`TMSId`=core.`TMSId`;
DELETE FROM {0}.vdannotation WHERE {0}.vdannotation.`deleted` = {1};
