-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_source AS SELECT * FROM {0}.source 
  WHERE 1=1 
    AND {0}.source.`batchUpdateOrd` > {2} 
    AND {0}.source.`batchUpdateOrd` <= {3} 
;

CREATE INDEX idx_tmp_source_id ON tmp_source (`prgSvcId`);

DELETE FROM {1}.source_transportid WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_group WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_genre WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_marketid WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_asset WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_affiliate WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_relationship WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_bcastlang WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_edlang WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_attribute WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_altname WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_country WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);

UPDATE {1}.source core JOIN tmp_source stage ON stage.`prgSvcId`=core.`prgSvcId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`inactive`=stage.`inactive`,core.`name`=stage.`name`,core.`callSign`=stage.`callSign`,core.`num`=stage.`num`,core.`majorNum`=stage.`majorNum`,core.`minorNum`=stage.`minorNum`,core.`city`=stage.`city`,core.`state`=stage.`state`,core.`postalCode`=stage.`postalCode`,core.`country`=stage.`country`,core.`type`=stage.`type`,core.`status`=stage.`status`,core.`statusId`=stage.`statusId`,core.`reach`=stage.`reach`,core.`signalType`=stage.`signalType`,core.`videoType`=stage.`videoType`,core.`truResolution`=stage.`truResolution`,core.`enhancedCallSign`=stage.`enhancedCallSign`,core.`cityOfLicense`=stage.`cityOfLicense`,core.`timeZone`=stage.`timeZone`,core.`ianaTimeZone`=stage.`ianaTimeZone`,core.`URL`=stage.`URL`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.source_country SELECT * FROM {0}.source_country WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
INSERT INTO {1}.source_altname SELECT * FROM {0}.source_altname WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
INSERT INTO {1}.source_attribute SELECT * FROM {0}.source_attribute WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
INSERT INTO {1}.source_edlang SELECT * FROM {0}.source_edlang WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
INSERT INTO {1}.source_bcastlang SELECT * FROM {0}.source_bcastlang WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
INSERT INTO {1}.source_relationship SELECT * FROM {0}.source_relationship WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
INSERT INTO {1}.source_affiliate SELECT * FROM {0}.source_affiliate WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
INSERT INTO {1}.source_asset SELECT * FROM {0}.source_asset WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
INSERT INTO {1}.source_marketid SELECT * FROM {0}.source_marketid WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
INSERT INTO {1}.source_genre SELECT * FROM {0}.source_genre WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
INSERT INTO {1}.source_group SELECT * FROM {0}.source_group WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
INSERT INTO {1}.source_transportid SELECT * FROM {0}.source_transportid WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
