-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_sportsconf AS SELECT * FROM {0}.sportsconf 
  WHERE 1=1 
    AND {0}.sportsconf.`batchUpdateOrd` > {2} 
    AND {0}.sportsconf.`batchUpdateOrd` <= {3} 
;

CREATE INDEX idx_tmp_sportsconf_id ON tmp_sportsconf (`conferenceId`);

DELETE FROM {1}.sportsconf_asset WHERE `conferenceId` IN (SELECT `conferenceId` FROM tmp_sportsconf);

UPDATE {1}.sportsconf core JOIN tmp_sportsconf stage ON stage.`conferenceId`=core.`conferenceId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`name`=stage.`name`,core.`abbreviation`=stage.`abbreviation`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.sportsconf_asset SELECT * FROM {0}.sportsconf_asset WHERE `conferenceId` IN (SELECT `conferenceId` FROM tmp_sportsconf);
