-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_sportsevent AS SELECT * FROM {0}.sportsevent 
  WHERE 1=1 
    AND {0}.sportsevent.`batchUpdateOrd` > {2} 
    AND {0}.sportsevent.`batchUpdateOrd` <= {3} 
;

CREATE INDEX idx_tmp_sportsevent_id ON tmp_sportsevent (`gId`);

DELETE FROM {1}.sportsevent_div_asset WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_div_name WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_div WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_conf_asset WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_conf_name WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_conf WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_team WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_asset WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_related WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_name WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);

UPDATE {1}.sportsevent core JOIN tmp_sportsevent stage ON stage.`gId`=core.`gId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`type`=stage.`type`,core.`typeDetail`=stage.`typeDetail`,core.`name_default`=stage.`name_default`,core.`names_lang`=stage.`names_lang`,core.`sportGId`=stage.`sportGId`,core.`gender`=stage.`gender`,core.`season`=stage.`season`,core.`seasonGId`=stage.`seasonGId`,core.`venueGId`=stage.`venueGId`,core.`league_nationalityGId`=stage.`league_nationalityGId`,core.`leagueSeason_isCurrent`=stage.`leagueSeason_isCurrent`,core.`leagueSeason_startDateLocal`=stage.`leagueSeason_startDateLocal`,core.`leagueSeason_endDateLocal`=stage.`leagueSeason_endDateLocal`,core.`match_scheduleStatus`=stage.`match_scheduleStatus`,core.`match_resultStatus`=stage.`match_resultStatus`,core.`match_participantType`=stage.`match_participantType`,core.`match_homeParticipant`=stage.`match_homeParticipant`,core.`match_awayParticipant`=stage.`match_awayParticipant`,core.`match_scheduledStartTimeUTC`=stage.`match_scheduledStartTimeUTC`,core.`match_scheduledEndTimeUTC`=stage.`match_scheduledEndTimeUTC`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.sportsevent_name SELECT * FROM {0}.sportsevent_name WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_related SELECT * FROM {0}.sportsevent_related WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_asset SELECT * FROM {0}.sportsevent_asset WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_team SELECT * FROM {0}.sportsevent_team WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_conf SELECT * FROM {0}.sportsevent_conf WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_conf_name SELECT * FROM {0}.sportsevent_conf_name WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_conf_asset SELECT * FROM {0}.sportsevent_conf_asset WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_div SELECT * FROM {0}.sportsevent_div WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_div_name SELECT * FROM {0}.sportsevent_div_name WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_div_asset SELECT * FROM {0}.sportsevent_div_asset WHERE `gId` IN (SELECT `gId` FROM tmp_sportsevent);
