-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_availability AS SELECT * FROM {0}.availability 
  WHERE 1=1 
    AND {0}.availability.`batchUpdateOrd` > {2} 
    AND {0}.availability.`batchUpdateOrd` <= {3} 
    AND ( {0}.availability.`deleted` IS NULL OR 
          {0}.availability.`deleted` != {4} )
;

CREATE INDEX idx_tmp_availability_id ON tmp_availability (`availabilityId`);

DELETE FROM {1}.availability_providerdata WHERE `availabilityId` IN (SELECT `availabilityId` FROM tmp_availability);
DELETE FROM {1}.availability_viewingoption WHERE `availabilityId` IN (SELECT `availabilityId` FROM tmp_availability);
DELETE FROM {1}.availability_url WHERE `availabilityId` IN (SELECT `availabilityId` FROM tmp_availability);
DELETE FROM {1}.availability_id WHERE `availabilityId` IN (SELECT `availabilityId` FROM tmp_availability);

UPDATE {1}.availability core JOIN tmp_availability stage ON stage.`availabilityId`=core.`availabilityId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`prgSvcId`=stage.`prgSvcId`,core.`catalogName`=stage.`catalogName`,core.`videoQuality`=stage.`videoQuality`,core.`availableFrom`=stage.`availableFrom`,core.`expiresAt`=stage.`expiresAt`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.availability_id SELECT * FROM {0}.availability_id WHERE `availabilityId` IN (SELECT `availabilityId` FROM tmp_availability);
INSERT INTO {1}.availability_url SELECT * FROM {0}.availability_url WHERE `availabilityId` IN (SELECT `availabilityId` FROM tmp_availability);
INSERT INTO {1}.availability_viewingoption SELECT * FROM {0}.availability_viewingoption WHERE `availabilityId` IN (SELECT `availabilityId` FROM tmp_availability);
INSERT INTO {1}.availability_providerdata SELECT * FROM {0}.availability_providerdata WHERE `availabilityId` IN (SELECT `availabilityId` FROM tmp_availability);


CREATE TEMPORARY TABLE tmp_availability_del AS SELECT * FROM {0}.availability 
  WHERE 1=1 
    AND {0}.availability.`batchUpdateOrd` > {2} 
    AND {0}.availability.`batchUpdateOrd` <= {3} 
    AND {0}.availability.`deleted` = {4}
;
UPDATE {1}.availability core JOIN tmp_availability_del t ON t.`availabilityId`=core.`availabilityId`
SET core.`deleted`=t.`deleted`,core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`,core.`updateDate`=t.`updateDate`
;
UPDATE {1}.availability_id core JOIN tmp_availability_del t ON t.`availabilityId`=core.`availabilityId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.availability_url core JOIN tmp_availability_del t ON t.`availabilityId`=core.`availabilityId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.availability_viewingoption core JOIN tmp_availability_del t ON t.`availabilityId`=core.`availabilityId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.availability_providerdata core JOIN tmp_availability_del t ON t.`availabilityId`=core.`availabilityId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;