-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_lineup AS SELECT * FROM {0}.lineup 
  WHERE 1=1 
    AND {0}.lineup.`batchUpdateOrd` > {2} 
    AND {0}.lineup.`batchUpdateOrd` <= {3} 
    AND ( {0}.lineup.`deleted` IS NULL OR 
          {0}.lineup.`deleted` != {4} )
;

CREATE INDEX idx_tmp_lineup_id ON tmp_lineup (`lineupId`);

DELETE FROM {1}.lineup_market WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
DELETE FROM {1}.lineup_postalcode WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
DELETE FROM {1}.lineup_channel_transport_id WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
DELETE FROM {1}.lineup_channel_transport WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
DELETE FROM {1}.lineup_channel WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);

UPDATE {1}.lineup core JOIN tmp_lineup stage ON stage.`lineupId`=core.`lineupId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`country`=stage.`country`,core.`countryId`=stage.`countryId`,core.`mso`=stage.`mso`,core.`msoId`=stage.`msoId`,core.`headend`=stage.`headend`,core.`headendId`=stage.`headendId`,core.`location`=stage.`location`,core.`device`=stage.`device`,core.`deviceType`=stage.`deviceType`,core.`type`=stage.`type`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.lineup_channel SELECT * FROM {0}.lineup_channel WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
INSERT INTO {1}.lineup_channel_transport SELECT * FROM {0}.lineup_channel_transport WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
INSERT INTO {1}.lineup_channel_transport_id SELECT * FROM {0}.lineup_channel_transport_id WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
INSERT INTO {1}.lineup_postalcode SELECT * FROM {0}.lineup_postalcode WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
INSERT INTO {1}.lineup_market SELECT * FROM {0}.lineup_market WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);


CREATE TEMPORARY TABLE tmp_lineup_del AS SELECT * FROM {0}.lineup 
  WHERE 1=1 
    AND {0}.lineup.`batchUpdateOrd` > {2} 
    AND {0}.lineup.`batchUpdateOrd` <= {3} 
    AND {0}.lineup.`deleted` = {4}
;
UPDATE {1}.lineup core JOIN tmp_lineup_del t ON t.`lineupId`=core.`lineupId`
SET core.`deleted`=t.`deleted`,core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`,core.`updateDate`=t.`updateDate`
;
UPDATE {1}.lineup_channel core JOIN tmp_lineup_del t ON t.`lineupId`=core.`lineupId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.lineup_channel_transport core JOIN tmp_lineup_del t ON t.`lineupId`=core.`lineupId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.lineup_channel_transport_id core JOIN tmp_lineup_del t ON t.`lineupId`=core.`lineupId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.lineup_postalcode core JOIN tmp_lineup_del t ON t.`lineupId`=core.`lineupId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.lineup_market core JOIN tmp_lineup_del t ON t.`lineupId`=core.`lineupId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;