-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_program AS SELECT * FROM {0}.program 
  WHERE 1=1 
    AND {0}.program.`batchUpdateOrd` > {2} 
    AND {0}.program.`batchUpdateOrd` <= {3} 
    AND ( {0}.program.`deleted` IS NULL OR 
          {0}.program.`deleted` != {4} )
    AND ( {0}.program.`inactive` IS NULL OR 
          {0}.program.`inactive` != {4} )
;

CREATE INDEX idx_tmp_program_id ON tmp_program (`TMSId`);

DELETE FROM {1}.program_origaudiolang WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_descriptor WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_externallink WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_relationship WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_release_distributor WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_release_attribute WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_release WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_asset_id WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_asset WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_spdata_event WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_spdata WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_spevent WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_spteam WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_spinfo WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_epinfo_alt WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_epinfo WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_mvtrailer WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_mvinfo WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_ratingadvisory WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_qualityrating WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_rating WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_genre WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_award WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_country WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_crew WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_cast WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_description WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_title WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
DELETE FROM {1}.program_season WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);

UPDATE {1}.program core JOIN tmp_program stage ON stage.`TMSId`=core.`TMSId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`inactive`=stage.`inactive`,core.`rootId`=stage.`rootId`,core.`versionId`=stage.`versionId`,core.`connectorId`=stage.`connectorId`,core.`seasonId`=stage.`seasonId`,core.`seriesId`=stage.`seriesId`,core.`title_lang`=stage.`title_lang`,core.`desc_lang`=stage.`desc_lang`,core.`title_subType`=stage.`title_subType`,core.`runTime`=stage.`runTime`,core.`progType`=stage.`progType`,core.`subType`=stage.`subType`,core.`holiday`=stage.`holiday`,core.`holidayId`=stage.`holidayId`,core.`origAirDate`=stage.`origAirDate`,core.`colorCode`=stage.`colorCode`,core.`versionLabel`=stage.`versionLabel`,core.`animation`=stage.`animation`,core.`origAudioLang`=stage.`origAudioLang`,core.`sourceType`=stage.`sourceType`,core.`origNetwork`=stage.`origNetwork`,core.`origNetwork_prgSvcId`=stage.`origNetwork_prgSvcId`,core.`lastOrigNetwork`=stage.`lastOrigNetwork`,core.`lastOrigNetwork_prgSvcId`=stage.`lastOrigNetwork_prgSvcId`,core.`seriesPremiere`=stage.`seriesPremiere`,core.`seriesFinale`=stage.`seriesFinale`,core.`showcard`=stage.`showcard`,core.`officialURL`=stage.`officialURL`,core.`partNumber`=stage.`partNumber`,core.`totalParts`=stage.`totalParts`,core.`duration`=stage.`duration`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.program_season SELECT * FROM {0}.program_season WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_title SELECT * FROM {0}.program_title WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_description SELECT * FROM {0}.program_description WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_cast SELECT * FROM {0}.program_cast WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_crew SELECT * FROM {0}.program_crew WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_country SELECT * FROM {0}.program_country WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_award SELECT * FROM {0}.program_award WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_genre SELECT * FROM {0}.program_genre WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_rating SELECT * FROM {0}.program_rating WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_qualityrating SELECT * FROM {0}.program_qualityrating WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_ratingadvisory SELECT * FROM {0}.program_ratingadvisory WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_mvinfo SELECT * FROM {0}.program_mvinfo WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_mvtrailer SELECT * FROM {0}.program_mvtrailer WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_epinfo SELECT * FROM {0}.program_epinfo WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_epinfo_alt SELECT * FROM {0}.program_epinfo_alt WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_spinfo SELECT * FROM {0}.program_spinfo WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_spteam SELECT * FROM {0}.program_spteam WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_spevent SELECT * FROM {0}.program_spevent WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_spdata SELECT * FROM {0}.program_spdata WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_spdata_event SELECT * FROM {0}.program_spdata_event WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_asset SELECT * FROM {0}.program_asset WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_asset_id SELECT * FROM {0}.program_asset_id WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_release SELECT * FROM {0}.program_release WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_release_attribute SELECT * FROM {0}.program_release_attribute WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_release_distributor SELECT * FROM {0}.program_release_distributor WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_relationship SELECT * FROM {0}.program_relationship WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_externallink SELECT * FROM {0}.program_externallink WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_descriptor SELECT * FROM {0}.program_descriptor WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);
INSERT INTO {1}.program_origaudiolang SELECT * FROM {0}.program_origaudiolang WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_program);


CREATE TEMPORARY TABLE tmp_program_del AS SELECT * FROM {0}.program 
  WHERE 1=1 
    AND {0}.program.`batchUpdateOrd` > {2} 
    AND {0}.program.`batchUpdateOrd` <= {3} 
    AND {0}.program.`deleted` = {4}
;
UPDATE {1}.program core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`deleted`=t.`deleted`,core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`,core.`updateDate`=t.`updateDate`
;
UPDATE {1}.program_season core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_title core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_description core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_cast core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_crew core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_country core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_award core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_genre core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_rating core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_qualityrating core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_ratingadvisory core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_mvinfo core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_mvtrailer core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_epinfo core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_epinfo_alt core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_spinfo core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_spteam core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_spevent core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_spdata core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_spdata_event core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_asset core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_asset_id core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_release core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_release_attribute core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_release_distributor core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_relationship core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_externallink core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_descriptor core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_origaudiolang core JOIN tmp_program_del t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;

CREATE TEMPORARY TABLE tmp_program_inact AS SELECT * FROM {0}.program 
  WHERE 1=1 
    AND {0}.program.`batchUpdateOrd` > {2} 
    AND {0}.program.`batchUpdateOrd` <= {3} 
    AND {0}.program.`inactive` = {4}
;
UPDATE {1}.program core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`inactive`=t.`inactive`,core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`,core.`updateDate`=t.`updateDate`
;
UPDATE {1}.program_season core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_title core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_description core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_cast core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_crew core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_country core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_award core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_genre core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_rating core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_qualityrating core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_ratingadvisory core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_mvinfo core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_mvtrailer core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_epinfo core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_epinfo_alt core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_spinfo core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_spteam core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_spevent core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_spdata core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_spdata_event core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_asset core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_asset_id core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_release core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_release_attribute core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_release_distributor core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_relationship core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_externallink core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_descriptor core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.program_origaudiolang core JOIN tmp_program_inact t ON t.`TMSId`=core.`TMSId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;