-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_sport AS SELECT * FROM {0}.sport 
  WHERE 1=1 
    AND {0}.sport.`None` > {2} 
    AND {0}.sport.`None` <= {3} 
    AND ( {0}.sport.`deleted` IS NULL OR 
          {0}.sport.`deleted` != {4} )
;

CREATE INDEX idx_tmp_sport_id ON tmp_sport (`sportGId`);

DELETE FROM {1}.sport_name WHERE `sportGId` IN (SELECT `sportGId` FROM tmp_sport);

UPDATE {1}.sport core JOIN tmp_sport stage ON stage.`sportGId`=core.`sportGId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`name_default`=stage.`name_default`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`;

INSERT INTO {1}.sport_name SELECT * FROM {0}.sport_name WHERE `sportGId` IN (SELECT `sportGId` FROM tmp_sport);


CREATE TEMPORARY TABLE tmp_sport_del AS SELECT * FROM {0}.sport 
  WHERE 1=1 
    AND {0}.sport.`None` > {2} 
    AND {0}.sport.`None` <= {3} 
    AND {0}.sport.`deleted` = {4}
;
UPDATE {1}.sport core JOIN tmp_sport_del t ON t.`sportGId`=core.`sportGId`
SET core.`deleted`=t.`deleted`,core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`,core.`updateDate`=t.`updateDate`
;
UPDATE {1}.sport_name core JOIN tmp_sport_del t ON t.`sportGId`=core.`sportGId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;