-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_sportsorg AS SELECT * FROM {0}.sportsorg 
  WHERE 1=1 
    AND {0}.sportsorg.`batchUpdateOrd` > {2} 
    AND {0}.sportsorg.`batchUpdateOrd` <= {3} 
    AND ( {0}.sportsorg.`deleted` IS NULL OR 
          {0}.sportsorg.`deleted` != {4} )
;

CREATE INDEX idx_tmp_sportsorg_id ON tmp_sportsorg (`organizationId`);

DELETE FROM {1}.sportsorg_event WHERE `organizationId` IN (SELECT `organizationId` FROM tmp_sportsorg);
DELETE FROM {1}.sportsorg_teambrand WHERE `organizationId` IN (SELECT `organizationId` FROM tmp_sportsorg);
DELETE FROM {1}.sportsorg_div WHERE `organizationId` IN (SELECT `organizationId` FROM tmp_sportsorg);
DELETE FROM {1}.sportsorg_conf_asset WHERE `organizationId` IN (SELECT `organizationId` FROM tmp_sportsorg);
DELETE FROM {1}.sportsorg_conf WHERE `organizationId` IN (SELECT `organizationId` FROM tmp_sportsorg);
DELETE FROM {1}.sportsorg_asset WHERE `organizationId` IN (SELECT `organizationId` FROM tmp_sportsorg);

UPDATE {1}.sportsorg core JOIN tmp_sportsorg stage ON stage.`organizationId`=core.`organizationId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`rootId`=stage.`rootId`,core.`official`=stage.`official`,core.`sportGId`=stage.`sportGId`,core.`name`=stage.`name`,core.`genre`=stage.`genre`,core.`genreId`=stage.`genreId`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.sportsorg_asset SELECT * FROM {0}.sportsorg_asset WHERE `organizationId` IN (SELECT `organizationId` FROM tmp_sportsorg);
INSERT INTO {1}.sportsorg_conf SELECT * FROM {0}.sportsorg_conf WHERE `organizationId` IN (SELECT `organizationId` FROM tmp_sportsorg);
INSERT INTO {1}.sportsorg_conf_asset SELECT * FROM {0}.sportsorg_conf_asset WHERE `organizationId` IN (SELECT `organizationId` FROM tmp_sportsorg);
INSERT INTO {1}.sportsorg_div SELECT * FROM {0}.sportsorg_div WHERE `organizationId` IN (SELECT `organizationId` FROM tmp_sportsorg);
INSERT INTO {1}.sportsorg_teambrand SELECT * FROM {0}.sportsorg_teambrand WHERE `organizationId` IN (SELECT `organizationId` FROM tmp_sportsorg);
INSERT INTO {1}.sportsorg_event SELECT * FROM {0}.sportsorg_event WHERE `organizationId` IN (SELECT `organizationId` FROM tmp_sportsorg);


CREATE TEMPORARY TABLE tmp_sportsorg_del AS SELECT * FROM {0}.sportsorg 
  WHERE 1=1 
    AND {0}.sportsorg.`batchUpdateOrd` > {2} 
    AND {0}.sportsorg.`batchUpdateOrd` <= {3} 
    AND {0}.sportsorg.`deleted` = {4}
;
UPDATE {1}.sportsorg core JOIN tmp_sportsorg_del t ON t.`organizationId`=core.`organizationId`
SET core.`deleted`=t.`deleted`,core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`,core.`updateDate`=t.`updateDate`
;
UPDATE {1}.sportsorg_asset core JOIN tmp_sportsorg_del t ON t.`organizationId`=core.`organizationId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.sportsorg_conf core JOIN tmp_sportsorg_del t ON t.`organizationId`=core.`organizationId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.sportsorg_conf_asset core JOIN tmp_sportsorg_del t ON t.`organizationId`=core.`organizationId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.sportsorg_div core JOIN tmp_sportsorg_del t ON t.`organizationId`=core.`organizationId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.sportsorg_teambrand core JOIN tmp_sportsorg_del t ON t.`organizationId`=core.`organizationId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.sportsorg_event core JOIN tmp_sportsorg_del t ON t.`organizationId`=core.`organizationId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;