-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_teambrand AS SELECT * FROM {0}.teambrand 
  WHERE 1=1 
    AND {0}.teambrand.`batchUpdateOrd` > {2} 
    AND {0}.teambrand.`batchUpdateOrd` <= {3} 
    AND ( {0}.teambrand.`deleted` IS NULL OR 
          {0}.teambrand.`deleted` != {4} )
;

CREATE INDEX idx_tmp_teambrand_id ON tmp_teambrand (`teamBrandId`);

DELETE FROM {1}.teambrand_asset WHERE `teamBrandId` IN (SELECT `teamBrandId` FROM tmp_teambrand);
DELETE FROM {1}.teambrand_name WHERE `teamBrandId` IN (SELECT `teamBrandId` FROM tmp_teambrand);

UPDATE {1}.teambrand core JOIN tmp_teambrand stage ON stage.`teamBrandId`=core.`teamBrandId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`teamBrandGId`=stage.`teamBrandGId`,core.`teamId`=stage.`teamId`,core.`active`=stage.`active`,core.`fromDate`=stage.`fromDate`,core.`toDate`=stage.`toDate`,core.`names_lang`=stage.`names_lang`,core.`officialName`=stage.`officialName`,core.`properName`=stage.`properName`,core.`nickName`=stage.`nickName`,core.`abbreviation`=stage.`abbreviation`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.teambrand_name SELECT * FROM {0}.teambrand_name WHERE `teamBrandId` IN (SELECT `teamBrandId` FROM tmp_teambrand);
INSERT INTO {1}.teambrand_asset SELECT * FROM {0}.teambrand_asset WHERE `teamBrandId` IN (SELECT `teamBrandId` FROM tmp_teambrand);


CREATE TEMPORARY TABLE tmp_teambrand_del AS SELECT * FROM {0}.teambrand 
  WHERE 1=1 
    AND {0}.teambrand.`batchUpdateOrd` > {2} 
    AND {0}.teambrand.`batchUpdateOrd` <= {3} 
    AND {0}.teambrand.`deleted` = {4}
;
UPDATE {1}.teambrand core JOIN tmp_teambrand_del t ON t.`teamBrandId`=core.`teamBrandId`
SET core.`deleted`=t.`deleted`,core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`,core.`updateDate`=t.`updateDate`
;
UPDATE {1}.teambrand_name core JOIN tmp_teambrand_del t ON t.`teamBrandId`=core.`teamBrandId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;
UPDATE {1}.teambrand_asset core JOIN tmp_teambrand_del t ON t.`teamBrandId`=core.`teamBrandId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;