-- {0}: core schema
-- {1}: truth value


-- Delete INACTIVE source entities
CREATE TEMP TABLE tmp_source AS SELECT "prgSvcId" FROM {0}.source WHERE {0}.source."inactive" = {1};
CREATE INDEX idx_tmp_source_id ON tmp_source("prgSvcId");

DELETE FROM {0}.source_transportid c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_group c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_genre c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_marketid c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_asset c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_affiliate c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_relationship c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_bcastlang c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_edlang c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_attribute c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_altname c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_country c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source WHERE {0}.source."inactive" = {1};

-- Delete INACTIVE season entities
CREATE TEMP TABLE tmp_season AS SELECT "seasonTMSId" FROM {0}.season WHERE {0}.season."inactive" = {1};
CREATE INDEX idx_tmp_season_id ON tmp_season("seasonTMSId");

DELETE FROM {0}.season_asset_id c USING tmp_season d WHERE d."seasonTMSId"=c."seasonTMSId";
DELETE FROM {0}.season_asset c USING tmp_season d WHERE d."seasonTMSId"=c."seasonTMSId";
DELETE FROM {0}.season_crew c USING tmp_season d WHERE d."seasonTMSId"=c."seasonTMSId";
DELETE FROM {0}.season_cast c USING tmp_season d WHERE d."seasonTMSId"=c."seasonTMSId";
DELETE FROM {0}.season_description c USING tmp_season d WHERE d."seasonTMSId"=c."seasonTMSId";
DELETE FROM {0}.season_title c USING tmp_season d WHERE d."seasonTMSId"=c."seasonTMSId";
DELETE FROM {0}.season WHERE {0}.season."inactive" = {1};

-- Delete INACTIVE program entities
CREATE TEMP TABLE tmp_program AS SELECT "TMSId" FROM {0}.program WHERE {0}.program."inactive" = {1};
CREATE INDEX idx_tmp_program_id ON tmp_program("TMSId");

DELETE FROM {0}.program_origaudiolang c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_descriptor c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_externallink c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_relationship c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_release_distributor c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_release_attribute c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_release c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_asset_id c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_asset c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_spdata_event c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_spdata c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_spevent c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_spteam c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_spinfo c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_epinfo_alt c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_epinfo c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_mvtrailer c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_mvinfo c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_ratingadvisory c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_qualityrating c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_rating c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_genre c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_award c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_country c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_crew c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_cast c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_description c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_title c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_season c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program WHERE {0}.program."inactive" = {1};
