--
-- PostgreSQL database dump
--

-- Dumped from database version 12.2
-- Dumped by pg_dump version 12.2

SELECT pg_catalog.set_config('search_path', '', false);

--
-- Name: {0}; Type: SCHEMA; Schema: -; Owner: {1}
--

CREATE SCHEMA IF NOT EXISTS {0};


ALTER SCHEMA {0} OWNER TO {1};



--
-- Name: availability; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.availability (
    "availabilityId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "prgSvcId" integer,
    "catalogName" character varying(255),
    "videoQuality" character varying(255),
    "availableFrom" timestamp without time zone,
    "expiresAt" timestamp without time zone,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.availability OWNER TO {1};

--
-- Name: availability_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.availability_id (
    "availabilityId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255),
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.availability_id OWNER TO {1};

--
-- Name: availability_providerdata; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.availability_providerdata (
    "availabilityId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    key character varying(255) NOT NULL,
    value character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.availability_providerdata OWNER TO {1};

--
-- Name: availability_url; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.availability_url (
    "availabilityId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    url character varying(500),
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.availability_url OWNER TO {1};

--
-- Name: availability_viewingoption; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.availability_viewingoption (
    "availabilityId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "videoQuality" character varying(255),
    license character varying(255),
    price real,
    currency character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.availability_viewingoption OWNER TO {1};

--
-- Name: celebrity; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    type character varying(255) NOT NULL,
    gender character varying(255),
    nationality character varying(255),
    ethnicity character varying(255),
    "birthName" character varying(255),
    "birthPlace" character varying(255),
    "birthDate" character varying(255),
    "deathDate" character varying(255),
    "deathPlace" character varying(255),
    "deathCause" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.celebrity OWNER TO {1};

--
-- Name: celebrity_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_asset (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    provider character varying(255),
    "URI" character varying(255) NOT NULL,
    caption character varying(4000),
    caption_lang character varying(255),
    "enhRank" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_asset OWNER TO {1};

--
-- Name: celebrity_award; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_award (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    won integer,
    "rootId" integer,
    award character varying(255) NOT NULL,
    "awardId" integer NOT NULL,
    category character varying(255) NOT NULL,
    "awardCatId" integer NOT NULL,
    year character varying(255),
    recipient character varying(255),
    "recipientNameId" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_award OWNER TO {1};

--
-- Name: celebrity_biography; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_biography (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    biography text NOT NULL,
    type character varying(255),
    lang character varying(255),
    territory character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_biography OWNER TO {1};

--
-- Name: celebrity_education; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_education (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    degree character varying(255),
    institution character varying(255),
    location character varying(255),
    major character varying(255),
    "yearRange" character varying(255),
    notes character varying(1000),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_education OWNER TO {1};

--
-- Name: celebrity_enhancedaward; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_enhancedaward (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "group" character varying(255),
    category character varying(255),
    year character varying(255),
    result character varying(255),
    project_title character varying(255),
    "showTitle" character varying(255),
    notes character varying(500),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_enhancedaward OWNER TO {1};

--
-- Name: celebrity_highlight; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_highlight (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    highlight character varying(1000),
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_highlight OWNER TO {1};

--
-- Name: celebrity_mediography; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_mediography (
    "mediographyId" character varying(255) NOT NULL,
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255),
    "rootId" integer,
    year character varying(255),
    title character varying(255),
    title_type character varying(255),
    "title_subType" character varying(255),
    title_lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_mediography OWNER TO {1};

--
-- Name: celebrity_mediography_credit; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_mediography_credit (
    "mediographyId" character varying(255) NOT NULL,
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "nameId" integer,
    "characterName" character varying(255),
    "roleId" integer,
    role character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_mediography_credit OWNER TO {1};

--
-- Name: celebrity_milestone; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_milestone (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "beginDate" character varying(255),
    "endDate" character varying(255),
    description character varying(4000),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_milestone OWNER TO {1};

--
-- Name: celebrity_name; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_name (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "nameId" integer NOT NULL,
    "primary" integer,
    lang character varying(255),
    sort integer,
    prefix character varying(255),
    first character varying(255),
    middle character varying(255),
    last character varying(255),
    suffix character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_name OWNER TO {1};

--
-- Name: celebrity_note; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_note (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    note character varying(4000),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_note OWNER TO {1};

--
-- Name: celebrity_participanttype; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_participanttype (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "participantType" character varying(255),
    "isPrimary" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_participanttype OWNER TO {1};

--
-- Name: celebrity_quote; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_quote (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255),
    description character varying(4000),
    "beginDate" character varying(255),
    "endDate" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_quote OWNER TO {1};

--
-- Name: celebrity_relationship; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_relationship (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255),
    relationship character varying(255),
    "rel_personId" integer,
    name_prefix character varying(255),
    name_first character varying(255),
    name_middle character varying(255),
    name_last character varying(255),
    name_suffix character varying(255),
    name_aka character varying(255),
    description character varying(4000),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_relationship OWNER TO {1};

--
-- Name: celebrity_relationshipevent; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_relationshipevent (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255),
    relationship character varying(255),
    name character varying(255),
    event_type character varying(255),
    event_date character varying(255),
    event_desc character varying(500),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_relationshipevent OWNER TO {1};

--
-- Name: celebrity_socialmedia; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_socialmedia (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    handle character varying(255),
    host character varying(255),
    "URL" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_socialmedia OWNER TO {1};

--
-- Name: cv; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.cv (
    "cvId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "cvType" character varying(255) NOT NULL,
    id character varying(255),
    type character varying(255),
    lang character varying(255),
    value character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.cv OWNER TO {1};

--
-- Name: cv_attribute; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.cv_attribute (
    "cvId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "attributeId" character varying(255),
    "attributeType" character varying(255),
    "attributeLang" character varying(255),
    "attributeValue" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.cv_attribute OWNER TO {1};

--
-- Name: descriptor; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.descriptor (
    "descriptorId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "descriptorName" character varying(255) NOT NULL,
    "parent_descriptorId" character varying(255),
    "typeId" character varying(255) NOT NULL,
    "typeName" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.descriptor OWNER TO {1};

--
-- Name: descriptortaxonomy; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.descriptortaxonomy (
    "taxonomyId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.descriptortaxonomy OWNER TO {1};

--
-- Name: descriptortaxonomy_descriptor; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.descriptortaxonomy_descriptor (
    "taxonomyId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "descriptorId" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.descriptortaxonomy_descriptor OWNER TO {1};

--
-- Name: lineup; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.lineup (
    "lineupId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    country character varying(255),
    "countryId" integer,
    mso character varying(255),
    "msoId" integer,
    headend character varying(255),
    "headendId" character varying(255),
    location character varying(255),
    device character varying(255),
    "deviceType" character varying(255),
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.lineup OWNER TO {1};

--
-- Name: lineup_channel; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.lineup_channel (
    "channelId" character varying(255) NOT NULL,
    "lineupId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "prgSvcId" integer,
    "channelNumber" character varying(255),
    "effectiveDate" timestamp without time zone,
    "expirationDate" timestamp without time zone,
    tier integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.lineup_channel OWNER TO {1};

--
-- Name: lineup_channel_transport; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.lineup_channel_transport (
    "transportId" character varying(255) NOT NULL,
    "channelId" character varying(255) NOT NULL,
    "lineupId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    system character varying(255) NOT NULL,
    "subSystem" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.lineup_channel_transport OWNER TO {1};

--
-- Name: lineup_channel_transport_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.lineup_channel_transport_id (
    "transportId" character varying(255) NOT NULL,
    "lineupId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255) NOT NULL,
    id integer NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.lineup_channel_transport_id OWNER TO {1};

--
-- Name: lineup_market; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.lineup_market (
    "lineupId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    market character varying(255),
    "marketId" integer,
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.lineup_market OWNER TO {1};

--
-- Name: lineup_postalcode; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.lineup_postalcode (
    "lineupId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "postalCode" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.lineup_postalcode OWNER TO {1};

--
-- Name: mapping; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.mapping (
    "mappingId" bigint NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "creationDate" character varying(255),
    status character varying(255),
    "catalogName" character varying(255),
    avail_start timestamp without time zone,
    avail_end timestamp without time zone,
    message_reason character varying(255),
    message_detail character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.mapping OWNER TO {1};

--
-- Name: mapping_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.mapping_id (
    "mappingId" bigint NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.mapping_id OWNER TO {1};

--
-- Name: mapping_link; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.mapping_link (
    "mappingId" bigint NOT NULL,
    "updateId" bigint NOT NULL,
    link character varying(255) NOT NULL,
    "idType" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.mapping_link OWNER TO {1};

--
-- Name: popularity; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.popularity (
    "popularityId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    country character varying(255) NOT NULL,
    "rootId" integer NOT NULL,
    score real NOT NULL,
    "scoreDate" timestamp without time zone,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.popularity OWNER TO {1};

--
-- Name: program; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    inactive integer,
    "rootId" integer,
    "versionId" integer,
    "connectorId" character varying(255),
    "seasonId" integer,
    "seriesId" integer,
    title_lang character varying(255) NOT NULL,
    desc_lang character varying(255) NOT NULL,
    "title_subType" character varying(255) NOT NULL,
    "runTime" character varying(255),
    "progType" character varying(255),
    "subType" character varying(255),
    holiday character varying(255),
    "holidayId" integer,
    "origAirDate" character varying(255),
    "colorCode" character varying(255),
    "versionLabel" character varying(255),
    animation character varying(255),
    "origAudioLang" character varying(255),
    "sourceType" character varying(255),
    "origNetwork" character varying(255),
    "origNetwork_prgSvcId" integer,
    "lastOrigNetwork" character varying(255),
    "lastOrigNetwork_prgSvcId" integer,
    "seriesPremiere" character varying(255),
    "seriesFinale" character varying(255),
    showcard integer,
    "officialURL" character varying(255),
    "partNumber" integer,
    "totalParts" integer,
    duration integer,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.program OWNER TO {1};

--
-- Name: program_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_asset (
    "programAssetId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255) NOT NULL,
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "seasonId" integer,
    "restrictedProvider" integer,
    provider character varying(255),
    "URI" character varying(255) NOT NULL,
    caption character varying(1000),
    caption_lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_asset OWNER TO {1};

--
-- Name: program_asset_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_asset_id (
    "programAssetId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_asset_id OWNER TO {1};

--
-- Name: program_award; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_award (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    won integer,
    award character varying(255) NOT NULL,
    "awardId" integer NOT NULL,
    category character varying(255) NOT NULL,
    "awardCatId" integer NOT NULL,
    year character varying(255),
    recipient character varying(255),
    "recipientNameId" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_award OWNER TO {1};

--
-- Name: program_cast; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_cast (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    "personId" integer,
    "nameId" integer,
    "characterName" character varying(255),
    "roleId" integer,
    role character varying(255),
    departed integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_cast OWNER TO {1};

--
-- Name: program_country; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_country (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    country character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_country OWNER TO {1};

--
-- Name: program_crew; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_crew (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    "personId" integer,
    "nameId" integer,
    "roleId" integer,
    role character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_crew OWNER TO {1};

--
-- Name: program_description; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_description (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    description text NOT NULL,
    size integer NOT NULL,
    type character varying(255) NOT NULL,
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_description OWNER TO {1};

--
-- Name: program_descriptor; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_descriptor (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer,
    "descriptorId" character varying(255),
    weight integer,
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_descriptor OWNER TO {1};

--
-- Name: program_epinfo; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_epinfo (
    "episodeInfoId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    title character varying(255),
    size integer,
    type character varying(255),
    "subType" character varying(255),
    lang character varying(255),
    season integer,
    number integer,
    episodes character varying(255),
    "numInSeries" integer,
    "seasonYear" integer,
    "synNum" character varying(255),
    "altSynNum" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_epinfo OWNER TO {1};

--
-- Name: program_epinfo_alt; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_epinfo_alt (
    "episodeInfoId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    country character varying(255),
    countrywide integer,
    "prgSvcId" integer,
    season integer,
    episode character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_epinfo_alt OWNER TO {1};

--
-- Name: program_externallink; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_externallink (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    vendor character varying(255),
    "vendorId" character varying(255),
    id character varying(255),
    url character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_externallink OWNER TO {1};

--
-- Name: program_genre; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_genre (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "genreOrd" integer NOT NULL,
    genre character varying(255) NOT NULL,
    "genreId" integer NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_genre OWNER TO {1};

--
-- Name: program_mvinfo; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_mvinfo (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    key character varying(255) NOT NULL,
    value character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_mvinfo OWNER TO {1};

--
-- Name: program_mvtrailer; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_mvtrailer (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    format character varying(255),
    "URL" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_mvtrailer OWNER TO {1};

--
-- Name: program_origaudiolang; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_origaudiolang (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer,
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_origaudiolang OWNER TO {1};

--
-- Name: program_qualityrating; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_qualityrating (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "ratingsBody" character varying(255),
    value character varying(255),
    "numVotes" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_qualityrating OWNER TO {1};

--
-- Name: program_rating; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_rating (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    exempt integer,
    rating_code character varying(255),
    "ratingBodyId" integer,
    "ratingsBody" character varying(255),
    warning character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_rating OWNER TO {1};

--
-- Name: program_ratingadvisory; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_ratingadvisory (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    advisory character varying(255) NOT NULL,
    "ratingsBody" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_ratingadvisory OWNER TO {1};

--
-- Name: program_relationship; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_relationship (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255),
    association character varying(255),
    "rootId" integer,
    "organizationId" integer,
    "personId" integer,
    "personNameId" integer,
    label character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_relationship OWNER TO {1};

--
-- Name: program_release; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_release (
    "releaseId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "editNotes" character varying(255),
    country character varying(255),
    type character varying(255) NOT NULL,
    date character varying(255),
    medium character varying(255),
    "prgSvcId" integer,
    "seasonYear" character varying(255),
    "seasonName" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_release OWNER TO {1};

--
-- Name: program_release_attribute; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_release_attribute (
    "releaseId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    attribute character varying(255) NOT NULL,
    attribute_type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_release_attribute OWNER TO {1};

--
-- Name: program_release_distributor; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_release_distributor (
    "releaseId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    name character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_release_distributor OWNER TO {1};

--
-- Name: program_season; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_season (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "seasonTMSId" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_season OWNER TO {1};

--
-- Name: program_spdata; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_spdata (
    "sportsDataId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "homeParticipantGId" character varying(255),
    "awayParticipantGId" character varying(255),
    "participantType" character varying(255),
    "sportGId" character varying(255),
    "venueGId" character varying(255),
    gender character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_spdata OWNER TO {1};

--
-- Name: program_spdata_event; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_spdata_event (
    "sportsDataId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "sportsEventGId" character varying(255) NOT NULL,
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_spdata_event OWNER TO {1};

--
-- Name: program_spevent; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_spevent (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "eventId" character varying(255) NOT NULL,
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_spevent OWNER TO {1};

--
-- Name: program_spinfo; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_spinfo (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "gameDate" character varying(255),
    "gameTime" character varying(255),
    "gameTimeZone" character varying(255),
    venue character varying(255),
    "venueBrandId" integer,
    season character varying(255),
    season_type character varying(255),
    "playoffRound" character varying(255),
    "playoffRound_gameNum" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_spinfo OWNER TO {1};

--
-- Name: program_spteam; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_spteam (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    team character varying(255) NOT NULL,
    "teamBrandId" integer,
    "isHome" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_spteam OWNER TO {1};

--
-- Name: program_title; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_title (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    title character varying(255) NOT NULL,
    size integer NOT NULL,
    type character varying(255) NOT NULL,
    "subType" character varying(255),
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_title OWNER TO {1};

--
-- Name: schedule; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.schedule (
    "scheduleId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    "prgSvcId" integer NOT NULL,
    date timestamp without time zone NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.schedule OWNER TO {1};

--
-- Name: schedule_event; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.schedule_event (
    "eventId" character varying(255) NOT NULL,
    "scheduleId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "gnEventId" character varying(255),
    "TMSId" character varying(255) NOT NULL,
    "time" character varying(255) NOT NULL,
    dur character varying(255) NOT NULL,
    "rootId" integer,
    "exactStartDateTime" timestamp without time zone,
    "exactEndDateTime" timestamp without time zone,
    "exactStart" character varying(255),
    "exactDur" character varying(255),
    "exactSource" character varying(255),
    subtitled integer,
    subtitled_lang character varying(255),
    dubbed integer,
    dubbed_lang character varying(255),
    sap integer,
    sap_lang character varying(255),
    "tvRating" character varying(255),
    "tvRating_body" character varying(255),
    "tvSubRating" character varying(255),
    "tvSubRating_body" character varying(255),
    "partNum" integer,
    "numOfParts" integer,
    "netSynSource" character varying(255),
    "netSynType" character varying(255),
    quals character varying(255),
    "catchup_validFrom" timestamp without time zone,
    "catchup_validTo" timestamp without time zone,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.schedule_event OWNER TO {1};

--
-- Name: schedule_event_bcastid; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.schedule_event_bcastid (
    "eventId" character varying(255) NOT NULL,
    "scheduleId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "broadcastId" character varying(255) NOT NULL,
    "broadcastId_type" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.schedule_event_bcastid OWNER TO {1};

--
-- Name: schedule_event_right; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.schedule_event_right (
    "rightId" character varying(255) NOT NULL,
    "eventId" character varying(255) NOT NULL,
    "scheduleId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "right" character varying(255) NOT NULL,
    allowed integer,
    customer character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.schedule_event_right OWNER TO {1};

--
-- Name: schedule_event_right_param; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.schedule_event_right_param (
    "rightId" character varying(255) NOT NULL,
    "scheduleId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255) NOT NULL,
    param character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.schedule_event_right_param OWNER TO {1};

--
-- Name: season; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season (
    "seasonTMSId" character varying(255) NOT NULL,
    "seasonId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    inactive integer,
    "seasonNumber" integer,
    "seasonYear" integer,
    "seasonPremiere" character varying(255),
    "seasonFinale" character varying(255),
    "origNetwork" character varying(255),
    "origNetwork_prgSvcId" integer,
    "totalSeasonEpisodes" integer,
    showcard integer,
    "officialURL" character varying(255),
    title_lang character varying(255),
    desc_lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.season OWNER TO {1};

--
-- Name: season_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season_asset (
    "seasonAssetId" character varying(255) NOT NULL,
    "seasonTMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255) NOT NULL,
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "restrictedProvider" integer,
    provider character varying(255),
    "seasonId" integer,
    "URI" character varying(255) NOT NULL,
    caption character varying(1000),
    caption_lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.season_asset OWNER TO {1};

--
-- Name: season_asset_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season_asset_id (
    "seasonAssetId" character varying(255) NOT NULL,
    "seasonTMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.season_asset_id OWNER TO {1};

--
-- Name: season_cast; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season_cast (
    "seasonTMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    "personId" integer,
    "nameId" integer,
    "characterName" character varying(255),
    "roleId" integer,
    role character varying(255),
    departed integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.season_cast OWNER TO {1};

--
-- Name: season_crew; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season_crew (
    "seasonTMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    "personId" integer,
    "nameId" integer,
    "roleId" integer,
    role character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.season_crew OWNER TO {1};

--
-- Name: season_description; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season_description (
    "seasonTMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    description text NOT NULL,
    size integer NOT NULL,
    type character varying(255) NOT NULL,
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.season_description OWNER TO {1};

--
-- Name: season_title; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season_title (
    "seasonTMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    title character varying(255) NOT NULL,
    size integer NOT NULL,
    type character varying(255) NOT NULL,
    "subType" character varying(255),
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.season_title OWNER TO {1};

--
-- Name: source; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    inactive integer,
    name character varying(255) NOT NULL,
    "callSign" character varying(255) NOT NULL,
    num integer,
    "majorNum" integer,
    "minorNum" integer,
    city character varying(255),
    state character varying(255),
    "postalCode" character varying(255),
    country character varying(255),
    type character varying(255) NOT NULL,
    status character varying(255) NOT NULL,
    "statusId" integer NOT NULL,
    reach character varying(255),
    "signalType" character varying(255),
    "videoType" character varying(255),
    "truResolution" character varying(255),
    "enhancedCallSign" character varying(255),
    "cityOfLicense" character varying(255),
    "timeZone" character varying(255),
    "ianaTimeZone" character varying(255),
    "URL" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.source OWNER TO {1};

--
-- Name: source_affiliate; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_affiliate (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    affil character varying(255) NOT NULL,
    "affil_prgSvcId" integer,
    "affiliateId" integer NOT NULL,
    ord integer NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_affiliate OWNER TO {1};

--
-- Name: source_altname; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_altname (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "altName" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_altname OWNER TO {1};

--
-- Name: source_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_asset (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    "URI" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_asset OWNER TO {1};

--
-- Name: source_attribute; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_attribute (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    attrib character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_attribute OWNER TO {1};

--
-- Name: source_bcastlang; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_bcastlang (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "bcastLang" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_bcastlang OWNER TO {1};

--
-- Name: source_country; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_country (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    country character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_country OWNER TO {1};

--
-- Name: source_edlang; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_edlang (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "edLang" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_edlang OWNER TO {1};

--
-- Name: source_genre; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_genre (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    genre character varying(255) NOT NULL,
    "genreId" integer NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_genre OWNER TO {1};

--
-- Name: source_group; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_group (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "group" character varying(255),
    "groupId" integer,
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_group OWNER TO {1};

--
-- Name: source_marketid; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_marketid (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "marketId" integer NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_marketid OWNER TO {1};

--
-- Name: source_relationship; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_relationship (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    relationship integer NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_relationship OWNER TO {1};

--
-- Name: source_transportid; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_transportid (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    system character varying(255) NOT NULL,
    subsystem character varying(255) NOT NULL,
    type character varying(255) NOT NULL,
    id integer NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_transportid OWNER TO {1};

--
-- Name: sourceprogram; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "TMSId" character varying(255) NOT NULL,
    desc_lang character varying(255),
    "progType" character varying(255),
    "subType" character varying(255),
    "sourceDataProviderId" character varying(255),
    "sourceDataProviderName" character varying(255),
    "origNetwork" character varying(255),
    "targetAudience" character varying(255),
    "productionStatus" character varying(255),
    "releaseDate" character varying(255),
    "yearOfRelease" integer,
    "partNumber" character varying(255),
    "version_yearOfRelease" integer,
    "version_releaseDate" character varying(255),
    "version_colorCode" character varying(255),
    version_duration character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.sourceprogram OWNER TO {1};

--
-- Name: sourceprogram_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_asset (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    created timestamp without time zone,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "seasonId" integer,
    provider character varying(255),
    "isConforming" integer,
    "isBranded" integer,
    title character varying(255),
    "URL" character varying(255) NOT NULL,
    description character varying(255),
    "brandedDescription" character varying(255),
    "isSensitive" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_asset OWNER TO {1};

--
-- Name: sourceprogram_asset_extattr; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_asset_extattr (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    label character varying(255) NOT NULL,
    value character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_asset_extattr OWNER TO {1};

--
-- Name: sourceprogram_asset_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_asset_id (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_asset_id OWNER TO {1};

--
-- Name: sourceprogram_asset_language; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_asset_language (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_asset_language OWNER TO {1};

--
-- Name: sourceprogram_asset_market; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_asset_market (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    market character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_asset_market OWNER TO {1};

--
-- Name: sourceprogram_asset_tag; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_asset_tag (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    tag character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_asset_tag OWNER TO {1};

--
-- Name: sourceprogram_cast; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_cast (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    "characterName" character varying(255),
    role character varying(255),
    prefix character varying(255),
    first character varying(255),
    middle character varying(255),
    last character varying(255),
    suffix character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_cast OWNER TO {1};

--
-- Name: sourceprogram_catalog; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_catalog (
    "spCatalogId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "catalogId" character varying(255),
    "catalogName" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_catalog OWNER TO {1};

--
-- Name: sourceprogram_catalog_language; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_catalog_language (
    "spCatalogId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_catalog_language OWNER TO {1};

--
-- Name: sourceprogram_catalog_market; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_catalog_market (
    "spCatalogId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    market character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_catalog_market OWNER TO {1};

--
-- Name: sourceprogram_country; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_country (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    country character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_country OWNER TO {1};

--
-- Name: sourceprogram_crew; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_crew (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    role character varying(255),
    prefix character varying(255),
    first character varying(255),
    middle character varying(255),
    last character varying(255),
    suffix character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_crew OWNER TO {1};

--
-- Name: sourceprogram_description; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_description (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    description text NOT NULL,
    size integer,
    type character varying(255),
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_description OWNER TO {1};

--
-- Name: sourceprogram_epinfo; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_epinfo (
    "spEpisodeInfoId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    title character varying(255),
    size integer,
    type character varying(255),
    lang character varying(255),
    season character varying(255),
    number character varying(255),
    ord integer,
    "synNum" character varying(255),
    "industryNumber" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_epinfo OWNER TO {1};

--
-- Name: sourceprogram_genre; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_genre (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "genreOrd" integer NOT NULL,
    genre character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_genre OWNER TO {1};

--
-- Name: sourceprogram_label; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_label (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    label character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_label OWNER TO {1};

--
-- Name: sourceprogram_mvinfo; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_mvinfo (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    key character varying(255) NOT NULL,
    value character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_mvinfo OWNER TO {1};

--
-- Name: sourceprogram_rating; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_rating (
    "spRatingId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    exempt integer,
    rating_code character varying(255),
    "ratingsBody" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_rating OWNER TO {1};

--
-- Name: sourceprogram_rating_advisory; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_rating_advisory (
    "spRatingId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    advisory character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_rating_advisory OWNER TO {1};

--
-- Name: sourceprogram_season; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season (
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "nonSeason" integer,
    "seasonId" character varying(255),
    season character varying(255),
    ord integer,
    "releaseDate" character varying(255),
    "seasonFinale" character varying(255),
    "originalNetwork" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season OWNER TO {1};

--
-- Name: sourceprogram_season_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_asset (
    "spAssetId" character varying(255) NOT NULL,
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    created timestamp without time zone,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "seasonId" integer,
    provider character varying(255),
    "isConforming" integer,
    "isBranded" integer,
    title character varying(255),
    "URL" character varying(255) NOT NULL,
    description character varying(255),
    "brandedDescription" character varying(255),
    "isSensitive" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_asset OWNER TO {1};

--
-- Name: sourceprogram_season_asset_extattr; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_asset_extattr (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    label character varying(255) NOT NULL,
    value character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_asset_extattr OWNER TO {1};

--
-- Name: sourceprogram_season_asset_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_asset_id (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_asset_id OWNER TO {1};

--
-- Name: sourceprogram_season_asset_language; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_asset_language (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_asset_language OWNER TO {1};

--
-- Name: sourceprogram_season_asset_market; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_asset_market (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    market character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_asset_market OWNER TO {1};

--
-- Name: sourceprogram_season_asset_tag; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_asset_tag (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    tag character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_asset_tag OWNER TO {1};

--
-- Name: sourceprogram_season_cast; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_cast (
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    "characterName" character varying(255),
    role character varying(255),
    prefix character varying(255),
    first character varying(255),
    middle character varying(255),
    last character varying(255),
    suffix character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_cast OWNER TO {1};

--
-- Name: sourceprogram_season_crew; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_crew (
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    role character varying(255),
    prefix character varying(255),
    first character varying(255),
    middle character varying(255),
    last character varying(255),
    suffix character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_crew OWNER TO {1};

--
-- Name: sourceprogram_season_desc; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_desc (
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    description character varying(255) NOT NULL,
    size character varying(255),
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_desc OWNER TO {1};

--
-- Name: sourceprogram_season_title; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_title (
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    title character varying(255) NOT NULL,
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_title OWNER TO {1};

--
-- Name: sourceprogram_season_xid; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_xid (
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    "primary" character varying(255),
    provider character varying(255),
    label character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_xid OWNER TO {1};

--
-- Name: sourceprogram_title; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_title (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    title character varying(255) NOT NULL,
    size integer,
    type character varying(255),
    "subType" character varying(255),
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_title OWNER TO {1};

--
-- Name: sourceprogram_versionlabel; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_versionlabel (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    label character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_versionlabel OWNER TO {1};

--
-- Name: sourceprogram_xid; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_xid (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    "primary" character varying(255),
    provider character varying(255),
    label character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_xid OWNER TO {1};

--
-- Name: sportsorg; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg (
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "rootId" integer NOT NULL,
    official integer,
    "sportGId" character varying(255),
    name character varying(255),
    genre character varying(255),
    "genreId" integer,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.sportsorg OWNER TO {1};

--
-- Name: sportsorg_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg_asset (
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "URI" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sportsorg_asset OWNER TO {1};

--
-- Name: sportsorg_conf; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg_conf (
    "confId" character varying(255) NOT NULL,
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "conferenceId" integer NOT NULL,
    "conferenceGId" character varying(255),
    name character varying(255),
    abbreviation character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sportsorg_conf OWNER TO {1};

--
-- Name: sportsorg_conf_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg_conf_asset (
    "confId" character varying(255) NOT NULL,
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "URI" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sportsorg_conf_asset OWNER TO {1};

--
-- Name: sportsorg_div; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg_div (
    "divId" character varying(255) NOT NULL,
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "divisionId" integer NOT NULL,
    "divisionGId" character varying(255),
    name character varying(255),
    abbreviation character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sportsorg_div OWNER TO {1};

--
-- Name: sportsorg_event; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg_event (
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "sportsEventGId" character varying(255) NOT NULL,
    type character varying(255),
    event character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sportsorg_event OWNER TO {1};

--
-- Name: sportsorg_teambrand; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg_teambrand (
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "teamId" integer,
    "teamBrandId" integer,
    "teamGId" character varying(255),
    "teamBrandGId" character varying(255),
    "conferenceId" integer,
    "conferenceGId" character varying(255),
    "divisionId" integer,
    "divisionGId" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sportsorg_teambrand OWNER TO {1};

--
-- Name: team; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.team (
    "teamId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "teamGId" character varying(255),
    type character varying(255),
    class character varying(255),
    color_primary character varying(255),
    color_secondary character varying(255),
    gender character varying(255),
    country character varying(255),
    "genreId" integer,
    "sportGId" character varying(255),
    "venueId" integer,
    "venueGId" character varying(255),
    "universityId" integer,
    "universityGId" character varying(255),
    address_city character varying(255),
    address_state character varying(255),
    address_country character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.team OWNER TO {1};

--
-- Name: team_genre; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.team_genre (
    "teamId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    genre character varying(255),
    "genreId" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.team_genre OWNER TO {1};

--
-- Name: teambrand; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.teambrand (
    "teamBrandId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "teamBrandGId" character varying(255),
    "teamId" integer NOT NULL,
    active integer,
    "fromDate" timestamp without time zone,
    "toDate" timestamp without time zone,
    names_lang character varying(255),
    "officialName" character varying(255),
    "properName" character varying(255),
    "nickName" character varying(255),
    abbreviation character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.teambrand OWNER TO {1};

--
-- Name: teambrand_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.teambrand_asset (
    "teamBrandId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "URI" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.teambrand_asset OWNER TO {1};

--
-- Name: teambrand_name; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.teambrand_name (
    "teamBrandId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    name character varying(255),
    type character varying(255),
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.teambrand_name OWNER TO {1};

--
-- Name: university; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.university (
    "universityId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "universityGId" character varying(255),
    name character varying(255),
    names_lang character varying(255),
    address_city character varying(255),
    address_state character varying(255),
    address_country character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.university OWNER TO {1};

--
-- Name: university_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.university_asset (
    "universityId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "URI" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.university_asset OWNER TO {1};

--
-- Name: university_name; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.university_name (
    "universityId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    name character varying(255),
    type character varying(255),
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.university_name OWNER TO {1};

--
-- Name: vdannotation; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.vdannotation (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "rootId" integer,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.vdannotation OWNER TO {1};

--
-- Name: vdannotation_descriptor; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.vdannotation_descriptor (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer,
    "descriptorId" character varying(255),
    weight integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.vdannotation_descriptor OWNER TO {1};

--
-- Name: venue; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.venue (
    "venueId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "venueGId" character varying(255),
    type character varying(255),
    timezone character varying(255),
    address_city character varying(255),
    address_state character varying(255),
    address_country character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.venue OWNER TO {1};

--
-- Name: venuebrand; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.venuebrand (
    "venueBrandId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "venueId" integer NOT NULL,
    active integer,
    "fromDate" timestamp without time zone,
    "toDate" timestamp without time zone,
    names_lang character varying(255),
    name character varying(255),
    name_lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.venuebrand OWNER TO {1};

--
-- Name: venuebrand_name; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.venuebrand_name (
    "venueBrandId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    name character varying(255),
    type character varying(255),
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.venuebrand_name OWNER TO {1};

--
-- Name: availability availability_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.availability
    ADD CONSTRAINT availability_pkey PRIMARY KEY ("availabilityId");


--
-- Name: celebrity_mediography celebrity_mediography_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_mediography
    ADD CONSTRAINT celebrity_mediography_pkey PRIMARY KEY ("mediographyId");


--
-- Name: celebrity celebrity_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity
    ADD CONSTRAINT celebrity_pkey PRIMARY KEY ("personId");


--
-- Name: cv cv_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.cv
    ADD CONSTRAINT cv_pkey PRIMARY KEY ("cvId");


--
-- Name: descriptor descriptor_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.descriptor
    ADD CONSTRAINT descriptor_pkey PRIMARY KEY ("descriptorId");


--
-- Name: descriptortaxonomy descriptortaxonomy_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.descriptortaxonomy
    ADD CONSTRAINT descriptortaxonomy_pkey PRIMARY KEY ("taxonomyId");


--
-- Name: lineup_channel lineup_channel_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.lineup_channel
    ADD CONSTRAINT lineup_channel_pkey PRIMARY KEY ("channelId");


--
-- Name: lineup_channel_transport lineup_channel_transport_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.lineup_channel_transport
    ADD CONSTRAINT lineup_channel_transport_pkey PRIMARY KEY ("transportId");


--
-- Name: lineup lineup_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.lineup
    ADD CONSTRAINT lineup_pkey PRIMARY KEY ("lineupId");


--
-- Name: mapping mapping_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.mapping
    ADD CONSTRAINT mapping_pkey PRIMARY KEY ("mappingId");


--
-- Name: popularity popularity_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.popularity
    ADD CONSTRAINT popularity_pkey PRIMARY KEY ("popularityId");


--
-- Name: program_asset program_asset_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_asset
    ADD CONSTRAINT program_asset_pkey PRIMARY KEY ("programAssetId");


--
-- Name: program_epinfo program_epinfo_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_epinfo
    ADD CONSTRAINT program_epinfo_pkey PRIMARY KEY ("episodeInfoId");


--
-- Name: program program_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program
    ADD CONSTRAINT program_pkey PRIMARY KEY ("TMSId");


--
-- Name: program_release program_release_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_release
    ADD CONSTRAINT program_release_pkey PRIMARY KEY ("releaseId");


--
-- Name: program_spdata program_spdata_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_spdata
    ADD CONSTRAINT program_spdata_pkey PRIMARY KEY ("sportsDataId");


--
-- Name: schedule_event schedule_event_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.schedule_event
    ADD CONSTRAINT schedule_event_pkey PRIMARY KEY ("eventId");


--
-- Name: schedule_event_right schedule_event_right_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.schedule_event_right
    ADD CONSTRAINT schedule_event_right_pkey PRIMARY KEY ("rightId");


--
-- Name: schedule schedule_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.schedule
    ADD CONSTRAINT schedule_pkey PRIMARY KEY ("scheduleId");


--
-- Name: season_asset season_asset_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.season_asset
    ADD CONSTRAINT season_asset_pkey PRIMARY KEY ("seasonAssetId");


--
-- Name: season season_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.season
    ADD CONSTRAINT season_pkey PRIMARY KEY ("seasonTMSId");


--
-- Name: source source_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source
    ADD CONSTRAINT source_pkey PRIMARY KEY ("prgSvcId");


--
-- Name: sourceprogram_asset sourceprogram_asset_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_asset
    ADD CONSTRAINT sourceprogram_asset_pkey PRIMARY KEY ("spAssetId");


--
-- Name: sourceprogram_catalog sourceprogram_catalog_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_catalog
    ADD CONSTRAINT sourceprogram_catalog_pkey PRIMARY KEY ("spCatalogId");


--
-- Name: sourceprogram_epinfo sourceprogram_epinfo_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_epinfo
    ADD CONSTRAINT sourceprogram_epinfo_pkey PRIMARY KEY ("spEpisodeInfoId");


--
-- Name: sourceprogram sourceprogram_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram
    ADD CONSTRAINT sourceprogram_pkey PRIMARY KEY ("gnidsId");


--
-- Name: sourceprogram_rating sourceprogram_rating_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_rating
    ADD CONSTRAINT sourceprogram_rating_pkey PRIMARY KEY ("spRatingId");


--
-- Name: sourceprogram_season_asset sourceprogram_season_asset_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset
    ADD CONSTRAINT sourceprogram_season_asset_pkey PRIMARY KEY ("spAssetId");


--
-- Name: sourceprogram_season sourceprogram_season_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season
    ADD CONSTRAINT sourceprogram_season_pkey PRIMARY KEY ("spSeasonId");


--
-- Name: sportsorg_conf sportsorg_conf_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sportsorg_conf
    ADD CONSTRAINT sportsorg_conf_pkey PRIMARY KEY ("confId");


--
-- Name: sportsorg_div sportsorg_div_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sportsorg_div
    ADD CONSTRAINT sportsorg_div_pkey PRIMARY KEY ("divId");


--
-- Name: sportsorg sportsorg_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sportsorg
    ADD CONSTRAINT sportsorg_pkey PRIMARY KEY ("organizationId");


--
-- Name: team team_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.team
    ADD CONSTRAINT team_pkey PRIMARY KEY ("teamId");


--
-- Name: teambrand teambrand_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.teambrand
    ADD CONSTRAINT teambrand_pkey PRIMARY KEY ("teamBrandId");


--
-- Name: university university_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.university
    ADD CONSTRAINT university_pkey PRIMARY KEY ("universityId");


--
-- Name: vdannotation vdannotation_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.vdannotation
    ADD CONSTRAINT vdannotation_pkey PRIMARY KEY ("TMSId");


--
-- Name: venue venue_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.venue
    ADD CONSTRAINT venue_pkey PRIMARY KEY ("venueId");


--
-- Name: venuebrand venuebrand_pkey; Type: CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.venuebrand
    ADD CONSTRAINT venuebrand_pkey PRIMARY KEY ("venueBrandId");


--
-- Name: availability_catalogName; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "availability_catalogName" ON {0}.availability USING btree ("catalogName");


--
-- Name: availability_id_availabilityId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "availability_id_availabilityId" ON {0}.availability_id USING btree ("availabilityId");


--
-- Name: availability_id_id; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS availability_id_id ON {0}.availability_id USING btree (id);


--
-- Name: availability_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "availability_prgSvcId" ON {0}.availability USING btree ("prgSvcId");


--
-- Name: availability_providerdata_availabilityId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "availability_providerdata_availabilityId" ON {0}.availability_providerdata USING btree ("availabilityId");


--
-- Name: availability_url_availabilityId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "availability_url_availabilityId" ON {0}.availability_url USING btree ("availabilityId");


--
-- Name: availability_viewingoption_availabilityId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "availability_viewingoption_availabilityId" ON {0}.availability_viewingoption USING btree ("availabilityId");


--
-- Name: celebrity_asset_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_asset_personId" ON {0}.celebrity_asset USING btree ("personId");


--
-- Name: celebrity_award_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_award_personId" ON {0}.celebrity_award USING btree ("personId");


--
-- Name: celebrity_award_rootId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_award_rootId" ON {0}.celebrity_award USING btree ("rootId");


--
-- Name: celebrity_biography_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_biography_personId" ON {0}.celebrity_biography USING btree ("personId");


--
-- Name: celebrity_education_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_education_personId" ON {0}.celebrity_education USING btree ("personId");


--
-- Name: celebrity_enhancedaward_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_enhancedaward_personId" ON {0}.celebrity_enhancedaward USING btree ("personId");


--
-- Name: celebrity_highlight_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_highlight_personId" ON {0}.celebrity_highlight USING btree ("personId");


--
-- Name: celebrity_mediography_credit_mediographyId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_mediography_credit_mediographyId" ON {0}.celebrity_mediography_credit USING btree ("mediographyId");


--
-- Name: celebrity_mediography_credit_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_mediography_credit_personId" ON {0}.celebrity_mediography_credit USING btree ("personId");


--
-- Name: celebrity_mediography_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_mediography_personId" ON {0}.celebrity_mediography USING btree ("personId");


--
-- Name: celebrity_mediography_rootId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_mediography_rootId" ON {0}.celebrity_mediography USING btree ("rootId");


--
-- Name: celebrity_milestone_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_milestone_personId" ON {0}.celebrity_milestone USING btree ("personId");


--
-- Name: celebrity_name_nameId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_name_nameId" ON {0}.celebrity_name USING btree ("nameId");


--
-- Name: celebrity_name_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_name_personId" ON {0}.celebrity_name USING btree ("personId");


--
-- Name: celebrity_note_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_note_personId" ON {0}.celebrity_note USING btree ("personId");


--
-- Name: celebrity_participanttype_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_participanttype_personId" ON {0}.celebrity_participanttype USING btree ("personId");


--
-- Name: celebrity_quote_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_quote_personId" ON {0}.celebrity_quote USING btree ("personId");


--
-- Name: celebrity_relationship_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_relationship_personId" ON {0}.celebrity_relationship USING btree ("personId");


--
-- Name: celebrity_relationship_rel_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_relationship_rel_personId" ON {0}.celebrity_relationship USING btree ("rel_personId");


--
-- Name: celebrity_relationshipevent_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_relationshipevent_personId" ON {0}.celebrity_relationshipevent USING btree ("personId");


--
-- Name: celebrity_socialmedia_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "celebrity_socialmedia_personId" ON {0}.celebrity_socialmedia USING btree ("personId");


--
-- Name: cv_attribute_cvId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "cv_attribute_cvId" ON {0}.cv_attribute USING btree ("cvId");


--
-- Name: cv_id; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS cv_id ON {0}.cv USING btree (id);


--
-- Name: descriptor_parent_descriptorId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "descriptor_parent_descriptorId" ON {0}.descriptor USING btree ("parent_descriptorId");


--
-- Name: descriptortaxonomy_descriptor_descriptorId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "descriptortaxonomy_descriptor_descriptorId" ON {0}.descriptortaxonomy_descriptor USING btree ("descriptorId");


--
-- Name: descriptortaxonomy_descriptor_taxonomyId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "descriptortaxonomy_descriptor_taxonomyId" ON {0}.descriptortaxonomy_descriptor USING btree ("taxonomyId");


--
-- Name: lineup_channel_lineupId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "lineup_channel_lineupId" ON {0}.lineup_channel USING btree ("lineupId");


--
-- Name: lineup_channel_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "lineup_channel_prgSvcId" ON {0}.lineup_channel USING btree ("prgSvcId");


--
-- Name: lineup_channel_transport_channelId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "lineup_channel_transport_channelId" ON {0}.lineup_channel_transport USING btree ("channelId");


--
-- Name: lineup_channel_transport_id_id; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS lineup_channel_transport_id_id ON {0}.lineup_channel_transport_id USING btree (id);


--
-- Name: lineup_channel_transport_id_lineupId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "lineup_channel_transport_id_lineupId" ON {0}.lineup_channel_transport_id USING btree ("lineupId");


--
-- Name: lineup_channel_transport_id_transportId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "lineup_channel_transport_id_transportId" ON {0}.lineup_channel_transport_id USING btree ("transportId");


--
-- Name: lineup_channel_transport_lineupId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "lineup_channel_transport_lineupId" ON {0}.lineup_channel_transport USING btree ("lineupId");


--
-- Name: lineup_country; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS lineup_country ON {0}.lineup USING btree (country);


--
-- Name: lineup_countryId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "lineup_countryId" ON {0}.lineup USING btree ("countryId");


--
-- Name: lineup_market_lineupId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "lineup_market_lineupId" ON {0}.lineup_market USING btree ("lineupId");


--
-- Name: lineup_msoId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "lineup_msoId" ON {0}.lineup USING btree ("msoId");


--
-- Name: lineup_postalcode_lineupId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "lineup_postalcode_lineupId" ON {0}.lineup_postalcode USING btree ("lineupId");


--
-- Name: lineup_postalcode_postalCode; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "lineup_postalcode_postalCode" ON {0}.lineup_postalcode USING btree ("postalCode");


--
-- Name: lineup_type; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS lineup_type ON {0}.lineup USING btree (type);


--
-- Name: mapping_catalogName; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "mapping_catalogName" ON {0}.mapping USING btree ("catalogName");


--
-- Name: mapping_id_id; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS mapping_id_id ON {0}.mapping_id USING btree (id);


--
-- Name: mapping_id_mappingId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "mapping_id_mappingId" ON {0}.mapping_id USING btree ("mappingId");


--
-- Name: mapping_link_link; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS mapping_link_link ON {0}.mapping_link USING btree (link);


--
-- Name: mapping_link_mappingId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "mapping_link_mappingId" ON {0}.mapping_link USING btree ("mappingId");


--
-- Name: popularity_rootId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "popularity_rootId" ON {0}.popularity USING btree ("rootId");


--
-- Name: program_asset_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_asset_TMSId" ON {0}.program_asset USING btree ("TMSId");


--
-- Name: program_asset_id_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_asset_id_TMSId" ON {0}.program_asset_id USING btree ("TMSId");


--
-- Name: program_asset_id_programAssetId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_asset_id_programAssetId" ON {0}.program_asset_id USING btree ("programAssetId");


--
-- Name: program_award_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_award_TMSId" ON {0}.program_award USING btree ("TMSId");


--
-- Name: program_cast_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_cast_TMSId" ON {0}.program_cast USING btree ("TMSId");


--
-- Name: program_cast_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_cast_personId" ON {0}.program_cast USING btree ("personId");


--
-- Name: program_connectorId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_connectorId" ON {0}.program USING btree ("connectorId");


--
-- Name: program_country_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_country_TMSId" ON {0}.program_country USING btree ("TMSId");


--
-- Name: program_crew_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_crew_TMSId" ON {0}.program_crew USING btree ("TMSId");


--
-- Name: program_crew_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_crew_personId" ON {0}.program_crew USING btree ("personId");


--
-- Name: program_desc_lang; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS program_desc_lang ON {0}.program USING btree (desc_lang);


--
-- Name: program_description_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_description_TMSId" ON {0}.program_description USING btree ("TMSId");


--
-- Name: program_descriptor_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_descriptor_TMSId" ON {0}.program_descriptor USING btree ("TMSId");


--
-- Name: program_descriptor_descriptorId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_descriptor_descriptorId" ON {0}.program_descriptor USING btree ("descriptorId");


--
-- Name: program_epinfo_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_epinfo_TMSId" ON {0}.program_epinfo USING btree ("TMSId");


--
-- Name: program_epinfo_alt_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_epinfo_alt_TMSId" ON {0}.program_epinfo_alt USING btree ("TMSId");


--
-- Name: program_epinfo_alt_episodeInfoId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_epinfo_alt_episodeInfoId" ON {0}.program_epinfo_alt USING btree ("episodeInfoId");


--
-- Name: program_epinfo_alt_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_epinfo_alt_prgSvcId" ON {0}.program_epinfo_alt USING btree ("prgSvcId");


--
-- Name: program_externallink_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_externallink_TMSId" ON {0}.program_externallink USING btree ("TMSId");


--
-- Name: program_genre_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_genre_TMSId" ON {0}.program_genre USING btree ("TMSId");


--
-- Name: program_genre_genreId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_genre_genreId" ON {0}.program_genre USING btree ("genreId");


--
-- Name: program_lastOrigNetwork_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_lastOrigNetwork_prgSvcId" ON {0}.program USING btree ("lastOrigNetwork_prgSvcId");


--
-- Name: program_mvinfo_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_mvinfo_TMSId" ON {0}.program_mvinfo USING btree ("TMSId");


--
-- Name: program_mvtrailer_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_mvtrailer_TMSId" ON {0}.program_mvtrailer USING btree ("TMSId");


--
-- Name: program_origAirDate; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_origAirDate" ON {0}.program USING btree ("origAirDate");


--
-- Name: program_origNetwork_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_origNetwork_prgSvcId" ON {0}.program USING btree ("origNetwork_prgSvcId");


--
-- Name: program_origaudiolang_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_origaudiolang_TMSId" ON {0}.program_origaudiolang USING btree ("TMSId");


--
-- Name: program_progType; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_progType" ON {0}.program USING btree ("progType");


--
-- Name: program_qualityrating_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_qualityrating_TMSId" ON {0}.program_qualityrating USING btree ("TMSId");


--
-- Name: program_rating_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_rating_TMSId" ON {0}.program_rating USING btree ("TMSId");


--
-- Name: program_ratingadvisory_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_ratingadvisory_TMSId" ON {0}.program_ratingadvisory USING btree ("TMSId");


--
-- Name: program_relationship_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_relationship_TMSId" ON {0}.program_relationship USING btree ("TMSId");


--
-- Name: program_relationship_organizationId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_relationship_organizationId" ON {0}.program_relationship USING btree ("organizationId");


--
-- Name: program_relationship_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_relationship_personId" ON {0}.program_relationship USING btree ("personId");


--
-- Name: program_relationship_rootId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_relationship_rootId" ON {0}.program_relationship USING btree ("rootId");


--
-- Name: program_release_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_release_TMSId" ON {0}.program_release USING btree ("TMSId");


--
-- Name: program_release_attribute_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_release_attribute_TMSId" ON {0}.program_release_attribute USING btree ("TMSId");


--
-- Name: program_release_attribute_releaseId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_release_attribute_releaseId" ON {0}.program_release_attribute USING btree ("releaseId");


--
-- Name: program_release_distributor_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_release_distributor_TMSId" ON {0}.program_release_distributor USING btree ("TMSId");


--
-- Name: program_release_distributor_releaseId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_release_distributor_releaseId" ON {0}.program_release_distributor USING btree ("releaseId");


--
-- Name: program_release_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_release_prgSvcId" ON {0}.program_release USING btree ("prgSvcId");


--
-- Name: program_rootId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_rootId" ON {0}.program USING btree ("rootId");


--
-- Name: program_seasonId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_seasonId" ON {0}.program USING btree ("seasonId");


--
-- Name: program_season_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_season_TMSId" ON {0}.program_season USING btree ("TMSId");


--
-- Name: program_season_seasonTMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_season_seasonTMSId" ON {0}.program_season USING btree ("seasonTMSId");


--
-- Name: program_seriesId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_seriesId" ON {0}.program USING btree ("seriesId");


--
-- Name: program_spdata_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_spdata_TMSId" ON {0}.program_spdata USING btree ("TMSId");


--
-- Name: program_spdata_event_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_spdata_event_TMSId" ON {0}.program_spdata_event USING btree ("TMSId");


--
-- Name: program_spdata_event_sportsDataId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_spdata_event_sportsDataId" ON {0}.program_spdata_event USING btree ("sportsDataId");


--
-- Name: program_spdata_sportGId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_spdata_sportGId" ON {0}.program_spdata USING btree ("sportGId");


--
-- Name: program_spevent_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_spevent_TMSId" ON {0}.program_spevent USING btree ("TMSId");


--
-- Name: program_spinfo_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_spinfo_TMSId" ON {0}.program_spinfo USING btree ("TMSId");


--
-- Name: program_spinfo_gameDate; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_spinfo_gameDate" ON {0}.program_spinfo USING btree ("gameDate");


--
-- Name: program_spteam_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_spteam_TMSId" ON {0}.program_spteam USING btree ("TMSId");


--
-- Name: program_spteam_teamBrandId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_spteam_teamBrandId" ON {0}.program_spteam USING btree ("teamBrandId");


--
-- Name: program_subType; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_subType" ON {0}.program USING btree ("subType");


--
-- Name: program_title_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "program_title_TMSId" ON {0}.program_title USING btree ("TMSId");


--
-- Name: program_title_lang; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS program_title_lang ON {0}.program USING btree (title_lang);


--
-- Name: schedule_date; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS schedule_date ON {0}.schedule USING btree (date);


--
-- Name: schedule_event_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "schedule_event_TMSId" ON {0}.schedule_event USING btree ("TMSId");


--
-- Name: schedule_event_bcastid_eventId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "schedule_event_bcastid_eventId" ON {0}.schedule_event_bcastid USING btree ("eventId");


--
-- Name: schedule_event_bcastid_scheduleId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "schedule_event_bcastid_scheduleId" ON {0}.schedule_event_bcastid USING btree ("scheduleId");


--
-- Name: schedule_event_right_eventId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "schedule_event_right_eventId" ON {0}.schedule_event_right USING btree ("eventId");


--
-- Name: schedule_event_right_param_rightId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "schedule_event_right_param_rightId" ON {0}.schedule_event_right_param USING btree ("rightId");


--
-- Name: schedule_event_right_param_scheduleId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "schedule_event_right_param_scheduleId" ON {0}.schedule_event_right_param USING btree ("scheduleId");


--
-- Name: schedule_event_right_scheduleId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "schedule_event_right_scheduleId" ON {0}.schedule_event_right USING btree ("scheduleId");


--
-- Name: schedule_event_rootId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "schedule_event_rootId" ON {0}.schedule_event USING btree ("rootId");


--
-- Name: schedule_event_scheduleId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "schedule_event_scheduleId" ON {0}.schedule_event USING btree ("scheduleId");


--
-- Name: schedule_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "schedule_prgSvcId" ON {0}.schedule USING btree ("prgSvcId");


--
-- Name: season_asset_id_seasonAssetId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "season_asset_id_seasonAssetId" ON {0}.season_asset_id USING btree ("seasonAssetId");


--
-- Name: season_asset_id_seasonTMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "season_asset_id_seasonTMSId" ON {0}.season_asset_id USING btree ("seasonTMSId");


--
-- Name: season_asset_seasonTMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "season_asset_seasonTMSId" ON {0}.season_asset USING btree ("seasonTMSId");


--
-- Name: season_cast_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "season_cast_personId" ON {0}.season_cast USING btree ("personId");


--
-- Name: season_cast_seasonTMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "season_cast_seasonTMSId" ON {0}.season_cast USING btree ("seasonTMSId");


--
-- Name: season_crew_personId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "season_crew_personId" ON {0}.season_crew USING btree ("personId");


--
-- Name: season_crew_seasonTMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "season_crew_seasonTMSId" ON {0}.season_crew USING btree ("seasonTMSId");


--
-- Name: season_description_seasonTMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "season_description_seasonTMSId" ON {0}.season_description USING btree ("seasonTMSId");


--
-- Name: season_origNetwork_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "season_origNetwork_prgSvcId" ON {0}.season USING btree ("origNetwork_prgSvcId");


--
-- Name: season_seasonId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "season_seasonId" ON {0}.season USING btree ("seasonId");


--
-- Name: season_title_seasonTMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "season_title_seasonTMSId" ON {0}.season_title USING btree ("seasonTMSId");


--
-- Name: source_affiliate_affil_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_affiliate_affil_prgSvcId" ON {0}.source_affiliate USING btree ("affil_prgSvcId");


--
-- Name: source_affiliate_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_affiliate_prgSvcId" ON {0}.source_affiliate USING btree ("prgSvcId");


--
-- Name: source_altname_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_altname_prgSvcId" ON {0}.source_altname USING btree ("prgSvcId");


--
-- Name: source_asset_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_asset_prgSvcId" ON {0}.source_asset USING btree ("prgSvcId");


--
-- Name: source_attribute_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_attribute_prgSvcId" ON {0}.source_attribute USING btree ("prgSvcId");


--
-- Name: source_bcastlang_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_bcastlang_prgSvcId" ON {0}.source_bcastlang USING btree ("prgSvcId");


--
-- Name: source_country_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_country_prgSvcId" ON {0}.source_country USING btree ("prgSvcId");


--
-- Name: source_edlang_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_edlang_prgSvcId" ON {0}.source_edlang USING btree ("prgSvcId");


--
-- Name: source_genre_genreId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_genre_genreId" ON {0}.source_genre USING btree ("genreId");


--
-- Name: source_genre_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_genre_prgSvcId" ON {0}.source_genre USING btree ("prgSvcId");


--
-- Name: source_group_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_group_prgSvcId" ON {0}.source_group USING btree ("prgSvcId");


--
-- Name: source_marketid_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_marketid_prgSvcId" ON {0}.source_marketid USING btree ("prgSvcId");


--
-- Name: source_relationship_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_relationship_prgSvcId" ON {0}.source_relationship USING btree ("prgSvcId");


--
-- Name: source_relationship_relationship; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS source_relationship_relationship ON {0}.source_relationship USING btree (relationship);


--
-- Name: source_transportid_prgSvcId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "source_transportid_prgSvcId" ON {0}.source_transportid USING btree ("prgSvcId");


--
-- Name: sourceprogram_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_TMSId" ON {0}.sourceprogram USING btree ("TMSId");


--
-- Name: sourceprogram_asset_extattr_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_asset_extattr_gnidsId" ON {0}.sourceprogram_asset_extattr USING btree ("gnidsId");


--
-- Name: sourceprogram_asset_extattr_spAssetId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_asset_extattr_spAssetId" ON {0}.sourceprogram_asset_extattr USING btree ("spAssetId");


--
-- Name: sourceprogram_asset_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_asset_gnidsId" ON {0}.sourceprogram_asset USING btree ("gnidsId");


--
-- Name: sourceprogram_asset_id_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_asset_id_gnidsId" ON {0}.sourceprogram_asset_id USING btree ("gnidsId");


--
-- Name: sourceprogram_asset_id_spAssetId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_asset_id_spAssetId" ON {0}.sourceprogram_asset_id USING btree ("spAssetId");


--
-- Name: sourceprogram_asset_language_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_asset_language_gnidsId" ON {0}.sourceprogram_asset_language USING btree ("gnidsId");


--
-- Name: sourceprogram_asset_language_spAssetId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_asset_language_spAssetId" ON {0}.sourceprogram_asset_language USING btree ("spAssetId");


--
-- Name: sourceprogram_asset_market_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_asset_market_gnidsId" ON {0}.sourceprogram_asset_market USING btree ("gnidsId");


--
-- Name: sourceprogram_asset_market_spAssetId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_asset_market_spAssetId" ON {0}.sourceprogram_asset_market USING btree ("spAssetId");


--
-- Name: sourceprogram_asset_tag_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_asset_tag_gnidsId" ON {0}.sourceprogram_asset_tag USING btree ("gnidsId");


--
-- Name: sourceprogram_asset_tag_spAssetId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_asset_tag_spAssetId" ON {0}.sourceprogram_asset_tag USING btree ("spAssetId");


--
-- Name: sourceprogram_cast_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_cast_gnidsId" ON {0}.sourceprogram_cast USING btree ("gnidsId");


--
-- Name: sourceprogram_catalog_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_catalog_gnidsId" ON {0}.sourceprogram_catalog USING btree ("gnidsId");


--
-- Name: sourceprogram_catalog_language_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_catalog_language_gnidsId" ON {0}.sourceprogram_catalog_language USING btree ("gnidsId");


--
-- Name: sourceprogram_catalog_language_spCatalogId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_catalog_language_spCatalogId" ON {0}.sourceprogram_catalog_language USING btree ("spCatalogId");


--
-- Name: sourceprogram_catalog_market_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_catalog_market_gnidsId" ON {0}.sourceprogram_catalog_market USING btree ("gnidsId");


--
-- Name: sourceprogram_catalog_market_spCatalogId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_catalog_market_spCatalogId" ON {0}.sourceprogram_catalog_market USING btree ("spCatalogId");


--
-- Name: sourceprogram_country_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_country_gnidsId" ON {0}.sourceprogram_country USING btree ("gnidsId");


--
-- Name: sourceprogram_crew_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_crew_gnidsId" ON {0}.sourceprogram_crew USING btree ("gnidsId");


--
-- Name: sourceprogram_desc_lang; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS sourceprogram_desc_lang ON {0}.sourceprogram USING btree (desc_lang);


--
-- Name: sourceprogram_description_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_description_gnidsId" ON {0}.sourceprogram_description USING btree ("gnidsId");


--
-- Name: sourceprogram_epinfo_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_epinfo_gnidsId" ON {0}.sourceprogram_epinfo USING btree ("gnidsId");


--
-- Name: sourceprogram_genre_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_genre_gnidsId" ON {0}.sourceprogram_genre USING btree ("gnidsId");


--
-- Name: sourceprogram_label_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_label_gnidsId" ON {0}.sourceprogram_label USING btree ("gnidsId");


--
-- Name: sourceprogram_mvinfo_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_mvinfo_gnidsId" ON {0}.sourceprogram_mvinfo USING btree ("gnidsId");


--
-- Name: sourceprogram_progType; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_progType" ON {0}.sourceprogram USING btree ("progType");


--
-- Name: sourceprogram_rating_advisory_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_rating_advisory_gnidsId" ON {0}.sourceprogram_rating_advisory USING btree ("gnidsId");


--
-- Name: sourceprogram_rating_advisory_spRatingId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_rating_advisory_spRatingId" ON {0}.sourceprogram_rating_advisory USING btree ("spRatingId");


--
-- Name: sourceprogram_rating_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_rating_gnidsId" ON {0}.sourceprogram_rating USING btree ("gnidsId");


--
-- Name: sourceprogram_season_asset_extattr_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_extattr_gnidsId" ON {0}.sourceprogram_season_asset_extattr USING btree ("gnidsId");


--
-- Name: sourceprogram_season_asset_extattr_spAssetId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_extattr_spAssetId" ON {0}.sourceprogram_season_asset_extattr USING btree ("spAssetId");


--
-- Name: sourceprogram_season_asset_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_gnidsId" ON {0}.sourceprogram_season_asset USING btree ("gnidsId");


--
-- Name: sourceprogram_season_asset_id_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_id_gnidsId" ON {0}.sourceprogram_season_asset_id USING btree ("gnidsId");


--
-- Name: sourceprogram_season_asset_id_spAssetId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_id_spAssetId" ON {0}.sourceprogram_season_asset_id USING btree ("spAssetId");


--
-- Name: sourceprogram_season_asset_language_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_language_gnidsId" ON {0}.sourceprogram_season_asset_language USING btree ("gnidsId");


--
-- Name: sourceprogram_season_asset_language_spAssetId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_language_spAssetId" ON {0}.sourceprogram_season_asset_language USING btree ("spAssetId");


--
-- Name: sourceprogram_season_asset_market_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_market_gnidsId" ON {0}.sourceprogram_season_asset_market USING btree ("gnidsId");


--
-- Name: sourceprogram_season_asset_market_spAssetId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_market_spAssetId" ON {0}.sourceprogram_season_asset_market USING btree ("spAssetId");


--
-- Name: sourceprogram_season_asset_spSeasonId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_spSeasonId" ON {0}.sourceprogram_season_asset USING btree ("spSeasonId");


--
-- Name: sourceprogram_season_asset_tag_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_tag_gnidsId" ON {0}.sourceprogram_season_asset_tag USING btree ("gnidsId");


--
-- Name: sourceprogram_season_asset_tag_spAssetId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_tag_spAssetId" ON {0}.sourceprogram_season_asset_tag USING btree ("spAssetId");


--
-- Name: sourceprogram_season_cast_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_cast_gnidsId" ON {0}.sourceprogram_season_cast USING btree ("gnidsId");


--
-- Name: sourceprogram_season_cast_spSeasonId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_cast_spSeasonId" ON {0}.sourceprogram_season_cast USING btree ("spSeasonId");


--
-- Name: sourceprogram_season_crew_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_crew_gnidsId" ON {0}.sourceprogram_season_crew USING btree ("gnidsId");


--
-- Name: sourceprogram_season_crew_spSeasonId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_crew_spSeasonId" ON {0}.sourceprogram_season_crew USING btree ("spSeasonId");


--
-- Name: sourceprogram_season_desc_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_desc_gnidsId" ON {0}.sourceprogram_season_desc USING btree ("gnidsId");


--
-- Name: sourceprogram_season_desc_spSeasonId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_desc_spSeasonId" ON {0}.sourceprogram_season_desc USING btree ("spSeasonId");


--
-- Name: sourceprogram_season_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_gnidsId" ON {0}.sourceprogram_season USING btree ("gnidsId");


--
-- Name: sourceprogram_season_title_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_title_gnidsId" ON {0}.sourceprogram_season_title USING btree ("gnidsId");


--
-- Name: sourceprogram_season_title_spSeasonId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_title_spSeasonId" ON {0}.sourceprogram_season_title USING btree ("spSeasonId");


--
-- Name: sourceprogram_season_xid_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_xid_gnidsId" ON {0}.sourceprogram_season_xid USING btree ("gnidsId");


--
-- Name: sourceprogram_season_xid_spSeasonId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_season_xid_spSeasonId" ON {0}.sourceprogram_season_xid USING btree ("spSeasonId");


--
-- Name: sourceprogram_sourceDataProviderId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_sourceDataProviderId" ON {0}.sourceprogram USING btree ("sourceDataProviderId");


--
-- Name: sourceprogram_subType; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_subType" ON {0}.sourceprogram USING btree ("subType");


--
-- Name: sourceprogram_title_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_title_gnidsId" ON {0}.sourceprogram_title USING btree ("gnidsId");


--
-- Name: sourceprogram_versionlabel_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_versionlabel_gnidsId" ON {0}.sourceprogram_versionlabel USING btree ("gnidsId");


--
-- Name: sourceprogram_xid_gnidsId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sourceprogram_xid_gnidsId" ON {0}.sourceprogram_xid USING btree ("gnidsId");


--
-- Name: sportsorg_asset_organizationId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sportsorg_asset_organizationId" ON {0}.sportsorg_asset USING btree ("organizationId");


--
-- Name: sportsorg_conf_asset_confId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sportsorg_conf_asset_confId" ON {0}.sportsorg_conf_asset USING btree ("confId");


--
-- Name: sportsorg_conf_asset_organizationId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sportsorg_conf_asset_organizationId" ON {0}.sportsorg_conf_asset USING btree ("organizationId");


--
-- Name: sportsorg_conf_organizationId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sportsorg_conf_organizationId" ON {0}.sportsorg_conf USING btree ("organizationId");


--
-- Name: sportsorg_div_organizationId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sportsorg_div_organizationId" ON {0}.sportsorg_div USING btree ("organizationId");


--
-- Name: sportsorg_event_organizationId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sportsorg_event_organizationId" ON {0}.sportsorg_event USING btree ("organizationId");


--
-- Name: sportsorg_rootId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sportsorg_rootId" ON {0}.sportsorg USING btree ("rootId");


--
-- Name: sportsorg_teambrand_organizationId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sportsorg_teambrand_organizationId" ON {0}.sportsorg_teambrand USING btree ("organizationId");


--
-- Name: sportsorg_teambrand_teamBrandId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sportsorg_teambrand_teamBrandId" ON {0}.sportsorg_teambrand USING btree ("teamBrandId");


--
-- Name: sportsorg_teambrand_teamId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "sportsorg_teambrand_teamId" ON {0}.sportsorg_teambrand USING btree ("teamId");


--
-- Name: team_genre_teamId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "team_genre_teamId" ON {0}.team_genre USING btree ("teamId");


--
-- Name: team_sportGId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "team_sportGId" ON {0}.team USING btree ("sportGId");


--
-- Name: team_universityId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "team_universityId" ON {0}.team USING btree ("universityId");


--
-- Name: team_venueId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "team_venueId" ON {0}.team USING btree ("venueId");


--
-- Name: teambrand_asset_teamBrandId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "teambrand_asset_teamBrandId" ON {0}.teambrand_asset USING btree ("teamBrandId");


--
-- Name: teambrand_name_teamBrandId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "teambrand_name_teamBrandId" ON {0}.teambrand_name USING btree ("teamBrandId");


--
-- Name: teambrand_teamId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "teambrand_teamId" ON {0}.teambrand USING btree ("teamId");


--
-- Name: university_asset_universityId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "university_asset_universityId" ON {0}.university_asset USING btree ("universityId");


--
-- Name: university_name_universityId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "university_name_universityId" ON {0}.university_name USING btree ("universityId");


--
-- Name: vdannotation_descriptor_TMSId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "vdannotation_descriptor_TMSId" ON {0}.vdannotation_descriptor USING btree ("TMSId");


--
-- Name: vdannotation_descriptor_descriptorId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "vdannotation_descriptor_descriptorId" ON {0}.vdannotation_descriptor USING btree ("descriptorId");


--
-- Name: vdannotation_rootId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "vdannotation_rootId" ON {0}.vdannotation USING btree ("rootId");


--
-- Name: venuebrand_name_venueBrandId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "venuebrand_name_venueBrandId" ON {0}.venuebrand_name USING btree ("venueBrandId");


--
-- Name: venuebrand_venueId; Type: INDEX; Schema: {0}; Owner: {1}
--

CREATE INDEX IF NOT EXISTS "venuebrand_venueId" ON {0}.venuebrand USING btree ("venueId");


--
-- Name: availability_id availability_id_availabilityId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.availability_id
    ADD CONSTRAINT "availability_id_availabilityId_fkey" FOREIGN KEY ("availabilityId") REFERENCES {0}.availability("availabilityId");


--
-- Name: availability_providerdata availability_providerdata_availabilityId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.availability_providerdata
    ADD CONSTRAINT "availability_providerdata_availabilityId_fkey" FOREIGN KEY ("availabilityId") REFERENCES {0}.availability("availabilityId");


--
-- Name: availability_url availability_url_availabilityId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.availability_url
    ADD CONSTRAINT "availability_url_availabilityId_fkey" FOREIGN KEY ("availabilityId") REFERENCES {0}.availability("availabilityId");


--
-- Name: availability_viewingoption availability_viewingoption_availabilityId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.availability_viewingoption
    ADD CONSTRAINT "availability_viewingoption_availabilityId_fkey" FOREIGN KEY ("availabilityId") REFERENCES {0}.availability("availabilityId");


--
-- Name: celebrity_asset celebrity_asset_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_asset
    ADD CONSTRAINT "celebrity_asset_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_award celebrity_award_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_award
    ADD CONSTRAINT "celebrity_award_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_biography celebrity_biography_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_biography
    ADD CONSTRAINT "celebrity_biography_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_education celebrity_education_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_education
    ADD CONSTRAINT "celebrity_education_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_enhancedaward celebrity_enhancedaward_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_enhancedaward
    ADD CONSTRAINT "celebrity_enhancedaward_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_highlight celebrity_highlight_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_highlight
    ADD CONSTRAINT "celebrity_highlight_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_mediography_credit celebrity_mediography_credit_mediographyId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_mediography_credit
    ADD CONSTRAINT "celebrity_mediography_credit_mediographyId_fkey" FOREIGN KEY ("mediographyId") REFERENCES {0}.celebrity_mediography("mediographyId");


--
-- Name: celebrity_mediography_credit celebrity_mediography_credit_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_mediography_credit
    ADD CONSTRAINT "celebrity_mediography_credit_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_mediography celebrity_mediography_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_mediography
    ADD CONSTRAINT "celebrity_mediography_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_milestone celebrity_milestone_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_milestone
    ADD CONSTRAINT "celebrity_milestone_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_name celebrity_name_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_name
    ADD CONSTRAINT "celebrity_name_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_note celebrity_note_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_note
    ADD CONSTRAINT "celebrity_note_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_participanttype celebrity_participanttype_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_participanttype
    ADD CONSTRAINT "celebrity_participanttype_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_quote celebrity_quote_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_quote
    ADD CONSTRAINT "celebrity_quote_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_relationship celebrity_relationship_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_relationship
    ADD CONSTRAINT "celebrity_relationship_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_relationshipevent celebrity_relationshipevent_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_relationshipevent
    ADD CONSTRAINT "celebrity_relationshipevent_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: celebrity_socialmedia celebrity_socialmedia_personId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.celebrity_socialmedia
    ADD CONSTRAINT "celebrity_socialmedia_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");


--
-- Name: cv_attribute cv_attribute_cvId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.cv_attribute
    ADD CONSTRAINT "cv_attribute_cvId_fkey" FOREIGN KEY ("cvId") REFERENCES {0}.cv("cvId");


--
-- Name: descriptortaxonomy_descriptor descriptortaxonomy_descriptor_taxonomyId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.descriptortaxonomy_descriptor
    ADD CONSTRAINT "descriptortaxonomy_descriptor_taxonomyId_fkey" FOREIGN KEY ("taxonomyId") REFERENCES {0}.descriptortaxonomy("taxonomyId");


--
-- Name: lineup_channel lineup_channel_lineupId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.lineup_channel
    ADD CONSTRAINT "lineup_channel_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");


--
-- Name: lineup_channel_transport lineup_channel_transport_channelId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.lineup_channel_transport
    ADD CONSTRAINT "lineup_channel_transport_channelId_fkey" FOREIGN KEY ("channelId") REFERENCES {0}.lineup_channel("channelId");


--
-- Name: lineup_channel_transport_id lineup_channel_transport_id_lineupId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.lineup_channel_transport_id
    ADD CONSTRAINT "lineup_channel_transport_id_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");


--
-- Name: lineup_channel_transport_id lineup_channel_transport_id_transportId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.lineup_channel_transport_id
    ADD CONSTRAINT "lineup_channel_transport_id_transportId_fkey" FOREIGN KEY ("transportId") REFERENCES {0}.lineup_channel_transport("transportId");


--
-- Name: lineup_channel_transport lineup_channel_transport_lineupId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.lineup_channel_transport
    ADD CONSTRAINT "lineup_channel_transport_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");


--
-- Name: lineup_market lineup_market_lineupId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.lineup_market
    ADD CONSTRAINT "lineup_market_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");


--
-- Name: lineup_postalcode lineup_postalcode_lineupId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.lineup_postalcode
    ADD CONSTRAINT "lineup_postalcode_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");


--
-- Name: mapping_id mapping_id_mappingId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.mapping_id
    ADD CONSTRAINT "mapping_id_mappingId_fkey" FOREIGN KEY ("mappingId") REFERENCES {0}.mapping("mappingId");


--
-- Name: mapping_link mapping_link_mappingId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.mapping_link
    ADD CONSTRAINT "mapping_link_mappingId_fkey" FOREIGN KEY ("mappingId") REFERENCES {0}.mapping("mappingId");


--
-- Name: program_asset program_asset_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_asset
    ADD CONSTRAINT "program_asset_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_asset_id program_asset_id_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_asset_id
    ADD CONSTRAINT "program_asset_id_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_asset_id program_asset_id_programAssetId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_asset_id
    ADD CONSTRAINT "program_asset_id_programAssetId_fkey" FOREIGN KEY ("programAssetId") REFERENCES {0}.program_asset("programAssetId");


--
-- Name: program_award program_award_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_award
    ADD CONSTRAINT "program_award_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_cast program_cast_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_cast
    ADD CONSTRAINT "program_cast_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_country program_country_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_country
    ADD CONSTRAINT "program_country_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_crew program_crew_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_crew
    ADD CONSTRAINT "program_crew_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_description program_description_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_description
    ADD CONSTRAINT "program_description_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_descriptor program_descriptor_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_descriptor
    ADD CONSTRAINT "program_descriptor_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_epinfo program_epinfo_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_epinfo
    ADD CONSTRAINT "program_epinfo_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_epinfo_alt program_epinfo_alt_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_epinfo_alt
    ADD CONSTRAINT "program_epinfo_alt_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_epinfo_alt program_epinfo_alt_episodeInfoId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_epinfo_alt
    ADD CONSTRAINT "program_epinfo_alt_episodeInfoId_fkey" FOREIGN KEY ("episodeInfoId") REFERENCES {0}.program_epinfo("episodeInfoId");


--
-- Name: program_externallink program_externallink_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_externallink
    ADD CONSTRAINT "program_externallink_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_genre program_genre_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_genre
    ADD CONSTRAINT "program_genre_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_mvinfo program_mvinfo_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_mvinfo
    ADD CONSTRAINT "program_mvinfo_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_mvtrailer program_mvtrailer_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_mvtrailer
    ADD CONSTRAINT "program_mvtrailer_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_origaudiolang program_origaudiolang_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_origaudiolang
    ADD CONSTRAINT "program_origaudiolang_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_qualityrating program_qualityrating_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_qualityrating
    ADD CONSTRAINT "program_qualityrating_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_rating program_rating_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_rating
    ADD CONSTRAINT "program_rating_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_ratingadvisory program_ratingadvisory_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_ratingadvisory
    ADD CONSTRAINT "program_ratingadvisory_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_relationship program_relationship_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_relationship
    ADD CONSTRAINT "program_relationship_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_release program_release_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_release
    ADD CONSTRAINT "program_release_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_release_attribute program_release_attribute_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_release_attribute
    ADD CONSTRAINT "program_release_attribute_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_release_attribute program_release_attribute_releaseId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_release_attribute
    ADD CONSTRAINT "program_release_attribute_releaseId_fkey" FOREIGN KEY ("releaseId") REFERENCES {0}.program_release("releaseId");


--
-- Name: program_release_distributor program_release_distributor_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_release_distributor
    ADD CONSTRAINT "program_release_distributor_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_release_distributor program_release_distributor_releaseId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_release_distributor
    ADD CONSTRAINT "program_release_distributor_releaseId_fkey" FOREIGN KEY ("releaseId") REFERENCES {0}.program_release("releaseId");


--
-- Name: program_season program_season_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_season
    ADD CONSTRAINT "program_season_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_spdata program_spdata_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_spdata
    ADD CONSTRAINT "program_spdata_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_spdata_event program_spdata_event_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_spdata_event
    ADD CONSTRAINT "program_spdata_event_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_spdata_event program_spdata_event_sportsDataId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_spdata_event
    ADD CONSTRAINT "program_spdata_event_sportsDataId_fkey" FOREIGN KEY ("sportsDataId") REFERENCES {0}.program_spdata("sportsDataId");


--
-- Name: program_spevent program_spevent_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_spevent
    ADD CONSTRAINT "program_spevent_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_spinfo program_spinfo_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_spinfo
    ADD CONSTRAINT "program_spinfo_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_spteam program_spteam_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_spteam
    ADD CONSTRAINT "program_spteam_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: program_title program_title_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.program_title
    ADD CONSTRAINT "program_title_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");


--
-- Name: schedule_event_bcastid schedule_event_bcastid_eventId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.schedule_event_bcastid
    ADD CONSTRAINT "schedule_event_bcastid_eventId_fkey" FOREIGN KEY ("eventId") REFERENCES {0}.schedule_event("eventId");


--
-- Name: schedule_event_bcastid schedule_event_bcastid_scheduleId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.schedule_event_bcastid
    ADD CONSTRAINT "schedule_event_bcastid_scheduleId_fkey" FOREIGN KEY ("scheduleId") REFERENCES {0}.schedule("scheduleId");


--
-- Name: schedule_event_right schedule_event_right_eventId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.schedule_event_right
    ADD CONSTRAINT "schedule_event_right_eventId_fkey" FOREIGN KEY ("eventId") REFERENCES {0}.schedule_event("eventId");


--
-- Name: schedule_event_right_param schedule_event_right_param_rightId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.schedule_event_right_param
    ADD CONSTRAINT "schedule_event_right_param_rightId_fkey" FOREIGN KEY ("rightId") REFERENCES {0}.schedule_event_right("rightId");


--
-- Name: schedule_event_right_param schedule_event_right_param_scheduleId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.schedule_event_right_param
    ADD CONSTRAINT "schedule_event_right_param_scheduleId_fkey" FOREIGN KEY ("scheduleId") REFERENCES {0}.schedule("scheduleId");


--
-- Name: schedule_event_right schedule_event_right_scheduleId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.schedule_event_right
    ADD CONSTRAINT "schedule_event_right_scheduleId_fkey" FOREIGN KEY ("scheduleId") REFERENCES {0}.schedule("scheduleId");


--
-- Name: schedule_event schedule_event_scheduleId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.schedule_event
    ADD CONSTRAINT "schedule_event_scheduleId_fkey" FOREIGN KEY ("scheduleId") REFERENCES {0}.schedule("scheduleId");


--
-- Name: season_asset_id season_asset_id_seasonAssetId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.season_asset_id
    ADD CONSTRAINT "season_asset_id_seasonAssetId_fkey" FOREIGN KEY ("seasonAssetId") REFERENCES {0}.season_asset("seasonAssetId");


--
-- Name: season_asset_id season_asset_id_seasonTMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.season_asset_id
    ADD CONSTRAINT "season_asset_id_seasonTMSId_fkey" FOREIGN KEY ("seasonTMSId") REFERENCES {0}.season("seasonTMSId");


--
-- Name: season_asset season_asset_seasonTMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.season_asset
    ADD CONSTRAINT "season_asset_seasonTMSId_fkey" FOREIGN KEY ("seasonTMSId") REFERENCES {0}.season("seasonTMSId");


--
-- Name: season_cast season_cast_seasonTMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.season_cast
    ADD CONSTRAINT "season_cast_seasonTMSId_fkey" FOREIGN KEY ("seasonTMSId") REFERENCES {0}.season("seasonTMSId");


--
-- Name: season_crew season_crew_seasonTMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.season_crew
    ADD CONSTRAINT "season_crew_seasonTMSId_fkey" FOREIGN KEY ("seasonTMSId") REFERENCES {0}.season("seasonTMSId");


--
-- Name: season_description season_description_seasonTMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.season_description
    ADD CONSTRAINT "season_description_seasonTMSId_fkey" FOREIGN KEY ("seasonTMSId") REFERENCES {0}.season("seasonTMSId");


--
-- Name: season_title season_title_seasonTMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.season_title
    ADD CONSTRAINT "season_title_seasonTMSId_fkey" FOREIGN KEY ("seasonTMSId") REFERENCES {0}.season("seasonTMSId");


--
-- Name: source_affiliate source_affiliate_prgSvcId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source_affiliate
    ADD CONSTRAINT "source_affiliate_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");


--
-- Name: source_altname source_altname_prgSvcId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source_altname
    ADD CONSTRAINT "source_altname_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");


--
-- Name: source_asset source_asset_prgSvcId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source_asset
    ADD CONSTRAINT "source_asset_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");


--
-- Name: source_attribute source_attribute_prgSvcId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source_attribute
    ADD CONSTRAINT "source_attribute_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");


--
-- Name: source_bcastlang source_bcastlang_prgSvcId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source_bcastlang
    ADD CONSTRAINT "source_bcastlang_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");


--
-- Name: source_country source_country_prgSvcId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source_country
    ADD CONSTRAINT "source_country_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");


--
-- Name: source_edlang source_edlang_prgSvcId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source_edlang
    ADD CONSTRAINT "source_edlang_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");


--
-- Name: source_genre source_genre_prgSvcId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source_genre
    ADD CONSTRAINT "source_genre_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");


--
-- Name: source_group source_group_prgSvcId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source_group
    ADD CONSTRAINT "source_group_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");


--
-- Name: source_marketid source_marketid_prgSvcId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source_marketid
    ADD CONSTRAINT "source_marketid_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");


--
-- Name: source_relationship source_relationship_prgSvcId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source_relationship
    ADD CONSTRAINT "source_relationship_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");


--
-- Name: source_transportid source_transportid_prgSvcId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.source_transportid
    ADD CONSTRAINT "source_transportid_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");


--
-- Name: sourceprogram_asset_extattr sourceprogram_asset_extattr_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_asset_extattr
    ADD CONSTRAINT "sourceprogram_asset_extattr_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_asset_extattr sourceprogram_asset_extattr_spAssetId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_asset_extattr
    ADD CONSTRAINT "sourceprogram_asset_extattr_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_asset("spAssetId");


--
-- Name: sourceprogram_asset sourceprogram_asset_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_asset
    ADD CONSTRAINT "sourceprogram_asset_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_asset_id sourceprogram_asset_id_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_asset_id
    ADD CONSTRAINT "sourceprogram_asset_id_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_asset_id sourceprogram_asset_id_spAssetId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_asset_id
    ADD CONSTRAINT "sourceprogram_asset_id_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_asset("spAssetId");


--
-- Name: sourceprogram_asset_language sourceprogram_asset_language_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_asset_language
    ADD CONSTRAINT "sourceprogram_asset_language_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_asset_language sourceprogram_asset_language_spAssetId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_asset_language
    ADD CONSTRAINT "sourceprogram_asset_language_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_asset("spAssetId");


--
-- Name: sourceprogram_asset_market sourceprogram_asset_market_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_asset_market
    ADD CONSTRAINT "sourceprogram_asset_market_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_asset_market sourceprogram_asset_market_spAssetId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_asset_market
    ADD CONSTRAINT "sourceprogram_asset_market_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_asset("spAssetId");


--
-- Name: sourceprogram_asset_tag sourceprogram_asset_tag_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_asset_tag
    ADD CONSTRAINT "sourceprogram_asset_tag_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_asset_tag sourceprogram_asset_tag_spAssetId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_asset_tag
    ADD CONSTRAINT "sourceprogram_asset_tag_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_asset("spAssetId");


--
-- Name: sourceprogram_cast sourceprogram_cast_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_cast
    ADD CONSTRAINT "sourceprogram_cast_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_catalog sourceprogram_catalog_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_catalog
    ADD CONSTRAINT "sourceprogram_catalog_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_catalog_language sourceprogram_catalog_language_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_catalog_language
    ADD CONSTRAINT "sourceprogram_catalog_language_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_catalog_language sourceprogram_catalog_language_spCatalogId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_catalog_language
    ADD CONSTRAINT "sourceprogram_catalog_language_spCatalogId_fkey" FOREIGN KEY ("spCatalogId") REFERENCES {0}.sourceprogram_catalog("spCatalogId");


--
-- Name: sourceprogram_catalog_market sourceprogram_catalog_market_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_catalog_market
    ADD CONSTRAINT "sourceprogram_catalog_market_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_catalog_market sourceprogram_catalog_market_spCatalogId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_catalog_market
    ADD CONSTRAINT "sourceprogram_catalog_market_spCatalogId_fkey" FOREIGN KEY ("spCatalogId") REFERENCES {0}.sourceprogram_catalog("spCatalogId");


--
-- Name: sourceprogram_country sourceprogram_country_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_country
    ADD CONSTRAINT "sourceprogram_country_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_crew sourceprogram_crew_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_crew
    ADD CONSTRAINT "sourceprogram_crew_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_description sourceprogram_description_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_description
    ADD CONSTRAINT "sourceprogram_description_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_epinfo sourceprogram_epinfo_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_epinfo
    ADD CONSTRAINT "sourceprogram_epinfo_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_genre sourceprogram_genre_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_genre
    ADD CONSTRAINT "sourceprogram_genre_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_label sourceprogram_label_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_label
    ADD CONSTRAINT "sourceprogram_label_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_mvinfo sourceprogram_mvinfo_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_mvinfo
    ADD CONSTRAINT "sourceprogram_mvinfo_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_rating_advisory sourceprogram_rating_advisory_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_rating_advisory
    ADD CONSTRAINT "sourceprogram_rating_advisory_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_rating_advisory sourceprogram_rating_advisory_spRatingId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_rating_advisory
    ADD CONSTRAINT "sourceprogram_rating_advisory_spRatingId_fkey" FOREIGN KEY ("spRatingId") REFERENCES {0}.sourceprogram_rating("spRatingId");


--
-- Name: sourceprogram_rating sourceprogram_rating_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_rating
    ADD CONSTRAINT "sourceprogram_rating_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_asset_extattr sourceprogram_season_asset_extattr_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset_extattr
    ADD CONSTRAINT "sourceprogram_season_asset_extattr_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_asset_extattr sourceprogram_season_asset_extattr_spAssetId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset_extattr
    ADD CONSTRAINT "sourceprogram_season_asset_extattr_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_season_asset("spAssetId");


--
-- Name: sourceprogram_season_asset sourceprogram_season_asset_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset
    ADD CONSTRAINT "sourceprogram_season_asset_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_asset_id sourceprogram_season_asset_id_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset_id
    ADD CONSTRAINT "sourceprogram_season_asset_id_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_asset_id sourceprogram_season_asset_id_spAssetId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset_id
    ADD CONSTRAINT "sourceprogram_season_asset_id_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_season_asset("spAssetId");


--
-- Name: sourceprogram_season_asset_language sourceprogram_season_asset_language_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset_language
    ADD CONSTRAINT "sourceprogram_season_asset_language_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_asset_language sourceprogram_season_asset_language_spAssetId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset_language
    ADD CONSTRAINT "sourceprogram_season_asset_language_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_season_asset("spAssetId");


--
-- Name: sourceprogram_season_asset_market sourceprogram_season_asset_market_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset_market
    ADD CONSTRAINT "sourceprogram_season_asset_market_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_asset_market sourceprogram_season_asset_market_spAssetId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset_market
    ADD CONSTRAINT "sourceprogram_season_asset_market_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_season_asset("spAssetId");


--
-- Name: sourceprogram_season_asset sourceprogram_season_asset_spSeasonId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset
    ADD CONSTRAINT "sourceprogram_season_asset_spSeasonId_fkey" FOREIGN KEY ("spSeasonId") REFERENCES {0}.sourceprogram_season("spSeasonId");


--
-- Name: sourceprogram_season_asset_tag sourceprogram_season_asset_tag_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset_tag
    ADD CONSTRAINT "sourceprogram_season_asset_tag_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_asset_tag sourceprogram_season_asset_tag_spAssetId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_asset_tag
    ADD CONSTRAINT "sourceprogram_season_asset_tag_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_season_asset("spAssetId");


--
-- Name: sourceprogram_season_cast sourceprogram_season_cast_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_cast
    ADD CONSTRAINT "sourceprogram_season_cast_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_cast sourceprogram_season_cast_spSeasonId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_cast
    ADD CONSTRAINT "sourceprogram_season_cast_spSeasonId_fkey" FOREIGN KEY ("spSeasonId") REFERENCES {0}.sourceprogram_season("spSeasonId");


--
-- Name: sourceprogram_season_crew sourceprogram_season_crew_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_crew
    ADD CONSTRAINT "sourceprogram_season_crew_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_crew sourceprogram_season_crew_spSeasonId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_crew
    ADD CONSTRAINT "sourceprogram_season_crew_spSeasonId_fkey" FOREIGN KEY ("spSeasonId") REFERENCES {0}.sourceprogram_season("spSeasonId");


--
-- Name: sourceprogram_season_desc sourceprogram_season_desc_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_desc
    ADD CONSTRAINT "sourceprogram_season_desc_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_desc sourceprogram_season_desc_spSeasonId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_desc
    ADD CONSTRAINT "sourceprogram_season_desc_spSeasonId_fkey" FOREIGN KEY ("spSeasonId") REFERENCES {0}.sourceprogram_season("spSeasonId");


--
-- Name: sourceprogram_season sourceprogram_season_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season
    ADD CONSTRAINT "sourceprogram_season_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_title sourceprogram_season_title_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_title
    ADD CONSTRAINT "sourceprogram_season_title_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_title sourceprogram_season_title_spSeasonId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_title
    ADD CONSTRAINT "sourceprogram_season_title_spSeasonId_fkey" FOREIGN KEY ("spSeasonId") REFERENCES {0}.sourceprogram_season("spSeasonId");


--
-- Name: sourceprogram_season_xid sourceprogram_season_xid_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_xid
    ADD CONSTRAINT "sourceprogram_season_xid_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_season_xid sourceprogram_season_xid_spSeasonId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_season_xid
    ADD CONSTRAINT "sourceprogram_season_xid_spSeasonId_fkey" FOREIGN KEY ("spSeasonId") REFERENCES {0}.sourceprogram_season("spSeasonId");


--
-- Name: sourceprogram_title sourceprogram_title_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_title
    ADD CONSTRAINT "sourceprogram_title_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_versionlabel sourceprogram_versionlabel_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_versionlabel
    ADD CONSTRAINT "sourceprogram_versionlabel_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sourceprogram_xid sourceprogram_xid_gnidsId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sourceprogram_xid
    ADD CONSTRAINT "sourceprogram_xid_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");


--
-- Name: sportsorg_asset sportsorg_asset_organizationId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sportsorg_asset
    ADD CONSTRAINT "sportsorg_asset_organizationId_fkey" FOREIGN KEY ("organizationId") REFERENCES {0}.sportsorg("organizationId");


--
-- Name: sportsorg_conf_asset sportsorg_conf_asset_confId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sportsorg_conf_asset
    ADD CONSTRAINT "sportsorg_conf_asset_confId_fkey" FOREIGN KEY ("confId") REFERENCES {0}.sportsorg_conf("confId");


--
-- Name: sportsorg_conf_asset sportsorg_conf_asset_organizationId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sportsorg_conf_asset
    ADD CONSTRAINT "sportsorg_conf_asset_organizationId_fkey" FOREIGN KEY ("organizationId") REFERENCES {0}.sportsorg("organizationId");


--
-- Name: sportsorg_conf sportsorg_conf_organizationId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sportsorg_conf
    ADD CONSTRAINT "sportsorg_conf_organizationId_fkey" FOREIGN KEY ("organizationId") REFERENCES {0}.sportsorg("organizationId");


--
-- Name: sportsorg_div sportsorg_div_organizationId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sportsorg_div
    ADD CONSTRAINT "sportsorg_div_organizationId_fkey" FOREIGN KEY ("organizationId") REFERENCES {0}.sportsorg("organizationId");


--
-- Name: sportsorg_event sportsorg_event_organizationId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sportsorg_event
    ADD CONSTRAINT "sportsorg_event_organizationId_fkey" FOREIGN KEY ("organizationId") REFERENCES {0}.sportsorg("organizationId");


--
-- Name: sportsorg_teambrand sportsorg_teambrand_organizationId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.sportsorg_teambrand
    ADD CONSTRAINT "sportsorg_teambrand_organizationId_fkey" FOREIGN KEY ("organizationId") REFERENCES {0}.sportsorg("organizationId");


--
-- Name: team_genre team_genre_teamId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.team_genre
    ADD CONSTRAINT "team_genre_teamId_fkey" FOREIGN KEY ("teamId") REFERENCES {0}.team("teamId");


--
-- Name: teambrand_asset teambrand_asset_teamBrandId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.teambrand_asset
    ADD CONSTRAINT "teambrand_asset_teamBrandId_fkey" FOREIGN KEY ("teamBrandId") REFERENCES {0}.teambrand("teamBrandId");


--
-- Name: teambrand_name teambrand_name_teamBrandId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.teambrand_name
    ADD CONSTRAINT "teambrand_name_teamBrandId_fkey" FOREIGN KEY ("teamBrandId") REFERENCES {0}.teambrand("teamBrandId");


--
-- Name: university_asset university_asset_universityId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.university_asset
    ADD CONSTRAINT "university_asset_universityId_fkey" FOREIGN KEY ("universityId") REFERENCES {0}.university("universityId");


--
-- Name: university_name university_name_universityId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.university_name
    ADD CONSTRAINT "university_name_universityId_fkey" FOREIGN KEY ("universityId") REFERENCES {0}.university("universityId");


--
-- Name: vdannotation_descriptor vdannotation_descriptor_TMSId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.vdannotation_descriptor
    ADD CONSTRAINT "vdannotation_descriptor_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.vdannotation("TMSId");


--
-- Name: venuebrand_name venuebrand_name_venueBrandId_fkey; Type: FK CONSTRAINT; Schema: {0}; Owner: {1}
--

ALTER TABLE ONLY {0}.venuebrand_name
    ADD CONSTRAINT "venuebrand_name_venueBrandId_fkey" FOREIGN KEY ("venueBrandId") REFERENCES {0}.venuebrand("venueBrandId");


--
-- PostgreSQL database dump complete
--

