--
-- PostgreSQL database dump
--

-- Dumped from database version 12.2
-- Dumped by pg_dump version 12.2

SELECT pg_catalog.set_config('search_path', '', false);

--
-- Name: {0}; Type: SCHEMA; Schema: -; Owner: {1}
--

CREATE SCHEMA IF NOT EXISTS {0};


ALTER SCHEMA {0} OWNER TO {1};



--
-- Name: availability; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.availability (
    "availabilityId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "prgSvcId" integer,
    "catalogName" character varying(255),
    "videoQuality" character varying(255),
    "availableFrom" timestamp without time zone,
    "expiresAt" timestamp without time zone,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.availability OWNER TO {1};

--
-- Name: availability_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.availability_id (
    "availabilityId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255),
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.availability_id OWNER TO {1};

--
-- Name: availability_providerdata; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.availability_providerdata (
    "availabilityId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    key character varying(255) NOT NULL,
    value character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.availability_providerdata OWNER TO {1};

--
-- Name: availability_url; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.availability_url (
    "availabilityId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    url character varying(500),
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.availability_url OWNER TO {1};

--
-- Name: availability_viewingoption; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.availability_viewingoption (
    "availabilityId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "videoQuality" character varying(255),
    license character varying(255),
    price real,
    currency character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.availability_viewingoption OWNER TO {1};

--
-- Name: celebrity; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    type character varying(255) NOT NULL,
    gender character varying(255),
    nationality character varying(255),
    ethnicity character varying(255),
    "birthName" character varying(255),
    "birthPlace" character varying(255),
    "birthDate" character varying(255),
    "deathDate" character varying(255),
    "deathPlace" character varying(255),
    "deathCause" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.celebrity OWNER TO {1};

--
-- Name: celebrity_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_asset (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    provider character varying(255),
    "URI" character varying(255) NOT NULL,
    caption character varying(4000),
    caption_lang character varying(255),
    "enhRank" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_asset OWNER TO {1};

--
-- Name: celebrity_award; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_award (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    won integer,
    "rootId" integer,
    award character varying(255) NOT NULL,
    "awardId" integer NOT NULL,
    category character varying(255) NOT NULL,
    "awardCatId" integer NOT NULL,
    year character varying(255),
    recipient character varying(255),
    "recipientNameId" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_award OWNER TO {1};

--
-- Name: celebrity_biography; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_biography (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    biography text NOT NULL,
    type character varying(255),
    lang character varying(255),
    territory character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_biography OWNER TO {1};

--
-- Name: celebrity_education; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_education (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    degree character varying(255),
    institution character varying(255),
    location character varying(255),
    major character varying(255),
    "yearRange" character varying(255),
    notes character varying(1000),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_education OWNER TO {1};

--
-- Name: celebrity_enhancedaward; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_enhancedaward (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "group" character varying(255),
    category character varying(255),
    year character varying(255),
    result character varying(255),
    project_title character varying(255),
    "showTitle" character varying(255),
    notes character varying(500),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_enhancedaward OWNER TO {1};

--
-- Name: celebrity_highlight; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_highlight (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    highlight character varying(1000),
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_highlight OWNER TO {1};

--
-- Name: celebrity_mediography; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_mediography (
    "mediographyId" character varying(255) NOT NULL,
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255),
    "rootId" integer,
    year character varying(255),
    title character varying(255),
    title_type character varying(255),
    "title_subType" character varying(255),
    title_lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_mediography OWNER TO {1};

--
-- Name: celebrity_mediography_credit; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_mediography_credit (
    "mediographyId" character varying(255) NOT NULL,
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "nameId" integer,
    "characterName" character varying(255),
    "roleId" integer,
    role character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_mediography_credit OWNER TO {1};

--
-- Name: celebrity_milestone; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_milestone (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "beginDate" character varying(255),
    "endDate" character varying(255),
    description character varying(4000),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_milestone OWNER TO {1};

--
-- Name: celebrity_name; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_name (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "nameId" integer NOT NULL,
    "primary" integer,
    lang character varying(255),
    sort integer,
    prefix character varying(255),
    first character varying(255),
    middle character varying(255),
    last character varying(255),
    suffix character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_name OWNER TO {1};

--
-- Name: celebrity_note; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_note (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    note character varying(4000),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_note OWNER TO {1};

--
-- Name: celebrity_participanttype; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_participanttype (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "participantType" character varying(255),
    "isPrimary" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_participanttype OWNER TO {1};

--
-- Name: celebrity_quote; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_quote (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255),
    description character varying(4000),
    "beginDate" character varying(255),
    "endDate" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_quote OWNER TO {1};

--
-- Name: celebrity_relationship; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_relationship (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255),
    relationship character varying(255),
    "rel_personId" integer,
    name_prefix character varying(255),
    name_first character varying(255),
    name_middle character varying(255),
    name_last character varying(255),
    name_suffix character varying(255),
    name_aka character varying(255),
    description character varying(4000),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_relationship OWNER TO {1};

--
-- Name: celebrity_relationshipevent; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_relationshipevent (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255),
    relationship character varying(255),
    name character varying(255),
    event_type character varying(255),
    event_date character varying(255),
    event_desc character varying(500),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_relationshipevent OWNER TO {1};

--
-- Name: celebrity_socialmedia; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.celebrity_socialmedia (
    "personId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    handle character varying(255),
    host character varying(255),
    "URL" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.celebrity_socialmedia OWNER TO {1};

--
-- Name: cv; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.cv (
    "cvId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "cvType" character varying(255) NOT NULL,
    id character varying(255),
    type character varying(255),
    lang character varying(255),
    value character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.cv OWNER TO {1};

--
-- Name: cv_attribute; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.cv_attribute (
    "cvId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "attributeId" character varying(255),
    "attributeType" character varying(255),
    "attributeLang" character varying(255),
    "attributeValue" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.cv_attribute OWNER TO {1};

--
-- Name: descriptor; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.descriptor (
    "descriptorId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "descriptorName" character varying(255) NOT NULL,
    "parent_descriptorId" character varying(255),
    "typeId" character varying(255) NOT NULL,
    "typeName" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.descriptor OWNER TO {1};

--
-- Name: descriptortaxonomy; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.descriptortaxonomy (
    "taxonomyId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.descriptortaxonomy OWNER TO {1};

--
-- Name: descriptortaxonomy_descriptor; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.descriptortaxonomy_descriptor (
    "taxonomyId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "descriptorId" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.descriptortaxonomy_descriptor OWNER TO {1};

--
-- Name: lineup; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.lineup (
    "lineupId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    country character varying(255),
    "countryId" integer,
    mso character varying(255),
    "msoId" integer,
    headend character varying(255),
    "headendId" character varying(255),
    location character varying(255),
    device character varying(255),
    "deviceType" character varying(255),
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.lineup OWNER TO {1};

--
-- Name: lineup_channel; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.lineup_channel (
    "channelId" character varying(255) NOT NULL,
    "lineupId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "prgSvcId" integer,
    "channelNumber" character varying(255),
    "effectiveDate" timestamp without time zone,
    "expirationDate" timestamp without time zone,
    tier integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.lineup_channel OWNER TO {1};

--
-- Name: lineup_channel_transport; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.lineup_channel_transport (
    "transportId" character varying(255) NOT NULL,
    "channelId" character varying(255) NOT NULL,
    "lineupId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    system character varying(255) NOT NULL,
    "subSystem" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.lineup_channel_transport OWNER TO {1};

--
-- Name: lineup_channel_transport_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.lineup_channel_transport_id (
    "transportId" character varying(255) NOT NULL,
    "lineupId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255) NOT NULL,
    id integer NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.lineup_channel_transport_id OWNER TO {1};

--
-- Name: lineup_market; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.lineup_market (
    "lineupId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    market character varying(255),
    "marketId" integer,
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.lineup_market OWNER TO {1};

--
-- Name: lineup_postalcode; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.lineup_postalcode (
    "lineupId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "postalCode" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.lineup_postalcode OWNER TO {1};

--
-- Name: mapping; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.mapping (
    "mappingId" bigint NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "creationDate" character varying(255),
    status character varying(255),
    "catalogName" character varying(255),
    avail_start timestamp without time zone,
    avail_end timestamp without time zone,
    message_reason character varying(255),
    message_detail character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.mapping OWNER TO {1};

--
-- Name: mapping_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.mapping_id (
    "mappingId" bigint NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.mapping_id OWNER TO {1};

--
-- Name: mapping_link; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.mapping_link (
    "mappingId" bigint NOT NULL,
    "updateId" bigint NOT NULL,
    link character varying(255) NOT NULL,
    "idType" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.mapping_link OWNER TO {1};

--
-- Name: popularity; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.popularity (
    "popularityId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    country character varying(255) NOT NULL,
    "rootId" integer NOT NULL,
    score real NOT NULL,
    "scoreDate" timestamp without time zone,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.popularity OWNER TO {1};

--
-- Name: program; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    inactive integer,
    "rootId" integer,
    "versionId" integer,
    "connectorId" character varying(255),
    "seasonId" integer,
    "seriesId" integer,
    title_lang character varying(255) NOT NULL,
    desc_lang character varying(255) NOT NULL,
    "title_subType" character varying(255) NOT NULL,
    "runTime" character varying(255),
    "progType" character varying(255),
    "subType" character varying(255),
    holiday character varying(255),
    "holidayId" integer,
    "origAirDate" character varying(255),
    "colorCode" character varying(255),
    "versionLabel" character varying(255),
    animation character varying(255),
    "origAudioLang" character varying(255),
    "sourceType" character varying(255),
    "origNetwork" character varying(255),
    "origNetwork_prgSvcId" integer,
    "lastOrigNetwork" character varying(255),
    "lastOrigNetwork_prgSvcId" integer,
    "seriesPremiere" character varying(255),
    "seriesFinale" character varying(255),
    showcard integer,
    "officialURL" character varying(255),
    "partNumber" integer,
    "totalParts" integer,
    duration integer,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.program OWNER TO {1};

--
-- Name: program_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_asset (
    "programAssetId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255) NOT NULL,
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "seasonId" integer,
    "restrictedProvider" integer,
    provider character varying(255),
    "URI" character varying(255) NOT NULL,
    caption character varying(1000),
    caption_lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_asset OWNER TO {1};

--
-- Name: program_asset_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_asset_id (
    "programAssetId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_asset_id OWNER TO {1};

--
-- Name: program_award; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_award (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    won integer,
    award character varying(255) NOT NULL,
    "awardId" integer NOT NULL,
    category character varying(255) NOT NULL,
    "awardCatId" integer NOT NULL,
    year character varying(255),
    recipient character varying(255),
    "recipientNameId" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_award OWNER TO {1};

--
-- Name: program_cast; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_cast (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    "personId" integer,
    "nameId" integer,
    "characterName" character varying(255),
    "roleId" integer,
    role character varying(255),
    departed integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_cast OWNER TO {1};

--
-- Name: program_country; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_country (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    country character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_country OWNER TO {1};

--
-- Name: program_crew; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_crew (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    "personId" integer,
    "nameId" integer,
    "roleId" integer,
    role character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_crew OWNER TO {1};

--
-- Name: program_description; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_description (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    description text NOT NULL,
    size integer NOT NULL,
    type character varying(255) NOT NULL,
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_description OWNER TO {1};

--
-- Name: program_descriptor; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_descriptor (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer,
    "descriptorId" character varying(255),
    weight integer,
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_descriptor OWNER TO {1};

--
-- Name: program_epinfo; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_epinfo (
    "episodeInfoId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    title character varying(255),
    size integer,
    type character varying(255),
    "subType" character varying(255),
    lang character varying(255),
    season integer,
    number integer,
    episodes character varying(255),
    "numInSeries" integer,
    "seasonYear" integer,
    "synNum" character varying(255),
    "altSynNum" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_epinfo OWNER TO {1};

--
-- Name: program_epinfo_alt; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_epinfo_alt (
    "episodeInfoId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    country character varying(255),
    countrywide integer,
    "prgSvcId" integer,
    season integer,
    episode character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_epinfo_alt OWNER TO {1};

--
-- Name: program_externallink; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_externallink (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    vendor character varying(255),
    "vendorId" character varying(255),
    id character varying(255),
    url character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_externallink OWNER TO {1};

--
-- Name: program_genre; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_genre (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "genreOrd" integer NOT NULL,
    genre character varying(255) NOT NULL,
    "genreId" integer NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_genre OWNER TO {1};

--
-- Name: program_mvinfo; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_mvinfo (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    key character varying(255) NOT NULL,
    value character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_mvinfo OWNER TO {1};

--
-- Name: program_mvtrailer; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_mvtrailer (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    format character varying(255),
    "URL" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_mvtrailer OWNER TO {1};

--
-- Name: program_origaudiolang; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_origaudiolang (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer,
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_origaudiolang OWNER TO {1};

--
-- Name: program_qualityrating; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_qualityrating (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "ratingsBody" character varying(255),
    value character varying(255),
    "numVotes" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_qualityrating OWNER TO {1};

--
-- Name: program_rating; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_rating (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    exempt integer,
    rating_code character varying(255),
    "ratingBodyId" integer,
    "ratingsBody" character varying(255),
    warning character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_rating OWNER TO {1};

--
-- Name: program_ratingadvisory; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_ratingadvisory (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    advisory character varying(255) NOT NULL,
    "ratingsBody" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_ratingadvisory OWNER TO {1};

--
-- Name: program_relationship; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_relationship (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255),
    association character varying(255),
    "rootId" integer,
    "organizationId" integer,
    "personId" integer,
    "personNameId" integer,
    label character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_relationship OWNER TO {1};

--
-- Name: program_release; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_release (
    "releaseId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "editNotes" character varying(255),
    country character varying(255),
    type character varying(255) NOT NULL,
    date character varying(255),
    medium character varying(255),
    "prgSvcId" integer,
    "seasonYear" character varying(255),
    "seasonName" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_release OWNER TO {1};

--
-- Name: program_release_attribute; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_release_attribute (
    "releaseId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    attribute character varying(255) NOT NULL,
    attribute_type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_release_attribute OWNER TO {1};

--
-- Name: program_release_distributor; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_release_distributor (
    "releaseId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    name character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_release_distributor OWNER TO {1};

--
-- Name: program_season; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_season (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "seasonTMSId" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_season OWNER TO {1};

--
-- Name: program_spdata; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_spdata (
    "sportsDataId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "homeParticipantGId" character varying(255),
    "awayParticipantGId" character varying(255),
    "participantType" character varying(255),
    "sportGId" character varying(255),
    "venueGId" character varying(255),
    gender character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_spdata OWNER TO {1};

--
-- Name: program_spdata_event; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_spdata_event (
    "sportsDataId" character varying(255) NOT NULL,
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "sportsEventGId" character varying(255) NOT NULL,
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_spdata_event OWNER TO {1};

--
-- Name: program_spevent; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_spevent (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "eventId" character varying(255) NOT NULL,
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_spevent OWNER TO {1};

--
-- Name: program_spinfo; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_spinfo (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "gameDate" character varying(255),
    "gameTime" character varying(255),
    "gameTimeZone" character varying(255),
    venue character varying(255),
    "venueBrandId" integer,
    season character varying(255),
    season_type character varying(255),
    "playoffRound" character varying(255),
    "playoffRound_gameNum" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_spinfo OWNER TO {1};

--
-- Name: program_spteam; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_spteam (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    team character varying(255) NOT NULL,
    "teamBrandId" integer,
    "isHome" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_spteam OWNER TO {1};

--
-- Name: program_title; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.program_title (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    title character varying(255) NOT NULL,
    size integer NOT NULL,
    type character varying(255) NOT NULL,
    "subType" character varying(255),
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.program_title OWNER TO {1};

--
-- Name: schedule; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.schedule (
    "scheduleId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    "prgSvcId" integer NOT NULL,
    date timestamp without time zone NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.schedule OWNER TO {1};

--
-- Name: schedule_event; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.schedule_event (
    "eventId" character varying(255) NOT NULL,
    "scheduleId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "gnEventId" character varying(255),
    "TMSId" character varying(255) NOT NULL,
    "time" character varying(255) NOT NULL,
    dur character varying(255) NOT NULL,
    "rootId" integer,
    "exactStartDateTime" timestamp without time zone,
    "exactEndDateTime" timestamp without time zone,
    "exactStart" character varying(255),
    "exactDur" character varying(255),
    "exactSource" character varying(255),
    subtitled integer,
    subtitled_lang character varying(255),
    dubbed integer,
    dubbed_lang character varying(255),
    sap integer,
    sap_lang character varying(255),
    "tvRating" character varying(255),
    "tvRating_body" character varying(255),
    "tvSubRating" character varying(255),
    "tvSubRating_body" character varying(255),
    "partNum" integer,
    "numOfParts" integer,
    "netSynSource" character varying(255),
    "netSynType" character varying(255),
    quals character varying(255),
    "catchup_validFrom" timestamp without time zone,
    "catchup_validTo" timestamp without time zone,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.schedule_event OWNER TO {1};

--
-- Name: schedule_event_bcastid; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.schedule_event_bcastid (
    "eventId" character varying(255) NOT NULL,
    "scheduleId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "broadcastId" character varying(255) NOT NULL,
    "broadcastId_type" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.schedule_event_bcastid OWNER TO {1};

--
-- Name: schedule_event_right; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.schedule_event_right (
    "rightId" character varying(255) NOT NULL,
    "eventId" character varying(255) NOT NULL,
    "scheduleId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "right" character varying(255) NOT NULL,
    allowed integer,
    customer character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.schedule_event_right OWNER TO {1};

--
-- Name: schedule_event_right_param; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.schedule_event_right_param (
    "rightId" character varying(255) NOT NULL,
    "scheduleId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    type character varying(255) NOT NULL,
    param character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.schedule_event_right_param OWNER TO {1};

--
-- Name: season; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season (
    "seasonTMSId" character varying(255) NOT NULL,
    "seasonId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    inactive integer,
    "seasonNumber" integer,
    "seasonYear" integer,
    "seasonPremiere" character varying(255),
    "seasonFinale" character varying(255),
    "origNetwork" character varying(255),
    "origNetwork_prgSvcId" integer,
    "totalSeasonEpisodes" integer,
    showcard integer,
    "officialURL" character varying(255),
    title_lang character varying(255),
    desc_lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.season OWNER TO {1};

--
-- Name: season_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season_asset (
    "seasonAssetId" character varying(255) NOT NULL,
    "seasonTMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255) NOT NULL,
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "restrictedProvider" integer,
    provider character varying(255),
    "seasonId" integer,
    "URI" character varying(255) NOT NULL,
    caption character varying(1000),
    caption_lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.season_asset OWNER TO {1};

--
-- Name: season_asset_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season_asset_id (
    "seasonAssetId" character varying(255) NOT NULL,
    "seasonTMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.season_asset_id OWNER TO {1};

--
-- Name: season_cast; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season_cast (
    "seasonTMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    "personId" integer,
    "nameId" integer,
    "characterName" character varying(255),
    "roleId" integer,
    role character varying(255),
    departed integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.season_cast OWNER TO {1};

--
-- Name: season_crew; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season_crew (
    "seasonTMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    "personId" integer,
    "nameId" integer,
    "roleId" integer,
    role character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.season_crew OWNER TO {1};

--
-- Name: season_description; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season_description (
    "seasonTMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    description text NOT NULL,
    size integer NOT NULL,
    type character varying(255) NOT NULL,
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.season_description OWNER TO {1};

--
-- Name: season_title; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.season_title (
    "seasonTMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    title character varying(255) NOT NULL,
    size integer NOT NULL,
    type character varying(255) NOT NULL,
    "subType" character varying(255),
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.season_title OWNER TO {1};

--
-- Name: source; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    inactive integer,
    name character varying(255) NOT NULL,
    "callSign" character varying(255) NOT NULL,
    num integer,
    "majorNum" integer,
    "minorNum" integer,
    city character varying(255),
    state character varying(255),
    "postalCode" character varying(255),
    country character varying(255),
    type character varying(255) NOT NULL,
    status character varying(255) NOT NULL,
    "statusId" integer NOT NULL,
    reach character varying(255),
    "signalType" character varying(255),
    "videoType" character varying(255),
    "truResolution" character varying(255),
    "enhancedCallSign" character varying(255),
    "cityOfLicense" character varying(255),
    "timeZone" character varying(255),
    "ianaTimeZone" character varying(255),
    "URL" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.source OWNER TO {1};

--
-- Name: source_affiliate; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_affiliate (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    affil character varying(255) NOT NULL,
    "affil_prgSvcId" integer,
    "affiliateId" integer NOT NULL,
    ord integer NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_affiliate OWNER TO {1};

--
-- Name: source_altname; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_altname (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "altName" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_altname OWNER TO {1};

--
-- Name: source_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_asset (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    "URI" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_asset OWNER TO {1};

--
-- Name: source_attribute; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_attribute (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    attrib character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_attribute OWNER TO {1};

--
-- Name: source_bcastlang; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_bcastlang (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "bcastLang" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_bcastlang OWNER TO {1};

--
-- Name: source_country; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_country (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    country character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_country OWNER TO {1};

--
-- Name: source_edlang; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_edlang (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "edLang" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_edlang OWNER TO {1};

--
-- Name: source_genre; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_genre (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    genre character varying(255) NOT NULL,
    "genreId" integer NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_genre OWNER TO {1};

--
-- Name: source_group; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_group (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "group" character varying(255),
    "groupId" integer,
    type character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_group OWNER TO {1};

--
-- Name: source_marketid; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_marketid (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "marketId" integer NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_marketid OWNER TO {1};

--
-- Name: source_relationship; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_relationship (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    relationship integer NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_relationship OWNER TO {1};

--
-- Name: source_transportid; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.source_transportid (
    "prgSvcId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    system character varying(255) NOT NULL,
    subsystem character varying(255) NOT NULL,
    type character varying(255) NOT NULL,
    id integer NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.source_transportid OWNER TO {1};

--
-- Name: sourceprogram; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "TMSId" character varying(255) NOT NULL,
    desc_lang character varying(255),
    "progType" character varying(255),
    "subType" character varying(255),
    "sourceDataProviderId" character varying(255),
    "sourceDataProviderName" character varying(255),
    "origNetwork" character varying(255),
    "targetAudience" character varying(255),
    "productionStatus" character varying(255),
    "releaseDate" character varying(255),
    "yearOfRelease" integer,
    "partNumber" character varying(255),
    "version_yearOfRelease" integer,
    "version_releaseDate" character varying(255),
    "version_colorCode" character varying(255),
    version_duration character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.sourceprogram OWNER TO {1};

--
-- Name: sourceprogram_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_asset (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    created timestamp without time zone,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "seasonId" integer,
    provider character varying(255),
    "isConforming" integer,
    "isBranded" integer,
    title character varying(255),
    "URL" character varying(255) NOT NULL,
    description character varying(255),
    "brandedDescription" character varying(255),
    "isSensitive" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_asset OWNER TO {1};

--
-- Name: sourceprogram_asset_extattr; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_asset_extattr (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    label character varying(255) NOT NULL,
    value character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_asset_extattr OWNER TO {1};

--
-- Name: sourceprogram_asset_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_asset_id (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_asset_id OWNER TO {1};

--
-- Name: sourceprogram_asset_language; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_asset_language (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_asset_language OWNER TO {1};

--
-- Name: sourceprogram_asset_market; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_asset_market (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    market character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_asset_market OWNER TO {1};

--
-- Name: sourceprogram_asset_tag; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_asset_tag (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    tag character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_asset_tag OWNER TO {1};

--
-- Name: sourceprogram_cast; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_cast (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    "characterName" character varying(255),
    role character varying(255),
    prefix character varying(255),
    first character varying(255),
    middle character varying(255),
    last character varying(255),
    suffix character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_cast OWNER TO {1};

--
-- Name: sourceprogram_catalog; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_catalog (
    "spCatalogId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "catalogId" character varying(255),
    "catalogName" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_catalog OWNER TO {1};

--
-- Name: sourceprogram_catalog_language; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_catalog_language (
    "spCatalogId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_catalog_language OWNER TO {1};

--
-- Name: sourceprogram_catalog_market; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_catalog_market (
    "spCatalogId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    market character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_catalog_market OWNER TO {1};

--
-- Name: sourceprogram_country; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_country (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    country character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_country OWNER TO {1};

--
-- Name: sourceprogram_crew; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_crew (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    role character varying(255),
    prefix character varying(255),
    first character varying(255),
    middle character varying(255),
    last character varying(255),
    suffix character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_crew OWNER TO {1};

--
-- Name: sourceprogram_description; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_description (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    description text NOT NULL,
    size integer,
    type character varying(255),
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_description OWNER TO {1};

--
-- Name: sourceprogram_epinfo; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_epinfo (
    "spEpisodeInfoId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    title character varying(255),
    size integer,
    type character varying(255),
    lang character varying(255),
    season character varying(255),
    number character varying(255),
    ord integer,
    "synNum" character varying(255),
    "industryNumber" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_epinfo OWNER TO {1};

--
-- Name: sourceprogram_genre; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_genre (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "genreOrd" integer NOT NULL,
    genre character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_genre OWNER TO {1};

--
-- Name: sourceprogram_label; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_label (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    label character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_label OWNER TO {1};

--
-- Name: sourceprogram_mvinfo; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_mvinfo (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    key character varying(255) NOT NULL,
    value character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_mvinfo OWNER TO {1};

--
-- Name: sourceprogram_rating; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_rating (
    "spRatingId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    exempt integer,
    rating_code character varying(255),
    "ratingsBody" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_rating OWNER TO {1};

--
-- Name: sourceprogram_rating_advisory; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_rating_advisory (
    "spRatingId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    advisory character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_rating_advisory OWNER TO {1};

--
-- Name: sourceprogram_season; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season (
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "nonSeason" integer,
    "seasonId" character varying(255),
    season character varying(255),
    ord integer,
    "releaseDate" character varying(255),
    "seasonFinale" character varying(255),
    "originalNetwork" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season OWNER TO {1};

--
-- Name: sourceprogram_season_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_asset (
    "spAssetId" character varying(255) NOT NULL,
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    created timestamp without time zone,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "seasonId" integer,
    provider character varying(255),
    "isConforming" integer,
    "isBranded" integer,
    title character varying(255),
    "URL" character varying(255) NOT NULL,
    description character varying(255),
    "brandedDescription" character varying(255),
    "isSensitive" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_asset OWNER TO {1};

--
-- Name: sourceprogram_season_asset_extattr; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_asset_extattr (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    label character varying(255) NOT NULL,
    value character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_asset_extattr OWNER TO {1};

--
-- Name: sourceprogram_season_asset_id; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_asset_id (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    type character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_asset_id OWNER TO {1};

--
-- Name: sourceprogram_season_asset_language; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_asset_language (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_asset_language OWNER TO {1};

--
-- Name: sourceprogram_season_asset_market; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_asset_market (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    market character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_asset_market OWNER TO {1};

--
-- Name: sourceprogram_season_asset_tag; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_asset_tag (
    "spAssetId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    tag character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_asset_tag OWNER TO {1};

--
-- Name: sourceprogram_season_cast; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_cast (
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    "characterName" character varying(255),
    role character varying(255),
    prefix character varying(255),
    first character varying(255),
    middle character varying(255),
    last character varying(255),
    suffix character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_cast OWNER TO {1};

--
-- Name: sourceprogram_season_crew; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_crew (
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer NOT NULL,
    role character varying(255),
    prefix character varying(255),
    first character varying(255),
    middle character varying(255),
    last character varying(255),
    suffix character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_crew OWNER TO {1};

--
-- Name: sourceprogram_season_desc; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_desc (
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    description character varying(255) NOT NULL,
    size character varying(255),
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_desc OWNER TO {1};

--
-- Name: sourceprogram_season_title; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_title (
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    title character varying(255) NOT NULL,
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_title OWNER TO {1};

--
-- Name: sourceprogram_season_xid; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_season_xid (
    "spSeasonId" character varying(255) NOT NULL,
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    "primary" character varying(255),
    provider character varying(255),
    label character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_season_xid OWNER TO {1};

--
-- Name: sourceprogram_title; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_title (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    title character varying(255) NOT NULL,
    size integer,
    type character varying(255),
    "subType" character varying(255),
    lang character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_title OWNER TO {1};

--
-- Name: sourceprogram_versionlabel; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_versionlabel (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    label character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_versionlabel OWNER TO {1};

--
-- Name: sourceprogram_xid; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sourceprogram_xid (
    "gnidsId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    id character varying(255) NOT NULL,
    "primary" character varying(255),
    provider character varying(255),
    label character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sourceprogram_xid OWNER TO {1};

--
-- Name: sportsorg; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg (
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "rootId" integer NOT NULL,
    official integer,
    "sportGId" character varying(255),
    name character varying(255),
    genre character varying(255),
    "genreId" integer,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.sportsorg OWNER TO {1};

--
-- Name: sportsorg_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg_asset (
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "URI" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sportsorg_asset OWNER TO {1};

--
-- Name: sportsorg_conf; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg_conf (
    "confId" character varying(255) NOT NULL,
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "conferenceId" integer NOT NULL,
    "conferenceGId" character varying(255),
    name character varying(255),
    abbreviation character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sportsorg_conf OWNER TO {1};

--
-- Name: sportsorg_conf_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg_conf_asset (
    "confId" character varying(255) NOT NULL,
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "URI" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sportsorg_conf_asset OWNER TO {1};

--
-- Name: sportsorg_div; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg_div (
    "divId" character varying(255) NOT NULL,
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "divisionId" integer NOT NULL,
    "divisionGId" character varying(255),
    name character varying(255),
    abbreviation character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sportsorg_div OWNER TO {1};

--
-- Name: sportsorg_event; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg_event (
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "sportsEventGId" character varying(255) NOT NULL,
    type character varying(255),
    event character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sportsorg_event OWNER TO {1};

--
-- Name: sportsorg_teambrand; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.sportsorg_teambrand (
    "organizationId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "teamId" integer,
    "teamBrandId" integer,
    "teamGId" character varying(255),
    "teamBrandGId" character varying(255),
    "conferenceId" integer,
    "conferenceGId" character varying(255),
    "divisionId" integer,
    "divisionGId" character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.sportsorg_teambrand OWNER TO {1};

--
-- Name: team; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.team (
    "teamId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "teamGId" character varying(255),
    type character varying(255),
    class character varying(255),
    color_primary character varying(255),
    color_secondary character varying(255),
    gender character varying(255),
    country character varying(255),
    "genreId" integer,
    "sportGId" character varying(255),
    "venueId" integer,
    "venueGId" character varying(255),
    "universityId" integer,
    "universityGId" character varying(255),
    address_city character varying(255),
    address_state character varying(255),
    address_country character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.team OWNER TO {1};

--
-- Name: team_genre; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.team_genre (
    "teamId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    genre character varying(255),
    "genreId" integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.team_genre OWNER TO {1};

--
-- Name: teambrand; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.teambrand (
    "teamBrandId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "teamBrandGId" character varying(255),
    "teamId" integer NOT NULL,
    active integer,
    "fromDate" timestamp without time zone,
    "toDate" timestamp without time zone,
    names_lang character varying(255),
    "officialName" character varying(255),
    "properName" character varying(255),
    "nickName" character varying(255),
    abbreviation character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.teambrand OWNER TO {1};

--
-- Name: teambrand_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.teambrand_asset (
    "teamBrandId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "URI" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.teambrand_asset OWNER TO {1};

--
-- Name: teambrand_name; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.teambrand_name (
    "teamBrandId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    name character varying(255),
    type character varying(255),
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.teambrand_name OWNER TO {1};

--
-- Name: university; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.university (
    "universityId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "universityGId" character varying(255),
    name character varying(255),
    names_lang character varying(255),
    address_city character varying(255),
    address_state character varying(255),
    address_country character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.university OWNER TO {1};

--
-- Name: university_asset; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.university_asset (
    "universityId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "assetUpdateId" bigint,
    "assetId" character varying(255),
    deleted integer,
    "lastModified" timestamp without time zone,
    "expiredDate" character varying(255),
    type character varying(255) NOT NULL,
    width integer,
    height integer,
    "primary" integer,
    category character varying(255) NOT NULL,
    ratio character varying(255),
    tier character varying(255),
    "URI" character varying(255) NOT NULL,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.university_asset OWNER TO {1};

--
-- Name: university_name; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.university_name (
    "universityId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    name character varying(255),
    type character varying(255),
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.university_name OWNER TO {1};

--
-- Name: vdannotation; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.vdannotation (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "rootId" integer,
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.vdannotation OWNER TO {1};

--
-- Name: vdannotation_descriptor; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.vdannotation_descriptor (
    "TMSId" character varying(255) NOT NULL,
    "updateId" bigint NOT NULL,
    ord integer,
    "descriptorId" character varying(255),
    weight integer,
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.vdannotation_descriptor OWNER TO {1};

--
-- Name: venue; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.venue (
    "venueId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "venueGId" character varying(255),
    type character varying(255),
    timezone character varying(255),
    address_city character varying(255),
    address_state character varying(255),
    address_country character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.venue OWNER TO {1};

--
-- Name: venuebrand; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.venuebrand (
    "venueBrandId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    "updateDate" timestamp without time zone NOT NULL,
    deleted integer,
    "venueId" integer NOT NULL,
    active integer,
    "fromDate" timestamp without time zone,
    "toDate" timestamp without time zone,
    names_lang character varying(255),
    name character varying(255),
    name_lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint,
    "batchUpdateOrd" bigint
);


ALTER TABLE {0}.venuebrand OWNER TO {1};

--
-- Name: venuebrand_name; Type: TABLE; Schema: {0}; Owner: {1}
--

CREATE TABLE IF NOT EXISTS {0}.venuebrand_name (
    "venueBrandId" integer NOT NULL,
    "updateId" bigint NOT NULL,
    name character varying(255),
    type character varying(255),
    lang character varying(255),
    "MD5" character varying(255),
    "ingestId" bigint
);


ALTER TABLE {0}.venuebrand_name OWNER TO {1};

--
-- PostgreSQL database dump complete
--

