-- {0}: stage schema


WITH celebrity_dupes AS (
      SELECT celebrity_counts."personId" FROM (
          SELECT "personId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."celebrity" 
          GROUP BY "personId" )
      AS celebrity_counts
      WHERE celebrity_counts."updateId_count" > 1 ),
  celebrity_max AS (
      SELECT celebrity."personId", MAX(celebrity."updateId") AS "updateId" 
      FROM {0}.celebrity 
      WHERE {0}.celebrity."personId" IN (SELECT "personId" FROM celebrity_dupes)
      GROUP BY celebrity."personId" )
  DELETE FROM {0}.celebrity
      WHERE EXISTS (
          SELECT 1 FROM celebrity_dupes
          WHERE celebrity_dupes."personId"=celebrity."personId" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_max
          WHERE celebrity_max."personId"=celebrity."personId" 
            AND celebrity_max."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_name WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_name."personId"=celebrity."personId"
            AND celebrity_name."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_award WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_award."personId"=celebrity."personId"
            AND celebrity_award."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_asset."personId"=celebrity."personId"
            AND celebrity_asset."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_mediography WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_mediography."personId"=celebrity."personId"
            AND celebrity_mediography."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_mediography_credit WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_mediography_credit."personId"=celebrity."personId"
            AND celebrity_mediography_credit."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_participanttype WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_participanttype."personId"=celebrity."personId"
            AND celebrity_participanttype."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_biography WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_biography."personId"=celebrity."personId"
            AND celebrity_biography."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_relationship WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_relationship."personId"=celebrity."personId"
            AND celebrity_relationship."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_relationshipevent WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_relationshipevent."personId"=celebrity."personId"
            AND celebrity_relationshipevent."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_education WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_education."personId"=celebrity."personId"
            AND celebrity_education."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_milestone WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_milestone."personId"=celebrity."personId"
            AND celebrity_milestone."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_note WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_note."personId"=celebrity."personId"
            AND celebrity_note."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_quote WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_quote."personId"=celebrity."personId"
            AND celebrity_quote."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_highlight WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_highlight."personId"=celebrity."personId"
            AND celebrity_highlight."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_socialmedia WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_socialmedia."personId"=celebrity."personId"
            AND celebrity_socialmedia."updateId"=celebrity."updateId" );

DELETE FROM {0}.celebrity_enhancedaward WHERE NOT EXISTS (
    SELECT 1 FROM {0}.celebrity 
        WHERE celebrity_enhancedaward."personId"=celebrity."personId"
            AND celebrity_enhancedaward."updateId"=celebrity."updateId" );
