-- {0}: stage schema


WITH celebrity_dupes AS (
      SELECT celebrity_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity" 
          GROUP BY "MD5" )
      AS celebrity_counts
      WHERE celebrity_counts."ctid_count" > 1 ),
  celebrity_max AS (
      SELECT celebrity."MD5", MAX(celebrity."ctid") AS "ctid" 
      FROM {0}.celebrity 
      WHERE {0}.celebrity."MD5" IN (SELECT "MD5" FROM celebrity_dupes)
      GROUP BY celebrity."MD5" )
  DELETE FROM {0}.celebrity
      WHERE EXISTS (
          SELECT 1 FROM celebrity_dupes
          WHERE celebrity_dupes."MD5"=celebrity."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_max
          WHERE celebrity_max."MD5"=celebrity."MD5" 
            AND celebrity_max."ctid"=celebrity."ctid" );

WITH celebrity_name_dupes AS (
      SELECT celebrity_name_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_name" 
          GROUP BY "MD5" )
      AS celebrity_name_counts
      WHERE celebrity_name_counts."ctid_count" > 1 ),
  celebrity_name_max AS (
      SELECT celebrity_name."MD5", MAX(celebrity_name."ctid") AS "ctid" 
      FROM {0}.celebrity_name 
      WHERE {0}.celebrity_name."MD5" IN (SELECT "MD5" FROM celebrity_name_dupes)
      GROUP BY celebrity_name."MD5" )
  DELETE FROM {0}.celebrity_name
      WHERE EXISTS (
          SELECT 1 FROM celebrity_name_dupes
          WHERE celebrity_name_dupes."MD5"=celebrity_name."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_name_max
          WHERE celebrity_name_max."MD5"=celebrity_name."MD5" 
            AND celebrity_name_max."ctid"=celebrity_name."ctid" );

WITH celebrity_award_dupes AS (
      SELECT celebrity_award_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_award" 
          GROUP BY "MD5" )
      AS celebrity_award_counts
      WHERE celebrity_award_counts."ctid_count" > 1 ),
  celebrity_award_max AS (
      SELECT celebrity_award."MD5", MAX(celebrity_award."ctid") AS "ctid" 
      FROM {0}.celebrity_award 
      WHERE {0}.celebrity_award."MD5" IN (SELECT "MD5" FROM celebrity_award_dupes)
      GROUP BY celebrity_award."MD5" )
  DELETE FROM {0}.celebrity_award
      WHERE EXISTS (
          SELECT 1 FROM celebrity_award_dupes
          WHERE celebrity_award_dupes."MD5"=celebrity_award."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_award_max
          WHERE celebrity_award_max."MD5"=celebrity_award."MD5" 
            AND celebrity_award_max."ctid"=celebrity_award."ctid" );

WITH celebrity_asset_dupes AS (
      SELECT celebrity_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_asset" 
          GROUP BY "MD5" )
      AS celebrity_asset_counts
      WHERE celebrity_asset_counts."ctid_count" > 1 ),
  celebrity_asset_max AS (
      SELECT celebrity_asset."MD5", MAX(celebrity_asset."ctid") AS "ctid" 
      FROM {0}.celebrity_asset 
      WHERE {0}.celebrity_asset."MD5" IN (SELECT "MD5" FROM celebrity_asset_dupes)
      GROUP BY celebrity_asset."MD5" )
  DELETE FROM {0}.celebrity_asset
      WHERE EXISTS (
          SELECT 1 FROM celebrity_asset_dupes
          WHERE celebrity_asset_dupes."MD5"=celebrity_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_asset_max
          WHERE celebrity_asset_max."MD5"=celebrity_asset."MD5" 
            AND celebrity_asset_max."ctid"=celebrity_asset."ctid" );

WITH celebrity_mediography_dupes AS (
      SELECT celebrity_mediography_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_mediography" 
          GROUP BY "MD5" )
      AS celebrity_mediography_counts
      WHERE celebrity_mediography_counts."ctid_count" > 1 ),
  celebrity_mediography_max AS (
      SELECT celebrity_mediography."MD5", MAX(celebrity_mediography."ctid") AS "ctid" 
      FROM {0}.celebrity_mediography 
      WHERE {0}.celebrity_mediography."MD5" IN (SELECT "MD5" FROM celebrity_mediography_dupes)
      GROUP BY celebrity_mediography."MD5" )
  DELETE FROM {0}.celebrity_mediography
      WHERE EXISTS (
          SELECT 1 FROM celebrity_mediography_dupes
          WHERE celebrity_mediography_dupes."MD5"=celebrity_mediography."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_mediography_max
          WHERE celebrity_mediography_max."MD5"=celebrity_mediography."MD5" 
            AND celebrity_mediography_max."ctid"=celebrity_mediography."ctid" );

WITH celebrity_mediography_credit_dupes AS (
      SELECT celebrity_mediography_credit_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_mediography_credit" 
          GROUP BY "MD5" )
      AS celebrity_mediography_credit_counts
      WHERE celebrity_mediography_credit_counts."ctid_count" > 1 ),
  celebrity_mediography_credit_max AS (
      SELECT celebrity_mediography_credit."MD5", MAX(celebrity_mediography_credit."ctid") AS "ctid" 
      FROM {0}.celebrity_mediography_credit 
      WHERE {0}.celebrity_mediography_credit."MD5" IN (SELECT "MD5" FROM celebrity_mediography_credit_dupes)
      GROUP BY celebrity_mediography_credit."MD5" )
  DELETE FROM {0}.celebrity_mediography_credit
      WHERE EXISTS (
          SELECT 1 FROM celebrity_mediography_credit_dupes
          WHERE celebrity_mediography_credit_dupes."MD5"=celebrity_mediography_credit."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_mediography_credit_max
          WHERE celebrity_mediography_credit_max."MD5"=celebrity_mediography_credit."MD5" 
            AND celebrity_mediography_credit_max."ctid"=celebrity_mediography_credit."ctid" );

WITH celebrity_participanttype_dupes AS (
      SELECT celebrity_participanttype_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_participanttype" 
          GROUP BY "MD5" )
      AS celebrity_participanttype_counts
      WHERE celebrity_participanttype_counts."ctid_count" > 1 ),
  celebrity_participanttype_max AS (
      SELECT celebrity_participanttype."MD5", MAX(celebrity_participanttype."ctid") AS "ctid" 
      FROM {0}.celebrity_participanttype 
      WHERE {0}.celebrity_participanttype."MD5" IN (SELECT "MD5" FROM celebrity_participanttype_dupes)
      GROUP BY celebrity_participanttype."MD5" )
  DELETE FROM {0}.celebrity_participanttype
      WHERE EXISTS (
          SELECT 1 FROM celebrity_participanttype_dupes
          WHERE celebrity_participanttype_dupes."MD5"=celebrity_participanttype."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_participanttype_max
          WHERE celebrity_participanttype_max."MD5"=celebrity_participanttype."MD5" 
            AND celebrity_participanttype_max."ctid"=celebrity_participanttype."ctid" );

WITH celebrity_biography_dupes AS (
      SELECT celebrity_biography_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_biography" 
          GROUP BY "MD5" )
      AS celebrity_biography_counts
      WHERE celebrity_biography_counts."ctid_count" > 1 ),
  celebrity_biography_max AS (
      SELECT celebrity_biography."MD5", MAX(celebrity_biography."ctid") AS "ctid" 
      FROM {0}.celebrity_biography 
      WHERE {0}.celebrity_biography."MD5" IN (SELECT "MD5" FROM celebrity_biography_dupes)
      GROUP BY celebrity_biography."MD5" )
  DELETE FROM {0}.celebrity_biography
      WHERE EXISTS (
          SELECT 1 FROM celebrity_biography_dupes
          WHERE celebrity_biography_dupes."MD5"=celebrity_biography."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_biography_max
          WHERE celebrity_biography_max."MD5"=celebrity_biography."MD5" 
            AND celebrity_biography_max."ctid"=celebrity_biography."ctid" );

WITH celebrity_relationship_dupes AS (
      SELECT celebrity_relationship_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_relationship" 
          GROUP BY "MD5" )
      AS celebrity_relationship_counts
      WHERE celebrity_relationship_counts."ctid_count" > 1 ),
  celebrity_relationship_max AS (
      SELECT celebrity_relationship."MD5", MAX(celebrity_relationship."ctid") AS "ctid" 
      FROM {0}.celebrity_relationship 
      WHERE {0}.celebrity_relationship."MD5" IN (SELECT "MD5" FROM celebrity_relationship_dupes)
      GROUP BY celebrity_relationship."MD5" )
  DELETE FROM {0}.celebrity_relationship
      WHERE EXISTS (
          SELECT 1 FROM celebrity_relationship_dupes
          WHERE celebrity_relationship_dupes."MD5"=celebrity_relationship."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_relationship_max
          WHERE celebrity_relationship_max."MD5"=celebrity_relationship."MD5" 
            AND celebrity_relationship_max."ctid"=celebrity_relationship."ctid" );

WITH celebrity_relationshipevent_dupes AS (
      SELECT celebrity_relationshipevent_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_relationshipevent" 
          GROUP BY "MD5" )
      AS celebrity_relationshipevent_counts
      WHERE celebrity_relationshipevent_counts."ctid_count" > 1 ),
  celebrity_relationshipevent_max AS (
      SELECT celebrity_relationshipevent."MD5", MAX(celebrity_relationshipevent."ctid") AS "ctid" 
      FROM {0}.celebrity_relationshipevent 
      WHERE {0}.celebrity_relationshipevent."MD5" IN (SELECT "MD5" FROM celebrity_relationshipevent_dupes)
      GROUP BY celebrity_relationshipevent."MD5" )
  DELETE FROM {0}.celebrity_relationshipevent
      WHERE EXISTS (
          SELECT 1 FROM celebrity_relationshipevent_dupes
          WHERE celebrity_relationshipevent_dupes."MD5"=celebrity_relationshipevent."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_relationshipevent_max
          WHERE celebrity_relationshipevent_max."MD5"=celebrity_relationshipevent."MD5" 
            AND celebrity_relationshipevent_max."ctid"=celebrity_relationshipevent."ctid" );

WITH celebrity_education_dupes AS (
      SELECT celebrity_education_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_education" 
          GROUP BY "MD5" )
      AS celebrity_education_counts
      WHERE celebrity_education_counts."ctid_count" > 1 ),
  celebrity_education_max AS (
      SELECT celebrity_education."MD5", MAX(celebrity_education."ctid") AS "ctid" 
      FROM {0}.celebrity_education 
      WHERE {0}.celebrity_education."MD5" IN (SELECT "MD5" FROM celebrity_education_dupes)
      GROUP BY celebrity_education."MD5" )
  DELETE FROM {0}.celebrity_education
      WHERE EXISTS (
          SELECT 1 FROM celebrity_education_dupes
          WHERE celebrity_education_dupes."MD5"=celebrity_education."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_education_max
          WHERE celebrity_education_max."MD5"=celebrity_education."MD5" 
            AND celebrity_education_max."ctid"=celebrity_education."ctid" );

WITH celebrity_milestone_dupes AS (
      SELECT celebrity_milestone_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_milestone" 
          GROUP BY "MD5" )
      AS celebrity_milestone_counts
      WHERE celebrity_milestone_counts."ctid_count" > 1 ),
  celebrity_milestone_max AS (
      SELECT celebrity_milestone."MD5", MAX(celebrity_milestone."ctid") AS "ctid" 
      FROM {0}.celebrity_milestone 
      WHERE {0}.celebrity_milestone."MD5" IN (SELECT "MD5" FROM celebrity_milestone_dupes)
      GROUP BY celebrity_milestone."MD5" )
  DELETE FROM {0}.celebrity_milestone
      WHERE EXISTS (
          SELECT 1 FROM celebrity_milestone_dupes
          WHERE celebrity_milestone_dupes."MD5"=celebrity_milestone."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_milestone_max
          WHERE celebrity_milestone_max."MD5"=celebrity_milestone."MD5" 
            AND celebrity_milestone_max."ctid"=celebrity_milestone."ctid" );

WITH celebrity_note_dupes AS (
      SELECT celebrity_note_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_note" 
          GROUP BY "MD5" )
      AS celebrity_note_counts
      WHERE celebrity_note_counts."ctid_count" > 1 ),
  celebrity_note_max AS (
      SELECT celebrity_note."MD5", MAX(celebrity_note."ctid") AS "ctid" 
      FROM {0}.celebrity_note 
      WHERE {0}.celebrity_note."MD5" IN (SELECT "MD5" FROM celebrity_note_dupes)
      GROUP BY celebrity_note."MD5" )
  DELETE FROM {0}.celebrity_note
      WHERE EXISTS (
          SELECT 1 FROM celebrity_note_dupes
          WHERE celebrity_note_dupes."MD5"=celebrity_note."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_note_max
          WHERE celebrity_note_max."MD5"=celebrity_note."MD5" 
            AND celebrity_note_max."ctid"=celebrity_note."ctid" );

WITH celebrity_quote_dupes AS (
      SELECT celebrity_quote_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_quote" 
          GROUP BY "MD5" )
      AS celebrity_quote_counts
      WHERE celebrity_quote_counts."ctid_count" > 1 ),
  celebrity_quote_max AS (
      SELECT celebrity_quote."MD5", MAX(celebrity_quote."ctid") AS "ctid" 
      FROM {0}.celebrity_quote 
      WHERE {0}.celebrity_quote."MD5" IN (SELECT "MD5" FROM celebrity_quote_dupes)
      GROUP BY celebrity_quote."MD5" )
  DELETE FROM {0}.celebrity_quote
      WHERE EXISTS (
          SELECT 1 FROM celebrity_quote_dupes
          WHERE celebrity_quote_dupes."MD5"=celebrity_quote."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_quote_max
          WHERE celebrity_quote_max."MD5"=celebrity_quote."MD5" 
            AND celebrity_quote_max."ctid"=celebrity_quote."ctid" );

WITH celebrity_highlight_dupes AS (
      SELECT celebrity_highlight_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_highlight" 
          GROUP BY "MD5" )
      AS celebrity_highlight_counts
      WHERE celebrity_highlight_counts."ctid_count" > 1 ),
  celebrity_highlight_max AS (
      SELECT celebrity_highlight."MD5", MAX(celebrity_highlight."ctid") AS "ctid" 
      FROM {0}.celebrity_highlight 
      WHERE {0}.celebrity_highlight."MD5" IN (SELECT "MD5" FROM celebrity_highlight_dupes)
      GROUP BY celebrity_highlight."MD5" )
  DELETE FROM {0}.celebrity_highlight
      WHERE EXISTS (
          SELECT 1 FROM celebrity_highlight_dupes
          WHERE celebrity_highlight_dupes."MD5"=celebrity_highlight."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_highlight_max
          WHERE celebrity_highlight_max."MD5"=celebrity_highlight."MD5" 
            AND celebrity_highlight_max."ctid"=celebrity_highlight."ctid" );

WITH celebrity_socialmedia_dupes AS (
      SELECT celebrity_socialmedia_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_socialmedia" 
          GROUP BY "MD5" )
      AS celebrity_socialmedia_counts
      WHERE celebrity_socialmedia_counts."ctid_count" > 1 ),
  celebrity_socialmedia_max AS (
      SELECT celebrity_socialmedia."MD5", MAX(celebrity_socialmedia."ctid") AS "ctid" 
      FROM {0}.celebrity_socialmedia 
      WHERE {0}.celebrity_socialmedia."MD5" IN (SELECT "MD5" FROM celebrity_socialmedia_dupes)
      GROUP BY celebrity_socialmedia."MD5" )
  DELETE FROM {0}.celebrity_socialmedia
      WHERE EXISTS (
          SELECT 1 FROM celebrity_socialmedia_dupes
          WHERE celebrity_socialmedia_dupes."MD5"=celebrity_socialmedia."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_socialmedia_max
          WHERE celebrity_socialmedia_max."MD5"=celebrity_socialmedia."MD5" 
            AND celebrity_socialmedia_max."ctid"=celebrity_socialmedia."ctid" );

WITH celebrity_enhancedaward_dupes AS (
      SELECT celebrity_enhancedaward_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."celebrity_enhancedaward" 
          GROUP BY "MD5" )
      AS celebrity_enhancedaward_counts
      WHERE celebrity_enhancedaward_counts."ctid_count" > 1 ),
  celebrity_enhancedaward_max AS (
      SELECT celebrity_enhancedaward."MD5", MAX(celebrity_enhancedaward."ctid") AS "ctid" 
      FROM {0}.celebrity_enhancedaward 
      WHERE {0}.celebrity_enhancedaward."MD5" IN (SELECT "MD5" FROM celebrity_enhancedaward_dupes)
      GROUP BY celebrity_enhancedaward."MD5" )
  DELETE FROM {0}.celebrity_enhancedaward
      WHERE EXISTS (
          SELECT 1 FROM celebrity_enhancedaward_dupes
          WHERE celebrity_enhancedaward_dupes."MD5"=celebrity_enhancedaward."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_enhancedaward_max
          WHERE celebrity_enhancedaward_max."MD5"=celebrity_enhancedaward."MD5" 
            AND celebrity_enhancedaward_max."ctid"=celebrity_enhancedaward."ctid" );
