-- {0}: stage schema


WITH descriptor_dupes AS (
      SELECT descriptor_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."descriptor" 
          GROUP BY "MD5" )
      AS descriptor_counts
      WHERE descriptor_counts."ctid_count" > 1 ),
  descriptor_max AS (
      SELECT descriptor."MD5", MAX(descriptor."ctid") AS "ctid" 
      FROM {0}.descriptor 
      WHERE {0}.descriptor."MD5" IN (SELECT "MD5" FROM descriptor_dupes)
      GROUP BY descriptor."MD5" )
  DELETE FROM {0}.descriptor
      WHERE EXISTS (
          SELECT 1 FROM descriptor_dupes
          WHERE descriptor_dupes."MD5"=descriptor."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM descriptor_max
          WHERE descriptor_max."MD5"=descriptor."MD5" 
            AND descriptor_max."ctid"=descriptor."ctid" );
