-- {0}: stage schema


WITH descriptortaxonomy_dupes AS (
      SELECT descriptortaxonomy_counts."taxonomyId" FROM (
          SELECT "taxonomyId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."descriptortaxonomy" 
          GROUP BY "taxonomyId" )
      AS descriptortaxonomy_counts
      WHERE descriptortaxonomy_counts."updateId_count" > 1 ),
  descriptortaxonomy_max AS (
      SELECT descriptortaxonomy."taxonomyId", MAX(descriptortaxonomy."updateId") AS "updateId" 
      FROM {0}.descriptortaxonomy 
      WHERE {0}.descriptortaxonomy."taxonomyId" IN (SELECT "taxonomyId" FROM descriptortaxonomy_dupes)
      GROUP BY descriptortaxonomy."taxonomyId" )
  DELETE FROM {0}.descriptortaxonomy
      WHERE EXISTS (
          SELECT 1 FROM descriptortaxonomy_dupes
          WHERE descriptortaxonomy_dupes."taxonomyId"=descriptortaxonomy."taxonomyId" )
      AND NOT EXISTS (
          SELECT 1 FROM descriptortaxonomy_max
          WHERE descriptortaxonomy_max."taxonomyId"=descriptortaxonomy."taxonomyId" 
            AND descriptortaxonomy_max."updateId"=descriptortaxonomy."updateId" );

DELETE FROM {0}.descriptortaxonomy_descriptor WHERE NOT EXISTS (
    SELECT 1 FROM {0}.descriptortaxonomy 
        WHERE descriptortaxonomy_descriptor."taxonomyId"=descriptortaxonomy."taxonomyId"
            AND descriptortaxonomy_descriptor."updateId"=descriptortaxonomy."updateId" );
