-- {0}: stage schema


WITH lineup_dupes AS (
      SELECT lineup_counts."lineupId" FROM (
          SELECT "lineupId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."lineup" 
          GROUP BY "lineupId" )
      AS lineup_counts
      WHERE lineup_counts."updateId_count" > 1 ),
  lineup_max AS (
      SELECT lineup."lineupId", MAX(lineup."updateId") AS "updateId" 
      FROM {0}.lineup 
      WHERE {0}.lineup."lineupId" IN (SELECT "lineupId" FROM lineup_dupes)
      GROUP BY lineup."lineupId" )
  DELETE FROM {0}.lineup
      WHERE EXISTS (
          SELECT 1 FROM lineup_dupes
          WHERE lineup_dupes."lineupId"=lineup."lineupId" )
      AND NOT EXISTS (
          SELECT 1 FROM lineup_max
          WHERE lineup_max."lineupId"=lineup."lineupId" 
            AND lineup_max."updateId"=lineup."updateId" );

DELETE FROM {0}.lineup_channel WHERE NOT EXISTS (
    SELECT 1 FROM {0}.lineup 
        WHERE lineup_channel."lineupId"=lineup."lineupId"
            AND lineup_channel."updateId"=lineup."updateId" );

DELETE FROM {0}.lineup_channel_transport WHERE NOT EXISTS (
    SELECT 1 FROM {0}.lineup 
        WHERE lineup_channel_transport."lineupId"=lineup."lineupId"
            AND lineup_channel_transport."updateId"=lineup."updateId" );

DELETE FROM {0}.lineup_channel_transport_id WHERE NOT EXISTS (
    SELECT 1 FROM {0}.lineup 
        WHERE lineup_channel_transport_id."lineupId"=lineup."lineupId"
            AND lineup_channel_transport_id."updateId"=lineup."updateId" );

DELETE FROM {0}.lineup_postalcode WHERE NOT EXISTS (
    SELECT 1 FROM {0}.lineup 
        WHERE lineup_postalcode."lineupId"=lineup."lineupId"
            AND lineup_postalcode."updateId"=lineup."updateId" );

DELETE FROM {0}.lineup_market WHERE NOT EXISTS (
    SELECT 1 FROM {0}.lineup 
        WHERE lineup_market."lineupId"=lineup."lineupId"
            AND lineup_market."updateId"=lineup."updateId" );
