-- {0}: stage schema


WITH lineup_dupes AS (
      SELECT lineup_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."lineup" 
          GROUP BY "MD5" )
      AS lineup_counts
      WHERE lineup_counts."ctid_count" > 1 ),
  lineup_max AS (
      SELECT lineup."MD5", MAX(lineup."ctid") AS "ctid" 
      FROM {0}.lineup 
      WHERE {0}.lineup."MD5" IN (SELECT "MD5" FROM lineup_dupes)
      GROUP BY lineup."MD5" )
  DELETE FROM {0}.lineup
      WHERE EXISTS (
          SELECT 1 FROM lineup_dupes
          WHERE lineup_dupes."MD5"=lineup."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM lineup_max
          WHERE lineup_max."MD5"=lineup."MD5" 
            AND lineup_max."ctid"=lineup."ctid" );

WITH lineup_channel_dupes AS (
      SELECT lineup_channel_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."lineup_channel" 
          GROUP BY "MD5" )
      AS lineup_channel_counts
      WHERE lineup_channel_counts."ctid_count" > 1 ),
  lineup_channel_max AS (
      SELECT lineup_channel."MD5", MAX(lineup_channel."ctid") AS "ctid" 
      FROM {0}.lineup_channel 
      WHERE {0}.lineup_channel."MD5" IN (SELECT "MD5" FROM lineup_channel_dupes)
      GROUP BY lineup_channel."MD5" )
  DELETE FROM {0}.lineup_channel
      WHERE EXISTS (
          SELECT 1 FROM lineup_channel_dupes
          WHERE lineup_channel_dupes."MD5"=lineup_channel."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM lineup_channel_max
          WHERE lineup_channel_max."MD5"=lineup_channel."MD5" 
            AND lineup_channel_max."ctid"=lineup_channel."ctid" );

WITH lineup_channel_transport_dupes AS (
      SELECT lineup_channel_transport_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."lineup_channel_transport" 
          GROUP BY "MD5" )
      AS lineup_channel_transport_counts
      WHERE lineup_channel_transport_counts."ctid_count" > 1 ),
  lineup_channel_transport_max AS (
      SELECT lineup_channel_transport."MD5", MAX(lineup_channel_transport."ctid") AS "ctid" 
      FROM {0}.lineup_channel_transport 
      WHERE {0}.lineup_channel_transport."MD5" IN (SELECT "MD5" FROM lineup_channel_transport_dupes)
      GROUP BY lineup_channel_transport."MD5" )
  DELETE FROM {0}.lineup_channel_transport
      WHERE EXISTS (
          SELECT 1 FROM lineup_channel_transport_dupes
          WHERE lineup_channel_transport_dupes."MD5"=lineup_channel_transport."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM lineup_channel_transport_max
          WHERE lineup_channel_transport_max."MD5"=lineup_channel_transport."MD5" 
            AND lineup_channel_transport_max."ctid"=lineup_channel_transport."ctid" );

WITH lineup_channel_transport_id_dupes AS (
      SELECT lineup_channel_transport_id_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."lineup_channel_transport_id" 
          GROUP BY "MD5" )
      AS lineup_channel_transport_id_counts
      WHERE lineup_channel_transport_id_counts."ctid_count" > 1 ),
  lineup_channel_transport_id_max AS (
      SELECT lineup_channel_transport_id."MD5", MAX(lineup_channel_transport_id."ctid") AS "ctid" 
      FROM {0}.lineup_channel_transport_id 
      WHERE {0}.lineup_channel_transport_id."MD5" IN (SELECT "MD5" FROM lineup_channel_transport_id_dupes)
      GROUP BY lineup_channel_transport_id."MD5" )
  DELETE FROM {0}.lineup_channel_transport_id
      WHERE EXISTS (
          SELECT 1 FROM lineup_channel_transport_id_dupes
          WHERE lineup_channel_transport_id_dupes."MD5"=lineup_channel_transport_id."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM lineup_channel_transport_id_max
          WHERE lineup_channel_transport_id_max."MD5"=lineup_channel_transport_id."MD5" 
            AND lineup_channel_transport_id_max."ctid"=lineup_channel_transport_id."ctid" );

WITH lineup_postalcode_dupes AS (
      SELECT lineup_postalcode_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."lineup_postalcode" 
          GROUP BY "MD5" )
      AS lineup_postalcode_counts
      WHERE lineup_postalcode_counts."ctid_count" > 1 ),
  lineup_postalcode_max AS (
      SELECT lineup_postalcode."MD5", MAX(lineup_postalcode."ctid") AS "ctid" 
      FROM {0}.lineup_postalcode 
      WHERE {0}.lineup_postalcode."MD5" IN (SELECT "MD5" FROM lineup_postalcode_dupes)
      GROUP BY lineup_postalcode."MD5" )
  DELETE FROM {0}.lineup_postalcode
      WHERE EXISTS (
          SELECT 1 FROM lineup_postalcode_dupes
          WHERE lineup_postalcode_dupes."MD5"=lineup_postalcode."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM lineup_postalcode_max
          WHERE lineup_postalcode_max."MD5"=lineup_postalcode."MD5" 
            AND lineup_postalcode_max."ctid"=lineup_postalcode."ctid" );

WITH lineup_market_dupes AS (
      SELECT lineup_market_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."lineup_market" 
          GROUP BY "MD5" )
      AS lineup_market_counts
      WHERE lineup_market_counts."ctid_count" > 1 ),
  lineup_market_max AS (
      SELECT lineup_market."MD5", MAX(lineup_market."ctid") AS "ctid" 
      FROM {0}.lineup_market 
      WHERE {0}.lineup_market."MD5" IN (SELECT "MD5" FROM lineup_market_dupes)
      GROUP BY lineup_market."MD5" )
  DELETE FROM {0}.lineup_market
      WHERE EXISTS (
          SELECT 1 FROM lineup_market_dupes
          WHERE lineup_market_dupes."MD5"=lineup_market."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM lineup_market_max
          WHERE lineup_market_max."MD5"=lineup_market."MD5" 
            AND lineup_market_max."ctid"=lineup_market."ctid" );
