-- {0}: stage schema


WITH mapping_dupes AS (
      SELECT mapping_counts."mappingId" FROM (
          SELECT "mappingId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."mapping" 
          GROUP BY "mappingId" )
      AS mapping_counts
      WHERE mapping_counts."updateId_count" > 1 ),
  mapping_max AS (
      SELECT mapping."mappingId", MAX(mapping."updateId") AS "updateId" 
      FROM {0}.mapping 
      WHERE {0}.mapping."mappingId" IN (SELECT "mappingId" FROM mapping_dupes)
      GROUP BY mapping."mappingId" )
  DELETE FROM {0}.mapping
      WHERE EXISTS (
          SELECT 1 FROM mapping_dupes
          WHERE mapping_dupes."mappingId"=mapping."mappingId" )
      AND NOT EXISTS (
          SELECT 1 FROM mapping_max
          WHERE mapping_max."mappingId"=mapping."mappingId" 
            AND mapping_max."updateId"=mapping."updateId" );

DELETE FROM {0}.mapping_id WHERE NOT EXISTS (
    SELECT 1 FROM {0}.mapping 
        WHERE mapping_id."mappingId"=mapping."mappingId"
            AND mapping_id."updateId"=mapping."updateId" );

DELETE FROM {0}.mapping_link WHERE NOT EXISTS (
    SELECT 1 FROM {0}.mapping 
        WHERE mapping_link."mappingId"=mapping."mappingId"
            AND mapping_link."updateId"=mapping."updateId" );
