-- {0}: stage schema


WITH popularity_dupes AS (
      SELECT popularity_counts."popularityId" FROM (
          SELECT "popularityId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."popularity" 
          GROUP BY "popularityId" )
      AS popularity_counts
      WHERE popularity_counts."updateId_count" > 1 ),
  popularity_max AS (
      SELECT popularity."popularityId", MAX(popularity."updateId") AS "updateId" 
      FROM {0}.popularity 
      WHERE {0}.popularity."popularityId" IN (SELECT "popularityId" FROM popularity_dupes)
      GROUP BY popularity."popularityId" )
  DELETE FROM {0}.popularity
      WHERE EXISTS (
          SELECT 1 FROM popularity_dupes
          WHERE popularity_dupes."popularityId"=popularity."popularityId" )
      AND NOT EXISTS (
          SELECT 1 FROM popularity_max
          WHERE popularity_max."popularityId"=popularity."popularityId" 
            AND popularity_max."updateId"=popularity."updateId" );
