-- {0}: stage schema


WITH program_dupes AS (
      SELECT program_counts."TMSId" FROM (
          SELECT "TMSId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."program" 
          GROUP BY "TMSId" )
      AS program_counts
      WHERE program_counts."updateId_count" > 1 ),
  program_max AS (
      SELECT program."TMSId", MAX(program."updateId") AS "updateId" 
      FROM {0}.program 
      WHERE {0}.program."TMSId" IN (SELECT "TMSId" FROM program_dupes)
      GROUP BY program."TMSId" )
  DELETE FROM {0}.program
      WHERE EXISTS (
          SELECT 1 FROM program_dupes
          WHERE program_dupes."TMSId"=program."TMSId" )
      AND NOT EXISTS (
          SELECT 1 FROM program_max
          WHERE program_max."TMSId"=program."TMSId" 
            AND program_max."updateId"=program."updateId" );

DELETE FROM {0}.program_season WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_season."TMSId"=program."TMSId"
            AND program_season."updateId"=program."updateId" );

DELETE FROM {0}.program_title WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_title."TMSId"=program."TMSId"
            AND program_title."updateId"=program."updateId" );

DELETE FROM {0}.program_description WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_description."TMSId"=program."TMSId"
            AND program_description."updateId"=program."updateId" );

DELETE FROM {0}.program_cast WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_cast."TMSId"=program."TMSId"
            AND program_cast."updateId"=program."updateId" );

DELETE FROM {0}.program_crew WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_crew."TMSId"=program."TMSId"
            AND program_crew."updateId"=program."updateId" );

DELETE FROM {0}.program_country WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_country."TMSId"=program."TMSId"
            AND program_country."updateId"=program."updateId" );

DELETE FROM {0}.program_award WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_award."TMSId"=program."TMSId"
            AND program_award."updateId"=program."updateId" );

DELETE FROM {0}.program_genre WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_genre."TMSId"=program."TMSId"
            AND program_genre."updateId"=program."updateId" );

DELETE FROM {0}.program_rating WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_rating."TMSId"=program."TMSId"
            AND program_rating."updateId"=program."updateId" );

DELETE FROM {0}.program_qualityrating WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_qualityrating."TMSId"=program."TMSId"
            AND program_qualityrating."updateId"=program."updateId" );

DELETE FROM {0}.program_ratingadvisory WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_ratingadvisory."TMSId"=program."TMSId"
            AND program_ratingadvisory."updateId"=program."updateId" );

DELETE FROM {0}.program_mvinfo WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_mvinfo."TMSId"=program."TMSId"
            AND program_mvinfo."updateId"=program."updateId" );

DELETE FROM {0}.program_mvtrailer WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_mvtrailer."TMSId"=program."TMSId"
            AND program_mvtrailer."updateId"=program."updateId" );

DELETE FROM {0}.program_epinfo WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_epinfo."TMSId"=program."TMSId"
            AND program_epinfo."updateId"=program."updateId" );

DELETE FROM {0}.program_epinfo_alt WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_epinfo_alt."TMSId"=program."TMSId"
            AND program_epinfo_alt."updateId"=program."updateId" );

DELETE FROM {0}.program_spinfo WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_spinfo."TMSId"=program."TMSId"
            AND program_spinfo."updateId"=program."updateId" );

DELETE FROM {0}.program_spteam WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_spteam."TMSId"=program."TMSId"
            AND program_spteam."updateId"=program."updateId" );

DELETE FROM {0}.program_spevent WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_spevent."TMSId"=program."TMSId"
            AND program_spevent."updateId"=program."updateId" );

DELETE FROM {0}.program_spdata WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_spdata."TMSId"=program."TMSId"
            AND program_spdata."updateId"=program."updateId" );

DELETE FROM {0}.program_spdata_event WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_spdata_event."TMSId"=program."TMSId"
            AND program_spdata_event."updateId"=program."updateId" );

DELETE FROM {0}.program_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_asset."TMSId"=program."TMSId"
            AND program_asset."updateId"=program."updateId" );

DELETE FROM {0}.program_asset_id WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_asset_id."TMSId"=program."TMSId"
            AND program_asset_id."updateId"=program."updateId" );

DELETE FROM {0}.program_release WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_release."TMSId"=program."TMSId"
            AND program_release."updateId"=program."updateId" );

DELETE FROM {0}.program_release_attribute WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_release_attribute."TMSId"=program."TMSId"
            AND program_release_attribute."updateId"=program."updateId" );

DELETE FROM {0}.program_release_distributor WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_release_distributor."TMSId"=program."TMSId"
            AND program_release_distributor."updateId"=program."updateId" );

DELETE FROM {0}.program_relationship WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_relationship."TMSId"=program."TMSId"
            AND program_relationship."updateId"=program."updateId" );

DELETE FROM {0}.program_externallink WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_externallink."TMSId"=program."TMSId"
            AND program_externallink."updateId"=program."updateId" );

DELETE FROM {0}.program_descriptor WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_descriptor."TMSId"=program."TMSId"
            AND program_descriptor."updateId"=program."updateId" );

DELETE FROM {0}.program_origaudiolang WHERE NOT EXISTS (
    SELECT 1 FROM {0}.program 
        WHERE program_origaudiolang."TMSId"=program."TMSId"
            AND program_origaudiolang."updateId"=program."updateId" );
