-- {0}: stage schema


WITH season_dupes AS (
      SELECT season_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."season" 
          GROUP BY "MD5" )
      AS season_counts
      WHERE season_counts."ctid_count" > 1 ),
  season_max AS (
      SELECT season."MD5", MAX(season."ctid") AS "ctid" 
      FROM {0}.season 
      WHERE {0}.season."MD5" IN (SELECT "MD5" FROM season_dupes)
      GROUP BY season."MD5" )
  DELETE FROM {0}.season
      WHERE EXISTS (
          SELECT 1 FROM season_dupes
          WHERE season_dupes."MD5"=season."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM season_max
          WHERE season_max."MD5"=season."MD5" 
            AND season_max."ctid"=season."ctid" );

WITH season_title_dupes AS (
      SELECT season_title_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."season_title" 
          GROUP BY "MD5" )
      AS season_title_counts
      WHERE season_title_counts."ctid_count" > 1 ),
  season_title_max AS (
      SELECT season_title."MD5", MAX(season_title."ctid") AS "ctid" 
      FROM {0}.season_title 
      WHERE {0}.season_title."MD5" IN (SELECT "MD5" FROM season_title_dupes)
      GROUP BY season_title."MD5" )
  DELETE FROM {0}.season_title
      WHERE EXISTS (
          SELECT 1 FROM season_title_dupes
          WHERE season_title_dupes."MD5"=season_title."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM season_title_max
          WHERE season_title_max."MD5"=season_title."MD5" 
            AND season_title_max."ctid"=season_title."ctid" );

WITH season_description_dupes AS (
      SELECT season_description_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."season_description" 
          GROUP BY "MD5" )
      AS season_description_counts
      WHERE season_description_counts."ctid_count" > 1 ),
  season_description_max AS (
      SELECT season_description."MD5", MAX(season_description."ctid") AS "ctid" 
      FROM {0}.season_description 
      WHERE {0}.season_description."MD5" IN (SELECT "MD5" FROM season_description_dupes)
      GROUP BY season_description."MD5" )
  DELETE FROM {0}.season_description
      WHERE EXISTS (
          SELECT 1 FROM season_description_dupes
          WHERE season_description_dupes."MD5"=season_description."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM season_description_max
          WHERE season_description_max."MD5"=season_description."MD5" 
            AND season_description_max."ctid"=season_description."ctid" );

WITH season_cast_dupes AS (
      SELECT season_cast_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."season_cast" 
          GROUP BY "MD5" )
      AS season_cast_counts
      WHERE season_cast_counts."ctid_count" > 1 ),
  season_cast_max AS (
      SELECT season_cast."MD5", MAX(season_cast."ctid") AS "ctid" 
      FROM {0}.season_cast 
      WHERE {0}.season_cast."MD5" IN (SELECT "MD5" FROM season_cast_dupes)
      GROUP BY season_cast."MD5" )
  DELETE FROM {0}.season_cast
      WHERE EXISTS (
          SELECT 1 FROM season_cast_dupes
          WHERE season_cast_dupes."MD5"=season_cast."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM season_cast_max
          WHERE season_cast_max."MD5"=season_cast."MD5" 
            AND season_cast_max."ctid"=season_cast."ctid" );

WITH season_crew_dupes AS (
      SELECT season_crew_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."season_crew" 
          GROUP BY "MD5" )
      AS season_crew_counts
      WHERE season_crew_counts."ctid_count" > 1 ),
  season_crew_max AS (
      SELECT season_crew."MD5", MAX(season_crew."ctid") AS "ctid" 
      FROM {0}.season_crew 
      WHERE {0}.season_crew."MD5" IN (SELECT "MD5" FROM season_crew_dupes)
      GROUP BY season_crew."MD5" )
  DELETE FROM {0}.season_crew
      WHERE EXISTS (
          SELECT 1 FROM season_crew_dupes
          WHERE season_crew_dupes."MD5"=season_crew."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM season_crew_max
          WHERE season_crew_max."MD5"=season_crew."MD5" 
            AND season_crew_max."ctid"=season_crew."ctid" );

WITH season_asset_dupes AS (
      SELECT season_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."season_asset" 
          GROUP BY "MD5" )
      AS season_asset_counts
      WHERE season_asset_counts."ctid_count" > 1 ),
  season_asset_max AS (
      SELECT season_asset."MD5", MAX(season_asset."ctid") AS "ctid" 
      FROM {0}.season_asset 
      WHERE {0}.season_asset."MD5" IN (SELECT "MD5" FROM season_asset_dupes)
      GROUP BY season_asset."MD5" )
  DELETE FROM {0}.season_asset
      WHERE EXISTS (
          SELECT 1 FROM season_asset_dupes
          WHERE season_asset_dupes."MD5"=season_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM season_asset_max
          WHERE season_asset_max."MD5"=season_asset."MD5" 
            AND season_asset_max."ctid"=season_asset."ctid" );

WITH season_asset_id_dupes AS (
      SELECT season_asset_id_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."season_asset_id" 
          GROUP BY "MD5" )
      AS season_asset_id_counts
      WHERE season_asset_id_counts."ctid_count" > 1 ),
  season_asset_id_max AS (
      SELECT season_asset_id."MD5", MAX(season_asset_id."ctid") AS "ctid" 
      FROM {0}.season_asset_id 
      WHERE {0}.season_asset_id."MD5" IN (SELECT "MD5" FROM season_asset_id_dupes)
      GROUP BY season_asset_id."MD5" )
  DELETE FROM {0}.season_asset_id
      WHERE EXISTS (
          SELECT 1 FROM season_asset_id_dupes
          WHERE season_asset_id_dupes."MD5"=season_asset_id."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM season_asset_id_max
          WHERE season_asset_id_max."MD5"=season_asset_id."MD5" 
            AND season_asset_id_max."ctid"=season_asset_id."ctid" );
