-- {0}: stage schema


WITH source_dupes AS (
      SELECT source_counts."prgSvcId" FROM (
          SELECT "prgSvcId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."source" 
          GROUP BY "prgSvcId" )
      AS source_counts
      WHERE source_counts."updateId_count" > 1 ),
  source_max AS (
      SELECT source."prgSvcId", MAX(source."updateId") AS "updateId" 
      FROM {0}.source 
      WHERE {0}.source."prgSvcId" IN (SELECT "prgSvcId" FROM source_dupes)
      GROUP BY source."prgSvcId" )
  DELETE FROM {0}.source
      WHERE EXISTS (
          SELECT 1 FROM source_dupes
          WHERE source_dupes."prgSvcId"=source."prgSvcId" )
      AND NOT EXISTS (
          SELECT 1 FROM source_max
          WHERE source_max."prgSvcId"=source."prgSvcId" 
            AND source_max."updateId"=source."updateId" );

DELETE FROM {0}.source_country WHERE NOT EXISTS (
    SELECT 1 FROM {0}.source 
        WHERE source_country."prgSvcId"=source."prgSvcId"
            AND source_country."updateId"=source."updateId" );

DELETE FROM {0}.source_altname WHERE NOT EXISTS (
    SELECT 1 FROM {0}.source 
        WHERE source_altname."prgSvcId"=source."prgSvcId"
            AND source_altname."updateId"=source."updateId" );

DELETE FROM {0}.source_attribute WHERE NOT EXISTS (
    SELECT 1 FROM {0}.source 
        WHERE source_attribute."prgSvcId"=source."prgSvcId"
            AND source_attribute."updateId"=source."updateId" );

DELETE FROM {0}.source_edlang WHERE NOT EXISTS (
    SELECT 1 FROM {0}.source 
        WHERE source_edlang."prgSvcId"=source."prgSvcId"
            AND source_edlang."updateId"=source."updateId" );

DELETE FROM {0}.source_bcastlang WHERE NOT EXISTS (
    SELECT 1 FROM {0}.source 
        WHERE source_bcastlang."prgSvcId"=source."prgSvcId"
            AND source_bcastlang."updateId"=source."updateId" );

DELETE FROM {0}.source_relationship WHERE NOT EXISTS (
    SELECT 1 FROM {0}.source 
        WHERE source_relationship."prgSvcId"=source."prgSvcId"
            AND source_relationship."updateId"=source."updateId" );

DELETE FROM {0}.source_affiliate WHERE NOT EXISTS (
    SELECT 1 FROM {0}.source 
        WHERE source_affiliate."prgSvcId"=source."prgSvcId"
            AND source_affiliate."updateId"=source."updateId" );

DELETE FROM {0}.source_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.source 
        WHERE source_asset."prgSvcId"=source."prgSvcId"
            AND source_asset."updateId"=source."updateId" );

DELETE FROM {0}.source_marketid WHERE NOT EXISTS (
    SELECT 1 FROM {0}.source 
        WHERE source_marketid."prgSvcId"=source."prgSvcId"
            AND source_marketid."updateId"=source."updateId" );

DELETE FROM {0}.source_genre WHERE NOT EXISTS (
    SELECT 1 FROM {0}.source 
        WHERE source_genre."prgSvcId"=source."prgSvcId"
            AND source_genre."updateId"=source."updateId" );

DELETE FROM {0}.source_group WHERE NOT EXISTS (
    SELECT 1 FROM {0}.source 
        WHERE source_group."prgSvcId"=source."prgSvcId"
            AND source_group."updateId"=source."updateId" );

DELETE FROM {0}.source_transportid WHERE NOT EXISTS (
    SELECT 1 FROM {0}.source 
        WHERE source_transportid."prgSvcId"=source."prgSvcId"
            AND source_transportid."updateId"=source."updateId" );
