-- {0}: stage schema


WITH sourceprogram_dupes AS (
      SELECT sourceprogram_counts."gnidsId" FROM (
          SELECT "gnidsId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."sourceprogram" 
          GROUP BY "gnidsId" )
      AS sourceprogram_counts
      WHERE sourceprogram_counts."updateId_count" > 1 ),
  sourceprogram_max AS (
      SELECT sourceprogram."gnidsId", MAX(sourceprogram."updateId") AS "updateId" 
      FROM {0}.sourceprogram 
      WHERE {0}.sourceprogram."gnidsId" IN (SELECT "gnidsId" FROM sourceprogram_dupes)
      GROUP BY sourceprogram."gnidsId" )
  DELETE FROM {0}.sourceprogram
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_dupes
          WHERE sourceprogram_dupes."gnidsId"=sourceprogram."gnidsId" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_max
          WHERE sourceprogram_max."gnidsId"=sourceprogram."gnidsId" 
            AND sourceprogram_max."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_label WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_label."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_label."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_versionlabel WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_versionlabel."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_versionlabel."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_catalog WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_catalog."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_catalog."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_catalog_language WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_catalog_language."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_catalog_language."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_catalog_market WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_catalog_market."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_catalog_market."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_title WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_title."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_title."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_description WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_description."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_description."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_cast WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_cast."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_cast."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_crew WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_crew."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_crew."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_country WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_country."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_country."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_genre WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_genre."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_genre."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_rating WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_rating."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_rating."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_rating_advisory WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_rating_advisory."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_rating_advisory."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_mvinfo WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_mvinfo."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_mvinfo."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_epinfo WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_epinfo."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_epinfo."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_season WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_season."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_season."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_season_title WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_season_title."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_season_title."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_season_desc WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_season_desc."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_season_desc."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_season_cast WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_season_cast."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_season_cast."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_season_crew WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_season_crew."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_season_crew."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_season_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_season_asset."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_season_asset."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_season_asset_id WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_season_asset_id."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_season_asset_id."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_season_asset_language WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_season_asset_language."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_season_asset_language."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_season_asset_market WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_season_asset_market."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_season_asset_market."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_season_asset_extattr WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_season_asset_extattr."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_season_asset_extattr."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_season_asset_tag WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_season_asset_tag."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_season_asset_tag."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_season_xid WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_season_xid."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_season_xid."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_asset."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_asset."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_asset_id WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_asset_id."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_asset_id."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_asset_language WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_asset_language."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_asset_language."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_asset_market WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_asset_market."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_asset_market."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_asset_extattr WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_asset_extattr."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_asset_extattr."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_asset_tag WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_asset_tag."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_asset_tag."updateId"=sourceprogram."updateId" );

DELETE FROM {0}.sourceprogram_xid WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sourceprogram 
        WHERE sourceprogram_xid."gnidsId"=sourceprogram."gnidsId"
            AND sourceprogram_xid."updateId"=sourceprogram."updateId" );
