-- {0}: stage schema


WITH sourceprogram_dupes AS (
      SELECT sourceprogram_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram" 
          GROUP BY "MD5" )
      AS sourceprogram_counts
      WHERE sourceprogram_counts."ctid_count" > 1 ),
  sourceprogram_max AS (
      SELECT sourceprogram."MD5", MAX(sourceprogram."ctid") AS "ctid" 
      FROM {0}.sourceprogram 
      WHERE {0}.sourceprogram."MD5" IN (SELECT "MD5" FROM sourceprogram_dupes)
      GROUP BY sourceprogram."MD5" )
  DELETE FROM {0}.sourceprogram
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_dupes
          WHERE sourceprogram_dupes."MD5"=sourceprogram."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_max
          WHERE sourceprogram_max."MD5"=sourceprogram."MD5" 
            AND sourceprogram_max."ctid"=sourceprogram."ctid" );

WITH sourceprogram_label_dupes AS (
      SELECT sourceprogram_label_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_label" 
          GROUP BY "MD5" )
      AS sourceprogram_label_counts
      WHERE sourceprogram_label_counts."ctid_count" > 1 ),
  sourceprogram_label_max AS (
      SELECT sourceprogram_label."MD5", MAX(sourceprogram_label."ctid") AS "ctid" 
      FROM {0}.sourceprogram_label 
      WHERE {0}.sourceprogram_label."MD5" IN (SELECT "MD5" FROM sourceprogram_label_dupes)
      GROUP BY sourceprogram_label."MD5" )
  DELETE FROM {0}.sourceprogram_label
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_label_dupes
          WHERE sourceprogram_label_dupes."MD5"=sourceprogram_label."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_label_max
          WHERE sourceprogram_label_max."MD5"=sourceprogram_label."MD5" 
            AND sourceprogram_label_max."ctid"=sourceprogram_label."ctid" );

WITH sourceprogram_versionlabel_dupes AS (
      SELECT sourceprogram_versionlabel_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_versionlabel" 
          GROUP BY "MD5" )
      AS sourceprogram_versionlabel_counts
      WHERE sourceprogram_versionlabel_counts."ctid_count" > 1 ),
  sourceprogram_versionlabel_max AS (
      SELECT sourceprogram_versionlabel."MD5", MAX(sourceprogram_versionlabel."ctid") AS "ctid" 
      FROM {0}.sourceprogram_versionlabel 
      WHERE {0}.sourceprogram_versionlabel."MD5" IN (SELECT "MD5" FROM sourceprogram_versionlabel_dupes)
      GROUP BY sourceprogram_versionlabel."MD5" )
  DELETE FROM {0}.sourceprogram_versionlabel
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_versionlabel_dupes
          WHERE sourceprogram_versionlabel_dupes."MD5"=sourceprogram_versionlabel."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_versionlabel_max
          WHERE sourceprogram_versionlabel_max."MD5"=sourceprogram_versionlabel."MD5" 
            AND sourceprogram_versionlabel_max."ctid"=sourceprogram_versionlabel."ctid" );

WITH sourceprogram_catalog_dupes AS (
      SELECT sourceprogram_catalog_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_catalog" 
          GROUP BY "MD5" )
      AS sourceprogram_catalog_counts
      WHERE sourceprogram_catalog_counts."ctid_count" > 1 ),
  sourceprogram_catalog_max AS (
      SELECT sourceprogram_catalog."MD5", MAX(sourceprogram_catalog."ctid") AS "ctid" 
      FROM {0}.sourceprogram_catalog 
      WHERE {0}.sourceprogram_catalog."MD5" IN (SELECT "MD5" FROM sourceprogram_catalog_dupes)
      GROUP BY sourceprogram_catalog."MD5" )
  DELETE FROM {0}.sourceprogram_catalog
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_catalog_dupes
          WHERE sourceprogram_catalog_dupes."MD5"=sourceprogram_catalog."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_catalog_max
          WHERE sourceprogram_catalog_max."MD5"=sourceprogram_catalog."MD5" 
            AND sourceprogram_catalog_max."ctid"=sourceprogram_catalog."ctid" );

WITH sourceprogram_catalog_language_dupes AS (
      SELECT sourceprogram_catalog_language_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_catalog_language" 
          GROUP BY "MD5" )
      AS sourceprogram_catalog_language_counts
      WHERE sourceprogram_catalog_language_counts."ctid_count" > 1 ),
  sourceprogram_catalog_language_max AS (
      SELECT sourceprogram_catalog_language."MD5", MAX(sourceprogram_catalog_language."ctid") AS "ctid" 
      FROM {0}.sourceprogram_catalog_language 
      WHERE {0}.sourceprogram_catalog_language."MD5" IN (SELECT "MD5" FROM sourceprogram_catalog_language_dupes)
      GROUP BY sourceprogram_catalog_language."MD5" )
  DELETE FROM {0}.sourceprogram_catalog_language
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_catalog_language_dupes
          WHERE sourceprogram_catalog_language_dupes."MD5"=sourceprogram_catalog_language."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_catalog_language_max
          WHERE sourceprogram_catalog_language_max."MD5"=sourceprogram_catalog_language."MD5" 
            AND sourceprogram_catalog_language_max."ctid"=sourceprogram_catalog_language."ctid" );

WITH sourceprogram_catalog_market_dupes AS (
      SELECT sourceprogram_catalog_market_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_catalog_market" 
          GROUP BY "MD5" )
      AS sourceprogram_catalog_market_counts
      WHERE sourceprogram_catalog_market_counts."ctid_count" > 1 ),
  sourceprogram_catalog_market_max AS (
      SELECT sourceprogram_catalog_market."MD5", MAX(sourceprogram_catalog_market."ctid") AS "ctid" 
      FROM {0}.sourceprogram_catalog_market 
      WHERE {0}.sourceprogram_catalog_market."MD5" IN (SELECT "MD5" FROM sourceprogram_catalog_market_dupes)
      GROUP BY sourceprogram_catalog_market."MD5" )
  DELETE FROM {0}.sourceprogram_catalog_market
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_catalog_market_dupes
          WHERE sourceprogram_catalog_market_dupes."MD5"=sourceprogram_catalog_market."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_catalog_market_max
          WHERE sourceprogram_catalog_market_max."MD5"=sourceprogram_catalog_market."MD5" 
            AND sourceprogram_catalog_market_max."ctid"=sourceprogram_catalog_market."ctid" );

WITH sourceprogram_title_dupes AS (
      SELECT sourceprogram_title_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_title" 
          GROUP BY "MD5" )
      AS sourceprogram_title_counts
      WHERE sourceprogram_title_counts."ctid_count" > 1 ),
  sourceprogram_title_max AS (
      SELECT sourceprogram_title."MD5", MAX(sourceprogram_title."ctid") AS "ctid" 
      FROM {0}.sourceprogram_title 
      WHERE {0}.sourceprogram_title."MD5" IN (SELECT "MD5" FROM sourceprogram_title_dupes)
      GROUP BY sourceprogram_title."MD5" )
  DELETE FROM {0}.sourceprogram_title
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_title_dupes
          WHERE sourceprogram_title_dupes."MD5"=sourceprogram_title."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_title_max
          WHERE sourceprogram_title_max."MD5"=sourceprogram_title."MD5" 
            AND sourceprogram_title_max."ctid"=sourceprogram_title."ctid" );

WITH sourceprogram_description_dupes AS (
      SELECT sourceprogram_description_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_description" 
          GROUP BY "MD5" )
      AS sourceprogram_description_counts
      WHERE sourceprogram_description_counts."ctid_count" > 1 ),
  sourceprogram_description_max AS (
      SELECT sourceprogram_description."MD5", MAX(sourceprogram_description."ctid") AS "ctid" 
      FROM {0}.sourceprogram_description 
      WHERE {0}.sourceprogram_description."MD5" IN (SELECT "MD5" FROM sourceprogram_description_dupes)
      GROUP BY sourceprogram_description."MD5" )
  DELETE FROM {0}.sourceprogram_description
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_description_dupes
          WHERE sourceprogram_description_dupes."MD5"=sourceprogram_description."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_description_max
          WHERE sourceprogram_description_max."MD5"=sourceprogram_description."MD5" 
            AND sourceprogram_description_max."ctid"=sourceprogram_description."ctid" );

WITH sourceprogram_cast_dupes AS (
      SELECT sourceprogram_cast_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_cast" 
          GROUP BY "MD5" )
      AS sourceprogram_cast_counts
      WHERE sourceprogram_cast_counts."ctid_count" > 1 ),
  sourceprogram_cast_max AS (
      SELECT sourceprogram_cast."MD5", MAX(sourceprogram_cast."ctid") AS "ctid" 
      FROM {0}.sourceprogram_cast 
      WHERE {0}.sourceprogram_cast."MD5" IN (SELECT "MD5" FROM sourceprogram_cast_dupes)
      GROUP BY sourceprogram_cast."MD5" )
  DELETE FROM {0}.sourceprogram_cast
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_cast_dupes
          WHERE sourceprogram_cast_dupes."MD5"=sourceprogram_cast."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_cast_max
          WHERE sourceprogram_cast_max."MD5"=sourceprogram_cast."MD5" 
            AND sourceprogram_cast_max."ctid"=sourceprogram_cast."ctid" );

WITH sourceprogram_crew_dupes AS (
      SELECT sourceprogram_crew_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_crew" 
          GROUP BY "MD5" )
      AS sourceprogram_crew_counts
      WHERE sourceprogram_crew_counts."ctid_count" > 1 ),
  sourceprogram_crew_max AS (
      SELECT sourceprogram_crew."MD5", MAX(sourceprogram_crew."ctid") AS "ctid" 
      FROM {0}.sourceprogram_crew 
      WHERE {0}.sourceprogram_crew."MD5" IN (SELECT "MD5" FROM sourceprogram_crew_dupes)
      GROUP BY sourceprogram_crew."MD5" )
  DELETE FROM {0}.sourceprogram_crew
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_crew_dupes
          WHERE sourceprogram_crew_dupes."MD5"=sourceprogram_crew."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_crew_max
          WHERE sourceprogram_crew_max."MD5"=sourceprogram_crew."MD5" 
            AND sourceprogram_crew_max."ctid"=sourceprogram_crew."ctid" );

WITH sourceprogram_country_dupes AS (
      SELECT sourceprogram_country_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_country" 
          GROUP BY "MD5" )
      AS sourceprogram_country_counts
      WHERE sourceprogram_country_counts."ctid_count" > 1 ),
  sourceprogram_country_max AS (
      SELECT sourceprogram_country."MD5", MAX(sourceprogram_country."ctid") AS "ctid" 
      FROM {0}.sourceprogram_country 
      WHERE {0}.sourceprogram_country."MD5" IN (SELECT "MD5" FROM sourceprogram_country_dupes)
      GROUP BY sourceprogram_country."MD5" )
  DELETE FROM {0}.sourceprogram_country
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_country_dupes
          WHERE sourceprogram_country_dupes."MD5"=sourceprogram_country."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_country_max
          WHERE sourceprogram_country_max."MD5"=sourceprogram_country."MD5" 
            AND sourceprogram_country_max."ctid"=sourceprogram_country."ctid" );

WITH sourceprogram_genre_dupes AS (
      SELECT sourceprogram_genre_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_genre" 
          GROUP BY "MD5" )
      AS sourceprogram_genre_counts
      WHERE sourceprogram_genre_counts."ctid_count" > 1 ),
  sourceprogram_genre_max AS (
      SELECT sourceprogram_genre."MD5", MAX(sourceprogram_genre."ctid") AS "ctid" 
      FROM {0}.sourceprogram_genre 
      WHERE {0}.sourceprogram_genre."MD5" IN (SELECT "MD5" FROM sourceprogram_genre_dupes)
      GROUP BY sourceprogram_genre."MD5" )
  DELETE FROM {0}.sourceprogram_genre
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_genre_dupes
          WHERE sourceprogram_genre_dupes."MD5"=sourceprogram_genre."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_genre_max
          WHERE sourceprogram_genre_max."MD5"=sourceprogram_genre."MD5" 
            AND sourceprogram_genre_max."ctid"=sourceprogram_genre."ctid" );

WITH sourceprogram_rating_dupes AS (
      SELECT sourceprogram_rating_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_rating" 
          GROUP BY "MD5" )
      AS sourceprogram_rating_counts
      WHERE sourceprogram_rating_counts."ctid_count" > 1 ),
  sourceprogram_rating_max AS (
      SELECT sourceprogram_rating."MD5", MAX(sourceprogram_rating."ctid") AS "ctid" 
      FROM {0}.sourceprogram_rating 
      WHERE {0}.sourceprogram_rating."MD5" IN (SELECT "MD5" FROM sourceprogram_rating_dupes)
      GROUP BY sourceprogram_rating."MD5" )
  DELETE FROM {0}.sourceprogram_rating
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_rating_dupes
          WHERE sourceprogram_rating_dupes."MD5"=sourceprogram_rating."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_rating_max
          WHERE sourceprogram_rating_max."MD5"=sourceprogram_rating."MD5" 
            AND sourceprogram_rating_max."ctid"=sourceprogram_rating."ctid" );

WITH sourceprogram_rating_advisory_dupes AS (
      SELECT sourceprogram_rating_advisory_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_rating_advisory" 
          GROUP BY "MD5" )
      AS sourceprogram_rating_advisory_counts
      WHERE sourceprogram_rating_advisory_counts."ctid_count" > 1 ),
  sourceprogram_rating_advisory_max AS (
      SELECT sourceprogram_rating_advisory."MD5", MAX(sourceprogram_rating_advisory."ctid") AS "ctid" 
      FROM {0}.sourceprogram_rating_advisory 
      WHERE {0}.sourceprogram_rating_advisory."MD5" IN (SELECT "MD5" FROM sourceprogram_rating_advisory_dupes)
      GROUP BY sourceprogram_rating_advisory."MD5" )
  DELETE FROM {0}.sourceprogram_rating_advisory
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_rating_advisory_dupes
          WHERE sourceprogram_rating_advisory_dupes."MD5"=sourceprogram_rating_advisory."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_rating_advisory_max
          WHERE sourceprogram_rating_advisory_max."MD5"=sourceprogram_rating_advisory."MD5" 
            AND sourceprogram_rating_advisory_max."ctid"=sourceprogram_rating_advisory."ctid" );

WITH sourceprogram_mvinfo_dupes AS (
      SELECT sourceprogram_mvinfo_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_mvinfo" 
          GROUP BY "MD5" )
      AS sourceprogram_mvinfo_counts
      WHERE sourceprogram_mvinfo_counts."ctid_count" > 1 ),
  sourceprogram_mvinfo_max AS (
      SELECT sourceprogram_mvinfo."MD5", MAX(sourceprogram_mvinfo."ctid") AS "ctid" 
      FROM {0}.sourceprogram_mvinfo 
      WHERE {0}.sourceprogram_mvinfo."MD5" IN (SELECT "MD5" FROM sourceprogram_mvinfo_dupes)
      GROUP BY sourceprogram_mvinfo."MD5" )
  DELETE FROM {0}.sourceprogram_mvinfo
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_mvinfo_dupes
          WHERE sourceprogram_mvinfo_dupes."MD5"=sourceprogram_mvinfo."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_mvinfo_max
          WHERE sourceprogram_mvinfo_max."MD5"=sourceprogram_mvinfo."MD5" 
            AND sourceprogram_mvinfo_max."ctid"=sourceprogram_mvinfo."ctid" );

WITH sourceprogram_epinfo_dupes AS (
      SELECT sourceprogram_epinfo_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_epinfo" 
          GROUP BY "MD5" )
      AS sourceprogram_epinfo_counts
      WHERE sourceprogram_epinfo_counts."ctid_count" > 1 ),
  sourceprogram_epinfo_max AS (
      SELECT sourceprogram_epinfo."MD5", MAX(sourceprogram_epinfo."ctid") AS "ctid" 
      FROM {0}.sourceprogram_epinfo 
      WHERE {0}.sourceprogram_epinfo."MD5" IN (SELECT "MD5" FROM sourceprogram_epinfo_dupes)
      GROUP BY sourceprogram_epinfo."MD5" )
  DELETE FROM {0}.sourceprogram_epinfo
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_epinfo_dupes
          WHERE sourceprogram_epinfo_dupes."MD5"=sourceprogram_epinfo."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_epinfo_max
          WHERE sourceprogram_epinfo_max."MD5"=sourceprogram_epinfo."MD5" 
            AND sourceprogram_epinfo_max."ctid"=sourceprogram_epinfo."ctid" );

WITH sourceprogram_season_dupes AS (
      SELECT sourceprogram_season_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_season" 
          GROUP BY "MD5" )
      AS sourceprogram_season_counts
      WHERE sourceprogram_season_counts."ctid_count" > 1 ),
  sourceprogram_season_max AS (
      SELECT sourceprogram_season."MD5", MAX(sourceprogram_season."ctid") AS "ctid" 
      FROM {0}.sourceprogram_season 
      WHERE {0}.sourceprogram_season."MD5" IN (SELECT "MD5" FROM sourceprogram_season_dupes)
      GROUP BY sourceprogram_season."MD5" )
  DELETE FROM {0}.sourceprogram_season
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_dupes
          WHERE sourceprogram_season_dupes."MD5"=sourceprogram_season."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_max
          WHERE sourceprogram_season_max."MD5"=sourceprogram_season."MD5" 
            AND sourceprogram_season_max."ctid"=sourceprogram_season."ctid" );

WITH sourceprogram_season_title_dupes AS (
      SELECT sourceprogram_season_title_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_season_title" 
          GROUP BY "MD5" )
      AS sourceprogram_season_title_counts
      WHERE sourceprogram_season_title_counts."ctid_count" > 1 ),
  sourceprogram_season_title_max AS (
      SELECT sourceprogram_season_title."MD5", MAX(sourceprogram_season_title."ctid") AS "ctid" 
      FROM {0}.sourceprogram_season_title 
      WHERE {0}.sourceprogram_season_title."MD5" IN (SELECT "MD5" FROM sourceprogram_season_title_dupes)
      GROUP BY sourceprogram_season_title."MD5" )
  DELETE FROM {0}.sourceprogram_season_title
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_title_dupes
          WHERE sourceprogram_season_title_dupes."MD5"=sourceprogram_season_title."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_title_max
          WHERE sourceprogram_season_title_max."MD5"=sourceprogram_season_title."MD5" 
            AND sourceprogram_season_title_max."ctid"=sourceprogram_season_title."ctid" );

WITH sourceprogram_season_desc_dupes AS (
      SELECT sourceprogram_season_desc_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_season_desc" 
          GROUP BY "MD5" )
      AS sourceprogram_season_desc_counts
      WHERE sourceprogram_season_desc_counts."ctid_count" > 1 ),
  sourceprogram_season_desc_max AS (
      SELECT sourceprogram_season_desc."MD5", MAX(sourceprogram_season_desc."ctid") AS "ctid" 
      FROM {0}.sourceprogram_season_desc 
      WHERE {0}.sourceprogram_season_desc."MD5" IN (SELECT "MD5" FROM sourceprogram_season_desc_dupes)
      GROUP BY sourceprogram_season_desc."MD5" )
  DELETE FROM {0}.sourceprogram_season_desc
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_desc_dupes
          WHERE sourceprogram_season_desc_dupes."MD5"=sourceprogram_season_desc."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_desc_max
          WHERE sourceprogram_season_desc_max."MD5"=sourceprogram_season_desc."MD5" 
            AND sourceprogram_season_desc_max."ctid"=sourceprogram_season_desc."ctid" );

WITH sourceprogram_season_cast_dupes AS (
      SELECT sourceprogram_season_cast_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_season_cast" 
          GROUP BY "MD5" )
      AS sourceprogram_season_cast_counts
      WHERE sourceprogram_season_cast_counts."ctid_count" > 1 ),
  sourceprogram_season_cast_max AS (
      SELECT sourceprogram_season_cast."MD5", MAX(sourceprogram_season_cast."ctid") AS "ctid" 
      FROM {0}.sourceprogram_season_cast 
      WHERE {0}.sourceprogram_season_cast."MD5" IN (SELECT "MD5" FROM sourceprogram_season_cast_dupes)
      GROUP BY sourceprogram_season_cast."MD5" )
  DELETE FROM {0}.sourceprogram_season_cast
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_cast_dupes
          WHERE sourceprogram_season_cast_dupes."MD5"=sourceprogram_season_cast."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_cast_max
          WHERE sourceprogram_season_cast_max."MD5"=sourceprogram_season_cast."MD5" 
            AND sourceprogram_season_cast_max."ctid"=sourceprogram_season_cast."ctid" );

WITH sourceprogram_season_crew_dupes AS (
      SELECT sourceprogram_season_crew_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_season_crew" 
          GROUP BY "MD5" )
      AS sourceprogram_season_crew_counts
      WHERE sourceprogram_season_crew_counts."ctid_count" > 1 ),
  sourceprogram_season_crew_max AS (
      SELECT sourceprogram_season_crew."MD5", MAX(sourceprogram_season_crew."ctid") AS "ctid" 
      FROM {0}.sourceprogram_season_crew 
      WHERE {0}.sourceprogram_season_crew."MD5" IN (SELECT "MD5" FROM sourceprogram_season_crew_dupes)
      GROUP BY sourceprogram_season_crew."MD5" )
  DELETE FROM {0}.sourceprogram_season_crew
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_crew_dupes
          WHERE sourceprogram_season_crew_dupes."MD5"=sourceprogram_season_crew."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_crew_max
          WHERE sourceprogram_season_crew_max."MD5"=sourceprogram_season_crew."MD5" 
            AND sourceprogram_season_crew_max."ctid"=sourceprogram_season_crew."ctid" );

WITH sourceprogram_season_asset_dupes AS (
      SELECT sourceprogram_season_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_season_asset" 
          GROUP BY "MD5" )
      AS sourceprogram_season_asset_counts
      WHERE sourceprogram_season_asset_counts."ctid_count" > 1 ),
  sourceprogram_season_asset_max AS (
      SELECT sourceprogram_season_asset."MD5", MAX(sourceprogram_season_asset."ctid") AS "ctid" 
      FROM {0}.sourceprogram_season_asset 
      WHERE {0}.sourceprogram_season_asset."MD5" IN (SELECT "MD5" FROM sourceprogram_season_asset_dupes)
      GROUP BY sourceprogram_season_asset."MD5" )
  DELETE FROM {0}.sourceprogram_season_asset
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_dupes
          WHERE sourceprogram_season_asset_dupes."MD5"=sourceprogram_season_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_max
          WHERE sourceprogram_season_asset_max."MD5"=sourceprogram_season_asset."MD5" 
            AND sourceprogram_season_asset_max."ctid"=sourceprogram_season_asset."ctid" );

WITH sourceprogram_season_asset_id_dupes AS (
      SELECT sourceprogram_season_asset_id_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_season_asset_id" 
          GROUP BY "MD5" )
      AS sourceprogram_season_asset_id_counts
      WHERE sourceprogram_season_asset_id_counts."ctid_count" > 1 ),
  sourceprogram_season_asset_id_max AS (
      SELECT sourceprogram_season_asset_id."MD5", MAX(sourceprogram_season_asset_id."ctid") AS "ctid" 
      FROM {0}.sourceprogram_season_asset_id 
      WHERE {0}.sourceprogram_season_asset_id."MD5" IN (SELECT "MD5" FROM sourceprogram_season_asset_id_dupes)
      GROUP BY sourceprogram_season_asset_id."MD5" )
  DELETE FROM {0}.sourceprogram_season_asset_id
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_id_dupes
          WHERE sourceprogram_season_asset_id_dupes."MD5"=sourceprogram_season_asset_id."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_id_max
          WHERE sourceprogram_season_asset_id_max."MD5"=sourceprogram_season_asset_id."MD5" 
            AND sourceprogram_season_asset_id_max."ctid"=sourceprogram_season_asset_id."ctid" );

WITH sourceprogram_season_asset_language_dupes AS (
      SELECT sourceprogram_season_asset_language_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_season_asset_language" 
          GROUP BY "MD5" )
      AS sourceprogram_season_asset_language_counts
      WHERE sourceprogram_season_asset_language_counts."ctid_count" > 1 ),
  sourceprogram_season_asset_language_max AS (
      SELECT sourceprogram_season_asset_language."MD5", MAX(sourceprogram_season_asset_language."ctid") AS "ctid" 
      FROM {0}.sourceprogram_season_asset_language 
      WHERE {0}.sourceprogram_season_asset_language."MD5" IN (SELECT "MD5" FROM sourceprogram_season_asset_language_dupes)
      GROUP BY sourceprogram_season_asset_language."MD5" )
  DELETE FROM {0}.sourceprogram_season_asset_language
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_language_dupes
          WHERE sourceprogram_season_asset_language_dupes."MD5"=sourceprogram_season_asset_language."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_language_max
          WHERE sourceprogram_season_asset_language_max."MD5"=sourceprogram_season_asset_language."MD5" 
            AND sourceprogram_season_asset_language_max."ctid"=sourceprogram_season_asset_language."ctid" );

WITH sourceprogram_season_asset_market_dupes AS (
      SELECT sourceprogram_season_asset_market_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_season_asset_market" 
          GROUP BY "MD5" )
      AS sourceprogram_season_asset_market_counts
      WHERE sourceprogram_season_asset_market_counts."ctid_count" > 1 ),
  sourceprogram_season_asset_market_max AS (
      SELECT sourceprogram_season_asset_market."MD5", MAX(sourceprogram_season_asset_market."ctid") AS "ctid" 
      FROM {0}.sourceprogram_season_asset_market 
      WHERE {0}.sourceprogram_season_asset_market."MD5" IN (SELECT "MD5" FROM sourceprogram_season_asset_market_dupes)
      GROUP BY sourceprogram_season_asset_market."MD5" )
  DELETE FROM {0}.sourceprogram_season_asset_market
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_market_dupes
          WHERE sourceprogram_season_asset_market_dupes."MD5"=sourceprogram_season_asset_market."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_market_max
          WHERE sourceprogram_season_asset_market_max."MD5"=sourceprogram_season_asset_market."MD5" 
            AND sourceprogram_season_asset_market_max."ctid"=sourceprogram_season_asset_market."ctid" );

WITH sourceprogram_season_asset_extattr_dupes AS (
      SELECT sourceprogram_season_asset_extattr_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_season_asset_extattr" 
          GROUP BY "MD5" )
      AS sourceprogram_season_asset_extattr_counts
      WHERE sourceprogram_season_asset_extattr_counts."ctid_count" > 1 ),
  sourceprogram_season_asset_extattr_max AS (
      SELECT sourceprogram_season_asset_extattr."MD5", MAX(sourceprogram_season_asset_extattr."ctid") AS "ctid" 
      FROM {0}.sourceprogram_season_asset_extattr 
      WHERE {0}.sourceprogram_season_asset_extattr."MD5" IN (SELECT "MD5" FROM sourceprogram_season_asset_extattr_dupes)
      GROUP BY sourceprogram_season_asset_extattr."MD5" )
  DELETE FROM {0}.sourceprogram_season_asset_extattr
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_extattr_dupes
          WHERE sourceprogram_season_asset_extattr_dupes."MD5"=sourceprogram_season_asset_extattr."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_extattr_max
          WHERE sourceprogram_season_asset_extattr_max."MD5"=sourceprogram_season_asset_extattr."MD5" 
            AND sourceprogram_season_asset_extattr_max."ctid"=sourceprogram_season_asset_extattr."ctid" );

WITH sourceprogram_season_asset_tag_dupes AS (
      SELECT sourceprogram_season_asset_tag_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_season_asset_tag" 
          GROUP BY "MD5" )
      AS sourceprogram_season_asset_tag_counts
      WHERE sourceprogram_season_asset_tag_counts."ctid_count" > 1 ),
  sourceprogram_season_asset_tag_max AS (
      SELECT sourceprogram_season_asset_tag."MD5", MAX(sourceprogram_season_asset_tag."ctid") AS "ctid" 
      FROM {0}.sourceprogram_season_asset_tag 
      WHERE {0}.sourceprogram_season_asset_tag."MD5" IN (SELECT "MD5" FROM sourceprogram_season_asset_tag_dupes)
      GROUP BY sourceprogram_season_asset_tag."MD5" )
  DELETE FROM {0}.sourceprogram_season_asset_tag
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_tag_dupes
          WHERE sourceprogram_season_asset_tag_dupes."MD5"=sourceprogram_season_asset_tag."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_tag_max
          WHERE sourceprogram_season_asset_tag_max."MD5"=sourceprogram_season_asset_tag."MD5" 
            AND sourceprogram_season_asset_tag_max."ctid"=sourceprogram_season_asset_tag."ctid" );

WITH sourceprogram_season_xid_dupes AS (
      SELECT sourceprogram_season_xid_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_season_xid" 
          GROUP BY "MD5" )
      AS sourceprogram_season_xid_counts
      WHERE sourceprogram_season_xid_counts."ctid_count" > 1 ),
  sourceprogram_season_xid_max AS (
      SELECT sourceprogram_season_xid."MD5", MAX(sourceprogram_season_xid."ctid") AS "ctid" 
      FROM {0}.sourceprogram_season_xid 
      WHERE {0}.sourceprogram_season_xid."MD5" IN (SELECT "MD5" FROM sourceprogram_season_xid_dupes)
      GROUP BY sourceprogram_season_xid."MD5" )
  DELETE FROM {0}.sourceprogram_season_xid
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_xid_dupes
          WHERE sourceprogram_season_xid_dupes."MD5"=sourceprogram_season_xid."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_xid_max
          WHERE sourceprogram_season_xid_max."MD5"=sourceprogram_season_xid."MD5" 
            AND sourceprogram_season_xid_max."ctid"=sourceprogram_season_xid."ctid" );

WITH sourceprogram_asset_dupes AS (
      SELECT sourceprogram_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_asset" 
          GROUP BY "MD5" )
      AS sourceprogram_asset_counts
      WHERE sourceprogram_asset_counts."ctid_count" > 1 ),
  sourceprogram_asset_max AS (
      SELECT sourceprogram_asset."MD5", MAX(sourceprogram_asset."ctid") AS "ctid" 
      FROM {0}.sourceprogram_asset 
      WHERE {0}.sourceprogram_asset."MD5" IN (SELECT "MD5" FROM sourceprogram_asset_dupes)
      GROUP BY sourceprogram_asset."MD5" )
  DELETE FROM {0}.sourceprogram_asset
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_asset_dupes
          WHERE sourceprogram_asset_dupes."MD5"=sourceprogram_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_asset_max
          WHERE sourceprogram_asset_max."MD5"=sourceprogram_asset."MD5" 
            AND sourceprogram_asset_max."ctid"=sourceprogram_asset."ctid" );

WITH sourceprogram_asset_id_dupes AS (
      SELECT sourceprogram_asset_id_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_asset_id" 
          GROUP BY "MD5" )
      AS sourceprogram_asset_id_counts
      WHERE sourceprogram_asset_id_counts."ctid_count" > 1 ),
  sourceprogram_asset_id_max AS (
      SELECT sourceprogram_asset_id."MD5", MAX(sourceprogram_asset_id."ctid") AS "ctid" 
      FROM {0}.sourceprogram_asset_id 
      WHERE {0}.sourceprogram_asset_id."MD5" IN (SELECT "MD5" FROM sourceprogram_asset_id_dupes)
      GROUP BY sourceprogram_asset_id."MD5" )
  DELETE FROM {0}.sourceprogram_asset_id
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_asset_id_dupes
          WHERE sourceprogram_asset_id_dupes."MD5"=sourceprogram_asset_id."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_asset_id_max
          WHERE sourceprogram_asset_id_max."MD5"=sourceprogram_asset_id."MD5" 
            AND sourceprogram_asset_id_max."ctid"=sourceprogram_asset_id."ctid" );

WITH sourceprogram_asset_language_dupes AS (
      SELECT sourceprogram_asset_language_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_asset_language" 
          GROUP BY "MD5" )
      AS sourceprogram_asset_language_counts
      WHERE sourceprogram_asset_language_counts."ctid_count" > 1 ),
  sourceprogram_asset_language_max AS (
      SELECT sourceprogram_asset_language."MD5", MAX(sourceprogram_asset_language."ctid") AS "ctid" 
      FROM {0}.sourceprogram_asset_language 
      WHERE {0}.sourceprogram_asset_language."MD5" IN (SELECT "MD5" FROM sourceprogram_asset_language_dupes)
      GROUP BY sourceprogram_asset_language."MD5" )
  DELETE FROM {0}.sourceprogram_asset_language
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_asset_language_dupes
          WHERE sourceprogram_asset_language_dupes."MD5"=sourceprogram_asset_language."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_asset_language_max
          WHERE sourceprogram_asset_language_max."MD5"=sourceprogram_asset_language."MD5" 
            AND sourceprogram_asset_language_max."ctid"=sourceprogram_asset_language."ctid" );

WITH sourceprogram_asset_market_dupes AS (
      SELECT sourceprogram_asset_market_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_asset_market" 
          GROUP BY "MD5" )
      AS sourceprogram_asset_market_counts
      WHERE sourceprogram_asset_market_counts."ctid_count" > 1 ),
  sourceprogram_asset_market_max AS (
      SELECT sourceprogram_asset_market."MD5", MAX(sourceprogram_asset_market."ctid") AS "ctid" 
      FROM {0}.sourceprogram_asset_market 
      WHERE {0}.sourceprogram_asset_market."MD5" IN (SELECT "MD5" FROM sourceprogram_asset_market_dupes)
      GROUP BY sourceprogram_asset_market."MD5" )
  DELETE FROM {0}.sourceprogram_asset_market
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_asset_market_dupes
          WHERE sourceprogram_asset_market_dupes."MD5"=sourceprogram_asset_market."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_asset_market_max
          WHERE sourceprogram_asset_market_max."MD5"=sourceprogram_asset_market."MD5" 
            AND sourceprogram_asset_market_max."ctid"=sourceprogram_asset_market."ctid" );

WITH sourceprogram_asset_extattr_dupes AS (
      SELECT sourceprogram_asset_extattr_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_asset_extattr" 
          GROUP BY "MD5" )
      AS sourceprogram_asset_extattr_counts
      WHERE sourceprogram_asset_extattr_counts."ctid_count" > 1 ),
  sourceprogram_asset_extattr_max AS (
      SELECT sourceprogram_asset_extattr."MD5", MAX(sourceprogram_asset_extattr."ctid") AS "ctid" 
      FROM {0}.sourceprogram_asset_extattr 
      WHERE {0}.sourceprogram_asset_extattr."MD5" IN (SELECT "MD5" FROM sourceprogram_asset_extattr_dupes)
      GROUP BY sourceprogram_asset_extattr."MD5" )
  DELETE FROM {0}.sourceprogram_asset_extattr
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_asset_extattr_dupes
          WHERE sourceprogram_asset_extattr_dupes."MD5"=sourceprogram_asset_extattr."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_asset_extattr_max
          WHERE sourceprogram_asset_extattr_max."MD5"=sourceprogram_asset_extattr."MD5" 
            AND sourceprogram_asset_extattr_max."ctid"=sourceprogram_asset_extattr."ctid" );

WITH sourceprogram_asset_tag_dupes AS (
      SELECT sourceprogram_asset_tag_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_asset_tag" 
          GROUP BY "MD5" )
      AS sourceprogram_asset_tag_counts
      WHERE sourceprogram_asset_tag_counts."ctid_count" > 1 ),
  sourceprogram_asset_tag_max AS (
      SELECT sourceprogram_asset_tag."MD5", MAX(sourceprogram_asset_tag."ctid") AS "ctid" 
      FROM {0}.sourceprogram_asset_tag 
      WHERE {0}.sourceprogram_asset_tag."MD5" IN (SELECT "MD5" FROM sourceprogram_asset_tag_dupes)
      GROUP BY sourceprogram_asset_tag."MD5" )
  DELETE FROM {0}.sourceprogram_asset_tag
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_asset_tag_dupes
          WHERE sourceprogram_asset_tag_dupes."MD5"=sourceprogram_asset_tag."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_asset_tag_max
          WHERE sourceprogram_asset_tag_max."MD5"=sourceprogram_asset_tag."MD5" 
            AND sourceprogram_asset_tag_max."ctid"=sourceprogram_asset_tag."ctid" );

WITH sourceprogram_xid_dupes AS (
      SELECT sourceprogram_xid_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sourceprogram_xid" 
          GROUP BY "MD5" )
      AS sourceprogram_xid_counts
      WHERE sourceprogram_xid_counts."ctid_count" > 1 ),
  sourceprogram_xid_max AS (
      SELECT sourceprogram_xid."MD5", MAX(sourceprogram_xid."ctid") AS "ctid" 
      FROM {0}.sourceprogram_xid 
      WHERE {0}.sourceprogram_xid."MD5" IN (SELECT "MD5" FROM sourceprogram_xid_dupes)
      GROUP BY sourceprogram_xid."MD5" )
  DELETE FROM {0}.sourceprogram_xid
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_xid_dupes
          WHERE sourceprogram_xid_dupes."MD5"=sourceprogram_xid."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_xid_max
          WHERE sourceprogram_xid_max."MD5"=sourceprogram_xid."MD5" 
            AND sourceprogram_xid_max."ctid"=sourceprogram_xid."ctid" );
