-- {0}: stage schema


WITH sport_dupes AS (
      SELECT sport_counts."sportGId" FROM (
          SELECT "sportGId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."sport" 
          GROUP BY "sportGId" )
      AS sport_counts
      WHERE sport_counts."updateId_count" > 1 ),
  sport_max AS (
      SELECT sport."sportGId", MAX(sport."updateId") AS "updateId" 
      FROM {0}.sport 
      WHERE {0}.sport."sportGId" IN (SELECT "sportGId" FROM sport_dupes)
      GROUP BY sport."sportGId" )
  DELETE FROM {0}.sport
      WHERE EXISTS (
          SELECT 1 FROM sport_dupes
          WHERE sport_dupes."sportGId"=sport."sportGId" )
      AND NOT EXISTS (
          SELECT 1 FROM sport_max
          WHERE sport_max."sportGId"=sport."sportGId" 
            AND sport_max."updateId"=sport."updateId" );

DELETE FROM {0}.sport_name WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sport 
        WHERE sport_name."sportGId"=sport."sportGId"
            AND sport_name."updateId"=sport."updateId" );
