-- {0}: stage schema


WITH sportsconf_dupes AS (
      SELECT sportsconf_counts."conferenceId" FROM (
          SELECT "conferenceId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."sportsconf" 
          GROUP BY "conferenceId" )
      AS sportsconf_counts
      WHERE sportsconf_counts."updateId_count" > 1 ),
  sportsconf_max AS (
      SELECT sportsconf."conferenceId", MAX(sportsconf."updateId") AS "updateId" 
      FROM {0}.sportsconf 
      WHERE {0}.sportsconf."conferenceId" IN (SELECT "conferenceId" FROM sportsconf_dupes)
      GROUP BY sportsconf."conferenceId" )
  DELETE FROM {0}.sportsconf
      WHERE EXISTS (
          SELECT 1 FROM sportsconf_dupes
          WHERE sportsconf_dupes."conferenceId"=sportsconf."conferenceId" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsconf_max
          WHERE sportsconf_max."conferenceId"=sportsconf."conferenceId" 
            AND sportsconf_max."updateId"=sportsconf."updateId" );

DELETE FROM {0}.sportsconf_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsconf 
        WHERE sportsconf_asset."conferenceId"=sportsconf."conferenceId"
            AND sportsconf_asset."updateId"=sportsconf."updateId" );
