-- {0}: stage schema


WITH sportsconf_dupes AS (
      SELECT sportsconf_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsconf" 
          GROUP BY "MD5" )
      AS sportsconf_counts
      WHERE sportsconf_counts."ctid_count" > 1 ),
  sportsconf_max AS (
      SELECT sportsconf."MD5", MAX(sportsconf."ctid") AS "ctid" 
      FROM {0}.sportsconf 
      WHERE {0}.sportsconf."MD5" IN (SELECT "MD5" FROM sportsconf_dupes)
      GROUP BY sportsconf."MD5" )
  DELETE FROM {0}.sportsconf
      WHERE EXISTS (
          SELECT 1 FROM sportsconf_dupes
          WHERE sportsconf_dupes."MD5"=sportsconf."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsconf_max
          WHERE sportsconf_max."MD5"=sportsconf."MD5" 
            AND sportsconf_max."ctid"=sportsconf."ctid" );

WITH sportsconf_asset_dupes AS (
      SELECT sportsconf_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsconf_asset" 
          GROUP BY "MD5" )
      AS sportsconf_asset_counts
      WHERE sportsconf_asset_counts."ctid_count" > 1 ),
  sportsconf_asset_max AS (
      SELECT sportsconf_asset."MD5", MAX(sportsconf_asset."ctid") AS "ctid" 
      FROM {0}.sportsconf_asset 
      WHERE {0}.sportsconf_asset."MD5" IN (SELECT "MD5" FROM sportsconf_asset_dupes)
      GROUP BY sportsconf_asset."MD5" )
  DELETE FROM {0}.sportsconf_asset
      WHERE EXISTS (
          SELECT 1 FROM sportsconf_asset_dupes
          WHERE sportsconf_asset_dupes."MD5"=sportsconf_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsconf_asset_max
          WHERE sportsconf_asset_max."MD5"=sportsconf_asset."MD5" 
            AND sportsconf_asset_max."ctid"=sportsconf_asset."ctid" );
