-- {0}: stage schema


WITH team_dupes AS (
      SELECT team_counts."teamId" FROM (
          SELECT "teamId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."team" 
          GROUP BY "teamId" )
      AS team_counts
      WHERE team_counts."updateId_count" > 1 ),
  team_max AS (
      SELECT team."teamId", MAX(team."updateId") AS "updateId" 
      FROM {0}.team 
      WHERE {0}.team."teamId" IN (SELECT "teamId" FROM team_dupes)
      GROUP BY team."teamId" )
  DELETE FROM {0}.team
      WHERE EXISTS (
          SELECT 1 FROM team_dupes
          WHERE team_dupes."teamId"=team."teamId" )
      AND NOT EXISTS (
          SELECT 1 FROM team_max
          WHERE team_max."teamId"=team."teamId" 
            AND team_max."updateId"=team."updateId" );

DELETE FROM {0}.team_genre WHERE NOT EXISTS (
    SELECT 1 FROM {0}.team 
        WHERE team_genre."teamId"=team."teamId"
            AND team_genre."updateId"=team."updateId" );
