-- {0}: stage schema


WITH team_dupes AS (
      SELECT team_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."team" 
          GROUP BY "MD5" )
      AS team_counts
      WHERE team_counts."ctid_count" > 1 ),
  team_max AS (
      SELECT team."MD5", MAX(team."ctid") AS "ctid" 
      FROM {0}.team 
      WHERE {0}.team."MD5" IN (SELECT "MD5" FROM team_dupes)
      GROUP BY team."MD5" )
  DELETE FROM {0}.team
      WHERE EXISTS (
          SELECT 1 FROM team_dupes
          WHERE team_dupes."MD5"=team."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM team_max
          WHERE team_max."MD5"=team."MD5" 
            AND team_max."ctid"=team."ctid" );

WITH team_genre_dupes AS (
      SELECT team_genre_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."team_genre" 
          GROUP BY "MD5" )
      AS team_genre_counts
      WHERE team_genre_counts."ctid_count" > 1 ),
  team_genre_max AS (
      SELECT team_genre."MD5", MAX(team_genre."ctid") AS "ctid" 
      FROM {0}.team_genre 
      WHERE {0}.team_genre."MD5" IN (SELECT "MD5" FROM team_genre_dupes)
      GROUP BY team_genre."MD5" )
  DELETE FROM {0}.team_genre
      WHERE EXISTS (
          SELECT 1 FROM team_genre_dupes
          WHERE team_genre_dupes."MD5"=team_genre."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM team_genre_max
          WHERE team_genre_max."MD5"=team_genre."MD5" 
            AND team_genre_max."ctid"=team_genre."ctid" );
