-- {0}: stage schema


WITH teambrand_dupes AS (
      SELECT teambrand_counts."teamBrandId" FROM (
          SELECT "teamBrandId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."teambrand" 
          GROUP BY "teamBrandId" )
      AS teambrand_counts
      WHERE teambrand_counts."updateId_count" > 1 ),
  teambrand_max AS (
      SELECT teambrand."teamBrandId", MAX(teambrand."updateId") AS "updateId" 
      FROM {0}.teambrand 
      WHERE {0}.teambrand."teamBrandId" IN (SELECT "teamBrandId" FROM teambrand_dupes)
      GROUP BY teambrand."teamBrandId" )
  DELETE FROM {0}.teambrand
      WHERE EXISTS (
          SELECT 1 FROM teambrand_dupes
          WHERE teambrand_dupes."teamBrandId"=teambrand."teamBrandId" )
      AND NOT EXISTS (
          SELECT 1 FROM teambrand_max
          WHERE teambrand_max."teamBrandId"=teambrand."teamBrandId" 
            AND teambrand_max."updateId"=teambrand."updateId" );

DELETE FROM {0}.teambrand_name WHERE NOT EXISTS (
    SELECT 1 FROM {0}.teambrand 
        WHERE teambrand_name."teamBrandId"=teambrand."teamBrandId"
            AND teambrand_name."updateId"=teambrand."updateId" );

DELETE FROM {0}.teambrand_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.teambrand 
        WHERE teambrand_asset."teamBrandId"=teambrand."teamBrandId"
            AND teambrand_asset."updateId"=teambrand."updateId" );
