-- {0}: stage schema


WITH teambrand_dupes AS (
      SELECT teambrand_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."teambrand" 
          GROUP BY "MD5" )
      AS teambrand_counts
      WHERE teambrand_counts."ctid_count" > 1 ),
  teambrand_max AS (
      SELECT teambrand."MD5", MAX(teambrand."ctid") AS "ctid" 
      FROM {0}.teambrand 
      WHERE {0}.teambrand."MD5" IN (SELECT "MD5" FROM teambrand_dupes)
      GROUP BY teambrand."MD5" )
  DELETE FROM {0}.teambrand
      WHERE EXISTS (
          SELECT 1 FROM teambrand_dupes
          WHERE teambrand_dupes."MD5"=teambrand."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM teambrand_max
          WHERE teambrand_max."MD5"=teambrand."MD5" 
            AND teambrand_max."ctid"=teambrand."ctid" );

WITH teambrand_name_dupes AS (
      SELECT teambrand_name_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."teambrand_name" 
          GROUP BY "MD5" )
      AS teambrand_name_counts
      WHERE teambrand_name_counts."ctid_count" > 1 ),
  teambrand_name_max AS (
      SELECT teambrand_name."MD5", MAX(teambrand_name."ctid") AS "ctid" 
      FROM {0}.teambrand_name 
      WHERE {0}.teambrand_name."MD5" IN (SELECT "MD5" FROM teambrand_name_dupes)
      GROUP BY teambrand_name."MD5" )
  DELETE FROM {0}.teambrand_name
      WHERE EXISTS (
          SELECT 1 FROM teambrand_name_dupes
          WHERE teambrand_name_dupes."MD5"=teambrand_name."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM teambrand_name_max
          WHERE teambrand_name_max."MD5"=teambrand_name."MD5" 
            AND teambrand_name_max."ctid"=teambrand_name."ctid" );

WITH teambrand_asset_dupes AS (
      SELECT teambrand_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."teambrand_asset" 
          GROUP BY "MD5" )
      AS teambrand_asset_counts
      WHERE teambrand_asset_counts."ctid_count" > 1 ),
  teambrand_asset_max AS (
      SELECT teambrand_asset."MD5", MAX(teambrand_asset."ctid") AS "ctid" 
      FROM {0}.teambrand_asset 
      WHERE {0}.teambrand_asset."MD5" IN (SELECT "MD5" FROM teambrand_asset_dupes)
      GROUP BY teambrand_asset."MD5" )
  DELETE FROM {0}.teambrand_asset
      WHERE EXISTS (
          SELECT 1 FROM teambrand_asset_dupes
          WHERE teambrand_asset_dupes."MD5"=teambrand_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM teambrand_asset_max
          WHERE teambrand_asset_max."MD5"=teambrand_asset."MD5" 
            AND teambrand_asset_max."ctid"=teambrand_asset."ctid" );
