-- {0}: stage schema


WITH university_dupes AS (
      SELECT university_counts."universityId" FROM (
          SELECT "universityId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."university" 
          GROUP BY "universityId" )
      AS university_counts
      WHERE university_counts."updateId_count" > 1 ),
  university_max AS (
      SELECT university."universityId", MAX(university."updateId") AS "updateId" 
      FROM {0}.university 
      WHERE {0}.university."universityId" IN (SELECT "universityId" FROM university_dupes)
      GROUP BY university."universityId" )
  DELETE FROM {0}.university
      WHERE EXISTS (
          SELECT 1 FROM university_dupes
          WHERE university_dupes."universityId"=university."universityId" )
      AND NOT EXISTS (
          SELECT 1 FROM university_max
          WHERE university_max."universityId"=university."universityId" 
            AND university_max."updateId"=university."updateId" );

DELETE FROM {0}.university_name WHERE NOT EXISTS (
    SELECT 1 FROM {0}.university 
        WHERE university_name."universityId"=university."universityId"
            AND university_name."updateId"=university."updateId" );

DELETE FROM {0}.university_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.university 
        WHERE university_asset."universityId"=university."universityId"
            AND university_asset."updateId"=university."updateId" );
