-- {0}: stage schema


WITH university_dupes AS (
      SELECT university_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."university" 
          GROUP BY "MD5" )
      AS university_counts
      WHERE university_counts."ctid_count" > 1 ),
  university_max AS (
      SELECT university."MD5", MAX(university."ctid") AS "ctid" 
      FROM {0}.university 
      WHERE {0}.university."MD5" IN (SELECT "MD5" FROM university_dupes)
      GROUP BY university."MD5" )
  DELETE FROM {0}.university
      WHERE EXISTS (
          SELECT 1 FROM university_dupes
          WHERE university_dupes."MD5"=university."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM university_max
          WHERE university_max."MD5"=university."MD5" 
            AND university_max."ctid"=university."ctid" );

WITH university_name_dupes AS (
      SELECT university_name_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."university_name" 
          GROUP BY "MD5" )
      AS university_name_counts
      WHERE university_name_counts."ctid_count" > 1 ),
  university_name_max AS (
      SELECT university_name."MD5", MAX(university_name."ctid") AS "ctid" 
      FROM {0}.university_name 
      WHERE {0}.university_name."MD5" IN (SELECT "MD5" FROM university_name_dupes)
      GROUP BY university_name."MD5" )
  DELETE FROM {0}.university_name
      WHERE EXISTS (
          SELECT 1 FROM university_name_dupes
          WHERE university_name_dupes."MD5"=university_name."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM university_name_max
          WHERE university_name_max."MD5"=university_name."MD5" 
            AND university_name_max."ctid"=university_name."ctid" );

WITH university_asset_dupes AS (
      SELECT university_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."university_asset" 
          GROUP BY "MD5" )
      AS university_asset_counts
      WHERE university_asset_counts."ctid_count" > 1 ),
  university_asset_max AS (
      SELECT university_asset."MD5", MAX(university_asset."ctid") AS "ctid" 
      FROM {0}.university_asset 
      WHERE {0}.university_asset."MD5" IN (SELECT "MD5" FROM university_asset_dupes)
      GROUP BY university_asset."MD5" )
  DELETE FROM {0}.university_asset
      WHERE EXISTS (
          SELECT 1 FROM university_asset_dupes
          WHERE university_asset_dupes."MD5"=university_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM university_asset_max
          WHERE university_asset_max."MD5"=university_asset."MD5" 
            AND university_asset_max."ctid"=university_asset."ctid" );
