-- {0}: stage schema


WITH venuebrand_dupes AS (
      SELECT venuebrand_counts."venueBrandId" FROM (
          SELECT "venueBrandId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."venuebrand" 
          GROUP BY "venueBrandId" )
      AS venuebrand_counts
      WHERE venuebrand_counts."updateId_count" > 1 ),
  venuebrand_max AS (
      SELECT venuebrand."venueBrandId", MAX(venuebrand."updateId") AS "updateId" 
      FROM {0}.venuebrand 
      WHERE {0}.venuebrand."venueBrandId" IN (SELECT "venueBrandId" FROM venuebrand_dupes)
      GROUP BY venuebrand."venueBrandId" )
  DELETE FROM {0}.venuebrand
      WHERE EXISTS (
          SELECT 1 FROM venuebrand_dupes
          WHERE venuebrand_dupes."venueBrandId"=venuebrand."venueBrandId" )
      AND NOT EXISTS (
          SELECT 1 FROM venuebrand_max
          WHERE venuebrand_max."venueBrandId"=venuebrand."venueBrandId" 
            AND venuebrand_max."updateId"=venuebrand."updateId" );

DELETE FROM {0}.venuebrand_name WHERE NOT EXISTS (
    SELECT 1 FROM {0}.venuebrand 
        WHERE venuebrand_name."venueBrandId"=venuebrand."venueBrandId"
            AND venuebrand_name."updateId"=venuebrand."updateId" );
