-- {0}: stage schema


WITH venuebrand_dupes AS (
      SELECT venuebrand_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."venuebrand" 
          GROUP BY "MD5" )
      AS venuebrand_counts
      WHERE venuebrand_counts."ctid_count" > 1 ),
  venuebrand_max AS (
      SELECT venuebrand."MD5", MAX(venuebrand."ctid") AS "ctid" 
      FROM {0}.venuebrand 
      WHERE {0}.venuebrand."MD5" IN (SELECT "MD5" FROM venuebrand_dupes)
      GROUP BY venuebrand."MD5" )
  DELETE FROM {0}.venuebrand
      WHERE EXISTS (
          SELECT 1 FROM venuebrand_dupes
          WHERE venuebrand_dupes."MD5"=venuebrand."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM venuebrand_max
          WHERE venuebrand_max."MD5"=venuebrand."MD5" 
            AND venuebrand_max."ctid"=venuebrand."ctid" );

WITH venuebrand_name_dupes AS (
      SELECT venuebrand_name_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."venuebrand_name" 
          GROUP BY "MD5" )
      AS venuebrand_name_counts
      WHERE venuebrand_name_counts."ctid_count" > 1 ),
  venuebrand_name_max AS (
      SELECT venuebrand_name."MD5", MAX(venuebrand_name."ctid") AS "ctid" 
      FROM {0}.venuebrand_name 
      WHERE {0}.venuebrand_name."MD5" IN (SELECT "MD5" FROM venuebrand_name_dupes)
      GROUP BY venuebrand_name."MD5" )
  DELETE FROM {0}.venuebrand_name
      WHERE EXISTS (
          SELECT 1 FROM venuebrand_name_dupes
          WHERE venuebrand_name_dupes."MD5"=venuebrand_name."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM venuebrand_name_max
          WHERE venuebrand_name_max."MD5"=venuebrand_name."MD5" 
            AND venuebrand_name_max."ctid"=venuebrand_name."ctid" );
