-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_availability AS SELECT * FROM {0}.availability 
  WHERE 1=1 
    AND {0}.availability."batchUpdateOrd" > {2} 
    AND {0}.availability."batchUpdateOrd" <= {3}
    AND ( {0}.availability."deleted" IS NULL OR 
          {0}.availability."deleted" != {4} )
;

CREATE INDEX idx_tmp_availability_id ON tmp_availability("availabilityId");

DELETE FROM {1}.availability_providerdata WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
DELETE FROM {1}.availability_viewingoption WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
DELETE FROM {1}.availability_url WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
DELETE FROM {1}.availability_id WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);

UPDATE {1}.availability AS core SET ("updateId","updateDate","deleted","prgSvcId","catalogName","videoQuality","availableFrom","expiresAt","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."prgSvcId",t."catalogName",t."videoQuality",t."availableFrom",t."expiresAt",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_availability t WHERE t."availabilityId"=core."availabilityId";

INSERT INTO {1}.availability_id SELECT * FROM {0}.availability_id WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
INSERT INTO {1}.availability_url SELECT * FROM {0}.availability_url WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
INSERT INTO {1}.availability_viewingoption SELECT * FROM {0}.availability_viewingoption WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
INSERT INTO {1}.availability_providerdata SELECT * FROM {0}.availability_providerdata WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);


CREATE TEMP TABLE tmp_availability_del AS SELECT * FROM {0}.availability 
  WHERE 1=1 
    AND {0}.availability."batchUpdateOrd" > {2} 
    AND {0}.availability."batchUpdateOrd" <= {3} 
    AND {0}.availability."deleted" = {4} 
;
UPDATE {1}.availability AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_availability_del t WHERE t."availabilityId"=core."availabilityId" 
;
UPDATE {1}.availability_id AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_availability_del t WHERE t."availabilityId"=core."availabilityId" 
;


UPDATE {1}.availability_url AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_availability_del t WHERE t."availabilityId"=core."availabilityId" 
;


UPDATE {1}.availability_viewingoption AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_availability_del t WHERE t."availabilityId"=core."availabilityId" 
;


UPDATE {1}.availability_providerdata AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_availability_del t WHERE t."availabilityId"=core."availabilityId" 
;

