-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_availability AS SELECT * FROM {0}.availability 
  WHERE 1=1 
    AND {0}.availability."batchUpdateOrd" > {2} 
    AND {0}.availability."batchUpdateOrd" <= {3}
;

CREATE INDEX idx_tmp_availability_id ON tmp_availability("availabilityId");

DELETE FROM {1}.availability_providerdata WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
DELETE FROM {1}.availability_viewingoption WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
DELETE FROM {1}.availability_url WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
DELETE FROM {1}.availability_id WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);

UPDATE {1}.availability AS core SET ("updateId","updateDate","deleted","prgSvcId","catalogName","videoQuality","availableFrom","expiresAt","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."prgSvcId",t."catalogName",t."videoQuality",t."availableFrom",t."expiresAt",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_availability t WHERE t."availabilityId"=core."availabilityId";

INSERT INTO {1}.availability_id SELECT * FROM {0}.availability_id WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
INSERT INTO {1}.availability_url SELECT * FROM {0}.availability_url WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
INSERT INTO {1}.availability_viewingoption SELECT * FROM {0}.availability_viewingoption WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
INSERT INTO {1}.availability_providerdata SELECT * FROM {0}.availability_providerdata WHERE "availabilityId" IN (SELECT "availabilityId" FROM tmp_availability);
