-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_cv AS SELECT * FROM {0}.cv 
  WHERE 1=1 
    AND {0}.cv."batchUpdateOrd" > {2} 
    AND {0}.cv."batchUpdateOrd" <= {3}
    AND ( {0}.cv."deleted" IS NULL OR 
          {0}.cv."deleted" != {4} )
;

CREATE INDEX idx_tmp_cv_id ON tmp_cv("cvId");

DELETE FROM {1}.cv_attribute WHERE "cvId" IN (SELECT "cvId" FROM tmp_cv);

UPDATE {1}.cv AS core SET ("updateId","updateDate","deleted","cvType","id","type","lang","value","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."cvType",t."id",t."type",t."lang",t."value",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_cv t WHERE t."cvId"=core."cvId";

INSERT INTO {1}.cv_attribute SELECT * FROM {0}.cv_attribute WHERE "cvId" IN (SELECT "cvId" FROM tmp_cv);


CREATE TEMP TABLE tmp_cv_del AS SELECT * FROM {0}.cv 
  WHERE 1=1 
    AND {0}.cv."batchUpdateOrd" > {2} 
    AND {0}.cv."batchUpdateOrd" <= {3} 
    AND {0}.cv."deleted" = {4} 
;
UPDATE {1}.cv AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_cv_del t WHERE t."cvId"=core."cvId" 
;
UPDATE {1}.cv_attribute AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_cv_del t WHERE t."cvId"=core."cvId" 
;

