-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_descriptortaxonomy AS SELECT * FROM {0}.descriptortaxonomy 
  WHERE 1=1 
    AND {0}.descriptortaxonomy."batchUpdateOrd" > {2} 
    AND {0}.descriptortaxonomy."batchUpdateOrd" <= {3}
    AND ( {0}.descriptortaxonomy."deleted" IS NULL OR 
          {0}.descriptortaxonomy."deleted" != {4} )
;

CREATE INDEX idx_tmp_descriptortaxonomy_id ON tmp_descriptortaxonomy("taxonomyId");

DELETE FROM {1}.descriptortaxonomy_descriptor WHERE "taxonomyId" IN (SELECT "taxonomyId" FROM tmp_descriptortaxonomy);

UPDATE {1}.descriptortaxonomy AS core SET ("updateId","updateDate","deleted","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_descriptortaxonomy t WHERE t."taxonomyId"=core."taxonomyId";

INSERT INTO {1}.descriptortaxonomy_descriptor SELECT * FROM {0}.descriptortaxonomy_descriptor WHERE "taxonomyId" IN (SELECT "taxonomyId" FROM tmp_descriptortaxonomy);


CREATE TEMP TABLE tmp_descriptortaxonomy_del AS SELECT * FROM {0}.descriptortaxonomy 
  WHERE 1=1 
    AND {0}.descriptortaxonomy."batchUpdateOrd" > {2} 
    AND {0}.descriptortaxonomy."batchUpdateOrd" <= {3} 
    AND {0}.descriptortaxonomy."deleted" = {4} 
;
UPDATE {1}.descriptortaxonomy AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_descriptortaxonomy_del t WHERE t."taxonomyId"=core."taxonomyId" 
;
UPDATE {1}.descriptortaxonomy_descriptor AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_descriptortaxonomy_del t WHERE t."taxonomyId"=core."taxonomyId" 
;

