-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_lineup AS SELECT * FROM {0}.lineup 
  WHERE 1=1 
    AND {0}.lineup."batchUpdateOrd" > {2} 
    AND {0}.lineup."batchUpdateOrd" <= {3}
    AND ( {0}.lineup."deleted" IS NULL OR 
          {0}.lineup."deleted" != {4} )
;

CREATE INDEX idx_tmp_lineup_id ON tmp_lineup("lineupId");

DELETE FROM {1}.lineup_market WHERE "lineupId" IN (SELECT "lineupId" FROM tmp_lineup);
DELETE FROM {1}.lineup_postalcode WHERE "lineupId" IN (SELECT "lineupId" FROM tmp_lineup);
DELETE FROM {1}.lineup_channel_transport_id WHERE "lineupId" IN (SELECT "lineupId" FROM tmp_lineup);
DELETE FROM {1}.lineup_channel_transport WHERE "lineupId" IN (SELECT "lineupId" FROM tmp_lineup);
DELETE FROM {1}.lineup_channel WHERE "lineupId" IN (SELECT "lineupId" FROM tmp_lineup);

UPDATE {1}.lineup AS core SET ("updateId","updateDate","deleted","country","countryId","mso","msoId","headend","headendId","location","device","deviceType","type","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."country",t."countryId",t."mso",t."msoId",t."headend",t."headendId",t."location",t."device",t."deviceType",t."type",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_lineup t WHERE t."lineupId"=core."lineupId";

INSERT INTO {1}.lineup_channel SELECT * FROM {0}.lineup_channel WHERE "lineupId" IN (SELECT "lineupId" FROM tmp_lineup);
INSERT INTO {1}.lineup_channel_transport SELECT * FROM {0}.lineup_channel_transport WHERE "lineupId" IN (SELECT "lineupId" FROM tmp_lineup);
INSERT INTO {1}.lineup_channel_transport_id SELECT * FROM {0}.lineup_channel_transport_id WHERE "lineupId" IN (SELECT "lineupId" FROM tmp_lineup);
INSERT INTO {1}.lineup_postalcode SELECT * FROM {0}.lineup_postalcode WHERE "lineupId" IN (SELECT "lineupId" FROM tmp_lineup);
INSERT INTO {1}.lineup_market SELECT * FROM {0}.lineup_market WHERE "lineupId" IN (SELECT "lineupId" FROM tmp_lineup);


CREATE TEMP TABLE tmp_lineup_del AS SELECT * FROM {0}.lineup 
  WHERE 1=1 
    AND {0}.lineup."batchUpdateOrd" > {2} 
    AND {0}.lineup."batchUpdateOrd" <= {3} 
    AND {0}.lineup."deleted" = {4} 
;
UPDATE {1}.lineup AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_lineup_del t WHERE t."lineupId"=core."lineupId" 
;
UPDATE {1}.lineup_channel AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_lineup_del t WHERE t."lineupId"=core."lineupId" 
;


UPDATE {1}.lineup_channel_transport AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_lineup_del t WHERE t."lineupId"=core."lineupId" 
;


UPDATE {1}.lineup_channel_transport_id AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_lineup_del t WHERE t."lineupId"=core."lineupId" 
;


UPDATE {1}.lineup_postalcode AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_lineup_del t WHERE t."lineupId"=core."lineupId" 
;


UPDATE {1}.lineup_market AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_lineup_del t WHERE t."lineupId"=core."lineupId" 
;

