-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_schedule AS SELECT * FROM {0}.schedule 
  WHERE 1=1 
    AND {0}.schedule."batchUpdateOrd" > {2} 
    AND {0}.schedule."batchUpdateOrd" <= {3}
;

CREATE INDEX idx_tmp_schedule_id ON tmp_schedule("scheduleId");

DELETE FROM {1}.schedule_event_right_param WHERE "scheduleId" IN (SELECT "scheduleId" FROM tmp_schedule);
DELETE FROM {1}.schedule_event_right WHERE "scheduleId" IN (SELECT "scheduleId" FROM tmp_schedule);
DELETE FROM {1}.schedule_event_bcastid WHERE "scheduleId" IN (SELECT "scheduleId" FROM tmp_schedule);
DELETE FROM {1}.schedule_event WHERE "scheduleId" IN (SELECT "scheduleId" FROM tmp_schedule);

UPDATE {1}.schedule AS core SET ("updateId","updateDate","prgSvcId","date","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."prgSvcId",t."date",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_schedule t WHERE t."scheduleId"=core."scheduleId";

INSERT INTO {1}.schedule_event SELECT * FROM {0}.schedule_event WHERE "scheduleId" IN (SELECT "scheduleId" FROM tmp_schedule);
INSERT INTO {1}.schedule_event_bcastid SELECT * FROM {0}.schedule_event_bcastid WHERE "scheduleId" IN (SELECT "scheduleId" FROM tmp_schedule);
INSERT INTO {1}.schedule_event_right SELECT * FROM {0}.schedule_event_right WHERE "scheduleId" IN (SELECT "scheduleId" FROM tmp_schedule);
INSERT INTO {1}.schedule_event_right_param SELECT * FROM {0}.schedule_event_right_param WHERE "scheduleId" IN (SELECT "scheduleId" FROM tmp_schedule);
