-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_season AS SELECT * FROM {0}.season 
  WHERE 1=1 
    AND {0}.season."batchUpdateOrd" > {2} 
    AND {0}.season."batchUpdateOrd" <= {3}
    AND ( {0}.season."deleted" IS NULL OR 
          {0}.season."deleted" != {4} )
    AND ( {0}.season."inactive" IS NULL OR 
          {0}.season."inactive" != {4} )
;

CREATE INDEX idx_tmp_season_id ON tmp_season("seasonTMSId");

DELETE FROM {1}.season_asset_id WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_asset WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_crew WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_cast WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_description WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_title WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);

UPDATE {1}.season AS core SET ("seasonId","updateId","updateDate","deleted","inactive","seasonNumber","seasonYear","seasonPremiere","seasonFinale","origNetwork","origNetwork_prgSvcId","totalSeasonEpisodes","showcard","officialURL","title_lang","desc_lang","MD5","ingestId","batchUpdateOrd")=
    (t."seasonId",t."updateId",t."updateDate",t."deleted",t."inactive",t."seasonNumber",t."seasonYear",t."seasonPremiere",t."seasonFinale",t."origNetwork",t."origNetwork_prgSvcId",t."totalSeasonEpisodes",t."showcard",t."officialURL",t."title_lang",t."desc_lang",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_season t WHERE t."seasonTMSId"=core."seasonTMSId";

INSERT INTO {1}.season_title SELECT * FROM {0}.season_title WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
INSERT INTO {1}.season_description SELECT * FROM {0}.season_description WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
INSERT INTO {1}.season_cast SELECT * FROM {0}.season_cast WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
INSERT INTO {1}.season_crew SELECT * FROM {0}.season_crew WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
INSERT INTO {1}.season_asset SELECT * FROM {0}.season_asset WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
INSERT INTO {1}.season_asset_id SELECT * FROM {0}.season_asset_id WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);


CREATE TEMP TABLE tmp_season_del AS SELECT * FROM {0}.season 
  WHERE 1=1 
    AND {0}.season."batchUpdateOrd" > {2} 
    AND {0}.season."batchUpdateOrd" <= {3} 
    AND {0}.season."deleted" = {4} 
;
UPDATE {1}.season AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_season_del t WHERE t."seasonTMSId"=core."seasonTMSId" 
;
UPDATE {1}.season_title AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_season_del t WHERE t."seasonTMSId"=core."seasonTMSId" 
;


UPDATE {1}.season_description AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_season_del t WHERE t."seasonTMSId"=core."seasonTMSId" 
;


UPDATE {1}.season_cast AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_season_del t WHERE t."seasonTMSId"=core."seasonTMSId" 
;


UPDATE {1}.season_crew AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_season_del t WHERE t."seasonTMSId"=core."seasonTMSId" 
;


UPDATE {1}.season_asset AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_season_del t WHERE t."seasonTMSId"=core."seasonTMSId" 
;


UPDATE {1}.season_asset_id AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_season_del t WHERE t."seasonTMSId"=core."seasonTMSId" 
;


CREATE TEMP TABLE tmp_season_inact AS SELECT * FROM {0}.season 
  WHERE 1=1 
    AND {0}.season."batchUpdateOrd" > {2} 
    AND {0}.season."batchUpdateOrd" <= {3} 
    AND {0}.season."inactive" = {4} 
;
UPDATE {1}.season AS core SET ("inactive","ingestId","updateId","updateDate")= 
    (t."inactive",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_season_inact t WHERE t."seasonTMSId"=core."seasonTMSId" 
;
UPDATE {1}.season_title AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_season_inact t WHERE t."seasonTMSId"=core."seasonTMSId" 
;


UPDATE {1}.season_description AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_season_inact t WHERE t."seasonTMSId"=core."seasonTMSId" 
;


UPDATE {1}.season_cast AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_season_inact t WHERE t."seasonTMSId"=core."seasonTMSId" 
;


UPDATE {1}.season_crew AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_season_inact t WHERE t."seasonTMSId"=core."seasonTMSId" 
;


UPDATE {1}.season_asset AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_season_inact t WHERE t."seasonTMSId"=core."seasonTMSId" 
;


UPDATE {1}.season_asset_id AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_season_inact t WHERE t."seasonTMSId"=core."seasonTMSId" 
;

