-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_season AS SELECT * FROM {0}.season 
  WHERE 1=1 
    AND {0}.season."batchUpdateOrd" > {2} 
    AND {0}.season."batchUpdateOrd" <= {3}
;

CREATE INDEX idx_tmp_season_id ON tmp_season("seasonTMSId");

DELETE FROM {1}.season_asset_id WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_asset WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_crew WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_cast WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_description WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_title WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);

UPDATE {1}.season AS core SET ("seasonId","updateId","updateDate","deleted","inactive","seasonNumber","seasonYear","seasonPremiere","seasonFinale","origNetwork","origNetwork_prgSvcId","totalSeasonEpisodes","showcard","officialURL","title_lang","desc_lang","MD5","ingestId","batchUpdateOrd")=
    (t."seasonId",t."updateId",t."updateDate",t."deleted",t."inactive",t."seasonNumber",t."seasonYear",t."seasonPremiere",t."seasonFinale",t."origNetwork",t."origNetwork_prgSvcId",t."totalSeasonEpisodes",t."showcard",t."officialURL",t."title_lang",t."desc_lang",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_season t WHERE t."seasonTMSId"=core."seasonTMSId";

INSERT INTO {1}.season_title SELECT * FROM {0}.season_title WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
INSERT INTO {1}.season_description SELECT * FROM {0}.season_description WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
INSERT INTO {1}.season_cast SELECT * FROM {0}.season_cast WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
INSERT INTO {1}.season_crew SELECT * FROM {0}.season_crew WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
INSERT INTO {1}.season_asset SELECT * FROM {0}.season_asset WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
INSERT INTO {1}.season_asset_id SELECT * FROM {0}.season_asset_id WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
