-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_sportsorg AS SELECT * FROM {0}.sportsorg 
  WHERE 1=1 
    AND {0}.sportsorg."batchUpdateOrd" > {2} 
    AND {0}.sportsorg."batchUpdateOrd" <= {3}
;

CREATE INDEX idx_tmp_sportsorg_id ON tmp_sportsorg("organizationId");

DELETE FROM {1}.sportsorg_event WHERE "organizationId" IN (SELECT "organizationId" FROM tmp_sportsorg);
DELETE FROM {1}.sportsorg_teambrand WHERE "organizationId" IN (SELECT "organizationId" FROM tmp_sportsorg);
DELETE FROM {1}.sportsorg_div WHERE "organizationId" IN (SELECT "organizationId" FROM tmp_sportsorg);
DELETE FROM {1}.sportsorg_conf_asset WHERE "organizationId" IN (SELECT "organizationId" FROM tmp_sportsorg);
DELETE FROM {1}.sportsorg_conf WHERE "organizationId" IN (SELECT "organizationId" FROM tmp_sportsorg);
DELETE FROM {1}.sportsorg_asset WHERE "organizationId" IN (SELECT "organizationId" FROM tmp_sportsorg);

UPDATE {1}.sportsorg AS core SET ("updateId","updateDate","deleted","rootId","official","sportGId","name","genre","genreId","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."rootId",t."official",t."sportGId",t."name",t."genre",t."genreId",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_sportsorg t WHERE t."organizationId"=core."organizationId";

INSERT INTO {1}.sportsorg_asset SELECT * FROM {0}.sportsorg_asset WHERE "organizationId" IN (SELECT "organizationId" FROM tmp_sportsorg);
INSERT INTO {1}.sportsorg_conf SELECT * FROM {0}.sportsorg_conf WHERE "organizationId" IN (SELECT "organizationId" FROM tmp_sportsorg);
INSERT INTO {1}.sportsorg_conf_asset SELECT * FROM {0}.sportsorg_conf_asset WHERE "organizationId" IN (SELECT "organizationId" FROM tmp_sportsorg);
INSERT INTO {1}.sportsorg_div SELECT * FROM {0}.sportsorg_div WHERE "organizationId" IN (SELECT "organizationId" FROM tmp_sportsorg);
INSERT INTO {1}.sportsorg_teambrand SELECT * FROM {0}.sportsorg_teambrand WHERE "organizationId" IN (SELECT "organizationId" FROM tmp_sportsorg);
INSERT INTO {1}.sportsorg_event SELECT * FROM {0}.sportsorg_event WHERE "organizationId" IN (SELECT "organizationId" FROM tmp_sportsorg);
