-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_teambrand AS SELECT * FROM {0}.teambrand 
  WHERE 1=1 
    AND {0}.teambrand."batchUpdateOrd" > {2} 
    AND {0}.teambrand."batchUpdateOrd" <= {3}
    AND ( {0}.teambrand."deleted" IS NULL OR 
          {0}.teambrand."deleted" != {4} )
;

CREATE INDEX idx_tmp_teambrand_id ON tmp_teambrand("teamBrandId");

DELETE FROM {1}.teambrand_asset WHERE "teamBrandId" IN (SELECT "teamBrandId" FROM tmp_teambrand);
DELETE FROM {1}.teambrand_name WHERE "teamBrandId" IN (SELECT "teamBrandId" FROM tmp_teambrand);

UPDATE {1}.teambrand AS core SET ("updateId","updateDate","deleted","teamBrandGId","teamId","active","fromDate","toDate","names_lang","officialName","properName","nickName","abbreviation","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."teamBrandGId",t."teamId",t."active",t."fromDate",t."toDate",t."names_lang",t."officialName",t."properName",t."nickName",t."abbreviation",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_teambrand t WHERE t."teamBrandId"=core."teamBrandId";

INSERT INTO {1}.teambrand_name SELECT * FROM {0}.teambrand_name WHERE "teamBrandId" IN (SELECT "teamBrandId" FROM tmp_teambrand);
INSERT INTO {1}.teambrand_asset SELECT * FROM {0}.teambrand_asset WHERE "teamBrandId" IN (SELECT "teamBrandId" FROM tmp_teambrand);


CREATE TEMP TABLE tmp_teambrand_del AS SELECT * FROM {0}.teambrand 
  WHERE 1=1 
    AND {0}.teambrand."batchUpdateOrd" > {2} 
    AND {0}.teambrand."batchUpdateOrd" <= {3} 
    AND {0}.teambrand."deleted" = {4} 
;
UPDATE {1}.teambrand AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_teambrand_del t WHERE t."teamBrandId"=core."teamBrandId" 
;
UPDATE {1}.teambrand_name AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_teambrand_del t WHERE t."teamBrandId"=core."teamBrandId" 
;


UPDATE {1}.teambrand_asset AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_teambrand_del t WHERE t."teamBrandId"=core."teamBrandId" 
;

