-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_venue AS SELECT * FROM {0}.venue 
  WHERE 1=1 
    AND {0}.venue."batchUpdateOrd" > {2} 
    AND {0}.venue."batchUpdateOrd" <= {3}
    AND ( {0}.venue."deleted" IS NULL OR 
          {0}.venue."deleted" != {4} )
;

CREATE INDEX idx_tmp_venue_id ON tmp_venue("venueId");


UPDATE {1}.venue AS core SET ("updateId","updateDate","deleted","venueGId","type","timezone","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."venueGId",t."type",t."timezone",t."address_city",t."address_state",t."address_country",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_venue t WHERE t."venueId"=core."venueId";



CREATE TEMP TABLE tmp_venue_del AS SELECT * FROM {0}.venue 
  WHERE 1=1 
    AND {0}.venue."batchUpdateOrd" > {2} 
    AND {0}.venue."batchUpdateOrd" <= {3} 
    AND {0}.venue."deleted" = {4} 
;
UPDATE {1}.venue AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_venue_del t WHERE t."venueId"=core."venueId" 
;