-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_venuebrand AS SELECT * FROM {0}.venuebrand 
  WHERE 1=1 
    AND {0}.venuebrand."batchUpdateOrd" > {2} 
    AND {0}.venuebrand."batchUpdateOrd" <= {3}
    AND ( {0}.venuebrand."deleted" IS NULL OR 
          {0}.venuebrand."deleted" != {4} )
;

CREATE INDEX idx_tmp_venuebrand_id ON tmp_venuebrand("venueBrandId");

DELETE FROM {1}.venuebrand_name WHERE "venueBrandId" IN (SELECT "venueBrandId" FROM tmp_venuebrand);

UPDATE {1}.venuebrand AS core SET ("updateId","updateDate","deleted","venueId","active","fromDate","toDate","names_lang","name","name_lang","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."venueId",t."active",t."fromDate",t."toDate",t."names_lang",t."name",t."name_lang",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_venuebrand t WHERE t."venueBrandId"=core."venueBrandId";

INSERT INTO {1}.venuebrand_name SELECT * FROM {0}.venuebrand_name WHERE "venueBrandId" IN (SELECT "venueBrandId" FROM tmp_venuebrand);


CREATE TEMP TABLE tmp_venuebrand_del AS SELECT * FROM {0}.venuebrand 
  WHERE 1=1 
    AND {0}.venuebrand."batchUpdateOrd" > {2} 
    AND {0}.venuebrand."batchUpdateOrd" <= {3} 
    AND {0}.venuebrand."deleted" = {4} 
;
UPDATE {1}.venuebrand AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_venuebrand_del t WHERE t."venueBrandId"=core."venueBrandId" 
;
UPDATE {1}.venuebrand_name AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_venuebrand_del t WHERE t."venueBrandId"=core."venueBrandId" 
;

