ATTACH DATABASE '__gxd_runsql_sqlite_db_path_stub__{0}.db' AS core;
CREATE TABLE IF NOT EXISTS core."availability" ("availabilityId" VARCHAR(255) NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "prgSvcId" INTEGER, "catalogName" VARCHAR(255), "videoQuality" VARCHAR(255), "availableFrom" DATETIME, "expiresAt" DATETIME, "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."availability_prgSvcId" ON "availability" ("prgSvcId");
CREATE INDEX IF NOT EXISTS core."availability_catalogName" ON "availability" ("catalogName");
CREATE TABLE IF NOT EXISTS core."availability_id" ("availabilityId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "id" VARCHAR(255), "type" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("availabilityId") REFERENCES "availability" ("availabilityId"));
CREATE INDEX IF NOT EXISTS core."availability_id_availabilityId" ON "availability_id" ("availabilityId");
CREATE INDEX IF NOT EXISTS core."availability_id_id" ON "availability_id" ("id");
CREATE TABLE IF NOT EXISTS core."availability_providerdata" ("availabilityId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "key" VARCHAR(255) NOT NULL, "value" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("availabilityId") REFERENCES "availability" ("availabilityId"));
CREATE INDEX IF NOT EXISTS core."availability_providerdata_availabilityId" ON "availability_providerdata" ("availabilityId");
CREATE TABLE IF NOT EXISTS core."availability_url" ("availabilityId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "url" VARCHAR(500), "type" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("availabilityId") REFERENCES "availability" ("availabilityId"));
CREATE INDEX IF NOT EXISTS core."availability_url_availabilityId" ON "availability_url" ("availabilityId");
CREATE TABLE IF NOT EXISTS core."availability_viewingoption" ("availabilityId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "videoQuality" VARCHAR(255), "license" VARCHAR(255), "price" REAL, "currency" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("availabilityId") REFERENCES "availability" ("availabilityId"));
CREATE INDEX IF NOT EXISTS core."availability_viewingoption_availabilityId" ON "availability_viewingoption" ("availabilityId");
CREATE TABLE IF NOT EXISTS core."celebrity" ("personId" INTEGER NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "type" VARCHAR(255) NOT NULL, "gender" VARCHAR(255), "nationality" VARCHAR(255), "ethnicity" VARCHAR(255), "birthName" VARCHAR(255), "birthPlace" VARCHAR(255), "birthDate" VARCHAR(255), "deathDate" VARCHAR(255), "deathPlace" VARCHAR(255), "deathCause" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE TABLE IF NOT EXISTS core."celebrity_asset" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "assetUpdateId" INTEGER, "assetId" VARCHAR(255), "deleted" INTEGER, "lastModified" DATETIME, "expiredDate" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "width" INTEGER, "height" INTEGER, "primary" INTEGER, "category" VARCHAR(255) NOT NULL, "ratio" VARCHAR(255), "provider" VARCHAR(255), "URI" VARCHAR(255) NOT NULL, "caption" VARCHAR(4000), "caption_lang" VARCHAR(255), "enhRank" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_asset_personId" ON "celebrity_asset" ("personId");
CREATE TABLE IF NOT EXISTS core."celebrity_award" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "won" INTEGER, "rootId" INTEGER, "award" VARCHAR(255) NOT NULL, "awardId" INTEGER NOT NULL, "category" VARCHAR(255) NOT NULL, "awardCatId" INTEGER NOT NULL, "year" VARCHAR(255), "recipient" VARCHAR(255), "recipientNameId" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_award_personId" ON "celebrity_award" ("personId");
CREATE INDEX IF NOT EXISTS core."celebrity_award_rootId" ON "celebrity_award" ("rootId");
CREATE TABLE IF NOT EXISTS core."celebrity_biography" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "biography" TEXT NOT NULL, "type" VARCHAR(255), "lang" VARCHAR(255), "territory" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_biography_personId" ON "celebrity_biography" ("personId");
CREATE TABLE IF NOT EXISTS core."celebrity_education" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "degree" VARCHAR(255), "institution" VARCHAR(255), "location" VARCHAR(255), "major" VARCHAR(255), "yearRange" VARCHAR(255), "notes" VARCHAR(1000), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_education_personId" ON "celebrity_education" ("personId");
CREATE TABLE IF NOT EXISTS core."celebrity_enhancedaward" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "group" VARCHAR(255), "category" VARCHAR(255), "year" VARCHAR(255), "result" VARCHAR(255), "project_title" VARCHAR(255), "showTitle" VARCHAR(255), "notes" VARCHAR(500), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_enhancedaward_personId" ON "celebrity_enhancedaward" ("personId");
CREATE TABLE IF NOT EXISTS core."celebrity_highlight" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "highlight" VARCHAR(1000), "lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_highlight_personId" ON "celebrity_highlight" ("personId");
CREATE TABLE IF NOT EXISTS core."celebrity_mediography" ("mediographyId" VARCHAR(255) NOT NULL PRIMARY KEY, "personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "type" VARCHAR(255), "rootId" INTEGER, "year" VARCHAR(255), "title" VARCHAR(255), "title_type" VARCHAR(255), "title_subType" VARCHAR(255), "title_lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_mediography_personId" ON "celebrity_mediography" ("personId");
CREATE INDEX IF NOT EXISTS core."celebrity_mediography_rootId" ON "celebrity_mediography" ("rootId");
CREATE TABLE IF NOT EXISTS core."celebrity_mediography_credit" ("mediographyId" VARCHAR(255) NOT NULL, "personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "nameId" INTEGER, "characterName" VARCHAR(255), "roleId" INTEGER, "role" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("mediographyId") REFERENCES "celebrity_mediography" ("mediographyId"), FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_mediography_credit_mediographyId" ON "celebrity_mediography_credit" ("mediographyId");
CREATE INDEX IF NOT EXISTS core."celebrity_mediography_credit_personId" ON "celebrity_mediography_credit" ("personId");
CREATE TABLE IF NOT EXISTS core."celebrity_milestone" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "beginDate" VARCHAR(255), "endDate" VARCHAR(255), "description" VARCHAR(4000), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_milestone_personId" ON "celebrity_milestone" ("personId");
CREATE TABLE IF NOT EXISTS core."celebrity_name" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "nameId" INTEGER NOT NULL, "primary" INTEGER, "lang" VARCHAR(255), "sort" INTEGER, "prefix" VARCHAR(255), "first" VARCHAR(255), "middle" VARCHAR(255), "last" VARCHAR(255), "suffix" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_name_personId" ON "celebrity_name" ("personId");
CREATE INDEX IF NOT EXISTS core."celebrity_name_nameId" ON "celebrity_name" ("nameId");
CREATE TABLE IF NOT EXISTS core."celebrity_note" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "note" VARCHAR(4000), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_note_personId" ON "celebrity_note" ("personId");
CREATE TABLE IF NOT EXISTS core."celebrity_participanttype" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "participantType" VARCHAR(255), "isPrimary" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_participanttype_personId" ON "celebrity_participanttype" ("personId");
CREATE TABLE IF NOT EXISTS core."celebrity_quote" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "type" VARCHAR(255), "description" VARCHAR(4000), "beginDate" VARCHAR(255), "endDate" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_quote_personId" ON "celebrity_quote" ("personId");
CREATE TABLE IF NOT EXISTS core."celebrity_relationship" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "type" VARCHAR(255), "relationship" VARCHAR(255), "rel_personId" INTEGER, "name_prefix" VARCHAR(255), "name_first" VARCHAR(255), "name_middle" VARCHAR(255), "name_last" VARCHAR(255), "name_suffix" VARCHAR(255), "name_aka" VARCHAR(255), "description" VARCHAR(4000), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_relationship_personId" ON "celebrity_relationship" ("personId");
CREATE INDEX IF NOT EXISTS core."celebrity_relationship_rel_personId" ON "celebrity_relationship" ("rel_personId");
CREATE TABLE IF NOT EXISTS core."celebrity_relationshipevent" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "type" VARCHAR(255), "relationship" VARCHAR(255), "name" VARCHAR(255), "event_type" VARCHAR(255), "event_date" VARCHAR(255), "event_desc" VARCHAR(500), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_relationshipevent_personId" ON "celebrity_relationshipevent" ("personId");
CREATE TABLE IF NOT EXISTS core."celebrity_socialmedia" ("personId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "handle" VARCHAR(255), "host" VARCHAR(255), "URL" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("personId") REFERENCES "celebrity" ("personId"));
CREATE INDEX IF NOT EXISTS core."celebrity_socialmedia_personId" ON "celebrity_socialmedia" ("personId");
CREATE TABLE IF NOT EXISTS core."cv" ("cvId" VARCHAR(255) NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "cvType" VARCHAR(255) NOT NULL, "id" VARCHAR(255), "type" VARCHAR(255), "lang" VARCHAR(255), "value" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."cv_id" ON "cv" ("id");
CREATE TABLE IF NOT EXISTS core."cv_attribute" ("cvId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "attributeId" VARCHAR(255), "attributeType" VARCHAR(255), "attributeLang" VARCHAR(255), "attributeValue" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("cvId") REFERENCES "cv" ("cvId"));
CREATE INDEX IF NOT EXISTS core."cv_attribute_cvId" ON "cv_attribute" ("cvId");
CREATE TABLE IF NOT EXISTS core."descriptor" ("descriptorId" VARCHAR(255) NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "descriptorName" VARCHAR(255) NOT NULL, "parent_descriptorId" VARCHAR(255), "typeId" VARCHAR(255) NOT NULL, "typeName" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."descriptor_parent_descriptorId" ON "descriptor" ("parent_descriptorId");
CREATE TABLE IF NOT EXISTS core."descriptortaxonomy" ("taxonomyId" VARCHAR(255) NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE TABLE IF NOT EXISTS core."descriptortaxonomy_descriptor" ("taxonomyId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "descriptorId" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("taxonomyId") REFERENCES "descriptortaxonomy" ("taxonomyId"));
CREATE INDEX IF NOT EXISTS core."descriptortaxonomy_descriptor_taxonomyId" ON "descriptortaxonomy_descriptor" ("taxonomyId");
CREATE INDEX IF NOT EXISTS core."descriptortaxonomy_descriptor_descriptorId" ON "descriptortaxonomy_descriptor" ("descriptorId");
CREATE TABLE IF NOT EXISTS core."lineup" ("lineupId" VARCHAR(255) NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "country" VARCHAR(255), "countryId" INTEGER, "mso" VARCHAR(255), "msoId" INTEGER, "headend" VARCHAR(255), "headendId" VARCHAR(255), "location" VARCHAR(255), "device" VARCHAR(255), "deviceType" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."lineup_country" ON "lineup" ("country");
CREATE INDEX IF NOT EXISTS core."lineup_countryId" ON "lineup" ("countryId");
CREATE INDEX IF NOT EXISTS core."lineup_msoId" ON "lineup" ("msoId");
CREATE INDEX IF NOT EXISTS core."lineup_type" ON "lineup" ("type");
CREATE TABLE IF NOT EXISTS core."lineup_channel" ("channelId" VARCHAR(255) NOT NULL PRIMARY KEY, "lineupId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "prgSvcId" INTEGER, "channelNumber" VARCHAR(255), "effectiveDate" DATETIME, "expirationDate" DATETIME, "tier" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("lineupId") REFERENCES "lineup" ("lineupId"));
CREATE INDEX IF NOT EXISTS core."lineup_channel_lineupId" ON "lineup_channel" ("lineupId");
CREATE INDEX IF NOT EXISTS core."lineup_channel_prgSvcId" ON "lineup_channel" ("prgSvcId");
CREATE TABLE IF NOT EXISTS core."lineup_channel_transport" ("transportId" VARCHAR(255) NOT NULL PRIMARY KEY, "channelId" VARCHAR(255) NOT NULL, "lineupId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "system" VARCHAR(255) NOT NULL, "subSystem" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("channelId") REFERENCES "lineup_channel" ("channelId"), FOREIGN KEY ("lineupId") REFERENCES "lineup" ("lineupId"));
CREATE INDEX IF NOT EXISTS core."lineup_channel_transport_channelId" ON "lineup_channel_transport" ("channelId");
CREATE INDEX IF NOT EXISTS core."lineup_channel_transport_lineupId" ON "lineup_channel_transport" ("lineupId");
CREATE TABLE IF NOT EXISTS core."lineup_channel_transport_id" ("transportId" VARCHAR(255) NOT NULL, "lineupId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "type" VARCHAR(255) NOT NULL, "id" INTEGER NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("transportId") REFERENCES "lineup_channel_transport" ("transportId"), FOREIGN KEY ("lineupId") REFERENCES "lineup" ("lineupId"));
CREATE INDEX IF NOT EXISTS core."lineup_channel_transport_id_transportId" ON "lineup_channel_transport_id" ("transportId");
CREATE INDEX IF NOT EXISTS core."lineup_channel_transport_id_lineupId" ON "lineup_channel_transport_id" ("lineupId");
CREATE INDEX IF NOT EXISTS core."lineup_channel_transport_id_id" ON "lineup_channel_transport_id" ("id");
CREATE TABLE IF NOT EXISTS core."lineup_market" ("lineupId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "market" VARCHAR(255), "marketId" INTEGER, "type" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("lineupId") REFERENCES "lineup" ("lineupId"));
CREATE INDEX IF NOT EXISTS core."lineup_market_lineupId" ON "lineup_market" ("lineupId");
CREATE TABLE IF NOT EXISTS core."lineup_postalcode" ("lineupId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "postalCode" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("lineupId") REFERENCES "lineup" ("lineupId"));
CREATE INDEX IF NOT EXISTS core."lineup_postalcode_lineupId" ON "lineup_postalcode" ("lineupId");
CREATE INDEX IF NOT EXISTS core."lineup_postalcode_postalCode" ON "lineup_postalcode" ("postalCode");
CREATE TABLE IF NOT EXISTS core."mapping" ("mappingId" INTEGER NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "creationDate" VARCHAR(255), "status" VARCHAR(255), "catalogName" VARCHAR(255), "avail_start" DATETIME, "avail_end" DATETIME, "message_reason" VARCHAR(255), "message_detail" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."mapping_catalogName" ON "mapping" ("catalogName");
CREATE TABLE IF NOT EXISTS core."mapping_id" ("mappingId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "id" VARCHAR(255) NOT NULL, "type" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("mappingId") REFERENCES "mapping" ("mappingId"));
CREATE INDEX IF NOT EXISTS core."mapping_id_mappingId" ON "mapping_id" ("mappingId");
CREATE INDEX IF NOT EXISTS core."mapping_id_id" ON "mapping_id" ("id");
CREATE TABLE IF NOT EXISTS core."mapping_link" ("mappingId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "link" VARCHAR(255) NOT NULL, "idType" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("mappingId") REFERENCES "mapping" ("mappingId"));
CREATE INDEX IF NOT EXISTS core."mapping_link_mappingId" ON "mapping_link" ("mappingId");
CREATE INDEX IF NOT EXISTS core."mapping_link_link" ON "mapping_link" ("link");
CREATE TABLE IF NOT EXISTS core."popularity" ("popularityId" VARCHAR(255) NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "country" VARCHAR(255) NOT NULL, "rootId" INTEGER NOT NULL, "score" REAL NOT NULL, "scoreDate" DATETIME, "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."popularity_rootId" ON "popularity" ("rootId");
CREATE TABLE IF NOT EXISTS core."program" ("TMSId" VARCHAR(255) NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "inactive" INTEGER, "rootId" INTEGER, "versionId" INTEGER, "connectorId" VARCHAR(255), "seasonId" INTEGER, "seriesId" INTEGER, "title_lang" VARCHAR(255) NOT NULL, "desc_lang" VARCHAR(255) NOT NULL, "title_subType" VARCHAR(255) NOT NULL, "runTime" VARCHAR(255), "progType" VARCHAR(255), "subType" VARCHAR(255), "holiday" VARCHAR(255), "holidayId" INTEGER, "origAirDate" VARCHAR(255), "colorCode" VARCHAR(255), "versionLabel" VARCHAR(255), "animation" VARCHAR(255), "origAudioLang" VARCHAR(255), "sourceType" VARCHAR(255), "origNetwork" VARCHAR(255), "origNetwork_prgSvcId" INTEGER, "lastOrigNetwork" VARCHAR(255), "lastOrigNetwork_prgSvcId" INTEGER, "seriesPremiere" VARCHAR(255), "seriesFinale" VARCHAR(255), "showcard" INTEGER, "officialURL" VARCHAR(255), "partNumber" INTEGER, "totalParts" INTEGER, "duration" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."program_rootId" ON "program" ("rootId");
CREATE INDEX IF NOT EXISTS core."program_connectorId" ON "program" ("connectorId");
CREATE INDEX IF NOT EXISTS core."program_seasonId" ON "program" ("seasonId");
CREATE INDEX IF NOT EXISTS core."program_seriesId" ON "program" ("seriesId");
CREATE INDEX IF NOT EXISTS core."program_title_lang" ON "program" ("title_lang");
CREATE INDEX IF NOT EXISTS core."program_desc_lang" ON "program" ("desc_lang");
CREATE INDEX IF NOT EXISTS core."program_progType" ON "program" ("progType");
CREATE INDEX IF NOT EXISTS core."program_subType" ON "program" ("subType");
CREATE INDEX IF NOT EXISTS core."program_origAirDate" ON "program" ("origAirDate");
CREATE INDEX IF NOT EXISTS core."program_origNetwork_prgSvcId" ON "program" ("origNetwork_prgSvcId");
CREATE INDEX IF NOT EXISTS core."program_lastOrigNetwork_prgSvcId" ON "program" ("lastOrigNetwork_prgSvcId");
CREATE TABLE IF NOT EXISTS core."program_asset" ("programAssetId" VARCHAR(255) NOT NULL PRIMARY KEY, "TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "assetUpdateId" INTEGER, "assetId" VARCHAR(255) NOT NULL, "deleted" INTEGER, "lastModified" DATETIME, "expiredDate" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "width" INTEGER, "height" INTEGER, "primary" INTEGER, "category" VARCHAR(255) NOT NULL, "ratio" VARCHAR(255), "tier" VARCHAR(255), "seasonId" INTEGER, "restrictedProvider" INTEGER, "provider" VARCHAR(255), "URI" VARCHAR(255) NOT NULL, "caption" VARCHAR(1000), "caption_lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_asset_TMSId" ON "program_asset" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_asset_id" ("programAssetId" VARCHAR(255) NOT NULL, "TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "id" VARCHAR(255) NOT NULL, "type" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("programAssetId") REFERENCES "program_asset" ("programAssetId"), FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_asset_id_programAssetId" ON "program_asset_id" ("programAssetId");
CREATE INDEX IF NOT EXISTS core."program_asset_id_TMSId" ON "program_asset_id" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_award" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "won" INTEGER, "award" VARCHAR(255) NOT NULL, "awardId" INTEGER NOT NULL, "category" VARCHAR(255) NOT NULL, "awardCatId" INTEGER NOT NULL, "year" VARCHAR(255), "recipient" VARCHAR(255), "recipientNameId" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_award_TMSId" ON "program_award" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_cast" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "ord" INTEGER NOT NULL, "personId" INTEGER, "nameId" INTEGER, "characterName" VARCHAR(255), "roleId" INTEGER, "role" VARCHAR(255), "departed" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_cast_TMSId" ON "program_cast" ("TMSId");
CREATE INDEX IF NOT EXISTS core."program_cast_personId" ON "program_cast" ("personId");
CREATE TABLE IF NOT EXISTS core."program_country" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "country" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_country_TMSId" ON "program_country" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_crew" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "ord" INTEGER NOT NULL, "personId" INTEGER, "nameId" INTEGER, "roleId" INTEGER, "role" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_crew_TMSId" ON "program_crew" ("TMSId");
CREATE INDEX IF NOT EXISTS core."program_crew_personId" ON "program_crew" ("personId");
CREATE TABLE IF NOT EXISTS core."program_description" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "description" TEXT NOT NULL, "size" INTEGER NOT NULL, "type" VARCHAR(255) NOT NULL, "lang" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_description_TMSId" ON "program_description" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_descriptor" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "ord" INTEGER, "descriptorId" VARCHAR(255), "weight" INTEGER, "type" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_descriptor_TMSId" ON "program_descriptor" ("TMSId");
CREATE INDEX IF NOT EXISTS core."program_descriptor_descriptorId" ON "program_descriptor" ("descriptorId");
CREATE TABLE IF NOT EXISTS core."program_epinfo" ("episodeInfoId" VARCHAR(255) NOT NULL PRIMARY KEY, "TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "title" VARCHAR(255), "size" INTEGER, "type" VARCHAR(255), "subType" VARCHAR(255), "lang" VARCHAR(255), "season" INTEGER, "number" INTEGER, "episodes" VARCHAR(255), "numInSeries" INTEGER, "seasonYear" INTEGER, "synNum" VARCHAR(255), "altSynNum" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_epinfo_TMSId" ON "program_epinfo" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_epinfo_alt" ("episodeInfoId" VARCHAR(255) NOT NULL, "TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "country" VARCHAR(255), "countrywide" INTEGER, "prgSvcId" INTEGER, "season" INTEGER, "episode" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("episodeInfoId") REFERENCES "program_epinfo" ("episodeInfoId"), FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_epinfo_alt_episodeInfoId" ON "program_epinfo_alt" ("episodeInfoId");
CREATE INDEX IF NOT EXISTS core."program_epinfo_alt_TMSId" ON "program_epinfo_alt" ("TMSId");
CREATE INDEX IF NOT EXISTS core."program_epinfo_alt_prgSvcId" ON "program_epinfo_alt" ("prgSvcId");
CREATE TABLE IF NOT EXISTS core."program_externallink" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "vendor" VARCHAR(255), "vendorId" VARCHAR(255), "id" VARCHAR(255), "url" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_externallink_TMSId" ON "program_externallink" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_genre" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "genreOrd" INTEGER NOT NULL, "genre" VARCHAR(255) NOT NULL, "genreId" INTEGER NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_genre_TMSId" ON "program_genre" ("TMSId");
CREATE INDEX IF NOT EXISTS core."program_genre_genreId" ON "program_genre" ("genreId");
CREATE TABLE IF NOT EXISTS core."program_mvinfo" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "key" VARCHAR(255) NOT NULL, "value" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_mvinfo_TMSId" ON "program_mvinfo" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_mvtrailer" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "format" VARCHAR(255), "URL" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_mvtrailer_TMSId" ON "program_mvtrailer" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_origaudiolang" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "ord" INTEGER, "lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_origaudiolang_TMSId" ON "program_origaudiolang" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_qualityrating" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "ratingsBody" VARCHAR(255), "value" VARCHAR(255), "numVotes" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_qualityrating_TMSId" ON "program_qualityrating" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_rating" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "exempt" INTEGER, "rating_code" VARCHAR(255), "ratingBodyId" INTEGER, "ratingsBody" VARCHAR(255), "warning" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_rating_TMSId" ON "program_rating" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_ratingadvisory" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "advisory" VARCHAR(255) NOT NULL, "ratingsBody" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_ratingadvisory_TMSId" ON "program_ratingadvisory" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_relationship" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "type" VARCHAR(255), "association" VARCHAR(255), "rootId" INTEGER, "organizationId" INTEGER, "personId" INTEGER, "personNameId" INTEGER, "label" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_relationship_TMSId" ON "program_relationship" ("TMSId");
CREATE INDEX IF NOT EXISTS core."program_relationship_rootId" ON "program_relationship" ("rootId");
CREATE INDEX IF NOT EXISTS core."program_relationship_organizationId" ON "program_relationship" ("organizationId");
CREATE INDEX IF NOT EXISTS core."program_relationship_personId" ON "program_relationship" ("personId");
CREATE TABLE IF NOT EXISTS core."program_release" ("releaseId" VARCHAR(255) NOT NULL PRIMARY KEY, "TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "editNotes" VARCHAR(255), "country" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "date" VARCHAR(255), "medium" VARCHAR(255), "prgSvcId" INTEGER, "seasonYear" VARCHAR(255), "seasonName" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_release_TMSId" ON "program_release" ("TMSId");
CREATE INDEX IF NOT EXISTS core."program_release_prgSvcId" ON "program_release" ("prgSvcId");
CREATE TABLE IF NOT EXISTS core."program_release_attribute" ("releaseId" VARCHAR(255) NOT NULL, "TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "attribute" VARCHAR(255) NOT NULL, "attribute_type" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("releaseId") REFERENCES "program_release" ("releaseId"), FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_release_attribute_releaseId" ON "program_release_attribute" ("releaseId");
CREATE INDEX IF NOT EXISTS core."program_release_attribute_TMSId" ON "program_release_attribute" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_release_distributor" ("releaseId" VARCHAR(255) NOT NULL, "TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "name" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("releaseId") REFERENCES "program_release" ("releaseId"), FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_release_distributor_releaseId" ON "program_release_distributor" ("releaseId");
CREATE INDEX IF NOT EXISTS core."program_release_distributor_TMSId" ON "program_release_distributor" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_season" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "seasonTMSId" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_season_TMSId" ON "program_season" ("TMSId");
CREATE INDEX IF NOT EXISTS core."program_season_seasonTMSId" ON "program_season" ("seasonTMSId");
CREATE TABLE IF NOT EXISTS core."program_spdata" ("sportsDataId" VARCHAR(255) NOT NULL PRIMARY KEY, "TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "homeParticipantGId" VARCHAR(255), "awayParticipantGId" VARCHAR(255), "participantType" VARCHAR(255), "sportGId" VARCHAR(255), "venueGId" VARCHAR(255), "gender" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_spdata_TMSId" ON "program_spdata" ("TMSId");
CREATE INDEX IF NOT EXISTS core."program_spdata_sportGId" ON "program_spdata" ("sportGId");
CREATE TABLE IF NOT EXISTS core."program_spdata_event" ("sportsDataId" VARCHAR(255) NOT NULL, "TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "sportsEventGId" VARCHAR(255) NOT NULL, "type" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("sportsDataId") REFERENCES "program_spdata" ("sportsDataId"), FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_spdata_event_sportsDataId" ON "program_spdata_event" ("sportsDataId");
CREATE INDEX IF NOT EXISTS core."program_spdata_event_TMSId" ON "program_spdata_event" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_spevent" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "eventId" VARCHAR(255) NOT NULL, "type" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_spevent_TMSId" ON "program_spevent" ("TMSId");
CREATE TABLE IF NOT EXISTS core."program_spinfo" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "gameDate" VARCHAR(255), "gameTime" VARCHAR(255), "gameTimeZone" VARCHAR(255), "venue" VARCHAR(255), "venueBrandId" INTEGER, "season" VARCHAR(255), "season_type" VARCHAR(255), "playoffRound" VARCHAR(255), "playoffRound_gameNum" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_spinfo_TMSId" ON "program_spinfo" ("TMSId");
CREATE INDEX IF NOT EXISTS core."program_spinfo_gameDate" ON "program_spinfo" ("gameDate");
CREATE TABLE IF NOT EXISTS core."program_spteam" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "team" VARCHAR(255) NOT NULL, "teamBrandId" INTEGER, "isHome" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_spteam_TMSId" ON "program_spteam" ("TMSId");
CREATE INDEX IF NOT EXISTS core."program_spteam_teamBrandId" ON "program_spteam" ("teamBrandId");
CREATE TABLE IF NOT EXISTS core."program_title" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "title" VARCHAR(255) NOT NULL, "size" INTEGER NOT NULL, "type" VARCHAR(255) NOT NULL, "subType" VARCHAR(255), "lang" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "program" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."program_title_TMSId" ON "program_title" ("TMSId");
CREATE TABLE IF NOT EXISTS core."schedule" ("scheduleId" VARCHAR(255) NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "prgSvcId" INTEGER NOT NULL, "date" DATETIME NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."schedule_prgSvcId" ON "schedule" ("prgSvcId");
CREATE INDEX IF NOT EXISTS core."schedule_date" ON "schedule" ("date");
CREATE TABLE IF NOT EXISTS core."schedule_event" ("eventId" VARCHAR(255) NOT NULL PRIMARY KEY, "scheduleId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "gnEventId" VARCHAR(255), "TMSId" VARCHAR(255) NOT NULL, "time" VARCHAR(255) NOT NULL, "dur" VARCHAR(255) NOT NULL, "rootId" INTEGER, "exactStartDateTime" DATETIME, "exactEndDateTime" DATETIME, "exactStart" VARCHAR(255), "exactDur" VARCHAR(255), "exactSource" VARCHAR(255), "subtitled" INTEGER, "subtitled_lang" VARCHAR(255), "dubbed" INTEGER, "dubbed_lang" VARCHAR(255), "sap" INTEGER, "sap_lang" VARCHAR(255), "tvRating" VARCHAR(255), "tvRating_body" VARCHAR(255), "tvSubRating" VARCHAR(255), "tvSubRating_body" VARCHAR(255), "partNum" INTEGER, "numOfParts" INTEGER, "netSynSource" VARCHAR(255), "netSynType" VARCHAR(255), "quals" VARCHAR(255), "catchup_validFrom" DATETIME, "catchup_validTo" DATETIME, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("scheduleId") REFERENCES "schedule" ("scheduleId"));
CREATE INDEX IF NOT EXISTS core."schedule_event_scheduleId" ON "schedule_event" ("scheduleId");
CREATE INDEX IF NOT EXISTS core."schedule_event_TMSId" ON "schedule_event" ("TMSId");
CREATE INDEX IF NOT EXISTS core."schedule_event_rootId" ON "schedule_event" ("rootId");
CREATE TABLE IF NOT EXISTS core."schedule_event_bcastid" ("eventId" VARCHAR(255) NOT NULL, "scheduleId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "broadcastId" VARCHAR(255) NOT NULL, "broadcastId_type" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("eventId") REFERENCES "schedule_event" ("eventId"), FOREIGN KEY ("scheduleId") REFERENCES "schedule" ("scheduleId"));
CREATE INDEX IF NOT EXISTS core."schedule_event_bcastid_eventId" ON "schedule_event_bcastid" ("eventId");
CREATE INDEX IF NOT EXISTS core."schedule_event_bcastid_scheduleId" ON "schedule_event_bcastid" ("scheduleId");
CREATE TABLE IF NOT EXISTS core."schedule_event_right" ("rightId" VARCHAR(255) NOT NULL PRIMARY KEY, "eventId" VARCHAR(255) NOT NULL, "scheduleId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "right" VARCHAR(255) NOT NULL, "allowed" INTEGER, "customer" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("eventId") REFERENCES "schedule_event" ("eventId"), FOREIGN KEY ("scheduleId") REFERENCES "schedule" ("scheduleId"));
CREATE INDEX IF NOT EXISTS core."schedule_event_right_eventId" ON "schedule_event_right" ("eventId");
CREATE INDEX IF NOT EXISTS core."schedule_event_right_scheduleId" ON "schedule_event_right" ("scheduleId");
CREATE TABLE IF NOT EXISTS core."schedule_event_right_param" ("rightId" VARCHAR(255) NOT NULL, "scheduleId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "type" VARCHAR(255) NOT NULL, "param" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("rightId") REFERENCES "schedule_event_right" ("rightId"), FOREIGN KEY ("scheduleId") REFERENCES "schedule" ("scheduleId"));
CREATE INDEX IF NOT EXISTS core."schedule_event_right_param_rightId" ON "schedule_event_right_param" ("rightId");
CREATE INDEX IF NOT EXISTS core."schedule_event_right_param_scheduleId" ON "schedule_event_right_param" ("scheduleId");
CREATE TABLE IF NOT EXISTS core."season" ("seasonTMSId" VARCHAR(255) NOT NULL PRIMARY KEY, "seasonId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "inactive" INTEGER, "seasonNumber" INTEGER, "seasonYear" INTEGER, "seasonPremiere" VARCHAR(255), "seasonFinale" VARCHAR(255), "origNetwork" VARCHAR(255), "origNetwork_prgSvcId" INTEGER, "totalSeasonEpisodes" INTEGER, "showcard" INTEGER, "officialURL" VARCHAR(255), "title_lang" VARCHAR(255), "desc_lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."season_seasonId" ON "season" ("seasonId");
CREATE INDEX IF NOT EXISTS core."season_origNetwork_prgSvcId" ON "season" ("origNetwork_prgSvcId");
CREATE TABLE IF NOT EXISTS core."season_asset" ("seasonAssetId" VARCHAR(255) NOT NULL PRIMARY KEY, "seasonTMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "assetUpdateId" INTEGER, "assetId" VARCHAR(255) NOT NULL, "deleted" INTEGER, "lastModified" DATETIME, "expiredDate" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "width" INTEGER, "height" INTEGER, "primary" INTEGER, "category" VARCHAR(255) NOT NULL, "ratio" VARCHAR(255), "tier" VARCHAR(255), "restrictedProvider" INTEGER, "provider" VARCHAR(255), "seasonId" INTEGER, "URI" VARCHAR(255) NOT NULL, "caption" VARCHAR(1000), "caption_lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("seasonTMSId") REFERENCES "season" ("seasonTMSId"));
CREATE INDEX IF NOT EXISTS core."season_asset_seasonTMSId" ON "season_asset" ("seasonTMSId");
CREATE TABLE IF NOT EXISTS core."season_asset_id" ("seasonAssetId" VARCHAR(255) NOT NULL, "seasonTMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "id" VARCHAR(255) NOT NULL, "type" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("seasonAssetId") REFERENCES "season_asset" ("seasonAssetId"), FOREIGN KEY ("seasonTMSId") REFERENCES "season" ("seasonTMSId"));
CREATE INDEX IF NOT EXISTS core."season_asset_id_seasonAssetId" ON "season_asset_id" ("seasonAssetId");
CREATE INDEX IF NOT EXISTS core."season_asset_id_seasonTMSId" ON "season_asset_id" ("seasonTMSId");
CREATE TABLE IF NOT EXISTS core."season_cast" ("seasonTMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "ord" INTEGER NOT NULL, "personId" INTEGER, "nameId" INTEGER, "characterName" VARCHAR(255), "roleId" INTEGER, "role" VARCHAR(255), "departed" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("seasonTMSId") REFERENCES "season" ("seasonTMSId"));
CREATE INDEX IF NOT EXISTS core."season_cast_seasonTMSId" ON "season_cast" ("seasonTMSId");
CREATE INDEX IF NOT EXISTS core."season_cast_personId" ON "season_cast" ("personId");
CREATE TABLE IF NOT EXISTS core."season_crew" ("seasonTMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "ord" INTEGER NOT NULL, "personId" INTEGER, "nameId" INTEGER, "roleId" INTEGER, "role" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("seasonTMSId") REFERENCES "season" ("seasonTMSId"));
CREATE INDEX IF NOT EXISTS core."season_crew_seasonTMSId" ON "season_crew" ("seasonTMSId");
CREATE INDEX IF NOT EXISTS core."season_crew_personId" ON "season_crew" ("personId");
CREATE TABLE IF NOT EXISTS core."season_description" ("seasonTMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "description" TEXT NOT NULL, "size" INTEGER NOT NULL, "type" VARCHAR(255) NOT NULL, "lang" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("seasonTMSId") REFERENCES "season" ("seasonTMSId"));
CREATE INDEX IF NOT EXISTS core."season_description_seasonTMSId" ON "season_description" ("seasonTMSId");
CREATE TABLE IF NOT EXISTS core."season_title" ("seasonTMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "title" VARCHAR(255) NOT NULL, "size" INTEGER NOT NULL, "type" VARCHAR(255) NOT NULL, "subType" VARCHAR(255), "lang" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("seasonTMSId") REFERENCES "season" ("seasonTMSId"));
CREATE INDEX IF NOT EXISTS core."season_title_seasonTMSId" ON "season_title" ("seasonTMSId");
CREATE TABLE IF NOT EXISTS core."source" ("prgSvcId" INTEGER NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "inactive" INTEGER, "name" VARCHAR(255) NOT NULL, "callSign" VARCHAR(255) NOT NULL, "num" INTEGER, "majorNum" INTEGER, "minorNum" INTEGER, "city" VARCHAR(255), "state" VARCHAR(255), "postalCode" VARCHAR(255), "country" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "status" VARCHAR(255) NOT NULL, "statusId" INTEGER NOT NULL, "reach" VARCHAR(255), "signalType" VARCHAR(255), "videoType" VARCHAR(255), "truResolution" VARCHAR(255), "enhancedCallSign" VARCHAR(255), "cityOfLicense" VARCHAR(255), "timeZone" VARCHAR(255), "ianaTimeZone" VARCHAR(255), "URL" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE TABLE IF NOT EXISTS core."source_affiliate" ("prgSvcId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "affil" VARCHAR(255) NOT NULL, "affil_prgSvcId" INTEGER, "affiliateId" INTEGER NOT NULL, "ord" INTEGER NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("prgSvcId") REFERENCES "source" ("prgSvcId"));
CREATE INDEX IF NOT EXISTS core."source_affiliate_prgSvcId" ON "source_affiliate" ("prgSvcId");
CREATE INDEX IF NOT EXISTS core."source_affiliate_affil_prgSvcId" ON "source_affiliate" ("affil_prgSvcId");
CREATE TABLE IF NOT EXISTS core."source_altname" ("prgSvcId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "altName" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("prgSvcId") REFERENCES "source" ("prgSvcId"));
CREATE INDEX IF NOT EXISTS core."source_altname_prgSvcId" ON "source_altname" ("prgSvcId");
CREATE TABLE IF NOT EXISTS core."source_asset" ("prgSvcId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "assetUpdateId" INTEGER, "assetId" VARCHAR(255), "deleted" INTEGER, "lastModified" DATETIME, "expiredDate" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "width" INTEGER, "height" INTEGER, "primary" INTEGER, "category" VARCHAR(255) NOT NULL, "ratio" VARCHAR(255), "URI" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("prgSvcId") REFERENCES "source" ("prgSvcId"));
CREATE INDEX IF NOT EXISTS core."source_asset_prgSvcId" ON "source_asset" ("prgSvcId");
CREATE TABLE IF NOT EXISTS core."source_attribute" ("prgSvcId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "attrib" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("prgSvcId") REFERENCES "source" ("prgSvcId"));
CREATE INDEX IF NOT EXISTS core."source_attribute_prgSvcId" ON "source_attribute" ("prgSvcId");
CREATE TABLE IF NOT EXISTS core."source_bcastlang" ("prgSvcId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "bcastLang" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("prgSvcId") REFERENCES "source" ("prgSvcId"));
CREATE INDEX IF NOT EXISTS core."source_bcastlang_prgSvcId" ON "source_bcastlang" ("prgSvcId");
CREATE TABLE IF NOT EXISTS core."source_country" ("prgSvcId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "country" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("prgSvcId") REFERENCES "source" ("prgSvcId"));
CREATE INDEX IF NOT EXISTS core."source_country_prgSvcId" ON "source_country" ("prgSvcId");
CREATE TABLE IF NOT EXISTS core."source_edlang" ("prgSvcId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "edLang" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("prgSvcId") REFERENCES "source" ("prgSvcId"));
CREATE INDEX IF NOT EXISTS core."source_edlang_prgSvcId" ON "source_edlang" ("prgSvcId");
CREATE TABLE IF NOT EXISTS core."source_genre" ("prgSvcId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "genre" VARCHAR(255) NOT NULL, "genreId" INTEGER NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("prgSvcId") REFERENCES "source" ("prgSvcId"));
CREATE INDEX IF NOT EXISTS core."source_genre_prgSvcId" ON "source_genre" ("prgSvcId");
CREATE INDEX IF NOT EXISTS core."source_genre_genreId" ON "source_genre" ("genreId");
CREATE TABLE IF NOT EXISTS core."source_group" ("prgSvcId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "group" VARCHAR(255), "groupId" INTEGER, "type" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("prgSvcId") REFERENCES "source" ("prgSvcId"));
CREATE INDEX IF NOT EXISTS core."source_group_prgSvcId" ON "source_group" ("prgSvcId");
CREATE TABLE IF NOT EXISTS core."source_marketid" ("prgSvcId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "marketId" INTEGER NOT NULL, "type" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("prgSvcId") REFERENCES "source" ("prgSvcId"));
CREATE INDEX IF NOT EXISTS core."source_marketid_prgSvcId" ON "source_marketid" ("prgSvcId");
CREATE TABLE IF NOT EXISTS core."source_relationship" ("prgSvcId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "relationship" INTEGER NOT NULL, "type" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("prgSvcId") REFERENCES "source" ("prgSvcId"));
CREATE INDEX IF NOT EXISTS core."source_relationship_prgSvcId" ON "source_relationship" ("prgSvcId");
CREATE INDEX IF NOT EXISTS core."source_relationship_relationship" ON "source_relationship" ("relationship");
CREATE TABLE IF NOT EXISTS core."source_transportid" ("prgSvcId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "system" VARCHAR(255) NOT NULL, "subsystem" VARCHAR(255) NOT NULL, "type" VARCHAR(255) NOT NULL, "id" INTEGER NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("prgSvcId") REFERENCES "source" ("prgSvcId"));
CREATE INDEX IF NOT EXISTS core."source_transportid_prgSvcId" ON "source_transportid" ("prgSvcId");
CREATE TABLE IF NOT EXISTS core."sourceprogram" ("gnidsId" VARCHAR(255) NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "TMSId" VARCHAR(255) NOT NULL, "desc_lang" VARCHAR(255), "progType" VARCHAR(255), "subType" VARCHAR(255), "sourceDataProviderId" VARCHAR(255), "sourceDataProviderName" VARCHAR(255), "origNetwork" VARCHAR(255), "targetAudience" VARCHAR(255), "productionStatus" VARCHAR(255), "releaseDate" VARCHAR(255), "yearOfRelease" INTEGER, "partNumber" VARCHAR(255), "version_yearOfRelease" INTEGER, "version_releaseDate" VARCHAR(255), "version_colorCode" VARCHAR(255), "version_duration" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."sourceprogram_TMSId" ON "sourceprogram" ("TMSId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_desc_lang" ON "sourceprogram" ("desc_lang");
CREATE INDEX IF NOT EXISTS core."sourceprogram_progType" ON "sourceprogram" ("progType");
CREATE INDEX IF NOT EXISTS core."sourceprogram_subType" ON "sourceprogram" ("subType");
CREATE INDEX IF NOT EXISTS core."sourceprogram_sourceDataProviderId" ON "sourceprogram" ("sourceDataProviderId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_asset" ("spAssetId" VARCHAR(255) NOT NULL PRIMARY KEY, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "assetUpdateId" INTEGER, "assetId" VARCHAR(255), "deleted" INTEGER, "created" DATETIME, "lastModified" DATETIME, "expiredDate" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "width" INTEGER, "height" INTEGER, "primary" INTEGER, "category" VARCHAR(255) NOT NULL, "ratio" VARCHAR(255), "tier" VARCHAR(255), "seasonId" INTEGER, "provider" VARCHAR(255), "isConforming" INTEGER, "isBranded" INTEGER, "title" VARCHAR(255), "URL" VARCHAR(255) NOT NULL, "description" VARCHAR(255), "brandedDescription" VARCHAR(255), "isSensitive" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_asset_gnidsId" ON "sourceprogram_asset" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_asset_extattr" ("spAssetId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "label" VARCHAR(255) NOT NULL, "value" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spAssetId") REFERENCES "sourceprogram_asset" ("spAssetId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_asset_extattr_spAssetId" ON "sourceprogram_asset_extattr" ("spAssetId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_asset_extattr_gnidsId" ON "sourceprogram_asset_extattr" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_asset_id" ("spAssetId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "id" VARCHAR(255) NOT NULL, "type" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spAssetId") REFERENCES "sourceprogram_asset" ("spAssetId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_asset_id_spAssetId" ON "sourceprogram_asset_id" ("spAssetId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_asset_id_gnidsId" ON "sourceprogram_asset_id" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_asset_language" ("spAssetId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "lang" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spAssetId") REFERENCES "sourceprogram_asset" ("spAssetId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_asset_language_spAssetId" ON "sourceprogram_asset_language" ("spAssetId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_asset_language_gnidsId" ON "sourceprogram_asset_language" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_asset_market" ("spAssetId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "market" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spAssetId") REFERENCES "sourceprogram_asset" ("spAssetId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_asset_market_spAssetId" ON "sourceprogram_asset_market" ("spAssetId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_asset_market_gnidsId" ON "sourceprogram_asset_market" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_asset_tag" ("spAssetId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "tag" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spAssetId") REFERENCES "sourceprogram_asset" ("spAssetId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_asset_tag_spAssetId" ON "sourceprogram_asset_tag" ("spAssetId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_asset_tag_gnidsId" ON "sourceprogram_asset_tag" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_cast" ("gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "ord" INTEGER NOT NULL, "characterName" VARCHAR(255), "role" VARCHAR(255), "prefix" VARCHAR(255), "first" VARCHAR(255), "middle" VARCHAR(255), "last" VARCHAR(255), "suffix" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_cast_gnidsId" ON "sourceprogram_cast" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_catalog" ("spCatalogId" VARCHAR(255) NOT NULL PRIMARY KEY, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "catalogId" VARCHAR(255), "catalogName" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_catalog_gnidsId" ON "sourceprogram_catalog" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_catalog_language" ("spCatalogId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "lang" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spCatalogId") REFERENCES "sourceprogram_catalog" ("spCatalogId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_catalog_language_spCatalogId" ON "sourceprogram_catalog_language" ("spCatalogId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_catalog_language_gnidsId" ON "sourceprogram_catalog_language" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_catalog_market" ("spCatalogId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "market" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spCatalogId") REFERENCES "sourceprogram_catalog" ("spCatalogId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_catalog_market_spCatalogId" ON "sourceprogram_catalog_market" ("spCatalogId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_catalog_market_gnidsId" ON "sourceprogram_catalog_market" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_country" ("gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "country" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_country_gnidsId" ON "sourceprogram_country" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_crew" ("gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "ord" INTEGER NOT NULL, "role" VARCHAR(255), "prefix" VARCHAR(255), "first" VARCHAR(255), "middle" VARCHAR(255), "last" VARCHAR(255), "suffix" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_crew_gnidsId" ON "sourceprogram_crew" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_description" ("gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "description" TEXT NOT NULL, "size" INTEGER, "type" VARCHAR(255), "lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_description_gnidsId" ON "sourceprogram_description" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_epinfo" ("spEpisodeInfoId" VARCHAR(255) NOT NULL PRIMARY KEY, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "title" VARCHAR(255), "size" INTEGER, "type" VARCHAR(255), "lang" VARCHAR(255), "season" VARCHAR(255), "number" VARCHAR(255), "ord" INTEGER, "synNum" VARCHAR(255), "industryNumber" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_epinfo_gnidsId" ON "sourceprogram_epinfo" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_genre" ("gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "genreOrd" INTEGER NOT NULL, "genre" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_genre_gnidsId" ON "sourceprogram_genre" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_label" ("gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "label" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_label_gnidsId" ON "sourceprogram_label" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_mvinfo" ("gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "key" VARCHAR(255) NOT NULL, "value" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_mvinfo_gnidsId" ON "sourceprogram_mvinfo" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_rating" ("spRatingId" VARCHAR(255) NOT NULL PRIMARY KEY, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "exempt" INTEGER, "rating_code" VARCHAR(255), "ratingsBody" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_rating_gnidsId" ON "sourceprogram_rating" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_rating_advisory" ("spRatingId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "advisory" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spRatingId") REFERENCES "sourceprogram_rating" ("spRatingId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_rating_advisory_spRatingId" ON "sourceprogram_rating_advisory" ("spRatingId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_rating_advisory_gnidsId" ON "sourceprogram_rating_advisory" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_season" ("spSeasonId" VARCHAR(255) NOT NULL PRIMARY KEY, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "nonSeason" INTEGER, "seasonId" VARCHAR(255), "season" VARCHAR(255), "ord" INTEGER, "releaseDate" VARCHAR(255), "seasonFinale" VARCHAR(255), "originalNetwork" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_gnidsId" ON "sourceprogram_season" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_season_asset" ("spAssetId" VARCHAR(255) NOT NULL PRIMARY KEY, "spSeasonId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "assetUpdateId" INTEGER, "assetId" VARCHAR(255), "deleted" INTEGER, "created" DATETIME, "lastModified" DATETIME, "expiredDate" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "width" INTEGER, "height" INTEGER, "primary" INTEGER, "category" VARCHAR(255) NOT NULL, "ratio" VARCHAR(255), "tier" VARCHAR(255), "seasonId" INTEGER, "provider" VARCHAR(255), "isConforming" INTEGER, "isBranded" INTEGER, "title" VARCHAR(255), "URL" VARCHAR(255) NOT NULL, "description" VARCHAR(255), "brandedDescription" VARCHAR(255), "isSensitive" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spSeasonId") REFERENCES "sourceprogram_season" ("spSeasonId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_asset_spSeasonId" ON "sourceprogram_season_asset" ("spSeasonId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_asset_gnidsId" ON "sourceprogram_season_asset" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_season_asset_extattr" ("spAssetId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "label" VARCHAR(255) NOT NULL, "value" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spAssetId") REFERENCES "sourceprogram_season_asset" ("spAssetId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_asset_extattr_spAssetId" ON "sourceprogram_season_asset_extattr" ("spAssetId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_asset_extattr_gnidsId" ON "sourceprogram_season_asset_extattr" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_season_asset_id" ("spAssetId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "id" VARCHAR(255) NOT NULL, "type" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spAssetId") REFERENCES "sourceprogram_season_asset" ("spAssetId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_asset_id_spAssetId" ON "sourceprogram_season_asset_id" ("spAssetId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_asset_id_gnidsId" ON "sourceprogram_season_asset_id" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_season_asset_language" ("spAssetId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "lang" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spAssetId") REFERENCES "sourceprogram_season_asset" ("spAssetId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_asset_language_spAssetId" ON "sourceprogram_season_asset_language" ("spAssetId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_asset_language_gnidsId" ON "sourceprogram_season_asset_language" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_season_asset_market" ("spAssetId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "market" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spAssetId") REFERENCES "sourceprogram_season_asset" ("spAssetId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_asset_market_spAssetId" ON "sourceprogram_season_asset_market" ("spAssetId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_asset_market_gnidsId" ON "sourceprogram_season_asset_market" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_season_asset_tag" ("spAssetId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "tag" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spAssetId") REFERENCES "sourceprogram_season_asset" ("spAssetId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_asset_tag_spAssetId" ON "sourceprogram_season_asset_tag" ("spAssetId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_asset_tag_gnidsId" ON "sourceprogram_season_asset_tag" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_season_cast" ("spSeasonId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "ord" INTEGER NOT NULL, "characterName" VARCHAR(255), "role" VARCHAR(255), "prefix" VARCHAR(255), "first" VARCHAR(255), "middle" VARCHAR(255), "last" VARCHAR(255), "suffix" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spSeasonId") REFERENCES "sourceprogram_season" ("spSeasonId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_cast_spSeasonId" ON "sourceprogram_season_cast" ("spSeasonId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_cast_gnidsId" ON "sourceprogram_season_cast" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_season_crew" ("spSeasonId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "ord" INTEGER NOT NULL, "role" VARCHAR(255), "prefix" VARCHAR(255), "first" VARCHAR(255), "middle" VARCHAR(255), "last" VARCHAR(255), "suffix" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spSeasonId") REFERENCES "sourceprogram_season" ("spSeasonId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_crew_spSeasonId" ON "sourceprogram_season_crew" ("spSeasonId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_crew_gnidsId" ON "sourceprogram_season_crew" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_season_desc" ("spSeasonId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "description" VARCHAR(255) NOT NULL, "size" VARCHAR(255), "lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spSeasonId") REFERENCES "sourceprogram_season" ("spSeasonId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_desc_spSeasonId" ON "sourceprogram_season_desc" ("spSeasonId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_desc_gnidsId" ON "sourceprogram_season_desc" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_season_title" ("spSeasonId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "title" VARCHAR(255) NOT NULL, "lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spSeasonId") REFERENCES "sourceprogram_season" ("spSeasonId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_title_spSeasonId" ON "sourceprogram_season_title" ("spSeasonId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_title_gnidsId" ON "sourceprogram_season_title" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_season_xid" ("spSeasonId" VARCHAR(255) NOT NULL, "gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "id" VARCHAR(255) NOT NULL, "primary" VARCHAR(255), "provider" VARCHAR(255), "label" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("spSeasonId") REFERENCES "sourceprogram_season" ("spSeasonId"), FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_xid_spSeasonId" ON "sourceprogram_season_xid" ("spSeasonId");
CREATE INDEX IF NOT EXISTS core."sourceprogram_season_xid_gnidsId" ON "sourceprogram_season_xid" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_title" ("gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "title" VARCHAR(255) NOT NULL, "size" INTEGER, "type" VARCHAR(255), "subType" VARCHAR(255), "lang" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_title_gnidsId" ON "sourceprogram_title" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_versionlabel" ("gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "label" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_versionlabel_gnidsId" ON "sourceprogram_versionlabel" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sourceprogram_xid" ("gnidsId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "id" VARCHAR(255) NOT NULL, "primary" VARCHAR(255), "provider" VARCHAR(255), "label" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("gnidsId") REFERENCES "sourceprogram" ("gnidsId"));
CREATE INDEX IF NOT EXISTS core."sourceprogram_xid_gnidsId" ON "sourceprogram_xid" ("gnidsId");
CREATE TABLE IF NOT EXISTS core."sportsorg" ("organizationId" INTEGER NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "rootId" INTEGER NOT NULL, "official" INTEGER, "sportGId" VARCHAR(255), "name" VARCHAR(255), "genre" VARCHAR(255), "genreId" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."sportsorg_rootId" ON "sportsorg" ("rootId");
CREATE TABLE IF NOT EXISTS core."sportsorg_asset" ("organizationId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "assetUpdateId" INTEGER, "assetId" VARCHAR(255), "deleted" INTEGER, "lastModified" DATETIME, "expiredDate" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "width" INTEGER, "height" INTEGER, "primary" INTEGER, "category" VARCHAR(255) NOT NULL, "ratio" VARCHAR(255), "tier" VARCHAR(255), "URI" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("organizationId") REFERENCES "sportsorg" ("organizationId"));
CREATE INDEX IF NOT EXISTS core."sportsorg_asset_organizationId" ON "sportsorg_asset" ("organizationId");
CREATE TABLE IF NOT EXISTS core."sportsorg_conf" ("confId" VARCHAR(255) NOT NULL PRIMARY KEY, "organizationId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "conferenceId" INTEGER NOT NULL, "conferenceGId" VARCHAR(255), "name" VARCHAR(255), "abbreviation" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("organizationId") REFERENCES "sportsorg" ("organizationId"));
CREATE INDEX IF NOT EXISTS core."sportsorg_conf_organizationId" ON "sportsorg_conf" ("organizationId");
CREATE TABLE IF NOT EXISTS core."sportsorg_conf_asset" ("confId" VARCHAR(255) NOT NULL, "organizationId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "assetUpdateId" INTEGER, "assetId" VARCHAR(255), "deleted" INTEGER, "lastModified" DATETIME, "expiredDate" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "width" INTEGER, "height" INTEGER, "primary" INTEGER, "category" VARCHAR(255) NOT NULL, "ratio" VARCHAR(255), "tier" VARCHAR(255), "URI" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("confId") REFERENCES "sportsorg_conf" ("confId"), FOREIGN KEY ("organizationId") REFERENCES "sportsorg" ("organizationId"));
CREATE INDEX IF NOT EXISTS core."sportsorg_conf_asset_confId" ON "sportsorg_conf_asset" ("confId");
CREATE INDEX IF NOT EXISTS core."sportsorg_conf_asset_organizationId" ON "sportsorg_conf_asset" ("organizationId");
CREATE TABLE IF NOT EXISTS core."sportsorg_div" ("divId" VARCHAR(255) NOT NULL PRIMARY KEY, "organizationId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "divisionId" INTEGER NOT NULL, "divisionGId" VARCHAR(255), "name" VARCHAR(255), "abbreviation" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("organizationId") REFERENCES "sportsorg" ("organizationId"));
CREATE INDEX IF NOT EXISTS core."sportsorg_div_organizationId" ON "sportsorg_div" ("organizationId");
CREATE TABLE IF NOT EXISTS core."sportsorg_event" ("organizationId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "sportsEventGId" VARCHAR(255) NOT NULL, "type" VARCHAR(255), "event" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("organizationId") REFERENCES "sportsorg" ("organizationId"));
CREATE INDEX IF NOT EXISTS core."sportsorg_event_organizationId" ON "sportsorg_event" ("organizationId");
CREATE TABLE IF NOT EXISTS core."sportsorg_teambrand" ("organizationId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "teamId" INTEGER, "teamBrandId" INTEGER, "teamGId" VARCHAR(255), "teamBrandGId" VARCHAR(255), "conferenceId" INTEGER, "conferenceGId" VARCHAR(255), "divisionId" INTEGER, "divisionGId" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("organizationId") REFERENCES "sportsorg" ("organizationId"));
CREATE INDEX IF NOT EXISTS core."sportsorg_teambrand_organizationId" ON "sportsorg_teambrand" ("organizationId");
CREATE INDEX IF NOT EXISTS core."sportsorg_teambrand_teamId" ON "sportsorg_teambrand" ("teamId");
CREATE INDEX IF NOT EXISTS core."sportsorg_teambrand_teamBrandId" ON "sportsorg_teambrand" ("teamBrandId");
CREATE TABLE IF NOT EXISTS core."team" ("teamId" INTEGER NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "teamGId" VARCHAR(255), "type" VARCHAR(255), "class" VARCHAR(255), "color_primary" VARCHAR(255), "color_secondary" VARCHAR(255), "gender" VARCHAR(255), "country" VARCHAR(255), "genreId" INTEGER, "sportGId" VARCHAR(255), "venueId" INTEGER, "venueGId" VARCHAR(255), "universityId" INTEGER, "universityGId" VARCHAR(255), "address_city" VARCHAR(255), "address_state" VARCHAR(255), "address_country" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."team_sportGId" ON "team" ("sportGId");
CREATE INDEX IF NOT EXISTS core."team_venueId" ON "team" ("venueId");
CREATE INDEX IF NOT EXISTS core."team_universityId" ON "team" ("universityId");
CREATE TABLE IF NOT EXISTS core."team_genre" ("teamId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "genre" VARCHAR(255), "genreId" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("teamId") REFERENCES "team" ("teamId"));
CREATE INDEX IF NOT EXISTS core."team_genre_teamId" ON "team_genre" ("teamId");
CREATE TABLE IF NOT EXISTS core."teambrand" ("teamBrandId" INTEGER NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "teamBrandGId" VARCHAR(255), "teamId" INTEGER NOT NULL, "active" INTEGER, "fromDate" DATETIME, "toDate" DATETIME, "names_lang" VARCHAR(255), "officialName" VARCHAR(255), "properName" VARCHAR(255), "nickName" VARCHAR(255), "abbreviation" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."teambrand_teamId" ON "teambrand" ("teamId");
CREATE TABLE IF NOT EXISTS core."teambrand_asset" ("teamBrandId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "assetUpdateId" INTEGER, "assetId" VARCHAR(255), "deleted" INTEGER, "lastModified" DATETIME, "expiredDate" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "width" INTEGER, "height" INTEGER, "primary" INTEGER, "category" VARCHAR(255) NOT NULL, "ratio" VARCHAR(255), "tier" VARCHAR(255), "URI" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("teamBrandId") REFERENCES "teambrand" ("teamBrandId"));
CREATE INDEX IF NOT EXISTS core."teambrand_asset_teamBrandId" ON "teambrand_asset" ("teamBrandId");
CREATE TABLE IF NOT EXISTS core."teambrand_name" ("teamBrandId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "name" VARCHAR(255), "type" VARCHAR(255), "lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("teamBrandId") REFERENCES "teambrand" ("teamBrandId"));
CREATE INDEX IF NOT EXISTS core."teambrand_name_teamBrandId" ON "teambrand_name" ("teamBrandId");
CREATE TABLE IF NOT EXISTS core."university" ("universityId" INTEGER NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "universityGId" VARCHAR(255), "name" VARCHAR(255), "names_lang" VARCHAR(255), "address_city" VARCHAR(255), "address_state" VARCHAR(255), "address_country" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE TABLE IF NOT EXISTS core."university_asset" ("universityId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "assetUpdateId" INTEGER, "assetId" VARCHAR(255), "deleted" INTEGER, "lastModified" DATETIME, "expiredDate" VARCHAR(255), "type" VARCHAR(255) NOT NULL, "width" INTEGER, "height" INTEGER, "primary" INTEGER, "category" VARCHAR(255) NOT NULL, "ratio" VARCHAR(255), "tier" VARCHAR(255), "URI" VARCHAR(255) NOT NULL, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("universityId") REFERENCES "university" ("universityId"));
CREATE INDEX IF NOT EXISTS core."university_asset_universityId" ON "university_asset" ("universityId");
CREATE TABLE IF NOT EXISTS core."university_name" ("universityId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "name" VARCHAR(255), "type" VARCHAR(255), "lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("universityId") REFERENCES "university" ("universityId"));
CREATE INDEX IF NOT EXISTS core."university_name_universityId" ON "university_name" ("universityId");
CREATE TABLE IF NOT EXISTS core."vdannotation" ("TMSId" VARCHAR(255) NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "rootId" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."vdannotation_rootId" ON "vdannotation" ("rootId");
CREATE TABLE IF NOT EXISTS core."vdannotation_descriptor" ("TMSId" VARCHAR(255) NOT NULL, "updateId" INTEGER NOT NULL, "ord" INTEGER, "descriptorId" VARCHAR(255), "weight" INTEGER, "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("TMSId") REFERENCES "vdannotation" ("TMSId"));
CREATE INDEX IF NOT EXISTS core."vdannotation_descriptor_TMSId" ON "vdannotation_descriptor" ("TMSId");
CREATE INDEX IF NOT EXISTS core."vdannotation_descriptor_descriptorId" ON "vdannotation_descriptor" ("descriptorId");
CREATE TABLE IF NOT EXISTS core."venue" ("venueId" INTEGER NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "venueGId" VARCHAR(255), "type" VARCHAR(255), "timezone" VARCHAR(255), "address_city" VARCHAR(255), "address_state" VARCHAR(255), "address_country" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE TABLE IF NOT EXISTS core."venuebrand" ("venueBrandId" INTEGER NOT NULL PRIMARY KEY, "updateId" INTEGER NOT NULL, "updateDate" DATETIME NOT NULL, "deleted" INTEGER, "venueId" INTEGER NOT NULL, "active" INTEGER, "fromDate" DATETIME, "toDate" DATETIME, "names_lang" VARCHAR(255), "name" VARCHAR(255), "name_lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, "batchUpdateOrd" INTEGER);
CREATE INDEX IF NOT EXISTS core."venuebrand_venueId" ON "venuebrand" ("venueId");
CREATE TABLE IF NOT EXISTS core."venuebrand_name" ("venueBrandId" INTEGER NOT NULL, "updateId" INTEGER NOT NULL, "name" VARCHAR(255), "type" VARCHAR(255), "lang" VARCHAR(255), "MD5" VARCHAR(255), "ingestId" INTEGER, FOREIGN KEY ("venueBrandId") REFERENCES "venuebrand" ("venueBrandId"));
CREATE INDEX IF NOT EXISTS core."venuebrand_name_venueBrandId" ON "venuebrand_name" ("venueBrandId");
