ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;

WITH cv_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.cv
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  cv_max AS (
 	    SELECT MD5, MAX(ROWID) AS cv__ROWID
      FROM stage.cv 
      WHERE stage.cv.MD5 IN cv_dupes
      GROUP BY MD5 )
  DELETE FROM stage.cv
      WHERE EXISTS (
          SELECT 1 FROM cv_dupes
          WHERE cv_dupes.MD5=stage.cv.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM cv_max
          WHERE cv_max.MD5=stage.cv.MD5
              AND cv_max.cv__ROWID=stage.cv.ROWID );

WITH source_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_max AS (
 	    SELECT MD5, MAX(ROWID) AS source__ROWID
      FROM stage.source 
      WHERE stage.source.MD5 IN source_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source
      WHERE EXISTS (
          SELECT 1 FROM source_dupes
          WHERE source_dupes.MD5=stage.source.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_max
          WHERE source_max.MD5=stage.source.MD5
              AND source_max.source__ROWID=stage.source.ROWID );

WITH lineup_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.lineup
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  lineup_max AS (
 	    SELECT MD5, MAX(ROWID) AS lineup__ROWID
      FROM stage.lineup 
      WHERE stage.lineup.MD5 IN lineup_dupes
      GROUP BY MD5 )
  DELETE FROM stage.lineup
      WHERE EXISTS (
          SELECT 1 FROM lineup_dupes
          WHERE lineup_dupes.MD5=stage.lineup.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM lineup_max
          WHERE lineup_max.MD5=stage.lineup.MD5
              AND lineup_max.lineup__ROWID=stage.lineup.ROWID );

WITH celebrity_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity__ROWID
      FROM stage.celebrity 
      WHERE stage.celebrity.MD5 IN celebrity_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity
      WHERE EXISTS (
          SELECT 1 FROM celebrity_dupes
          WHERE celebrity_dupes.MD5=stage.celebrity.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_max
          WHERE celebrity_max.MD5=stage.celebrity.MD5
              AND celebrity_max.celebrity__ROWID=stage.celebrity.ROWID );

WITH descriptortaxonomy_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.descriptortaxonomy
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  descriptortaxonomy_max AS (
 	    SELECT MD5, MAX(ROWID) AS descriptortaxonomy__ROWID
      FROM stage.descriptortaxonomy 
      WHERE stage.descriptortaxonomy.MD5 IN descriptortaxonomy_dupes
      GROUP BY MD5 )
  DELETE FROM stage.descriptortaxonomy
      WHERE EXISTS (
          SELECT 1 FROM descriptortaxonomy_dupes
          WHERE descriptortaxonomy_dupes.MD5=stage.descriptortaxonomy.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM descriptortaxonomy_max
          WHERE descriptortaxonomy_max.MD5=stage.descriptortaxonomy.MD5
              AND descriptortaxonomy_max.descriptortaxonomy__ROWID=stage.descriptortaxonomy.ROWID );

WITH descriptor_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.descriptor
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  descriptor_max AS (
 	    SELECT MD5, MAX(ROWID) AS descriptor__ROWID
      FROM stage.descriptor 
      WHERE stage.descriptor.MD5 IN descriptor_dupes
      GROUP BY MD5 )
  DELETE FROM stage.descriptor
      WHERE EXISTS (
          SELECT 1 FROM descriptor_dupes
          WHERE descriptor_dupes.MD5=stage.descriptor.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM descriptor_max
          WHERE descriptor_max.MD5=stage.descriptor.MD5
              AND descriptor_max.descriptor__ROWID=stage.descriptor.ROWID );

WITH season_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.season
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  season_max AS (
 	    SELECT MD5, MAX(ROWID) AS season__ROWID
      FROM stage.season 
      WHERE stage.season.MD5 IN season_dupes
      GROUP BY MD5 )
  DELETE FROM stage.season
      WHERE EXISTS (
          SELECT 1 FROM season_dupes
          WHERE season_dupes.MD5=stage.season.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM season_max
          WHERE season_max.MD5=stage.season.MD5
              AND season_max.season__ROWID=stage.season.ROWID );

WITH program_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_max AS (
 	    SELECT MD5, MAX(ROWID) AS program__ROWID
      FROM stage.program 
      WHERE stage.program.MD5 IN program_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program
      WHERE EXISTS (
          SELECT 1 FROM program_dupes
          WHERE program_dupes.MD5=stage.program.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_max
          WHERE program_max.MD5=stage.program.MD5
              AND program_max.program__ROWID=stage.program.ROWID );

WITH availability_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.availability
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  availability_max AS (
 	    SELECT MD5, MAX(ROWID) AS availability__ROWID
      FROM stage.availability 
      WHERE stage.availability.MD5 IN availability_dupes
      GROUP BY MD5 )
  DELETE FROM stage.availability
      WHERE EXISTS (
          SELECT 1 FROM availability_dupes
          WHERE availability_dupes.MD5=stage.availability.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM availability_max
          WHERE availability_max.MD5=stage.availability.MD5
              AND availability_max.availability__ROWID=stage.availability.ROWID );

WITH mapping_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.mapping
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  mapping_max AS (
 	    SELECT MD5, MAX(ROWID) AS mapping__ROWID
      FROM stage.mapping 
      WHERE stage.mapping.MD5 IN mapping_dupes
      GROUP BY MD5 )
  DELETE FROM stage.mapping
      WHERE EXISTS (
          SELECT 1 FROM mapping_dupes
          WHERE mapping_dupes.MD5=stage.mapping.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM mapping_max
          WHERE mapping_max.MD5=stage.mapping.MD5
              AND mapping_max.mapping__ROWID=stage.mapping.ROWID );

WITH schedule_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.schedule
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  schedule_max AS (
 	    SELECT MD5, MAX(ROWID) AS schedule__ROWID
      FROM stage.schedule 
      WHERE stage.schedule.MD5 IN schedule_dupes
      GROUP BY MD5 )
  DELETE FROM stage.schedule
      WHERE EXISTS (
          SELECT 1 FROM schedule_dupes
          WHERE schedule_dupes.MD5=stage.schedule.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM schedule_max
          WHERE schedule_max.MD5=stage.schedule.MD5
              AND schedule_max.schedule__ROWID=stage.schedule.ROWID );

WITH sourceprogram_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram__ROWID
      FROM stage.sourceprogram 
      WHERE stage.sourceprogram.MD5 IN sourceprogram_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_dupes
          WHERE sourceprogram_dupes.MD5=stage.sourceprogram.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_max
          WHERE sourceprogram_max.MD5=stage.sourceprogram.MD5
              AND sourceprogram_max.sourceprogram__ROWID=stage.sourceprogram.ROWID );

WITH popularity_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.popularity
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  popularity_max AS (
 	    SELECT MD5, MAX(ROWID) AS popularity__ROWID
      FROM stage.popularity 
      WHERE stage.popularity.MD5 IN popularity_dupes
      GROUP BY MD5 )
  DELETE FROM stage.popularity
      WHERE EXISTS (
          SELECT 1 FROM popularity_dupes
          WHERE popularity_dupes.MD5=stage.popularity.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM popularity_max
          WHERE popularity_max.MD5=stage.popularity.MD5
              AND popularity_max.popularity__ROWID=stage.popularity.ROWID );

WITH university_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.university
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  university_max AS (
 	    SELECT MD5, MAX(ROWID) AS university__ROWID
      FROM stage.university 
      WHERE stage.university.MD5 IN university_dupes
      GROUP BY MD5 )
  DELETE FROM stage.university
      WHERE EXISTS (
          SELECT 1 FROM university_dupes
          WHERE university_dupes.MD5=stage.university.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM university_max
          WHERE university_max.MD5=stage.university.MD5
              AND university_max.university__ROWID=stage.university.ROWID );

WITH venue_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.venue
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  venue_max AS (
 	    SELECT MD5, MAX(ROWID) AS venue__ROWID
      FROM stage.venue 
      WHERE stage.venue.MD5 IN venue_dupes
      GROUP BY MD5 )
  DELETE FROM stage.venue
      WHERE EXISTS (
          SELECT 1 FROM venue_dupes
          WHERE venue_dupes.MD5=stage.venue.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM venue_max
          WHERE venue_max.MD5=stage.venue.MD5
              AND venue_max.venue__ROWID=stage.venue.ROWID );

WITH venuebrand_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.venuebrand
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  venuebrand_max AS (
 	    SELECT MD5, MAX(ROWID) AS venuebrand__ROWID
      FROM stage.venuebrand 
      WHERE stage.venuebrand.MD5 IN venuebrand_dupes
      GROUP BY MD5 )
  DELETE FROM stage.venuebrand
      WHERE EXISTS (
          SELECT 1 FROM venuebrand_dupes
          WHERE venuebrand_dupes.MD5=stage.venuebrand.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM venuebrand_max
          WHERE venuebrand_max.MD5=stage.venuebrand.MD5
              AND venuebrand_max.venuebrand__ROWID=stage.venuebrand.ROWID );

WITH sportsorg_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sportsorg
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sportsorg_max AS (
 	    SELECT MD5, MAX(ROWID) AS sportsorg__ROWID
      FROM stage.sportsorg 
      WHERE stage.sportsorg.MD5 IN sportsorg_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sportsorg
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_dupes
          WHERE sportsorg_dupes.MD5=stage.sportsorg.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_max
          WHERE sportsorg_max.MD5=stage.sportsorg.MD5
              AND sportsorg_max.sportsorg__ROWID=stage.sportsorg.ROWID );

WITH team_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.team
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  team_max AS (
 	    SELECT MD5, MAX(ROWID) AS team__ROWID
      FROM stage.team 
      WHERE stage.team.MD5 IN team_dupes
      GROUP BY MD5 )
  DELETE FROM stage.team
      WHERE EXISTS (
          SELECT 1 FROM team_dupes
          WHERE team_dupes.MD5=stage.team.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM team_max
          WHERE team_max.MD5=stage.team.MD5
              AND team_max.team__ROWID=stage.team.ROWID );

WITH teambrand_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.teambrand
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  teambrand_max AS (
 	    SELECT MD5, MAX(ROWID) AS teambrand__ROWID
      FROM stage.teambrand 
      WHERE stage.teambrand.MD5 IN teambrand_dupes
      GROUP BY MD5 )
  DELETE FROM stage.teambrand
      WHERE EXISTS (
          SELECT 1 FROM teambrand_dupes
          WHERE teambrand_dupes.MD5=stage.teambrand.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM teambrand_max
          WHERE teambrand_max.MD5=stage.teambrand.MD5
              AND teambrand_max.teambrand__ROWID=stage.teambrand.ROWID );

WITH vdannotation_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.vdannotation
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  vdannotation_max AS (
 	    SELECT MD5, MAX(ROWID) AS vdannotation__ROWID
      FROM stage.vdannotation 
      WHERE stage.vdannotation.MD5 IN vdannotation_dupes
      GROUP BY MD5 )
  DELETE FROM stage.vdannotation
      WHERE EXISTS (
          SELECT 1 FROM vdannotation_dupes
          WHERE vdannotation_dupes.MD5=stage.vdannotation.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM vdannotation_max
          WHERE vdannotation_max.MD5=stage.vdannotation.MD5
              AND vdannotation_max.vdannotation__ROWID=stage.vdannotation.ROWID );

WITH cv_attribute_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.cv_attribute
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  cv_attribute_max AS (
 	    SELECT MD5, MAX(ROWID) AS cv_attribute__ROWID
      FROM stage.cv_attribute 
      WHERE stage.cv_attribute.MD5 IN cv_attribute_dupes
      GROUP BY MD5 )
  DELETE FROM stage.cv_attribute
      WHERE EXISTS (
          SELECT 1 FROM cv_attribute_dupes
          WHERE cv_attribute_dupes.MD5=stage.cv_attribute.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM cv_attribute_max
          WHERE cv_attribute_max.MD5=stage.cv_attribute.MD5
              AND cv_attribute_max.cv_attribute__ROWID=stage.cv_attribute.ROWID );

WITH source_country_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source_country
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_country_max AS (
 	    SELECT MD5, MAX(ROWID) AS source_country__ROWID
      FROM stage.source_country 
      WHERE stage.source_country.MD5 IN source_country_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source_country
      WHERE EXISTS (
          SELECT 1 FROM source_country_dupes
          WHERE source_country_dupes.MD5=stage.source_country.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_country_max
          WHERE source_country_max.MD5=stage.source_country.MD5
              AND source_country_max.source_country__ROWID=stage.source_country.ROWID );

WITH source_altname_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source_altname
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_altname_max AS (
 	    SELECT MD5, MAX(ROWID) AS source_altname__ROWID
      FROM stage.source_altname 
      WHERE stage.source_altname.MD5 IN source_altname_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source_altname
      WHERE EXISTS (
          SELECT 1 FROM source_altname_dupes
          WHERE source_altname_dupes.MD5=stage.source_altname.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_altname_max
          WHERE source_altname_max.MD5=stage.source_altname.MD5
              AND source_altname_max.source_altname__ROWID=stage.source_altname.ROWID );

WITH source_attribute_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source_attribute
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_attribute_max AS (
 	    SELECT MD5, MAX(ROWID) AS source_attribute__ROWID
      FROM stage.source_attribute 
      WHERE stage.source_attribute.MD5 IN source_attribute_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source_attribute
      WHERE EXISTS (
          SELECT 1 FROM source_attribute_dupes
          WHERE source_attribute_dupes.MD5=stage.source_attribute.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_attribute_max
          WHERE source_attribute_max.MD5=stage.source_attribute.MD5
              AND source_attribute_max.source_attribute__ROWID=stage.source_attribute.ROWID );

WITH source_edlang_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source_edlang
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_edlang_max AS (
 	    SELECT MD5, MAX(ROWID) AS source_edlang__ROWID
      FROM stage.source_edlang 
      WHERE stage.source_edlang.MD5 IN source_edlang_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source_edlang
      WHERE EXISTS (
          SELECT 1 FROM source_edlang_dupes
          WHERE source_edlang_dupes.MD5=stage.source_edlang.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_edlang_max
          WHERE source_edlang_max.MD5=stage.source_edlang.MD5
              AND source_edlang_max.source_edlang__ROWID=stage.source_edlang.ROWID );

WITH source_bcastlang_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source_bcastlang
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_bcastlang_max AS (
 	    SELECT MD5, MAX(ROWID) AS source_bcastlang__ROWID
      FROM stage.source_bcastlang 
      WHERE stage.source_bcastlang.MD5 IN source_bcastlang_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source_bcastlang
      WHERE EXISTS (
          SELECT 1 FROM source_bcastlang_dupes
          WHERE source_bcastlang_dupes.MD5=stage.source_bcastlang.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_bcastlang_max
          WHERE source_bcastlang_max.MD5=stage.source_bcastlang.MD5
              AND source_bcastlang_max.source_bcastlang__ROWID=stage.source_bcastlang.ROWID );

WITH source_relationship_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source_relationship
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_relationship_max AS (
 	    SELECT MD5, MAX(ROWID) AS source_relationship__ROWID
      FROM stage.source_relationship 
      WHERE stage.source_relationship.MD5 IN source_relationship_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source_relationship
      WHERE EXISTS (
          SELECT 1 FROM source_relationship_dupes
          WHERE source_relationship_dupes.MD5=stage.source_relationship.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_relationship_max
          WHERE source_relationship_max.MD5=stage.source_relationship.MD5
              AND source_relationship_max.source_relationship__ROWID=stage.source_relationship.ROWID );

WITH source_affiliate_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source_affiliate
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_affiliate_max AS (
 	    SELECT MD5, MAX(ROWID) AS source_affiliate__ROWID
      FROM stage.source_affiliate 
      WHERE stage.source_affiliate.MD5 IN source_affiliate_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source_affiliate
      WHERE EXISTS (
          SELECT 1 FROM source_affiliate_dupes
          WHERE source_affiliate_dupes.MD5=stage.source_affiliate.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_affiliate_max
          WHERE source_affiliate_max.MD5=stage.source_affiliate.MD5
              AND source_affiliate_max.source_affiliate__ROWID=stage.source_affiliate.ROWID );

WITH source_asset_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source_asset
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_asset_max AS (
 	    SELECT MD5, MAX(ROWID) AS source_asset__ROWID
      FROM stage.source_asset 
      WHERE stage.source_asset.MD5 IN source_asset_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source_asset
      WHERE EXISTS (
          SELECT 1 FROM source_asset_dupes
          WHERE source_asset_dupes.MD5=stage.source_asset.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_asset_max
          WHERE source_asset_max.MD5=stage.source_asset.MD5
              AND source_asset_max.source_asset__ROWID=stage.source_asset.ROWID );

WITH source_marketid_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source_marketid
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_marketid_max AS (
 	    SELECT MD5, MAX(ROWID) AS source_marketid__ROWID
      FROM stage.source_marketid 
      WHERE stage.source_marketid.MD5 IN source_marketid_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source_marketid
      WHERE EXISTS (
          SELECT 1 FROM source_marketid_dupes
          WHERE source_marketid_dupes.MD5=stage.source_marketid.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_marketid_max
          WHERE source_marketid_max.MD5=stage.source_marketid.MD5
              AND source_marketid_max.source_marketid__ROWID=stage.source_marketid.ROWID );

WITH source_genre_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source_genre
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_genre_max AS (
 	    SELECT MD5, MAX(ROWID) AS source_genre__ROWID
      FROM stage.source_genre 
      WHERE stage.source_genre.MD5 IN source_genre_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source_genre
      WHERE EXISTS (
          SELECT 1 FROM source_genre_dupes
          WHERE source_genre_dupes.MD5=stage.source_genre.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_genre_max
          WHERE source_genre_max.MD5=stage.source_genre.MD5
              AND source_genre_max.source_genre__ROWID=stage.source_genre.ROWID );

WITH source_group_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source_group
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_group_max AS (
 	    SELECT MD5, MAX(ROWID) AS source_group__ROWID
      FROM stage.source_group 
      WHERE stage.source_group.MD5 IN source_group_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source_group
      WHERE EXISTS (
          SELECT 1 FROM source_group_dupes
          WHERE source_group_dupes.MD5=stage.source_group.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_group_max
          WHERE source_group_max.MD5=stage.source_group.MD5
              AND source_group_max.source_group__ROWID=stage.source_group.ROWID );

WITH source_transportid_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.source_transportid
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  source_transportid_max AS (
 	    SELECT MD5, MAX(ROWID) AS source_transportid__ROWID
      FROM stage.source_transportid 
      WHERE stage.source_transportid.MD5 IN source_transportid_dupes
      GROUP BY MD5 )
  DELETE FROM stage.source_transportid
      WHERE EXISTS (
          SELECT 1 FROM source_transportid_dupes
          WHERE source_transportid_dupes.MD5=stage.source_transportid.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_transportid_max
          WHERE source_transportid_max.MD5=stage.source_transportid.MD5
              AND source_transportid_max.source_transportid__ROWID=stage.source_transportid.ROWID );

WITH lineup_channel_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.lineup_channel
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  lineup_channel_max AS (
 	    SELECT MD5, MAX(ROWID) AS lineup_channel__ROWID
      FROM stage.lineup_channel 
      WHERE stage.lineup_channel.MD5 IN lineup_channel_dupes
      GROUP BY MD5 )
  DELETE FROM stage.lineup_channel
      WHERE EXISTS (
          SELECT 1 FROM lineup_channel_dupes
          WHERE lineup_channel_dupes.MD5=stage.lineup_channel.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM lineup_channel_max
          WHERE lineup_channel_max.MD5=stage.lineup_channel.MD5
              AND lineup_channel_max.lineup_channel__ROWID=stage.lineup_channel.ROWID );

WITH lineup_channel_transport_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.lineup_channel_transport
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  lineup_channel_transport_max AS (
 	    SELECT MD5, MAX(ROWID) AS lineup_channel_transport__ROWID
      FROM stage.lineup_channel_transport 
      WHERE stage.lineup_channel_transport.MD5 IN lineup_channel_transport_dupes
      GROUP BY MD5 )
  DELETE FROM stage.lineup_channel_transport
      WHERE EXISTS (
          SELECT 1 FROM lineup_channel_transport_dupes
          WHERE lineup_channel_transport_dupes.MD5=stage.lineup_channel_transport.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM lineup_channel_transport_max
          WHERE lineup_channel_transport_max.MD5=stage.lineup_channel_transport.MD5
              AND lineup_channel_transport_max.lineup_channel_transport__ROWID=stage.lineup_channel_transport.ROWID );

WITH lineup_channel_transport_id_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.lineup_channel_transport_id
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  lineup_channel_transport_id_max AS (
 	    SELECT MD5, MAX(ROWID) AS lineup_channel_transport_id__ROWID
      FROM stage.lineup_channel_transport_id 
      WHERE stage.lineup_channel_transport_id.MD5 IN lineup_channel_transport_id_dupes
      GROUP BY MD5 )
  DELETE FROM stage.lineup_channel_transport_id
      WHERE EXISTS (
          SELECT 1 FROM lineup_channel_transport_id_dupes
          WHERE lineup_channel_transport_id_dupes.MD5=stage.lineup_channel_transport_id.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM lineup_channel_transport_id_max
          WHERE lineup_channel_transport_id_max.MD5=stage.lineup_channel_transport_id.MD5
              AND lineup_channel_transport_id_max.lineup_channel_transport_id__ROWID=stage.lineup_channel_transport_id.ROWID );

WITH lineup_postalcode_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.lineup_postalcode
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  lineup_postalcode_max AS (
 	    SELECT MD5, MAX(ROWID) AS lineup_postalcode__ROWID
      FROM stage.lineup_postalcode 
      WHERE stage.lineup_postalcode.MD5 IN lineup_postalcode_dupes
      GROUP BY MD5 )
  DELETE FROM stage.lineup_postalcode
      WHERE EXISTS (
          SELECT 1 FROM lineup_postalcode_dupes
          WHERE lineup_postalcode_dupes.MD5=stage.lineup_postalcode.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM lineup_postalcode_max
          WHERE lineup_postalcode_max.MD5=stage.lineup_postalcode.MD5
              AND lineup_postalcode_max.lineup_postalcode__ROWID=stage.lineup_postalcode.ROWID );

WITH lineup_market_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.lineup_market
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  lineup_market_max AS (
 	    SELECT MD5, MAX(ROWID) AS lineup_market__ROWID
      FROM stage.lineup_market 
      WHERE stage.lineup_market.MD5 IN lineup_market_dupes
      GROUP BY MD5 )
  DELETE FROM stage.lineup_market
      WHERE EXISTS (
          SELECT 1 FROM lineup_market_dupes
          WHERE lineup_market_dupes.MD5=stage.lineup_market.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM lineup_market_max
          WHERE lineup_market_max.MD5=stage.lineup_market.MD5
              AND lineup_market_max.lineup_market__ROWID=stage.lineup_market.ROWID );

WITH celebrity_name_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_name
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_name_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_name__ROWID
      FROM stage.celebrity_name 
      WHERE stage.celebrity_name.MD5 IN celebrity_name_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_name
      WHERE EXISTS (
          SELECT 1 FROM celebrity_name_dupes
          WHERE celebrity_name_dupes.MD5=stage.celebrity_name.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_name_max
          WHERE celebrity_name_max.MD5=stage.celebrity_name.MD5
              AND celebrity_name_max.celebrity_name__ROWID=stage.celebrity_name.ROWID );

WITH celebrity_award_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_award
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_award_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_award__ROWID
      FROM stage.celebrity_award 
      WHERE stage.celebrity_award.MD5 IN celebrity_award_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_award
      WHERE EXISTS (
          SELECT 1 FROM celebrity_award_dupes
          WHERE celebrity_award_dupes.MD5=stage.celebrity_award.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_award_max
          WHERE celebrity_award_max.MD5=stage.celebrity_award.MD5
              AND celebrity_award_max.celebrity_award__ROWID=stage.celebrity_award.ROWID );

WITH celebrity_asset_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_asset
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_asset_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_asset__ROWID
      FROM stage.celebrity_asset 
      WHERE stage.celebrity_asset.MD5 IN celebrity_asset_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_asset
      WHERE EXISTS (
          SELECT 1 FROM celebrity_asset_dupes
          WHERE celebrity_asset_dupes.MD5=stage.celebrity_asset.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_asset_max
          WHERE celebrity_asset_max.MD5=stage.celebrity_asset.MD5
              AND celebrity_asset_max.celebrity_asset__ROWID=stage.celebrity_asset.ROWID );

WITH celebrity_mediography_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_mediography
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_mediography_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_mediography__ROWID
      FROM stage.celebrity_mediography 
      WHERE stage.celebrity_mediography.MD5 IN celebrity_mediography_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_mediography
      WHERE EXISTS (
          SELECT 1 FROM celebrity_mediography_dupes
          WHERE celebrity_mediography_dupes.MD5=stage.celebrity_mediography.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_mediography_max
          WHERE celebrity_mediography_max.MD5=stage.celebrity_mediography.MD5
              AND celebrity_mediography_max.celebrity_mediography__ROWID=stage.celebrity_mediography.ROWID );

WITH celebrity_mediography_credit_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_mediography_credit
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_mediography_credit_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_mediography_credit__ROWID
      FROM stage.celebrity_mediography_credit 
      WHERE stage.celebrity_mediography_credit.MD5 IN celebrity_mediography_credit_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_mediography_credit
      WHERE EXISTS (
          SELECT 1 FROM celebrity_mediography_credit_dupes
          WHERE celebrity_mediography_credit_dupes.MD5=stage.celebrity_mediography_credit.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_mediography_credit_max
          WHERE celebrity_mediography_credit_max.MD5=stage.celebrity_mediography_credit.MD5
              AND celebrity_mediography_credit_max.celebrity_mediography_credit__ROWID=stage.celebrity_mediography_credit.ROWID );

WITH celebrity_participanttype_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_participanttype
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_participanttype_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_participanttype__ROWID
      FROM stage.celebrity_participanttype 
      WHERE stage.celebrity_participanttype.MD5 IN celebrity_participanttype_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_participanttype
      WHERE EXISTS (
          SELECT 1 FROM celebrity_participanttype_dupes
          WHERE celebrity_participanttype_dupes.MD5=stage.celebrity_participanttype.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_participanttype_max
          WHERE celebrity_participanttype_max.MD5=stage.celebrity_participanttype.MD5
              AND celebrity_participanttype_max.celebrity_participanttype__ROWID=stage.celebrity_participanttype.ROWID );

WITH celebrity_biography_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_biography
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_biography_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_biography__ROWID
      FROM stage.celebrity_biography 
      WHERE stage.celebrity_biography.MD5 IN celebrity_biography_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_biography
      WHERE EXISTS (
          SELECT 1 FROM celebrity_biography_dupes
          WHERE celebrity_biography_dupes.MD5=stage.celebrity_biography.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_biography_max
          WHERE celebrity_biography_max.MD5=stage.celebrity_biography.MD5
              AND celebrity_biography_max.celebrity_biography__ROWID=stage.celebrity_biography.ROWID );

WITH celebrity_relationship_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_relationship
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_relationship_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_relationship__ROWID
      FROM stage.celebrity_relationship 
      WHERE stage.celebrity_relationship.MD5 IN celebrity_relationship_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_relationship
      WHERE EXISTS (
          SELECT 1 FROM celebrity_relationship_dupes
          WHERE celebrity_relationship_dupes.MD5=stage.celebrity_relationship.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_relationship_max
          WHERE celebrity_relationship_max.MD5=stage.celebrity_relationship.MD5
              AND celebrity_relationship_max.celebrity_relationship__ROWID=stage.celebrity_relationship.ROWID );

WITH celebrity_relationshipevent_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_relationshipevent
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_relationshipevent_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_relationshipevent__ROWID
      FROM stage.celebrity_relationshipevent 
      WHERE stage.celebrity_relationshipevent.MD5 IN celebrity_relationshipevent_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_relationshipevent
      WHERE EXISTS (
          SELECT 1 FROM celebrity_relationshipevent_dupes
          WHERE celebrity_relationshipevent_dupes.MD5=stage.celebrity_relationshipevent.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_relationshipevent_max
          WHERE celebrity_relationshipevent_max.MD5=stage.celebrity_relationshipevent.MD5
              AND celebrity_relationshipevent_max.celebrity_relationshipevent__ROWID=stage.celebrity_relationshipevent.ROWID );

WITH celebrity_education_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_education
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_education_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_education__ROWID
      FROM stage.celebrity_education 
      WHERE stage.celebrity_education.MD5 IN celebrity_education_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_education
      WHERE EXISTS (
          SELECT 1 FROM celebrity_education_dupes
          WHERE celebrity_education_dupes.MD5=stage.celebrity_education.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_education_max
          WHERE celebrity_education_max.MD5=stage.celebrity_education.MD5
              AND celebrity_education_max.celebrity_education__ROWID=stage.celebrity_education.ROWID );

WITH celebrity_milestone_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_milestone
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_milestone_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_milestone__ROWID
      FROM stage.celebrity_milestone 
      WHERE stage.celebrity_milestone.MD5 IN celebrity_milestone_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_milestone
      WHERE EXISTS (
          SELECT 1 FROM celebrity_milestone_dupes
          WHERE celebrity_milestone_dupes.MD5=stage.celebrity_milestone.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_milestone_max
          WHERE celebrity_milestone_max.MD5=stage.celebrity_milestone.MD5
              AND celebrity_milestone_max.celebrity_milestone__ROWID=stage.celebrity_milestone.ROWID );

WITH celebrity_note_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_note
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_note_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_note__ROWID
      FROM stage.celebrity_note 
      WHERE stage.celebrity_note.MD5 IN celebrity_note_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_note
      WHERE EXISTS (
          SELECT 1 FROM celebrity_note_dupes
          WHERE celebrity_note_dupes.MD5=stage.celebrity_note.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_note_max
          WHERE celebrity_note_max.MD5=stage.celebrity_note.MD5
              AND celebrity_note_max.celebrity_note__ROWID=stage.celebrity_note.ROWID );

WITH celebrity_quote_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_quote
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_quote_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_quote__ROWID
      FROM stage.celebrity_quote 
      WHERE stage.celebrity_quote.MD5 IN celebrity_quote_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_quote
      WHERE EXISTS (
          SELECT 1 FROM celebrity_quote_dupes
          WHERE celebrity_quote_dupes.MD5=stage.celebrity_quote.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_quote_max
          WHERE celebrity_quote_max.MD5=stage.celebrity_quote.MD5
              AND celebrity_quote_max.celebrity_quote__ROWID=stage.celebrity_quote.ROWID );

WITH celebrity_highlight_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_highlight
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_highlight_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_highlight__ROWID
      FROM stage.celebrity_highlight 
      WHERE stage.celebrity_highlight.MD5 IN celebrity_highlight_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_highlight
      WHERE EXISTS (
          SELECT 1 FROM celebrity_highlight_dupes
          WHERE celebrity_highlight_dupes.MD5=stage.celebrity_highlight.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_highlight_max
          WHERE celebrity_highlight_max.MD5=stage.celebrity_highlight.MD5
              AND celebrity_highlight_max.celebrity_highlight__ROWID=stage.celebrity_highlight.ROWID );

WITH celebrity_socialmedia_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_socialmedia
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_socialmedia_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_socialmedia__ROWID
      FROM stage.celebrity_socialmedia 
      WHERE stage.celebrity_socialmedia.MD5 IN celebrity_socialmedia_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_socialmedia
      WHERE EXISTS (
          SELECT 1 FROM celebrity_socialmedia_dupes
          WHERE celebrity_socialmedia_dupes.MD5=stage.celebrity_socialmedia.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_socialmedia_max
          WHERE celebrity_socialmedia_max.MD5=stage.celebrity_socialmedia.MD5
              AND celebrity_socialmedia_max.celebrity_socialmedia__ROWID=stage.celebrity_socialmedia.ROWID );

WITH celebrity_enhancedaward_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.celebrity_enhancedaward
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  celebrity_enhancedaward_max AS (
 	    SELECT MD5, MAX(ROWID) AS celebrity_enhancedaward__ROWID
      FROM stage.celebrity_enhancedaward 
      WHERE stage.celebrity_enhancedaward.MD5 IN celebrity_enhancedaward_dupes
      GROUP BY MD5 )
  DELETE FROM stage.celebrity_enhancedaward
      WHERE EXISTS (
          SELECT 1 FROM celebrity_enhancedaward_dupes
          WHERE celebrity_enhancedaward_dupes.MD5=stage.celebrity_enhancedaward.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_enhancedaward_max
          WHERE celebrity_enhancedaward_max.MD5=stage.celebrity_enhancedaward.MD5
              AND celebrity_enhancedaward_max.celebrity_enhancedaward__ROWID=stage.celebrity_enhancedaward.ROWID );

WITH descriptortaxonomy_descriptor_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.descriptortaxonomy_descriptor
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  descriptortaxonomy_descriptor_max AS (
 	    SELECT MD5, MAX(ROWID) AS descriptortaxonomy_descriptor__ROWID
      FROM stage.descriptortaxonomy_descriptor 
      WHERE stage.descriptortaxonomy_descriptor.MD5 IN descriptortaxonomy_descriptor_dupes
      GROUP BY MD5 )
  DELETE FROM stage.descriptortaxonomy_descriptor
      WHERE EXISTS (
          SELECT 1 FROM descriptortaxonomy_descriptor_dupes
          WHERE descriptortaxonomy_descriptor_dupes.MD5=stage.descriptortaxonomy_descriptor.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM descriptortaxonomy_descriptor_max
          WHERE descriptortaxonomy_descriptor_max.MD5=stage.descriptortaxonomy_descriptor.MD5
              AND descriptortaxonomy_descriptor_max.descriptortaxonomy_descriptor__ROWID=stage.descriptortaxonomy_descriptor.ROWID );

WITH season_title_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.season_title
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  season_title_max AS (
 	    SELECT MD5, MAX(ROWID) AS season_title__ROWID
      FROM stage.season_title 
      WHERE stage.season_title.MD5 IN season_title_dupes
      GROUP BY MD5 )
  DELETE FROM stage.season_title
      WHERE EXISTS (
          SELECT 1 FROM season_title_dupes
          WHERE season_title_dupes.MD5=stage.season_title.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM season_title_max
          WHERE season_title_max.MD5=stage.season_title.MD5
              AND season_title_max.season_title__ROWID=stage.season_title.ROWID );

WITH season_description_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.season_description
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  season_description_max AS (
 	    SELECT MD5, MAX(ROWID) AS season_description__ROWID
      FROM stage.season_description 
      WHERE stage.season_description.MD5 IN season_description_dupes
      GROUP BY MD5 )
  DELETE FROM stage.season_description
      WHERE EXISTS (
          SELECT 1 FROM season_description_dupes
          WHERE season_description_dupes.MD5=stage.season_description.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM season_description_max
          WHERE season_description_max.MD5=stage.season_description.MD5
              AND season_description_max.season_description__ROWID=stage.season_description.ROWID );

WITH season_cast_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.season_cast
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  season_cast_max AS (
 	    SELECT MD5, MAX(ROWID) AS season_cast__ROWID
      FROM stage.season_cast 
      WHERE stage.season_cast.MD5 IN season_cast_dupes
      GROUP BY MD5 )
  DELETE FROM stage.season_cast
      WHERE EXISTS (
          SELECT 1 FROM season_cast_dupes
          WHERE season_cast_dupes.MD5=stage.season_cast.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM season_cast_max
          WHERE season_cast_max.MD5=stage.season_cast.MD5
              AND season_cast_max.season_cast__ROWID=stage.season_cast.ROWID );

WITH season_crew_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.season_crew
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  season_crew_max AS (
 	    SELECT MD5, MAX(ROWID) AS season_crew__ROWID
      FROM stage.season_crew 
      WHERE stage.season_crew.MD5 IN season_crew_dupes
      GROUP BY MD5 )
  DELETE FROM stage.season_crew
      WHERE EXISTS (
          SELECT 1 FROM season_crew_dupes
          WHERE season_crew_dupes.MD5=stage.season_crew.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM season_crew_max
          WHERE season_crew_max.MD5=stage.season_crew.MD5
              AND season_crew_max.season_crew__ROWID=stage.season_crew.ROWID );

WITH season_asset_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.season_asset
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  season_asset_max AS (
 	    SELECT MD5, MAX(ROWID) AS season_asset__ROWID
      FROM stage.season_asset 
      WHERE stage.season_asset.MD5 IN season_asset_dupes
      GROUP BY MD5 )
  DELETE FROM stage.season_asset
      WHERE EXISTS (
          SELECT 1 FROM season_asset_dupes
          WHERE season_asset_dupes.MD5=stage.season_asset.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM season_asset_max
          WHERE season_asset_max.MD5=stage.season_asset.MD5
              AND season_asset_max.season_asset__ROWID=stage.season_asset.ROWID );

WITH season_asset_id_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.season_asset_id
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  season_asset_id_max AS (
 	    SELECT MD5, MAX(ROWID) AS season_asset_id__ROWID
      FROM stage.season_asset_id 
      WHERE stage.season_asset_id.MD5 IN season_asset_id_dupes
      GROUP BY MD5 )
  DELETE FROM stage.season_asset_id
      WHERE EXISTS (
          SELECT 1 FROM season_asset_id_dupes
          WHERE season_asset_id_dupes.MD5=stage.season_asset_id.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM season_asset_id_max
          WHERE season_asset_id_max.MD5=stage.season_asset_id.MD5
              AND season_asset_id_max.season_asset_id__ROWID=stage.season_asset_id.ROWID );

WITH program_season_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_season
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_season_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_season__ROWID
      FROM stage.program_season 
      WHERE stage.program_season.MD5 IN program_season_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_season
      WHERE EXISTS (
          SELECT 1 FROM program_season_dupes
          WHERE program_season_dupes.MD5=stage.program_season.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_season_max
          WHERE program_season_max.MD5=stage.program_season.MD5
              AND program_season_max.program_season__ROWID=stage.program_season.ROWID );

WITH program_title_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_title
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_title_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_title__ROWID
      FROM stage.program_title 
      WHERE stage.program_title.MD5 IN program_title_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_title
      WHERE EXISTS (
          SELECT 1 FROM program_title_dupes
          WHERE program_title_dupes.MD5=stage.program_title.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_title_max
          WHERE program_title_max.MD5=stage.program_title.MD5
              AND program_title_max.program_title__ROWID=stage.program_title.ROWID );

WITH program_description_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_description
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_description_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_description__ROWID
      FROM stage.program_description 
      WHERE stage.program_description.MD5 IN program_description_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_description
      WHERE EXISTS (
          SELECT 1 FROM program_description_dupes
          WHERE program_description_dupes.MD5=stage.program_description.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_description_max
          WHERE program_description_max.MD5=stage.program_description.MD5
              AND program_description_max.program_description__ROWID=stage.program_description.ROWID );

WITH program_cast_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_cast
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_cast_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_cast__ROWID
      FROM stage.program_cast 
      WHERE stage.program_cast.MD5 IN program_cast_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_cast
      WHERE EXISTS (
          SELECT 1 FROM program_cast_dupes
          WHERE program_cast_dupes.MD5=stage.program_cast.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_cast_max
          WHERE program_cast_max.MD5=stage.program_cast.MD5
              AND program_cast_max.program_cast__ROWID=stage.program_cast.ROWID );

WITH program_crew_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_crew
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_crew_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_crew__ROWID
      FROM stage.program_crew 
      WHERE stage.program_crew.MD5 IN program_crew_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_crew
      WHERE EXISTS (
          SELECT 1 FROM program_crew_dupes
          WHERE program_crew_dupes.MD5=stage.program_crew.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_crew_max
          WHERE program_crew_max.MD5=stage.program_crew.MD5
              AND program_crew_max.program_crew__ROWID=stage.program_crew.ROWID );

WITH program_country_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_country
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_country_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_country__ROWID
      FROM stage.program_country 
      WHERE stage.program_country.MD5 IN program_country_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_country
      WHERE EXISTS (
          SELECT 1 FROM program_country_dupes
          WHERE program_country_dupes.MD5=stage.program_country.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_country_max
          WHERE program_country_max.MD5=stage.program_country.MD5
              AND program_country_max.program_country__ROWID=stage.program_country.ROWID );

WITH program_award_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_award
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_award_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_award__ROWID
      FROM stage.program_award 
      WHERE stage.program_award.MD5 IN program_award_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_award
      WHERE EXISTS (
          SELECT 1 FROM program_award_dupes
          WHERE program_award_dupes.MD5=stage.program_award.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_award_max
          WHERE program_award_max.MD5=stage.program_award.MD5
              AND program_award_max.program_award__ROWID=stage.program_award.ROWID );

WITH program_genre_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_genre
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_genre_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_genre__ROWID
      FROM stage.program_genre 
      WHERE stage.program_genre.MD5 IN program_genre_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_genre
      WHERE EXISTS (
          SELECT 1 FROM program_genre_dupes
          WHERE program_genre_dupes.MD5=stage.program_genre.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_genre_max
          WHERE program_genre_max.MD5=stage.program_genre.MD5
              AND program_genre_max.program_genre__ROWID=stage.program_genre.ROWID );

WITH program_rating_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_rating
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_rating_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_rating__ROWID
      FROM stage.program_rating 
      WHERE stage.program_rating.MD5 IN program_rating_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_rating
      WHERE EXISTS (
          SELECT 1 FROM program_rating_dupes
          WHERE program_rating_dupes.MD5=stage.program_rating.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_rating_max
          WHERE program_rating_max.MD5=stage.program_rating.MD5
              AND program_rating_max.program_rating__ROWID=stage.program_rating.ROWID );

WITH program_qualityrating_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_qualityrating
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_qualityrating_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_qualityrating__ROWID
      FROM stage.program_qualityrating 
      WHERE stage.program_qualityrating.MD5 IN program_qualityrating_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_qualityrating
      WHERE EXISTS (
          SELECT 1 FROM program_qualityrating_dupes
          WHERE program_qualityrating_dupes.MD5=stage.program_qualityrating.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_qualityrating_max
          WHERE program_qualityrating_max.MD5=stage.program_qualityrating.MD5
              AND program_qualityrating_max.program_qualityrating__ROWID=stage.program_qualityrating.ROWID );

WITH program_ratingadvisory_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_ratingadvisory
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_ratingadvisory_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_ratingadvisory__ROWID
      FROM stage.program_ratingadvisory 
      WHERE stage.program_ratingadvisory.MD5 IN program_ratingadvisory_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_ratingadvisory
      WHERE EXISTS (
          SELECT 1 FROM program_ratingadvisory_dupes
          WHERE program_ratingadvisory_dupes.MD5=stage.program_ratingadvisory.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_ratingadvisory_max
          WHERE program_ratingadvisory_max.MD5=stage.program_ratingadvisory.MD5
              AND program_ratingadvisory_max.program_ratingadvisory__ROWID=stage.program_ratingadvisory.ROWID );

WITH program_mvinfo_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_mvinfo
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_mvinfo_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_mvinfo__ROWID
      FROM stage.program_mvinfo 
      WHERE stage.program_mvinfo.MD5 IN program_mvinfo_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_mvinfo
      WHERE EXISTS (
          SELECT 1 FROM program_mvinfo_dupes
          WHERE program_mvinfo_dupes.MD5=stage.program_mvinfo.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_mvinfo_max
          WHERE program_mvinfo_max.MD5=stage.program_mvinfo.MD5
              AND program_mvinfo_max.program_mvinfo__ROWID=stage.program_mvinfo.ROWID );

WITH program_mvtrailer_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_mvtrailer
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_mvtrailer_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_mvtrailer__ROWID
      FROM stage.program_mvtrailer 
      WHERE stage.program_mvtrailer.MD5 IN program_mvtrailer_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_mvtrailer
      WHERE EXISTS (
          SELECT 1 FROM program_mvtrailer_dupes
          WHERE program_mvtrailer_dupes.MD5=stage.program_mvtrailer.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_mvtrailer_max
          WHERE program_mvtrailer_max.MD5=stage.program_mvtrailer.MD5
              AND program_mvtrailer_max.program_mvtrailer__ROWID=stage.program_mvtrailer.ROWID );

WITH program_epinfo_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_epinfo
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_epinfo_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_epinfo__ROWID
      FROM stage.program_epinfo 
      WHERE stage.program_epinfo.MD5 IN program_epinfo_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_epinfo
      WHERE EXISTS (
          SELECT 1 FROM program_epinfo_dupes
          WHERE program_epinfo_dupes.MD5=stage.program_epinfo.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_epinfo_max
          WHERE program_epinfo_max.MD5=stage.program_epinfo.MD5
              AND program_epinfo_max.program_epinfo__ROWID=stage.program_epinfo.ROWID );

WITH program_epinfo_alt_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_epinfo_alt
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_epinfo_alt_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_epinfo_alt__ROWID
      FROM stage.program_epinfo_alt 
      WHERE stage.program_epinfo_alt.MD5 IN program_epinfo_alt_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_epinfo_alt
      WHERE EXISTS (
          SELECT 1 FROM program_epinfo_alt_dupes
          WHERE program_epinfo_alt_dupes.MD5=stage.program_epinfo_alt.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_epinfo_alt_max
          WHERE program_epinfo_alt_max.MD5=stage.program_epinfo_alt.MD5
              AND program_epinfo_alt_max.program_epinfo_alt__ROWID=stage.program_epinfo_alt.ROWID );

WITH program_spinfo_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_spinfo
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_spinfo_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_spinfo__ROWID
      FROM stage.program_spinfo 
      WHERE stage.program_spinfo.MD5 IN program_spinfo_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_spinfo
      WHERE EXISTS (
          SELECT 1 FROM program_spinfo_dupes
          WHERE program_spinfo_dupes.MD5=stage.program_spinfo.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_spinfo_max
          WHERE program_spinfo_max.MD5=stage.program_spinfo.MD5
              AND program_spinfo_max.program_spinfo__ROWID=stage.program_spinfo.ROWID );

WITH program_spteam_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_spteam
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_spteam_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_spteam__ROWID
      FROM stage.program_spteam 
      WHERE stage.program_spteam.MD5 IN program_spteam_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_spteam
      WHERE EXISTS (
          SELECT 1 FROM program_spteam_dupes
          WHERE program_spteam_dupes.MD5=stage.program_spteam.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_spteam_max
          WHERE program_spteam_max.MD5=stage.program_spteam.MD5
              AND program_spteam_max.program_spteam__ROWID=stage.program_spteam.ROWID );

WITH program_spevent_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_spevent
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_spevent_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_spevent__ROWID
      FROM stage.program_spevent 
      WHERE stage.program_spevent.MD5 IN program_spevent_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_spevent
      WHERE EXISTS (
          SELECT 1 FROM program_spevent_dupes
          WHERE program_spevent_dupes.MD5=stage.program_spevent.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_spevent_max
          WHERE program_spevent_max.MD5=stage.program_spevent.MD5
              AND program_spevent_max.program_spevent__ROWID=stage.program_spevent.ROWID );

WITH program_spdata_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_spdata
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_spdata_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_spdata__ROWID
      FROM stage.program_spdata 
      WHERE stage.program_spdata.MD5 IN program_spdata_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_spdata
      WHERE EXISTS (
          SELECT 1 FROM program_spdata_dupes
          WHERE program_spdata_dupes.MD5=stage.program_spdata.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_spdata_max
          WHERE program_spdata_max.MD5=stage.program_spdata.MD5
              AND program_spdata_max.program_spdata__ROWID=stage.program_spdata.ROWID );

WITH program_spdata_event_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_spdata_event
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_spdata_event_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_spdata_event__ROWID
      FROM stage.program_spdata_event 
      WHERE stage.program_spdata_event.MD5 IN program_spdata_event_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_spdata_event
      WHERE EXISTS (
          SELECT 1 FROM program_spdata_event_dupes
          WHERE program_spdata_event_dupes.MD5=stage.program_spdata_event.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_spdata_event_max
          WHERE program_spdata_event_max.MD5=stage.program_spdata_event.MD5
              AND program_spdata_event_max.program_spdata_event__ROWID=stage.program_spdata_event.ROWID );

WITH program_asset_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_asset
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_asset_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_asset__ROWID
      FROM stage.program_asset 
      WHERE stage.program_asset.MD5 IN program_asset_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_asset
      WHERE EXISTS (
          SELECT 1 FROM program_asset_dupes
          WHERE program_asset_dupes.MD5=stage.program_asset.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_asset_max
          WHERE program_asset_max.MD5=stage.program_asset.MD5
              AND program_asset_max.program_asset__ROWID=stage.program_asset.ROWID );

WITH program_asset_id_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_asset_id
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_asset_id_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_asset_id__ROWID
      FROM stage.program_asset_id 
      WHERE stage.program_asset_id.MD5 IN program_asset_id_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_asset_id
      WHERE EXISTS (
          SELECT 1 FROM program_asset_id_dupes
          WHERE program_asset_id_dupes.MD5=stage.program_asset_id.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_asset_id_max
          WHERE program_asset_id_max.MD5=stage.program_asset_id.MD5
              AND program_asset_id_max.program_asset_id__ROWID=stage.program_asset_id.ROWID );

WITH program_release_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_release
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_release_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_release__ROWID
      FROM stage.program_release 
      WHERE stage.program_release.MD5 IN program_release_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_release
      WHERE EXISTS (
          SELECT 1 FROM program_release_dupes
          WHERE program_release_dupes.MD5=stage.program_release.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_release_max
          WHERE program_release_max.MD5=stage.program_release.MD5
              AND program_release_max.program_release__ROWID=stage.program_release.ROWID );

WITH program_release_attribute_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_release_attribute
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_release_attribute_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_release_attribute__ROWID
      FROM stage.program_release_attribute 
      WHERE stage.program_release_attribute.MD5 IN program_release_attribute_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_release_attribute
      WHERE EXISTS (
          SELECT 1 FROM program_release_attribute_dupes
          WHERE program_release_attribute_dupes.MD5=stage.program_release_attribute.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_release_attribute_max
          WHERE program_release_attribute_max.MD5=stage.program_release_attribute.MD5
              AND program_release_attribute_max.program_release_attribute__ROWID=stage.program_release_attribute.ROWID );

WITH program_release_distributor_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_release_distributor
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_release_distributor_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_release_distributor__ROWID
      FROM stage.program_release_distributor 
      WHERE stage.program_release_distributor.MD5 IN program_release_distributor_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_release_distributor
      WHERE EXISTS (
          SELECT 1 FROM program_release_distributor_dupes
          WHERE program_release_distributor_dupes.MD5=stage.program_release_distributor.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_release_distributor_max
          WHERE program_release_distributor_max.MD5=stage.program_release_distributor.MD5
              AND program_release_distributor_max.program_release_distributor__ROWID=stage.program_release_distributor.ROWID );

WITH program_relationship_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_relationship
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_relationship_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_relationship__ROWID
      FROM stage.program_relationship 
      WHERE stage.program_relationship.MD5 IN program_relationship_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_relationship
      WHERE EXISTS (
          SELECT 1 FROM program_relationship_dupes
          WHERE program_relationship_dupes.MD5=stage.program_relationship.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_relationship_max
          WHERE program_relationship_max.MD5=stage.program_relationship.MD5
              AND program_relationship_max.program_relationship__ROWID=stage.program_relationship.ROWID );

WITH program_externallink_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_externallink
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_externallink_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_externallink__ROWID
      FROM stage.program_externallink 
      WHERE stage.program_externallink.MD5 IN program_externallink_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_externallink
      WHERE EXISTS (
          SELECT 1 FROM program_externallink_dupes
          WHERE program_externallink_dupes.MD5=stage.program_externallink.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_externallink_max
          WHERE program_externallink_max.MD5=stage.program_externallink.MD5
              AND program_externallink_max.program_externallink__ROWID=stage.program_externallink.ROWID );

WITH program_descriptor_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_descriptor
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_descriptor_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_descriptor__ROWID
      FROM stage.program_descriptor 
      WHERE stage.program_descriptor.MD5 IN program_descriptor_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_descriptor
      WHERE EXISTS (
          SELECT 1 FROM program_descriptor_dupes
          WHERE program_descriptor_dupes.MD5=stage.program_descriptor.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_descriptor_max
          WHERE program_descriptor_max.MD5=stage.program_descriptor.MD5
              AND program_descriptor_max.program_descriptor__ROWID=stage.program_descriptor.ROWID );

WITH program_origaudiolang_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.program_origaudiolang
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  program_origaudiolang_max AS (
 	    SELECT MD5, MAX(ROWID) AS program_origaudiolang__ROWID
      FROM stage.program_origaudiolang 
      WHERE stage.program_origaudiolang.MD5 IN program_origaudiolang_dupes
      GROUP BY MD5 )
  DELETE FROM stage.program_origaudiolang
      WHERE EXISTS (
          SELECT 1 FROM program_origaudiolang_dupes
          WHERE program_origaudiolang_dupes.MD5=stage.program_origaudiolang.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_origaudiolang_max
          WHERE program_origaudiolang_max.MD5=stage.program_origaudiolang.MD5
              AND program_origaudiolang_max.program_origaudiolang__ROWID=stage.program_origaudiolang.ROWID );

WITH availability_id_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.availability_id
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  availability_id_max AS (
 	    SELECT MD5, MAX(ROWID) AS availability_id__ROWID
      FROM stage.availability_id 
      WHERE stage.availability_id.MD5 IN availability_id_dupes
      GROUP BY MD5 )
  DELETE FROM stage.availability_id
      WHERE EXISTS (
          SELECT 1 FROM availability_id_dupes
          WHERE availability_id_dupes.MD5=stage.availability_id.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM availability_id_max
          WHERE availability_id_max.MD5=stage.availability_id.MD5
              AND availability_id_max.availability_id__ROWID=stage.availability_id.ROWID );

WITH availability_url_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.availability_url
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  availability_url_max AS (
 	    SELECT MD5, MAX(ROWID) AS availability_url__ROWID
      FROM stage.availability_url 
      WHERE stage.availability_url.MD5 IN availability_url_dupes
      GROUP BY MD5 )
  DELETE FROM stage.availability_url
      WHERE EXISTS (
          SELECT 1 FROM availability_url_dupes
          WHERE availability_url_dupes.MD5=stage.availability_url.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM availability_url_max
          WHERE availability_url_max.MD5=stage.availability_url.MD5
              AND availability_url_max.availability_url__ROWID=stage.availability_url.ROWID );

WITH availability_viewingoption_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.availability_viewingoption
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  availability_viewingoption_max AS (
 	    SELECT MD5, MAX(ROWID) AS availability_viewingoption__ROWID
      FROM stage.availability_viewingoption 
      WHERE stage.availability_viewingoption.MD5 IN availability_viewingoption_dupes
      GROUP BY MD5 )
  DELETE FROM stage.availability_viewingoption
      WHERE EXISTS (
          SELECT 1 FROM availability_viewingoption_dupes
          WHERE availability_viewingoption_dupes.MD5=stage.availability_viewingoption.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM availability_viewingoption_max
          WHERE availability_viewingoption_max.MD5=stage.availability_viewingoption.MD5
              AND availability_viewingoption_max.availability_viewingoption__ROWID=stage.availability_viewingoption.ROWID );

WITH availability_providerdata_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.availability_providerdata
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  availability_providerdata_max AS (
 	    SELECT MD5, MAX(ROWID) AS availability_providerdata__ROWID
      FROM stage.availability_providerdata 
      WHERE stage.availability_providerdata.MD5 IN availability_providerdata_dupes
      GROUP BY MD5 )
  DELETE FROM stage.availability_providerdata
      WHERE EXISTS (
          SELECT 1 FROM availability_providerdata_dupes
          WHERE availability_providerdata_dupes.MD5=stage.availability_providerdata.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM availability_providerdata_max
          WHERE availability_providerdata_max.MD5=stage.availability_providerdata.MD5
              AND availability_providerdata_max.availability_providerdata__ROWID=stage.availability_providerdata.ROWID );

WITH mapping_id_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.mapping_id
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  mapping_id_max AS (
 	    SELECT MD5, MAX(ROWID) AS mapping_id__ROWID
      FROM stage.mapping_id 
      WHERE stage.mapping_id.MD5 IN mapping_id_dupes
      GROUP BY MD5 )
  DELETE FROM stage.mapping_id
      WHERE EXISTS (
          SELECT 1 FROM mapping_id_dupes
          WHERE mapping_id_dupes.MD5=stage.mapping_id.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM mapping_id_max
          WHERE mapping_id_max.MD5=stage.mapping_id.MD5
              AND mapping_id_max.mapping_id__ROWID=stage.mapping_id.ROWID );

WITH mapping_link_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.mapping_link
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  mapping_link_max AS (
 	    SELECT MD5, MAX(ROWID) AS mapping_link__ROWID
      FROM stage.mapping_link 
      WHERE stage.mapping_link.MD5 IN mapping_link_dupes
      GROUP BY MD5 )
  DELETE FROM stage.mapping_link
      WHERE EXISTS (
          SELECT 1 FROM mapping_link_dupes
          WHERE mapping_link_dupes.MD5=stage.mapping_link.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM mapping_link_max
          WHERE mapping_link_max.MD5=stage.mapping_link.MD5
              AND mapping_link_max.mapping_link__ROWID=stage.mapping_link.ROWID );

WITH sourceprogram_label_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_label
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_label_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_label__ROWID
      FROM stage.sourceprogram_label 
      WHERE stage.sourceprogram_label.MD5 IN sourceprogram_label_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_label
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_label_dupes
          WHERE sourceprogram_label_dupes.MD5=stage.sourceprogram_label.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_label_max
          WHERE sourceprogram_label_max.MD5=stage.sourceprogram_label.MD5
              AND sourceprogram_label_max.sourceprogram_label__ROWID=stage.sourceprogram_label.ROWID );

WITH sourceprogram_versionlabel_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_versionlabel
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_versionlabel_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_versionlabel__ROWID
      FROM stage.sourceprogram_versionlabel 
      WHERE stage.sourceprogram_versionlabel.MD5 IN sourceprogram_versionlabel_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_versionlabel
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_versionlabel_dupes
          WHERE sourceprogram_versionlabel_dupes.MD5=stage.sourceprogram_versionlabel.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_versionlabel_max
          WHERE sourceprogram_versionlabel_max.MD5=stage.sourceprogram_versionlabel.MD5
              AND sourceprogram_versionlabel_max.sourceprogram_versionlabel__ROWID=stage.sourceprogram_versionlabel.ROWID );

WITH sourceprogram_catalog_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_catalog
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_catalog_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_catalog__ROWID
      FROM stage.sourceprogram_catalog 
      WHERE stage.sourceprogram_catalog.MD5 IN sourceprogram_catalog_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_catalog
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_catalog_dupes
          WHERE sourceprogram_catalog_dupes.MD5=stage.sourceprogram_catalog.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_catalog_max
          WHERE sourceprogram_catalog_max.MD5=stage.sourceprogram_catalog.MD5
              AND sourceprogram_catalog_max.sourceprogram_catalog__ROWID=stage.sourceprogram_catalog.ROWID );

WITH sourceprogram_catalog_language_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_catalog_language
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_catalog_language_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_catalog_language__ROWID
      FROM stage.sourceprogram_catalog_language 
      WHERE stage.sourceprogram_catalog_language.MD5 IN sourceprogram_catalog_language_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_catalog_language
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_catalog_language_dupes
          WHERE sourceprogram_catalog_language_dupes.MD5=stage.sourceprogram_catalog_language.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_catalog_language_max
          WHERE sourceprogram_catalog_language_max.MD5=stage.sourceprogram_catalog_language.MD5
              AND sourceprogram_catalog_language_max.sourceprogram_catalog_language__ROWID=stage.sourceprogram_catalog_language.ROWID );

WITH sourceprogram_catalog_market_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_catalog_market
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_catalog_market_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_catalog_market__ROWID
      FROM stage.sourceprogram_catalog_market 
      WHERE stage.sourceprogram_catalog_market.MD5 IN sourceprogram_catalog_market_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_catalog_market
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_catalog_market_dupes
          WHERE sourceprogram_catalog_market_dupes.MD5=stage.sourceprogram_catalog_market.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_catalog_market_max
          WHERE sourceprogram_catalog_market_max.MD5=stage.sourceprogram_catalog_market.MD5
              AND sourceprogram_catalog_market_max.sourceprogram_catalog_market__ROWID=stage.sourceprogram_catalog_market.ROWID );

WITH sourceprogram_title_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_title
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_title_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_title__ROWID
      FROM stage.sourceprogram_title 
      WHERE stage.sourceprogram_title.MD5 IN sourceprogram_title_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_title
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_title_dupes
          WHERE sourceprogram_title_dupes.MD5=stage.sourceprogram_title.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_title_max
          WHERE sourceprogram_title_max.MD5=stage.sourceprogram_title.MD5
              AND sourceprogram_title_max.sourceprogram_title__ROWID=stage.sourceprogram_title.ROWID );

WITH sourceprogram_description_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_description
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_description_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_description__ROWID
      FROM stage.sourceprogram_description 
      WHERE stage.sourceprogram_description.MD5 IN sourceprogram_description_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_description
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_description_dupes
          WHERE sourceprogram_description_dupes.MD5=stage.sourceprogram_description.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_description_max
          WHERE sourceprogram_description_max.MD5=stage.sourceprogram_description.MD5
              AND sourceprogram_description_max.sourceprogram_description__ROWID=stage.sourceprogram_description.ROWID );

WITH sourceprogram_cast_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_cast
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_cast_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_cast__ROWID
      FROM stage.sourceprogram_cast 
      WHERE stage.sourceprogram_cast.MD5 IN sourceprogram_cast_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_cast
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_cast_dupes
          WHERE sourceprogram_cast_dupes.MD5=stage.sourceprogram_cast.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_cast_max
          WHERE sourceprogram_cast_max.MD5=stage.sourceprogram_cast.MD5
              AND sourceprogram_cast_max.sourceprogram_cast__ROWID=stage.sourceprogram_cast.ROWID );

WITH sourceprogram_crew_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_crew
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_crew_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_crew__ROWID
      FROM stage.sourceprogram_crew 
      WHERE stage.sourceprogram_crew.MD5 IN sourceprogram_crew_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_crew
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_crew_dupes
          WHERE sourceprogram_crew_dupes.MD5=stage.sourceprogram_crew.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_crew_max
          WHERE sourceprogram_crew_max.MD5=stage.sourceprogram_crew.MD5
              AND sourceprogram_crew_max.sourceprogram_crew__ROWID=stage.sourceprogram_crew.ROWID );

WITH sourceprogram_country_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_country
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_country_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_country__ROWID
      FROM stage.sourceprogram_country 
      WHERE stage.sourceprogram_country.MD5 IN sourceprogram_country_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_country
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_country_dupes
          WHERE sourceprogram_country_dupes.MD5=stage.sourceprogram_country.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_country_max
          WHERE sourceprogram_country_max.MD5=stage.sourceprogram_country.MD5
              AND sourceprogram_country_max.sourceprogram_country__ROWID=stage.sourceprogram_country.ROWID );

WITH sourceprogram_genre_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_genre
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_genre_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_genre__ROWID
      FROM stage.sourceprogram_genre 
      WHERE stage.sourceprogram_genre.MD5 IN sourceprogram_genre_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_genre
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_genre_dupes
          WHERE sourceprogram_genre_dupes.MD5=stage.sourceprogram_genre.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_genre_max
          WHERE sourceprogram_genre_max.MD5=stage.sourceprogram_genre.MD5
              AND sourceprogram_genre_max.sourceprogram_genre__ROWID=stage.sourceprogram_genre.ROWID );

WITH sourceprogram_rating_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_rating
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_rating_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_rating__ROWID
      FROM stage.sourceprogram_rating 
      WHERE stage.sourceprogram_rating.MD5 IN sourceprogram_rating_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_rating
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_rating_dupes
          WHERE sourceprogram_rating_dupes.MD5=stage.sourceprogram_rating.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_rating_max
          WHERE sourceprogram_rating_max.MD5=stage.sourceprogram_rating.MD5
              AND sourceprogram_rating_max.sourceprogram_rating__ROWID=stage.sourceprogram_rating.ROWID );

WITH sourceprogram_rating_advisory_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_rating_advisory
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_rating_advisory_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_rating_advisory__ROWID
      FROM stage.sourceprogram_rating_advisory 
      WHERE stage.sourceprogram_rating_advisory.MD5 IN sourceprogram_rating_advisory_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_rating_advisory
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_rating_advisory_dupes
          WHERE sourceprogram_rating_advisory_dupes.MD5=stage.sourceprogram_rating_advisory.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_rating_advisory_max
          WHERE sourceprogram_rating_advisory_max.MD5=stage.sourceprogram_rating_advisory.MD5
              AND sourceprogram_rating_advisory_max.sourceprogram_rating_advisory__ROWID=stage.sourceprogram_rating_advisory.ROWID );

WITH sourceprogram_mvinfo_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_mvinfo
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_mvinfo_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_mvinfo__ROWID
      FROM stage.sourceprogram_mvinfo 
      WHERE stage.sourceprogram_mvinfo.MD5 IN sourceprogram_mvinfo_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_mvinfo
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_mvinfo_dupes
          WHERE sourceprogram_mvinfo_dupes.MD5=stage.sourceprogram_mvinfo.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_mvinfo_max
          WHERE sourceprogram_mvinfo_max.MD5=stage.sourceprogram_mvinfo.MD5
              AND sourceprogram_mvinfo_max.sourceprogram_mvinfo__ROWID=stage.sourceprogram_mvinfo.ROWID );

WITH sourceprogram_epinfo_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_epinfo
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_epinfo_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_epinfo__ROWID
      FROM stage.sourceprogram_epinfo 
      WHERE stage.sourceprogram_epinfo.MD5 IN sourceprogram_epinfo_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_epinfo
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_epinfo_dupes
          WHERE sourceprogram_epinfo_dupes.MD5=stage.sourceprogram_epinfo.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_epinfo_max
          WHERE sourceprogram_epinfo_max.MD5=stage.sourceprogram_epinfo.MD5
              AND sourceprogram_epinfo_max.sourceprogram_epinfo__ROWID=stage.sourceprogram_epinfo.ROWID );

WITH sourceprogram_season_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_season
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_season_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_season__ROWID
      FROM stage.sourceprogram_season 
      WHERE stage.sourceprogram_season.MD5 IN sourceprogram_season_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_season
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_dupes
          WHERE sourceprogram_season_dupes.MD5=stage.sourceprogram_season.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_max
          WHERE sourceprogram_season_max.MD5=stage.sourceprogram_season.MD5
              AND sourceprogram_season_max.sourceprogram_season__ROWID=stage.sourceprogram_season.ROWID );

WITH sourceprogram_season_title_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_season_title
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_season_title_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_season_title__ROWID
      FROM stage.sourceprogram_season_title 
      WHERE stage.sourceprogram_season_title.MD5 IN sourceprogram_season_title_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_season_title
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_title_dupes
          WHERE sourceprogram_season_title_dupes.MD5=stage.sourceprogram_season_title.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_title_max
          WHERE sourceprogram_season_title_max.MD5=stage.sourceprogram_season_title.MD5
              AND sourceprogram_season_title_max.sourceprogram_season_title__ROWID=stage.sourceprogram_season_title.ROWID );

WITH sourceprogram_season_desc_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_season_desc
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_season_desc_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_season_desc__ROWID
      FROM stage.sourceprogram_season_desc 
      WHERE stage.sourceprogram_season_desc.MD5 IN sourceprogram_season_desc_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_season_desc
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_desc_dupes
          WHERE sourceprogram_season_desc_dupes.MD5=stage.sourceprogram_season_desc.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_desc_max
          WHERE sourceprogram_season_desc_max.MD5=stage.sourceprogram_season_desc.MD5
              AND sourceprogram_season_desc_max.sourceprogram_season_desc__ROWID=stage.sourceprogram_season_desc.ROWID );

WITH sourceprogram_season_cast_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_season_cast
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_season_cast_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_season_cast__ROWID
      FROM stage.sourceprogram_season_cast 
      WHERE stage.sourceprogram_season_cast.MD5 IN sourceprogram_season_cast_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_season_cast
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_cast_dupes
          WHERE sourceprogram_season_cast_dupes.MD5=stage.sourceprogram_season_cast.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_cast_max
          WHERE sourceprogram_season_cast_max.MD5=stage.sourceprogram_season_cast.MD5
              AND sourceprogram_season_cast_max.sourceprogram_season_cast__ROWID=stage.sourceprogram_season_cast.ROWID );

WITH sourceprogram_season_crew_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_season_crew
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_season_crew_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_season_crew__ROWID
      FROM stage.sourceprogram_season_crew 
      WHERE stage.sourceprogram_season_crew.MD5 IN sourceprogram_season_crew_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_season_crew
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_crew_dupes
          WHERE sourceprogram_season_crew_dupes.MD5=stage.sourceprogram_season_crew.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_crew_max
          WHERE sourceprogram_season_crew_max.MD5=stage.sourceprogram_season_crew.MD5
              AND sourceprogram_season_crew_max.sourceprogram_season_crew__ROWID=stage.sourceprogram_season_crew.ROWID );

WITH sourceprogram_season_asset_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_season_asset
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_season_asset_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_season_asset__ROWID
      FROM stage.sourceprogram_season_asset 
      WHERE stage.sourceprogram_season_asset.MD5 IN sourceprogram_season_asset_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_season_asset
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_dupes
          WHERE sourceprogram_season_asset_dupes.MD5=stage.sourceprogram_season_asset.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_max
          WHERE sourceprogram_season_asset_max.MD5=stage.sourceprogram_season_asset.MD5
              AND sourceprogram_season_asset_max.sourceprogram_season_asset__ROWID=stage.sourceprogram_season_asset.ROWID );

WITH sourceprogram_season_asset_id_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_season_asset_id
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_season_asset_id_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_season_asset_id__ROWID
      FROM stage.sourceprogram_season_asset_id 
      WHERE stage.sourceprogram_season_asset_id.MD5 IN sourceprogram_season_asset_id_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_season_asset_id
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_id_dupes
          WHERE sourceprogram_season_asset_id_dupes.MD5=stage.sourceprogram_season_asset_id.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_id_max
          WHERE sourceprogram_season_asset_id_max.MD5=stage.sourceprogram_season_asset_id.MD5
              AND sourceprogram_season_asset_id_max.sourceprogram_season_asset_id__ROWID=stage.sourceprogram_season_asset_id.ROWID );

WITH sourceprogram_season_asset_language_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_season_asset_language
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_season_asset_language_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_season_asset_language__ROWID
      FROM stage.sourceprogram_season_asset_language 
      WHERE stage.sourceprogram_season_asset_language.MD5 IN sourceprogram_season_asset_language_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_season_asset_language
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_language_dupes
          WHERE sourceprogram_season_asset_language_dupes.MD5=stage.sourceprogram_season_asset_language.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_language_max
          WHERE sourceprogram_season_asset_language_max.MD5=stage.sourceprogram_season_asset_language.MD5
              AND sourceprogram_season_asset_language_max.sourceprogram_season_asset_language__ROWID=stage.sourceprogram_season_asset_language.ROWID );

WITH sourceprogram_season_asset_market_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_season_asset_market
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_season_asset_market_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_season_asset_market__ROWID
      FROM stage.sourceprogram_season_asset_market 
      WHERE stage.sourceprogram_season_asset_market.MD5 IN sourceprogram_season_asset_market_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_season_asset_market
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_market_dupes
          WHERE sourceprogram_season_asset_market_dupes.MD5=stage.sourceprogram_season_asset_market.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_market_max
          WHERE sourceprogram_season_asset_market_max.MD5=stage.sourceprogram_season_asset_market.MD5
              AND sourceprogram_season_asset_market_max.sourceprogram_season_asset_market__ROWID=stage.sourceprogram_season_asset_market.ROWID );

WITH sourceprogram_season_asset_extattr_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_season_asset_extattr
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_season_asset_extattr_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_season_asset_extattr__ROWID
      FROM stage.sourceprogram_season_asset_extattr 
      WHERE stage.sourceprogram_season_asset_extattr.MD5 IN sourceprogram_season_asset_extattr_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_season_asset_extattr
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_extattr_dupes
          WHERE sourceprogram_season_asset_extattr_dupes.MD5=stage.sourceprogram_season_asset_extattr.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_extattr_max
          WHERE sourceprogram_season_asset_extattr_max.MD5=stage.sourceprogram_season_asset_extattr.MD5
              AND sourceprogram_season_asset_extattr_max.sourceprogram_season_asset_extattr__ROWID=stage.sourceprogram_season_asset_extattr.ROWID );

WITH sourceprogram_season_asset_tag_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_season_asset_tag
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_season_asset_tag_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_season_asset_tag__ROWID
      FROM stage.sourceprogram_season_asset_tag 
      WHERE stage.sourceprogram_season_asset_tag.MD5 IN sourceprogram_season_asset_tag_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_season_asset_tag
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_tag_dupes
          WHERE sourceprogram_season_asset_tag_dupes.MD5=stage.sourceprogram_season_asset_tag.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_asset_tag_max
          WHERE sourceprogram_season_asset_tag_max.MD5=stage.sourceprogram_season_asset_tag.MD5
              AND sourceprogram_season_asset_tag_max.sourceprogram_season_asset_tag__ROWID=stage.sourceprogram_season_asset_tag.ROWID );

WITH sourceprogram_season_xid_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_season_xid
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_season_xid_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_season_xid__ROWID
      FROM stage.sourceprogram_season_xid 
      WHERE stage.sourceprogram_season_xid.MD5 IN sourceprogram_season_xid_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_season_xid
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_season_xid_dupes
          WHERE sourceprogram_season_xid_dupes.MD5=stage.sourceprogram_season_xid.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_season_xid_max
          WHERE sourceprogram_season_xid_max.MD5=stage.sourceprogram_season_xid.MD5
              AND sourceprogram_season_xid_max.sourceprogram_season_xid__ROWID=stage.sourceprogram_season_xid.ROWID );

WITH sourceprogram_asset_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_asset
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_asset_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_asset__ROWID
      FROM stage.sourceprogram_asset 
      WHERE stage.sourceprogram_asset.MD5 IN sourceprogram_asset_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_asset
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_asset_dupes
          WHERE sourceprogram_asset_dupes.MD5=stage.sourceprogram_asset.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_asset_max
          WHERE sourceprogram_asset_max.MD5=stage.sourceprogram_asset.MD5
              AND sourceprogram_asset_max.sourceprogram_asset__ROWID=stage.sourceprogram_asset.ROWID );

WITH sourceprogram_asset_id_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_asset_id
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_asset_id_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_asset_id__ROWID
      FROM stage.sourceprogram_asset_id 
      WHERE stage.sourceprogram_asset_id.MD5 IN sourceprogram_asset_id_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_asset_id
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_asset_id_dupes
          WHERE sourceprogram_asset_id_dupes.MD5=stage.sourceprogram_asset_id.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_asset_id_max
          WHERE sourceprogram_asset_id_max.MD5=stage.sourceprogram_asset_id.MD5
              AND sourceprogram_asset_id_max.sourceprogram_asset_id__ROWID=stage.sourceprogram_asset_id.ROWID );

WITH sourceprogram_asset_language_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_asset_language
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_asset_language_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_asset_language__ROWID
      FROM stage.sourceprogram_asset_language 
      WHERE stage.sourceprogram_asset_language.MD5 IN sourceprogram_asset_language_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_asset_language
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_asset_language_dupes
          WHERE sourceprogram_asset_language_dupes.MD5=stage.sourceprogram_asset_language.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_asset_language_max
          WHERE sourceprogram_asset_language_max.MD5=stage.sourceprogram_asset_language.MD5
              AND sourceprogram_asset_language_max.sourceprogram_asset_language__ROWID=stage.sourceprogram_asset_language.ROWID );

WITH sourceprogram_asset_market_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_asset_market
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_asset_market_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_asset_market__ROWID
      FROM stage.sourceprogram_asset_market 
      WHERE stage.sourceprogram_asset_market.MD5 IN sourceprogram_asset_market_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_asset_market
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_asset_market_dupes
          WHERE sourceprogram_asset_market_dupes.MD5=stage.sourceprogram_asset_market.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_asset_market_max
          WHERE sourceprogram_asset_market_max.MD5=stage.sourceprogram_asset_market.MD5
              AND sourceprogram_asset_market_max.sourceprogram_asset_market__ROWID=stage.sourceprogram_asset_market.ROWID );

WITH sourceprogram_asset_extattr_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_asset_extattr
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_asset_extattr_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_asset_extattr__ROWID
      FROM stage.sourceprogram_asset_extattr 
      WHERE stage.sourceprogram_asset_extattr.MD5 IN sourceprogram_asset_extattr_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_asset_extattr
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_asset_extattr_dupes
          WHERE sourceprogram_asset_extattr_dupes.MD5=stage.sourceprogram_asset_extattr.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_asset_extattr_max
          WHERE sourceprogram_asset_extattr_max.MD5=stage.sourceprogram_asset_extattr.MD5
              AND sourceprogram_asset_extattr_max.sourceprogram_asset_extattr__ROWID=stage.sourceprogram_asset_extattr.ROWID );

WITH sourceprogram_asset_tag_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_asset_tag
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_asset_tag_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_asset_tag__ROWID
      FROM stage.sourceprogram_asset_tag 
      WHERE stage.sourceprogram_asset_tag.MD5 IN sourceprogram_asset_tag_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_asset_tag
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_asset_tag_dupes
          WHERE sourceprogram_asset_tag_dupes.MD5=stage.sourceprogram_asset_tag.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_asset_tag_max
          WHERE sourceprogram_asset_tag_max.MD5=stage.sourceprogram_asset_tag.MD5
              AND sourceprogram_asset_tag_max.sourceprogram_asset_tag__ROWID=stage.sourceprogram_asset_tag.ROWID );

WITH sourceprogram_xid_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sourceprogram_xid
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sourceprogram_xid_max AS (
 	    SELECT MD5, MAX(ROWID) AS sourceprogram_xid__ROWID
      FROM stage.sourceprogram_xid 
      WHERE stage.sourceprogram_xid.MD5 IN sourceprogram_xid_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sourceprogram_xid
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_xid_dupes
          WHERE sourceprogram_xid_dupes.MD5=stage.sourceprogram_xid.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_xid_max
          WHERE sourceprogram_xid_max.MD5=stage.sourceprogram_xid.MD5
              AND sourceprogram_xid_max.sourceprogram_xid__ROWID=stage.sourceprogram_xid.ROWID );

WITH team_genre_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.team_genre
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  team_genre_max AS (
 	    SELECT MD5, MAX(ROWID) AS team_genre__ROWID
      FROM stage.team_genre 
      WHERE stage.team_genre.MD5 IN team_genre_dupes
      GROUP BY MD5 )
  DELETE FROM stage.team_genre
      WHERE EXISTS (
          SELECT 1 FROM team_genre_dupes
          WHERE team_genre_dupes.MD5=stage.team_genre.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM team_genre_max
          WHERE team_genre_max.MD5=stage.team_genre.MD5
              AND team_genre_max.team_genre__ROWID=stage.team_genre.ROWID );

WITH teambrand_name_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.teambrand_name
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  teambrand_name_max AS (
 	    SELECT MD5, MAX(ROWID) AS teambrand_name__ROWID
      FROM stage.teambrand_name 
      WHERE stage.teambrand_name.MD5 IN teambrand_name_dupes
      GROUP BY MD5 )
  DELETE FROM stage.teambrand_name
      WHERE EXISTS (
          SELECT 1 FROM teambrand_name_dupes
          WHERE teambrand_name_dupes.MD5=stage.teambrand_name.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM teambrand_name_max
          WHERE teambrand_name_max.MD5=stage.teambrand_name.MD5
              AND teambrand_name_max.teambrand_name__ROWID=stage.teambrand_name.ROWID );

WITH teambrand_asset_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.teambrand_asset
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  teambrand_asset_max AS (
 	    SELECT MD5, MAX(ROWID) AS teambrand_asset__ROWID
      FROM stage.teambrand_asset 
      WHERE stage.teambrand_asset.MD5 IN teambrand_asset_dupes
      GROUP BY MD5 )
  DELETE FROM stage.teambrand_asset
      WHERE EXISTS (
          SELECT 1 FROM teambrand_asset_dupes
          WHERE teambrand_asset_dupes.MD5=stage.teambrand_asset.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM teambrand_asset_max
          WHERE teambrand_asset_max.MD5=stage.teambrand_asset.MD5
              AND teambrand_asset_max.teambrand_asset__ROWID=stage.teambrand_asset.ROWID );

WITH sportsorg_asset_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sportsorg_asset
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sportsorg_asset_max AS (
 	    SELECT MD5, MAX(ROWID) AS sportsorg_asset__ROWID
      FROM stage.sportsorg_asset 
      WHERE stage.sportsorg_asset.MD5 IN sportsorg_asset_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sportsorg_asset
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_asset_dupes
          WHERE sportsorg_asset_dupes.MD5=stage.sportsorg_asset.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_asset_max
          WHERE sportsorg_asset_max.MD5=stage.sportsorg_asset.MD5
              AND sportsorg_asset_max.sportsorg_asset__ROWID=stage.sportsorg_asset.ROWID );

WITH sportsorg_conf_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sportsorg_conf
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sportsorg_conf_max AS (
 	    SELECT MD5, MAX(ROWID) AS sportsorg_conf__ROWID
      FROM stage.sportsorg_conf 
      WHERE stage.sportsorg_conf.MD5 IN sportsorg_conf_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sportsorg_conf
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_conf_dupes
          WHERE sportsorg_conf_dupes.MD5=stage.sportsorg_conf.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_conf_max
          WHERE sportsorg_conf_max.MD5=stage.sportsorg_conf.MD5
              AND sportsorg_conf_max.sportsorg_conf__ROWID=stage.sportsorg_conf.ROWID );

WITH sportsorg_conf_asset_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sportsorg_conf_asset
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sportsorg_conf_asset_max AS (
 	    SELECT MD5, MAX(ROWID) AS sportsorg_conf_asset__ROWID
      FROM stage.sportsorg_conf_asset 
      WHERE stage.sportsorg_conf_asset.MD5 IN sportsorg_conf_asset_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sportsorg_conf_asset
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_conf_asset_dupes
          WHERE sportsorg_conf_asset_dupes.MD5=stage.sportsorg_conf_asset.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_conf_asset_max
          WHERE sportsorg_conf_asset_max.MD5=stage.sportsorg_conf_asset.MD5
              AND sportsorg_conf_asset_max.sportsorg_conf_asset__ROWID=stage.sportsorg_conf_asset.ROWID );

WITH sportsorg_div_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sportsorg_div
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sportsorg_div_max AS (
 	    SELECT MD5, MAX(ROWID) AS sportsorg_div__ROWID
      FROM stage.sportsorg_div 
      WHERE stage.sportsorg_div.MD5 IN sportsorg_div_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sportsorg_div
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_div_dupes
          WHERE sportsorg_div_dupes.MD5=stage.sportsorg_div.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_div_max
          WHERE sportsorg_div_max.MD5=stage.sportsorg_div.MD5
              AND sportsorg_div_max.sportsorg_div__ROWID=stage.sportsorg_div.ROWID );

WITH sportsorg_teambrand_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sportsorg_teambrand
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sportsorg_teambrand_max AS (
 	    SELECT MD5, MAX(ROWID) AS sportsorg_teambrand__ROWID
      FROM stage.sportsorg_teambrand 
      WHERE stage.sportsorg_teambrand.MD5 IN sportsorg_teambrand_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sportsorg_teambrand
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_teambrand_dupes
          WHERE sportsorg_teambrand_dupes.MD5=stage.sportsorg_teambrand.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_teambrand_max
          WHERE sportsorg_teambrand_max.MD5=stage.sportsorg_teambrand.MD5
              AND sportsorg_teambrand_max.sportsorg_teambrand__ROWID=stage.sportsorg_teambrand.ROWID );

WITH sportsorg_event_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.sportsorg_event
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  sportsorg_event_max AS (
 	    SELECT MD5, MAX(ROWID) AS sportsorg_event__ROWID
      FROM stage.sportsorg_event 
      WHERE stage.sportsorg_event.MD5 IN sportsorg_event_dupes
      GROUP BY MD5 )
  DELETE FROM stage.sportsorg_event
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_event_dupes
          WHERE sportsorg_event_dupes.MD5=stage.sportsorg_event.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_event_max
          WHERE sportsorg_event_max.MD5=stage.sportsorg_event.MD5
              AND sportsorg_event_max.sportsorg_event__ROWID=stage.sportsorg_event.ROWID );

WITH university_name_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.university_name
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  university_name_max AS (
 	    SELECT MD5, MAX(ROWID) AS university_name__ROWID
      FROM stage.university_name 
      WHERE stage.university_name.MD5 IN university_name_dupes
      GROUP BY MD5 )
  DELETE FROM stage.university_name
      WHERE EXISTS (
          SELECT 1 FROM university_name_dupes
          WHERE university_name_dupes.MD5=stage.university_name.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM university_name_max
          WHERE university_name_max.MD5=stage.university_name.MD5
              AND university_name_max.university_name__ROWID=stage.university_name.ROWID );

WITH university_asset_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.university_asset
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  university_asset_max AS (
 	    SELECT MD5, MAX(ROWID) AS university_asset__ROWID
      FROM stage.university_asset 
      WHERE stage.university_asset.MD5 IN university_asset_dupes
      GROUP BY MD5 )
  DELETE FROM stage.university_asset
      WHERE EXISTS (
          SELECT 1 FROM university_asset_dupes
          WHERE university_asset_dupes.MD5=stage.university_asset.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM university_asset_max
          WHERE university_asset_max.MD5=stage.university_asset.MD5
              AND university_asset_max.university_asset__ROWID=stage.university_asset.ROWID );

WITH venuebrand_name_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.venuebrand_name
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  venuebrand_name_max AS (
 	    SELECT MD5, MAX(ROWID) AS venuebrand_name__ROWID
      FROM stage.venuebrand_name 
      WHERE stage.venuebrand_name.MD5 IN venuebrand_name_dupes
      GROUP BY MD5 )
  DELETE FROM stage.venuebrand_name
      WHERE EXISTS (
          SELECT 1 FROM venuebrand_name_dupes
          WHERE venuebrand_name_dupes.MD5=stage.venuebrand_name.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM venuebrand_name_max
          WHERE venuebrand_name_max.MD5=stage.venuebrand_name.MD5
              AND venuebrand_name_max.venuebrand_name__ROWID=stage.venuebrand_name.ROWID );

WITH schedule_event_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.schedule_event
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  schedule_event_max AS (
 	    SELECT MD5, MAX(ROWID) AS schedule_event__ROWID
      FROM stage.schedule_event 
      WHERE stage.schedule_event.MD5 IN schedule_event_dupes
      GROUP BY MD5 )
  DELETE FROM stage.schedule_event
      WHERE EXISTS (
          SELECT 1 FROM schedule_event_dupes
          WHERE schedule_event_dupes.MD5=stage.schedule_event.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM schedule_event_max
          WHERE schedule_event_max.MD5=stage.schedule_event.MD5
              AND schedule_event_max.schedule_event__ROWID=stage.schedule_event.ROWID );

WITH schedule_event_bcastid_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.schedule_event_bcastid
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  schedule_event_bcastid_max AS (
 	    SELECT MD5, MAX(ROWID) AS schedule_event_bcastid__ROWID
      FROM stage.schedule_event_bcastid 
      WHERE stage.schedule_event_bcastid.MD5 IN schedule_event_bcastid_dupes
      GROUP BY MD5 )
  DELETE FROM stage.schedule_event_bcastid
      WHERE EXISTS (
          SELECT 1 FROM schedule_event_bcastid_dupes
          WHERE schedule_event_bcastid_dupes.MD5=stage.schedule_event_bcastid.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM schedule_event_bcastid_max
          WHERE schedule_event_bcastid_max.MD5=stage.schedule_event_bcastid.MD5
              AND schedule_event_bcastid_max.schedule_event_bcastid__ROWID=stage.schedule_event_bcastid.ROWID );

WITH schedule_event_right_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.schedule_event_right
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  schedule_event_right_max AS (
 	    SELECT MD5, MAX(ROWID) AS schedule_event_right__ROWID
      FROM stage.schedule_event_right 
      WHERE stage.schedule_event_right.MD5 IN schedule_event_right_dupes
      GROUP BY MD5 )
  DELETE FROM stage.schedule_event_right
      WHERE EXISTS (
          SELECT 1 FROM schedule_event_right_dupes
          WHERE schedule_event_right_dupes.MD5=stage.schedule_event_right.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM schedule_event_right_max
          WHERE schedule_event_right_max.MD5=stage.schedule_event_right.MD5
              AND schedule_event_right_max.schedule_event_right__ROWID=stage.schedule_event_right.ROWID );

WITH schedule_event_right_param_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.schedule_event_right_param
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  schedule_event_right_param_max AS (
 	    SELECT MD5, MAX(ROWID) AS schedule_event_right_param__ROWID
      FROM stage.schedule_event_right_param 
      WHERE stage.schedule_event_right_param.MD5 IN schedule_event_right_param_dupes
      GROUP BY MD5 )
  DELETE FROM stage.schedule_event_right_param
      WHERE EXISTS (
          SELECT 1 FROM schedule_event_right_param_dupes
          WHERE schedule_event_right_param_dupes.MD5=stage.schedule_event_right_param.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM schedule_event_right_param_max
          WHERE schedule_event_right_param_max.MD5=stage.schedule_event_right_param.MD5
              AND schedule_event_right_param_max.schedule_event_right_param__ROWID=stage.schedule_event_right_param.ROWID );

WITH vdannotation_descriptor_dupes AS (
      SELECT MD5 FROM (
 	        SELECT MD5, COUNT(DISTINCT ROWID) AS ROWID_count 
          FROM stage.vdannotation_descriptor
          GROUP BY MD5 )
      WHERE ROWID_count > 1),
  vdannotation_descriptor_max AS (
 	    SELECT MD5, MAX(ROWID) AS vdannotation_descriptor__ROWID
      FROM stage.vdannotation_descriptor 
      WHERE stage.vdannotation_descriptor.MD5 IN vdannotation_descriptor_dupes
      GROUP BY MD5 )
  DELETE FROM stage.vdannotation_descriptor
      WHERE EXISTS (
          SELECT 1 FROM vdannotation_descriptor_dupes
          WHERE vdannotation_descriptor_dupes.MD5=stage.vdannotation_descriptor.MD5 ) 
      AND NOT EXISTS (
          SELECT 1 FROM vdannotation_descriptor_max
          WHERE vdannotation_descriptor_max.MD5=stage.vdannotation_descriptor.MD5
              AND vdannotation_descriptor_max.vdannotation_descriptor__ROWID=stage.vdannotation_descriptor.ROWID );
