-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.descriptor AS SELECT * FROM stage.descriptor 
  WHERE 1=1 
    AND stage.descriptor.batchUpdateOrd > {2} 
    AND stage.descriptor.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_descriptor_id ON descriptor(descriptorId);


UPDATE core.descriptor SET ("updateId","updateDate","deleted","descriptorName","parent_descriptorId","typeId","typeName","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","descriptorName","parent_descriptorId","typeId","typeName","MD5","ingestId","batchUpdateOrd" FROM temp.descriptor WHERE temp.descriptor.descriptorId=core.descriptor.descriptorId)
  WHERE EXISTS (SELECT 1 FROM temp.descriptor WHERE temp.descriptor.descriptorId=core.descriptor.descriptorId);

