-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.mapping AS SELECT * FROM stage.mapping 
  WHERE 1=1 
    AND stage.mapping.batchUpdateOrd > {2} 
    AND stage.mapping.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_mapping_id ON mapping(mappingId);

DELETE FROM core.mapping_link WHERE mappingId IN (SELECT mappingId FROM temp.mapping);
DELETE FROM core.mapping_id WHERE mappingId IN (SELECT mappingId FROM temp.mapping);

UPDATE core.mapping SET ("updateId","updateDate","deleted","creationDate","status","catalogName","avail_start","avail_end","message_reason","message_detail","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","creationDate","status","catalogName","avail_start","avail_end","message_reason","message_detail","MD5","ingestId","batchUpdateOrd" FROM temp.mapping WHERE temp.mapping.mappingId=core.mapping.mappingId)
  WHERE EXISTS (SELECT 1 FROM temp.mapping WHERE temp.mapping.mappingId=core.mapping.mappingId);

INSERT INTO core.mapping_id SELECT * FROM stage.mapping_id WHERE mappingId IN (SELECT mappingId FROM temp.mapping);
INSERT INTO core.mapping_link SELECT * FROM stage.mapping_link WHERE mappingId IN (SELECT mappingId FROM temp.mapping);
