-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.program AS SELECT * FROM stage.program 
  WHERE 1=1 
    AND stage.program.batchUpdateOrd > {2} 
    AND stage.program.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_program_id ON program(TMSId);

DELETE FROM core.program_origaudiolang WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_descriptor WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_externallink WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_relationship WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_release_distributor WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_release_attribute WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_release WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_asset_id WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_asset WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_spdata_event WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_spdata WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_spevent WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_spteam WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_spinfo WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_epinfo_alt WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_epinfo WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_mvtrailer WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_mvinfo WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_ratingadvisory WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_qualityrating WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_rating WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_genre WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_award WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_country WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_crew WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_cast WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_description WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_title WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_season WHERE TMSId IN (SELECT TMSId FROM temp.program);

UPDATE core.program SET ("updateId","updateDate","deleted","inactive","rootId","versionId","connectorId","seasonId","seriesId","title_lang","desc_lang","title_subType","runTime","progType","subType","holiday","holidayId","origAirDate","colorCode","versionLabel","animation","origAudioLang","sourceType","origNetwork","origNetwork_prgSvcId","lastOrigNetwork","lastOrigNetwork_prgSvcId","seriesPremiere","seriesFinale","showcard","officialURL","partNumber","totalParts","duration","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","inactive","rootId","versionId","connectorId","seasonId","seriesId","title_lang","desc_lang","title_subType","runTime","progType","subType","holiday","holidayId","origAirDate","colorCode","versionLabel","animation","origAudioLang","sourceType","origNetwork","origNetwork_prgSvcId","lastOrigNetwork","lastOrigNetwork_prgSvcId","seriesPremiere","seriesFinale","showcard","officialURL","partNumber","totalParts","duration","MD5","ingestId","batchUpdateOrd" FROM temp.program WHERE temp.program.TMSId=core.program.TMSId)
  WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program.TMSId);

INSERT INTO core.program_season SELECT * FROM stage.program_season WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_title SELECT * FROM stage.program_title WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_description SELECT * FROM stage.program_description WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_cast SELECT * FROM stage.program_cast WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_crew SELECT * FROM stage.program_crew WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_country SELECT * FROM stage.program_country WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_award SELECT * FROM stage.program_award WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_genre SELECT * FROM stage.program_genre WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_rating SELECT * FROM stage.program_rating WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_qualityrating SELECT * FROM stage.program_qualityrating WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_ratingadvisory SELECT * FROM stage.program_ratingadvisory WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_mvinfo SELECT * FROM stage.program_mvinfo WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_mvtrailer SELECT * FROM stage.program_mvtrailer WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_epinfo SELECT * FROM stage.program_epinfo WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_epinfo_alt SELECT * FROM stage.program_epinfo_alt WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_spinfo SELECT * FROM stage.program_spinfo WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_spteam SELECT * FROM stage.program_spteam WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_spevent SELECT * FROM stage.program_spevent WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_spdata SELECT * FROM stage.program_spdata WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_spdata_event SELECT * FROM stage.program_spdata_event WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_asset SELECT * FROM stage.program_asset WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_asset_id SELECT * FROM stage.program_asset_id WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_release SELECT * FROM stage.program_release WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_release_attribute SELECT * FROM stage.program_release_attribute WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_release_distributor SELECT * FROM stage.program_release_distributor WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_relationship SELECT * FROM stage.program_relationship WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_externallink SELECT * FROM stage.program_externallink WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_descriptor SELECT * FROM stage.program_descriptor WHERE TMSId IN (SELECT TMSId FROM temp.program);
INSERT INTO core.program_origaudiolang SELECT * FROM stage.program_origaudiolang WHERE TMSId IN (SELECT TMSId FROM temp.program);
