-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.schedule AS SELECT * FROM stage.schedule 
  WHERE 1=1 
    AND stage.schedule.batchUpdateOrd > {2} 
    AND stage.schedule.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_schedule_id ON schedule(scheduleId);

DELETE FROM core.schedule_event_right_param WHERE scheduleId IN (SELECT scheduleId FROM temp.schedule);
DELETE FROM core.schedule_event_right WHERE scheduleId IN (SELECT scheduleId FROM temp.schedule);
DELETE FROM core.schedule_event_bcastid WHERE scheduleId IN (SELECT scheduleId FROM temp.schedule);
DELETE FROM core.schedule_event WHERE scheduleId IN (SELECT scheduleId FROM temp.schedule);

UPDATE core.schedule SET ("updateId","updateDate","prgSvcId","date","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","prgSvcId","date","MD5","ingestId","batchUpdateOrd" FROM temp.schedule WHERE temp.schedule.scheduleId=core.schedule.scheduleId)
  WHERE EXISTS (SELECT 1 FROM temp.schedule WHERE temp.schedule.scheduleId=core.schedule.scheduleId);

INSERT INTO core.schedule_event SELECT * FROM stage.schedule_event WHERE scheduleId IN (SELECT scheduleId FROM temp.schedule);
INSERT INTO core.schedule_event_bcastid SELECT * FROM stage.schedule_event_bcastid WHERE scheduleId IN (SELECT scheduleId FROM temp.schedule);
INSERT INTO core.schedule_event_right SELECT * FROM stage.schedule_event_right WHERE scheduleId IN (SELECT scheduleId FROM temp.schedule);
INSERT INTO core.schedule_event_right_param SELECT * FROM stage.schedule_event_right_param WHERE scheduleId IN (SELECT scheduleId FROM temp.schedule);
