-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.season AS SELECT * FROM stage.season 
  WHERE 1=1 
    AND stage.season.batchUpdateOrd > {2} 
    AND stage.season.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_season_id ON season(seasonTMSId);

DELETE FROM core.season_asset_id WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_asset WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_crew WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_cast WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_description WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_title WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);

UPDATE core.season SET ("seasonId","updateId","updateDate","deleted","inactive","seasonNumber","seasonYear","seasonPremiere","seasonFinale","origNetwork","origNetwork_prgSvcId","totalSeasonEpisodes","showcard","officialURL","title_lang","desc_lang","MD5","ingestId","batchUpdateOrd")=
    (SELECT "seasonId","updateId","updateDate","deleted","inactive","seasonNumber","seasonYear","seasonPremiere","seasonFinale","origNetwork","origNetwork_prgSvcId","totalSeasonEpisodes","showcard","officialURL","title_lang","desc_lang","MD5","ingestId","batchUpdateOrd" FROM temp.season WHERE temp.season.seasonTMSId=core.season.seasonTMSId)
  WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=core.season.seasonTMSId);

INSERT INTO core.season_title SELECT * FROM stage.season_title WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
INSERT INTO core.season_description SELECT * FROM stage.season_description WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
INSERT INTO core.season_cast SELECT * FROM stage.season_cast WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
INSERT INTO core.season_crew SELECT * FROM stage.season_crew WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
INSERT INTO core.season_asset SELECT * FROM stage.season_asset WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
INSERT INTO core.season_asset_id SELECT * FROM stage.season_asset_id WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
