-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.source AS SELECT * FROM stage.source 
  WHERE 1=1 
    AND stage.source.batchUpdateOrd > {2} 
    AND stage.source.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_source_id ON source(prgSvcId);

DELETE FROM core.source_transportid WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_group WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_genre WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_marketid WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_asset WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_affiliate WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_relationship WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_bcastlang WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_edlang WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_attribute WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_altname WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_country WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);

UPDATE core.source SET ("updateId","updateDate","deleted","inactive","name","callSign","num","majorNum","minorNum","city","state","postalCode","country","type","status","statusId","reach","signalType","videoType","truResolution","enhancedCallSign","cityOfLicense","timeZone","ianaTimeZone","URL","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","inactive","name","callSign","num","majorNum","minorNum","city","state","postalCode","country","type","status","statusId","reach","signalType","videoType","truResolution","enhancedCallSign","cityOfLicense","timeZone","ianaTimeZone","URL","MD5","ingestId","batchUpdateOrd" FROM temp.source WHERE temp.source.prgSvcId=core.source.prgSvcId)
  WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source.prgSvcId);

INSERT INTO core.source_country SELECT * FROM stage.source_country WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_altname SELECT * FROM stage.source_altname WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_attribute SELECT * FROM stage.source_attribute WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_edlang SELECT * FROM stage.source_edlang WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_bcastlang SELECT * FROM stage.source_bcastlang WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_relationship SELECT * FROM stage.source_relationship WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_affiliate SELECT * FROM stage.source_affiliate WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_asset SELECT * FROM stage.source_asset WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_marketid SELECT * FROM stage.source_marketid WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_genre SELECT * FROM stage.source_genre WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_group SELECT * FROM stage.source_group WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_transportid SELECT * FROM stage.source_transportid WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
