-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.sport AS SELECT * FROM stage.sport 
  WHERE 1=1 
    AND stage.sport.None > {2} 
    AND stage.sport.None <= {3} 
;

CREATE INDEX temp.idx_sport_id ON sport(sportGId);

DELETE FROM core.sport_name WHERE sportGId IN (SELECT sportGId FROM temp.sport);

UPDATE core.sport SET ("updateId","updateDate","deleted","name_default","MD5","ingestId")=
    (SELECT "updateId","updateDate","deleted","name_default","MD5","ingestId" FROM temp.sport WHERE temp.sport.sportGId=core.sport.sportGId)
  WHERE EXISTS (SELECT 1 FROM temp.sport WHERE temp.sport.sportGId=core.sport.sportGId);

INSERT INTO core.sport_name SELECT * FROM stage.sport_name WHERE sportGId IN (SELECT sportGId FROM temp.sport);
