-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.university AS SELECT * FROM stage.university 
  WHERE 1=1 
    AND stage.university.batchUpdateOrd > {2} 
    AND stage.university.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_university_id ON university(universityId);

DELETE FROM core.university_asset WHERE universityId IN (SELECT universityId FROM temp.university);
DELETE FROM core.university_name WHERE universityId IN (SELECT universityId FROM temp.university);

UPDATE core.university SET ("updateId","updateDate","deleted","universityGId","name","names_lang","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","universityGId","name","names_lang","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd" FROM temp.university WHERE temp.university.universityId=core.university.universityId)
  WHERE EXISTS (SELECT 1 FROM temp.university WHERE temp.university.universityId=core.university.universityId);

INSERT INTO core.university_name SELECT * FROM stage.university_name WHERE universityId IN (SELECT universityId FROM temp.university);
INSERT INTO core.university_asset SELECT * FROM stage.university_asset WHERE universityId IN (SELECT universityId FROM temp.university);
