-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.venue AS SELECT * FROM stage.venue 
  WHERE 1=1 
    AND stage.venue.batchUpdateOrd > {2} 
    AND stage.venue.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_venue_id ON venue(venueId);


UPDATE core.venue SET ("updateId","updateDate","deleted","venueGId","type","timezone","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","venueGId","type","timezone","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd" FROM temp.venue WHERE temp.venue.venueId=core.venue.venueId)
  WHERE EXISTS (SELECT 1 FROM temp.venue WHERE temp.venue.venueId=core.venue.venueId);

