-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.celebrity AS SELECT * FROM stage.celebrity 
  WHERE 1=1 
    AND stage.celebrity.batchUpdateOrd > {2} 
    AND stage.celebrity.batchUpdateOrd <= {3} 
    AND ( stage.celebrity.deleted IS NULL OR 
          stage.celebrity.deleted != {4} )
;

CREATE INDEX temp.idx_celebrity_id ON celebrity(personId);

DELETE FROM core.celebrity_enhancedaward WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_socialmedia WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_highlight WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_quote WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_note WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_milestone WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_education WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_relationshipevent WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_relationship WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_biography WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_participanttype WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_mediography_credit WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_mediography WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_asset WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_award WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_name WHERE personId IN (SELECT personId FROM temp.celebrity);

UPDATE core.celebrity SET ("updateId","updateDate","deleted","type","gender","nationality","ethnicity","birthName","birthPlace","birthDate","deathDate","deathPlace","deathCause","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","type","gender","nationality","ethnicity","birthName","birthPlace","birthDate","deathDate","deathPlace","deathCause","MD5","ingestId","batchUpdateOrd" FROM temp.celebrity WHERE temp.celebrity.personId=core.celebrity.personId)
  WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=core.celebrity.personId);

INSERT INTO core.celebrity_name SELECT * FROM stage.celebrity_name WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_award SELECT * FROM stage.celebrity_award WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_asset SELECT * FROM stage.celebrity_asset WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_mediography SELECT * FROM stage.celebrity_mediography WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_mediography_credit SELECT * FROM stage.celebrity_mediography_credit WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_participanttype SELECT * FROM stage.celebrity_participanttype WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_biography SELECT * FROM stage.celebrity_biography WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_relationship SELECT * FROM stage.celebrity_relationship WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_relationshipevent SELECT * FROM stage.celebrity_relationshipevent WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_education SELECT * FROM stage.celebrity_education WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_milestone SELECT * FROM stage.celebrity_milestone WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_note SELECT * FROM stage.celebrity_note WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_quote SELECT * FROM stage.celebrity_quote WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_highlight SELECT * FROM stage.celebrity_highlight WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_socialmedia SELECT * FROM stage.celebrity_socialmedia WHERE personId IN (SELECT personId FROM temp.celebrity);
INSERT INTO core.celebrity_enhancedaward SELECT * FROM stage.celebrity_enhancedaward WHERE personId IN (SELECT personId FROM temp.celebrity);


CREATE TABLE temp.celebrity_del AS SELECT * FROM stage.celebrity 
  WHERE 1=1 
    AND stage.celebrity.batchUpdateOrd > {2} 
    AND stage.celebrity.batchUpdateOrd <= {3} 
    AND stage.celebrity.deleted = {4} 
;
UPDATE core.celebrity SET ("deleted","ingestId","updateId","updateDate")= 
  (SELECT "deleted","ingestId","updateId","updateDate" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity.personId)
;
UPDATE core.celebrity_name SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_name.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_name.personId)
;

UPDATE core.celebrity_award SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_award.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_award.personId)
;

UPDATE core.celebrity_asset SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_asset.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_asset.personId)
;

UPDATE core.celebrity_mediography SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_mediography.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_mediography.personId)
;

UPDATE core.celebrity_mediography_credit SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_mediography_credit.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_mediography_credit.personId)
;

UPDATE core.celebrity_participanttype SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_participanttype.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_participanttype.personId)
;

UPDATE core.celebrity_biography SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_biography.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_biography.personId)
;

UPDATE core.celebrity_relationship SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_relationship.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_relationship.personId)
;

UPDATE core.celebrity_relationshipevent SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_relationshipevent.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_relationshipevent.personId)
;

UPDATE core.celebrity_education SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_education.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_education.personId)
;

UPDATE core.celebrity_milestone SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_milestone.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_milestone.personId)
;

UPDATE core.celebrity_note SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_note.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_note.personId)
;

UPDATE core.celebrity_quote SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_quote.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_quote.personId)
;

UPDATE core.celebrity_highlight SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_highlight.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_highlight.personId)
;

UPDATE core.celebrity_socialmedia SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_socialmedia.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_socialmedia.personId)
;

UPDATE core.celebrity_enhancedaward SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.celebrity_del 
    WHERE temp.celebrity_del.personId=core.celebrity_enhancedaward.personId) 
  WHERE EXISTS (SELECT 1 FROM temp.celebrity_del WHERE temp.celebrity_del.personId=core.celebrity_enhancedaward.personId)
;
