-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.descriptortaxonomy AS SELECT * FROM stage.descriptortaxonomy 
  WHERE 1=1 
    AND stage.descriptortaxonomy.batchUpdateOrd > {2} 
    AND stage.descriptortaxonomy.batchUpdateOrd <= {3} 
    AND ( stage.descriptortaxonomy.deleted IS NULL OR 
          stage.descriptortaxonomy.deleted != {4} )
;

CREATE INDEX temp.idx_descriptortaxonomy_id ON descriptortaxonomy(taxonomyId);

DELETE FROM core.descriptortaxonomy_descriptor WHERE taxonomyId IN (SELECT taxonomyId FROM temp.descriptortaxonomy);

UPDATE core.descriptortaxonomy SET ("updateId","updateDate","deleted","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","MD5","ingestId","batchUpdateOrd" FROM temp.descriptortaxonomy WHERE temp.descriptortaxonomy.taxonomyId=core.descriptortaxonomy.taxonomyId)
  WHERE EXISTS (SELECT 1 FROM temp.descriptortaxonomy WHERE temp.descriptortaxonomy.taxonomyId=core.descriptortaxonomy.taxonomyId);

INSERT INTO core.descriptortaxonomy_descriptor SELECT * FROM stage.descriptortaxonomy_descriptor WHERE taxonomyId IN (SELECT taxonomyId FROM temp.descriptortaxonomy);


CREATE TABLE temp.descriptortaxonomy_del AS SELECT * FROM stage.descriptortaxonomy 
  WHERE 1=1 
    AND stage.descriptortaxonomy.batchUpdateOrd > {2} 
    AND stage.descriptortaxonomy.batchUpdateOrd <= {3} 
    AND stage.descriptortaxonomy.deleted = {4} 
;
UPDATE core.descriptortaxonomy SET ("deleted","ingestId","updateId","updateDate")= 
  (SELECT "deleted","ingestId","updateId","updateDate" FROM temp.descriptortaxonomy_del 
    WHERE temp.descriptortaxonomy_del.taxonomyId=core.descriptortaxonomy.taxonomyId) 
  WHERE EXISTS (SELECT 1 FROM temp.descriptortaxonomy_del WHERE temp.descriptortaxonomy_del.taxonomyId=core.descriptortaxonomy.taxonomyId)
;
UPDATE core.descriptortaxonomy_descriptor SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.descriptortaxonomy_del 
    WHERE temp.descriptortaxonomy_del.taxonomyId=core.descriptortaxonomy_descriptor.taxonomyId) 
  WHERE EXISTS (SELECT 1 FROM temp.descriptortaxonomy_del WHERE temp.descriptortaxonomy_del.taxonomyId=core.descriptortaxonomy_descriptor.taxonomyId)
;
