-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.lineup AS SELECT * FROM stage.lineup 
  WHERE 1=1 
    AND stage.lineup.batchUpdateOrd > {2} 
    AND stage.lineup.batchUpdateOrd <= {3} 
    AND ( stage.lineup.deleted IS NULL OR 
          stage.lineup.deleted != {4} )
;

CREATE INDEX temp.idx_lineup_id ON lineup(lineupId);

DELETE FROM core.lineup_market WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
DELETE FROM core.lineup_postalcode WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
DELETE FROM core.lineup_channel_transport_id WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
DELETE FROM core.lineup_channel_transport WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
DELETE FROM core.lineup_channel WHERE lineupId IN (SELECT lineupId FROM temp.lineup);

UPDATE core.lineup SET ("updateId","updateDate","deleted","country","countryId","mso","msoId","headend","headendId","location","device","deviceType","type","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","country","countryId","mso","msoId","headend","headendId","location","device","deviceType","type","MD5","ingestId","batchUpdateOrd" FROM temp.lineup WHERE temp.lineup.lineupId=core.lineup.lineupId)
  WHERE EXISTS (SELECT 1 FROM temp.lineup WHERE temp.lineup.lineupId=core.lineup.lineupId);

INSERT INTO core.lineup_channel SELECT * FROM stage.lineup_channel WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
INSERT INTO core.lineup_channel_transport SELECT * FROM stage.lineup_channel_transport WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
INSERT INTO core.lineup_channel_transport_id SELECT * FROM stage.lineup_channel_transport_id WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
INSERT INTO core.lineup_postalcode SELECT * FROM stage.lineup_postalcode WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
INSERT INTO core.lineup_market SELECT * FROM stage.lineup_market WHERE lineupId IN (SELECT lineupId FROM temp.lineup);


CREATE TABLE temp.lineup_del AS SELECT * FROM stage.lineup 
  WHERE 1=1 
    AND stage.lineup.batchUpdateOrd > {2} 
    AND stage.lineup.batchUpdateOrd <= {3} 
    AND stage.lineup.deleted = {4} 
;
UPDATE core.lineup SET ("deleted","ingestId","updateId","updateDate")= 
  (SELECT "deleted","ingestId","updateId","updateDate" FROM temp.lineup_del 
    WHERE temp.lineup_del.lineupId=core.lineup.lineupId) 
  WHERE EXISTS (SELECT 1 FROM temp.lineup_del WHERE temp.lineup_del.lineupId=core.lineup.lineupId)
;
UPDATE core.lineup_channel SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.lineup_del 
    WHERE temp.lineup_del.lineupId=core.lineup_channel.lineupId) 
  WHERE EXISTS (SELECT 1 FROM temp.lineup_del WHERE temp.lineup_del.lineupId=core.lineup_channel.lineupId)
;

UPDATE core.lineup_channel_transport SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.lineup_del 
    WHERE temp.lineup_del.lineupId=core.lineup_channel_transport.lineupId) 
  WHERE EXISTS (SELECT 1 FROM temp.lineup_del WHERE temp.lineup_del.lineupId=core.lineup_channel_transport.lineupId)
;

UPDATE core.lineup_channel_transport_id SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.lineup_del 
    WHERE temp.lineup_del.lineupId=core.lineup_channel_transport_id.lineupId) 
  WHERE EXISTS (SELECT 1 FROM temp.lineup_del WHERE temp.lineup_del.lineupId=core.lineup_channel_transport_id.lineupId)
;

UPDATE core.lineup_postalcode SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.lineup_del 
    WHERE temp.lineup_del.lineupId=core.lineup_postalcode.lineupId) 
  WHERE EXISTS (SELECT 1 FROM temp.lineup_del WHERE temp.lineup_del.lineupId=core.lineup_postalcode.lineupId)
;

UPDATE core.lineup_market SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.lineup_del 
    WHERE temp.lineup_del.lineupId=core.lineup_market.lineupId) 
  WHERE EXISTS (SELECT 1 FROM temp.lineup_del WHERE temp.lineup_del.lineupId=core.lineup_market.lineupId)
;
