-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.sourceprogram AS SELECT * FROM stage.sourceprogram 
  WHERE 1=1 
    AND stage.sourceprogram.batchUpdateOrd > {2} 
    AND stage.sourceprogram.batchUpdateOrd <= {3} 
    AND ( stage.sourceprogram.deleted IS NULL OR 
          stage.sourceprogram.deleted != {4} )
;

CREATE INDEX temp.idx_sourceprogram_id ON sourceprogram(gnidsId);

DELETE FROM core.sourceprogram_xid WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_asset_tag WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_asset_extattr WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_asset_market WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_asset_language WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_asset_id WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_asset WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_season_xid WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_season_asset_tag WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_season_asset_extattr WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_season_asset_market WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_season_asset_language WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_season_asset_id WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_season_asset WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_season_crew WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_season_cast WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_season_desc WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_season_title WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_season WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_epinfo WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_mvinfo WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_rating_advisory WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_rating WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_genre WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_country WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_crew WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_cast WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_description WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_title WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_catalog_market WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_catalog_language WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_catalog WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_versionlabel WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
DELETE FROM core.sourceprogram_label WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);

UPDATE core.sourceprogram SET ("updateId","updateDate","deleted","TMSId","desc_lang","progType","subType","sourceDataProviderId","sourceDataProviderName","origNetwork","targetAudience","productionStatus","releaseDate","yearOfRelease","partNumber","version_yearOfRelease","version_releaseDate","version_colorCode","version_duration","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","TMSId","desc_lang","progType","subType","sourceDataProviderId","sourceDataProviderName","origNetwork","targetAudience","productionStatus","releaseDate","yearOfRelease","partNumber","version_yearOfRelease","version_releaseDate","version_colorCode","version_duration","MD5","ingestId","batchUpdateOrd" FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=core.sourceprogram.gnidsId)
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=core.sourceprogram.gnidsId);

INSERT INTO core.sourceprogram_label SELECT * FROM stage.sourceprogram_label WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_versionlabel SELECT * FROM stage.sourceprogram_versionlabel WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_catalog SELECT * FROM stage.sourceprogram_catalog WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_catalog_language SELECT * FROM stage.sourceprogram_catalog_language WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_catalog_market SELECT * FROM stage.sourceprogram_catalog_market WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_title SELECT * FROM stage.sourceprogram_title WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_description SELECT * FROM stage.sourceprogram_description WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_cast SELECT * FROM stage.sourceprogram_cast WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_crew SELECT * FROM stage.sourceprogram_crew WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_country SELECT * FROM stage.sourceprogram_country WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_genre SELECT * FROM stage.sourceprogram_genre WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_rating SELECT * FROM stage.sourceprogram_rating WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_rating_advisory SELECT * FROM stage.sourceprogram_rating_advisory WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_mvinfo SELECT * FROM stage.sourceprogram_mvinfo WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_epinfo SELECT * FROM stage.sourceprogram_epinfo WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_season SELECT * FROM stage.sourceprogram_season WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_season_title SELECT * FROM stage.sourceprogram_season_title WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_season_desc SELECT * FROM stage.sourceprogram_season_desc WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_season_cast SELECT * FROM stage.sourceprogram_season_cast WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_season_crew SELECT * FROM stage.sourceprogram_season_crew WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_season_asset SELECT * FROM stage.sourceprogram_season_asset WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_season_asset_id SELECT * FROM stage.sourceprogram_season_asset_id WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_season_asset_language SELECT * FROM stage.sourceprogram_season_asset_language WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_season_asset_market SELECT * FROM stage.sourceprogram_season_asset_market WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_season_asset_extattr SELECT * FROM stage.sourceprogram_season_asset_extattr WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_season_asset_tag SELECT * FROM stage.sourceprogram_season_asset_tag WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_season_xid SELECT * FROM stage.sourceprogram_season_xid WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_asset SELECT * FROM stage.sourceprogram_asset WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_asset_id SELECT * FROM stage.sourceprogram_asset_id WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_asset_language SELECT * FROM stage.sourceprogram_asset_language WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_asset_market SELECT * FROM stage.sourceprogram_asset_market WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_asset_extattr SELECT * FROM stage.sourceprogram_asset_extattr WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_asset_tag SELECT * FROM stage.sourceprogram_asset_tag WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);
INSERT INTO core.sourceprogram_xid SELECT * FROM stage.sourceprogram_xid WHERE gnidsId IN (SELECT gnidsId FROM temp.sourceprogram);


CREATE TABLE temp.sourceprogram_del AS SELECT * FROM stage.sourceprogram 
  WHERE 1=1 
    AND stage.sourceprogram.batchUpdateOrd > {2} 
    AND stage.sourceprogram.batchUpdateOrd <= {3} 
    AND stage.sourceprogram.deleted = {4} 
;
UPDATE core.sourceprogram SET ("deleted","ingestId","updateId","updateDate")= 
  (SELECT "deleted","ingestId","updateId","updateDate" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram.gnidsId)
;
UPDATE core.sourceprogram_label SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_label.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_label.gnidsId)
;

UPDATE core.sourceprogram_versionlabel SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_versionlabel.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_versionlabel.gnidsId)
;

UPDATE core.sourceprogram_catalog SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_catalog.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_catalog.gnidsId)
;

UPDATE core.sourceprogram_catalog_language SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_catalog_language.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_catalog_language.gnidsId)
;

UPDATE core.sourceprogram_catalog_market SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_catalog_market.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_catalog_market.gnidsId)
;

UPDATE core.sourceprogram_title SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_title.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_title.gnidsId)
;

UPDATE core.sourceprogram_description SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_description.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_description.gnidsId)
;

UPDATE core.sourceprogram_cast SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_cast.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_cast.gnidsId)
;

UPDATE core.sourceprogram_crew SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_crew.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_crew.gnidsId)
;

UPDATE core.sourceprogram_country SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_country.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_country.gnidsId)
;

UPDATE core.sourceprogram_genre SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_genre.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_genre.gnidsId)
;

UPDATE core.sourceprogram_rating SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_rating.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_rating.gnidsId)
;

UPDATE core.sourceprogram_rating_advisory SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_rating_advisory.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_rating_advisory.gnidsId)
;

UPDATE core.sourceprogram_mvinfo SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_mvinfo.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_mvinfo.gnidsId)
;

UPDATE core.sourceprogram_epinfo SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_epinfo.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_epinfo.gnidsId)
;

UPDATE core.sourceprogram_season SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season.gnidsId)
;

UPDATE core.sourceprogram_season_title SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_title.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_title.gnidsId)
;

UPDATE core.sourceprogram_season_desc SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_desc.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_desc.gnidsId)
;

UPDATE core.sourceprogram_season_cast SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_cast.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_cast.gnidsId)
;

UPDATE core.sourceprogram_season_crew SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_crew.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_crew.gnidsId)
;

UPDATE core.sourceprogram_season_asset SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_asset.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_asset.gnidsId)
;

UPDATE core.sourceprogram_season_asset_id SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_asset_id.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_asset_id.gnidsId)
;

UPDATE core.sourceprogram_season_asset_language SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_asset_language.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_asset_language.gnidsId)
;

UPDATE core.sourceprogram_season_asset_market SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_asset_market.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_asset_market.gnidsId)
;

UPDATE core.sourceprogram_season_asset_extattr SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_asset_extattr.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_asset_extattr.gnidsId)
;

UPDATE core.sourceprogram_season_asset_tag SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_asset_tag.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_asset_tag.gnidsId)
;

UPDATE core.sourceprogram_season_xid SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_xid.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_season_xid.gnidsId)
;

UPDATE core.sourceprogram_asset SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_asset.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_asset.gnidsId)
;

UPDATE core.sourceprogram_asset_id SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_asset_id.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_asset_id.gnidsId)
;

UPDATE core.sourceprogram_asset_language SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_asset_language.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_asset_language.gnidsId)
;

UPDATE core.sourceprogram_asset_market SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_asset_market.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_asset_market.gnidsId)
;

UPDATE core.sourceprogram_asset_extattr SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_asset_extattr.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_asset_extattr.gnidsId)
;

UPDATE core.sourceprogram_asset_tag SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_asset_tag.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_asset_tag.gnidsId)
;

UPDATE core.sourceprogram_xid SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sourceprogram_del 
    WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_xid.gnidsId) 
  WHERE EXISTS (SELECT 1 FROM temp.sourceprogram_del WHERE temp.sourceprogram_del.gnidsId=core.sourceprogram_xid.gnidsId)
;
