-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.vdannotation AS SELECT * FROM stage.vdannotation 
  WHERE 1=1 
    AND stage.vdannotation.batchUpdateOrd > {2} 
    AND stage.vdannotation.batchUpdateOrd <= {3} 
    AND ( stage.vdannotation.deleted IS NULL OR 
          stage.vdannotation.deleted != {4} )
;

CREATE INDEX temp.idx_vdannotation_id ON vdannotation(TMSId);

DELETE FROM core.vdannotation_descriptor WHERE TMSId IN (SELECT TMSId FROM temp.vdannotation);

UPDATE core.vdannotation SET ("updateId","updateDate","deleted","rootId","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","rootId","MD5","ingestId","batchUpdateOrd" FROM temp.vdannotation WHERE temp.vdannotation.TMSId=core.vdannotation.TMSId)
  WHERE EXISTS (SELECT 1 FROM temp.vdannotation WHERE temp.vdannotation.TMSId=core.vdannotation.TMSId);

INSERT INTO core.vdannotation_descriptor SELECT * FROM stage.vdannotation_descriptor WHERE TMSId IN (SELECT TMSId FROM temp.vdannotation);


CREATE TABLE temp.vdannotation_del AS SELECT * FROM stage.vdannotation 
  WHERE 1=1 
    AND stage.vdannotation.batchUpdateOrd > {2} 
    AND stage.vdannotation.batchUpdateOrd <= {3} 
    AND stage.vdannotation.deleted = {4} 
;
UPDATE core.vdannotation SET ("deleted","ingestId","updateId","updateDate")= 
  (SELECT "deleted","ingestId","updateId","updateDate" FROM temp.vdannotation_del 
    WHERE temp.vdannotation_del.TMSId=core.vdannotation.TMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.vdannotation_del WHERE temp.vdannotation_del.TMSId=core.vdannotation.TMSId)
;
UPDATE core.vdannotation_descriptor SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.vdannotation_del 
    WHERE temp.vdannotation_del.TMSId=core.vdannotation_descriptor.TMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.vdannotation_del WHERE temp.vdannotation_del.TMSId=core.vdannotation_descriptor.TMSId)
;
