if [ $# -ne 1 ]; then
	echo "Usage: $0 LOCATION"
	echo
	exit
fi

if [ -e ./.utils ]; then
	DIR=..
else
	DIR=.
fi

LOCATION=$1

DL_LOG=$DIR/utils/tmp_download_log.txt
PL_SIZE=$DIR/utils/tmp_payload_sizes.txt
OUT_CSV=$DIR/utils/dl_perf

echo Writing output to $OUT_CSV.csv

grep 'DOWNLOAD(API): curl' -H $DIR/logs/*/run.log | grep -v ERROR | cut -d' ' -f1,4,6 | sed -E 's/ /,/g' > $DL_LOG
grep xml -H $DIR/logs/*/ls_xml_*.log | sed -E 's/ +/ /g' | cut -d' ' -f1,3,7 | sed -E 's/ /,/g' > $PL_SIZE
python3 $DIR/utils/dl_perf.py $DL_LOG $PL_SIZE $OUT_CSV $LOCATION

rm $DL_LOG
rm $PL_SIZE
