#  -----------------------------------------------------------------------------
#  Gracenote (A Nielsen Company) Proprietary Information
#  This software is supplied under the terms of a license agreement or
#  nondisclosure agreement with Nielsen/Gracenote, Inc. and may not be copied
#  or disclosed except in accordance with the terms of that agreement.
#  Copyright(c) 2020-present. Gracenote, A Nielsen Company, All Rights Reserved.
#  -----------------------------------------------------------------------------

#  =============================================================================
#  Remove configured schema from configured PgSQL database
#  =============================================================================

while getopts 'c:' OPTION; do
	case $OPTION in
		c) CONFIG=$OPTARG ;;
	esac
done

if [ -z "$CONFIG" ]; then
	echo "USAGE: $0 -c my.conf"
	echo
fi

# The script can be invoked either from PDK root dir or from utils dir
if [ -e ./.utils ]; then
	DIR=..
else
	DIR=.
fi

export GXD_PDK_DIR=$DIR
export GXD_PDK_CONFIG=$CONFIG
export GXD_LOG=/dev/null

. $DIR/bin/functions.sh
load_config

echo
echo "Found PgSQL database:"
echo "$PGSQL_DBNAME on $PGSQL_USER@$PGSQL_HOST:$PGSQL_PORT"
echo
echo "WARNING! Existing schemas in above database will be dropped!"
echo "Affected schemas: ${SCHEMA_PREFIX}_stage, ${SCHEMA_PREFIX}_core" #, ${SCHEMA_PREFIX}_park"
echo
echo "Are you sure you want to proceed (y/n)? "
read ANSWER
if [ "$ANSWER" = "${ANSWER#[Yy]}" ]; then
    exit 
fi

echo "DROP SCHEMA ${SCHEMA_PREFIX}_core CASCADE;" | $PYTHON $DIR/bin/db_pgsql/runsql.py ""
echo "DROP SCHEMA ${SCHEMA_PREFIX}_stage CASCADE;" | $PYTHON $DIR/bin/db_pgsql/runsql.py "" 
#echo "DROP SCHEMA ${SCHEMA_PREFIX}_park CASCADE;" | $PYTHON $DIR/bin/db_pgsql/runsql.py ""

echo "Done"
echo

